<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
	<xsl:output method="xml"/>
	<xsl:template name="ErrorNode">
		<xsl:param name="MessErr"/>
		<xsl:param name="DocId"/>
		<xsl:param name="PathErr"/>
		<xsl:param name="Category"/>
		<xsl:param name="Num"/>
		<xsl:param name="TypeDoc"/>
		<xsl:param name="PosPkg"/>
		<xsl:variable name="Cat">
			<xsl:choose>
				<xsl:when test="string-length($Category)=0">ERROR</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$Category"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<RESULTINFORMATION_ITEM xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
			<ResultDescription><xsl:value-of select="$MessErr"/></ResultDescription>
			<ResultIdDocument><xsl:value-of select="$DocId"/></ResultIdDocument>
			<ResultTypeDocument><xsl:value-of select="$TypeDoc"/></ResultTypeDocument>
			<ResultPosInPkgDocument><xsl:value-of select="$PosPkg"/></ResultPosInPkgDocument>
			<ResultPathNode><xsl:value-of select="$PathErr"/></ResultPathNode>
			<ResultCategory><xsl:value-of select="$Cat"/></ResultCategory>
			<DocumentNumber><xsl:value-of select="$Num"/></DocumentNumber>
		</RESULTINFORMATION_ITEM>	
	</xsl:template>


	<xsl:template match="/">
		<xsl:apply-templates select="node()"/>
	</xsl:template>
	<!-- проверка связанности док-тов в пакете-->
	<xsl:template match="Package">
		<ResultInformation xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
			<xsl:for-each select="//EDTRANSIT_CONFIRM/EDTRANSIT_CONFIRM_ITEM">
				<xsl:if test="string-length(DeclDecision_Agree)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит Согласие на контроль с не заполненным полем Признак согласия декларанта прибыть на досмотр'"/>
						<xsl:with-param name="DocId" select="../@id"/>
						<xsl:with-param name="PathErr" select="'EDTRANSIT_CONFIRM/EDTRANSIT_CONFIRM_ITEM/DeclDecision_Agree'"/>
						<xsl:with-param name="TypeDoc" select="../@ctmtd:CfgName"/>
						<xsl:with-param name="PosPkg" select="position()"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="count(//EDTRANSIT_INVENTORY_ITEM)=0 and  count(//ESADOUT_TD/ESADOUT_TD_ITEM)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'В пакете отсутствуют документы необходимые для формирования Согласия на контроль : Опись (ЭД транзит) и Транзитная декларация (необходим хотя бы один из данных документов)'"/>
						<xsl:with-param name="DocId" select="../@id"/>
						<xsl:with-param name="TypeDoc" select="../@ctmtd:CfgName"/>
						<xsl:with-param name="PosPkg" select="position()"/>
					</xsl:call-template>
				</xsl:if>
			</xsl:for-each>
		</ResultInformation>
	</xsl:template>
</xsl:stylesheet>
