<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
	<xsl:output method="xml"/>
	<xsl:template name="ErrorNode">
		<xsl:param name="MessErr"/>
		<xsl:param name="DocId"/>
		<xsl:param name="PathErr"/>
		<xsl:param name="Category"/>
		<xsl:param name="Num"/>
		<xsl:param name="TypeDoc"/>
		<xsl:param name="PosPkg"/>
		<xsl:variable name="Cat">
			<xsl:choose>
				<xsl:when test="string-length($Category)=0">ERROR</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$Category"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<RESULTINFORMATION_ITEM xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
			<ResultDescription>
				<xsl:value-of select="$MessErr"/>
			</ResultDescription>
			<ResultIdDocument>
				<xsl:value-of select="$DocId"/>
			</ResultIdDocument>
			<ResultTypeDocument>
				<xsl:value-of select="$TypeDoc"/>
			</ResultTypeDocument>
			<ResultPosInPkgDocument>
				<xsl:value-of select="$PosPkg"/>
			</ResultPosInPkgDocument>
			<ResultPathNode>
				<xsl:value-of select="$PathErr"/>
			</ResultPathNode>
			<ResultCategory>
				<xsl:value-of select="$Cat"/>
			</ResultCategory>
			<DocumentNumber>
				<xsl:value-of select="$Num"/>
			</DocumentNumber>
		</RESULTINFORMATION_ITEM>
	</xsl:template>
	<xsl:template match="/">
		<xsl:apply-templates select="node()"/>
	</xsl:template>
	<xsl:template match="Package">
		<ResultInformation xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
			<xsl:for-each select="//INSP_OPER/INSP_OPER_ITEM">
				<xsl:for-each select="//OPER_RESULT/OPER_RESULT_ITEM">
					<xsl:if test="string-length(RESULT_CODE)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="concat('Пакет содержит Результат операций при контроле с незаполненной отметкой о результате операции ', OPER_NAME)"/>
							<xsl:with-param name="DocId" select="ancestor::*[ @ctmtd:CfgName ]/@id"/>
							<xsl:with-param name="PathErr" select="'INSP_OPER/INSP_OPER_ITEM/OPER_RESULT/OPER_RESULT_ITEM/RESULT_CODE'"/>
							<xsl:with-param name="TypeDoc" select="ancestor::*/@ctmtd:CfgName"/>
							<xsl:with-param name="PosPkg" select="1 + count(ancestor::*[ @ctmtd:CfgName ]/preceding-sibling::*[ @ctmtd:CfgName ])"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(OPER_CODE)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="concat('Пакет содержит Результат операций при контроле с незаполненной операцией (строка ', position(), ')')"/>
							<xsl:with-param name="DocId" select="ancestor::*[ @ctmtd:CfgName ]/@id"/>
							<xsl:with-param name="PathErr" select="'INSP_OPER/INSP_OPER_ITEM/OPER_RESULT/OPER_RESULT_ITEM/OPER_NAME'"/>
							<xsl:with-param name="TypeDoc" select="ancestor::*/@ctmtd:CfgName"/>
							<xsl:with-param name="PosPkg" select="1 + count(ancestor::*[ @ctmtd:CfgName ]/preceding-sibling::*[ @ctmtd:CfgName ])"/>
						</xsl:call-template>
					</xsl:if>
				</xsl:for-each>
			</xsl:for-each>
		</ResultInformation>
	</xsl:template>
</xsl:stylesheet>
