<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml"/>
	<xsl:template name="ErrorNode">
		<xsl:param name="MessErr"/>
		<xsl:param name="DocId"/>
		<xsl:param name="PathErr"/>
		<xsl:param name="Category"/>
		<xsl:param name="TypeDoc"/>
		<xsl:param name="PosPkg"/>
		
		<RESULTINFORMATION_ITEM>
			<ResultDescription><xsl:value-of select="$MessErr"/></ResultDescription>
			<ResultIdDocument><xsl:value-of select="$DocId"/></ResultIdDocument>
			<ResultTypeDocument><xsl:value-of select="$TypeDoc"/></ResultTypeDocument>
			<ResultPosInPkgDocument><xsl:value-of select="$PosPkg"/></ResultPosInPkgDocument>
			<ResultPathNode><xsl:value-of select="$PathErr"/></ResultPathNode>
			<ResultCategory>
				<xsl:choose>
					<xsl:when  test="string-length($Category)>0">
						<xsl:value-of select="$Category"/>
					</xsl:when>
					<xsl:otherwise>WARNING</xsl:otherwise>
				</xsl:choose>
			</ResultCategory>
		</RESULTINFORMATION_ITEM>	
	</xsl:template>
	
	<xsl:template match="/">
		<xsl:apply-templates select="//Package"/>
	</xsl:template>
	<xsl:key use="concat(substring(./ModeCode,1,4),./DocumentNumber,substring(./DocumentDate,1,10))" name="DocPitBinary" match="//ESADOUT_PIT_ITEM/ESADOUT_PITGoods/ESADOUT_PITGOODS_ITEM/EnclosedDocument/ENCLOSEDDOCUMENT_ITEM[string-length(concat(substring(ModeCode,1,4),DocumentNumber,substring(DocumentDate,1,10)))>0]"/>
	<xsl:key use="concat(./ModeCode,./DocumentNumber,substring(./DocumentDate,1,10))" name="DocPit" match="//ESADOUT_PIT_ITEM/ESADOUT_PITGoods/ESADOUT_PITGOODS_ITEM/EnclosedDocument/ENCLOSEDDOCUMENT_ITEM[string-length(concat(ModeCode,DocumentNumber,substring(DocumentDate,1,10)))>0]"/>
	<xsl:template match="Package">
		<ResultInformation>
			<xsl:for-each select="//*[string-length(@*[contains(local-name(),'CfgName')])>0]">
				<xsl:choose>
					<xsl:when  test="@*[contains(.,'html') or  contains(.,'pid')] or *[contains(name(),'ESADOUT')] or *[contains(name(),'INVENTORY')] or *[contains(name(),'EDTRANSIT')] or *[contains(name(),'APPENDIX')] or *[contains(name(),'DesNotif_PIResult')]"></xsl:when>
					<xsl:otherwise>
						<xsl:variable name="DocName" select="name()"/>
						<xsl:variable name="List09999">APPSTORE,AIRAPPSTORE,CUSTDECLCONTRACT,SPECIFICATION,PASSPORTRF,DOVER,TSREGSERTIF,CUSTREGSERTIF,ORDER,ORDER-NEW,FORWARD_REC,ORDER_TDG,TAXRSERTIF,CUSTBROKSERTIF,EXTRFROMORDER,SERTIFGRAINQUALITY,GU12,</xsl:variable> 
						<xsl:variable name="List02099">TSREGSERTIF,AIRPOSTALMANIFEST,CREWLIST,GENERALDECLAIR,PROHIBITEDGOODS,CARGOMANIFEST,SHIPPINGMANIFEST,SERTIFTITLEVESSEL,SERTIFRIGHTSTATEFLAG,</xsl:variable>
						<xsl:variable name="List04021">INVOICE,COMMINVOICE,SERVICEINVOICE,</xsl:variable>
						<xsl:variable name="List01999">SERTIFQUARANTINE,SERTIFPRECIOUSMETAL,PHYTOSERTIF</xsl:variable>
						<xsl:variable name="List02013">RWB,INTERNAL_RWB</xsl:variable>
						<xsl:variable name="CodeDoc">
							<xsl:choose>
								<xsl:when test="contains($List09999,concat($DocName,','))">09999</xsl:when>
								<xsl:when test="$DocName='VETERINARYCERTIFICATE'">01201</xsl:when>
								<xsl:when test="$DocName='DOVER'">11003</xsl:when>
								<xsl:when test="$DocName='CUSTDECLCONTRACT'">11002</xsl:when>
								<xsl:when test="$DocName='PASSPORTRF'">11001</xsl:when>
								<xsl:when test="$DocName='PACKINGLIST'">04131</xsl:when>
								<xsl:when test="contains($List02099,concat($DocName,','))">02099</xsl:when>
								<xsl:when test="contains($List04021,concat($DocName,','))">04021</xsl:when>
								<xsl:when test="$DocName='PRILINVOICE'">04022</xsl:when>
								<xsl:when test="$DocName='PROFINVOICE'">04025</xsl:when>
								<xsl:when test="$DocName='SPECIFIC'">04999</xsl:when>
								<xsl:when test="contains($List01999,concat($DocName,','))">01999</xsl:when>
								<xsl:when test="$DocName='SERTIFST1'">06011</xsl:when>
								<xsl:when test="$DocName='SERTIFA'">06013</xsl:when>
								<xsl:when test="$DocName='SERTIFST2'">06017</xsl:when>
								<xsl:when test="$DocName='SERTIFCULTURE'">01101</xsl:when>
								<xsl:when test="$DocName='SERTIFCNF'">01191</xsl:when>
								<xsl:when test="$DocName='SANSERTIF01205'"></xsl:when>
								<xsl:when test="$DocName='STATEREGSERTIF'">01206</xsl:when>
								<xsl:when test="$DocName='PHYTOSERTIF'">01207</xsl:when>
								<xsl:when test="$DocName='CMR'">02015</xsl:when>
								<xsl:when test="contains($List02013,concat($DocName,','))">02013</xsl:when>
								<xsl:when test="$DocName='TIR'">02024</xsl:when>
								<xsl:when test="$DocName='CONOSAMENT'">02011</xsl:when>
								<xsl:when test="$DocName='AWB'">02017</xsl:when>
								<xsl:when test="$DocName='CONTRACT'">03011</xsl:when>
								<xsl:when test="$DocName='FREEBINARYDOC'">0902</xsl:when>
								<xsl:when test="$DocName='DO1'">09026</xsl:when>
								<xsl:when test="$DocName='TTN'">02016</xsl:when>
							</xsl:choose>
						</xsl:variable>
						<xsl:variable name="NumDoc">
							<xsl:choose>
								<xsl:when test="$DocName='AIRPOSTALMANIFEST'">
									<xsl:value-of select="AIRPOSTALMANIFEST_ITEM/SerialNumber"/>
								</xsl:when>
								<xsl:when test="$DocName='SPECIFIC'">
									<xsl:value-of select="SPECIFIC_ITEM/RegNumSpecfic"/>
								</xsl:when>
								<xsl:when test="$DocName='SERTIFST1' or $DocName='SERTIFST2'">
									<xsl:value-of select="*[name()=concat($DocName,'_ITEM')]/SertifRegNum"/>
								</xsl:when>
								<xsl:when test="$DocName='TIR'">
									<xsl:value-of select="concat(TIR_ITEM/TIRSeries,TIR_ITEM/TIRID)"/>
								</xsl:when>
								<xsl:when test="$DocName='DO1'">
									<xsl:for-each select="DO1_ITEM">
										<xsl:value-of select="concat(CustomsCode,'/',substring(CustomsRegDate,9,2),substring(CustomsRegDate,6,2),substring(CustomsRegDate,3,2),'/',CustomsRegGNumber,'/',CustomsRegOtherWHPlaceKind,substring(CustomsRegDate,1,10))"/>
									</xsl:for-each>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="*[name()=concat($DocName,'_ITEM')]/RegNum"/>
								</xsl:otherwise>
							</xsl:choose>	
						</xsl:variable>
						<xsl:variable name="NodeNumErr">
							<xsl:choose>
								<xsl:when test="$DocName='AIRPOSTALMANIFEST'">SerialNumber</xsl:when>
								<xsl:when test="$DocName='SPECIFIC'">RegNumSpecfic</xsl:when>
								<xsl:when test="$DocName='SERTIFST1' or $DocName='SERTIFST2'">SertifRegNum</xsl:when>
								<xsl:when test="$DocName='TIR'">TIRID</xsl:when>
								<xsl:when test="$DocName='DO1'">CustomsRegGNumber</xsl:when>
								<xsl:otherwise>RegNum</xsl:otherwise>
							</xsl:choose>	
						</xsl:variable>
						<xsl:variable name="DatDoc">
							<xsl:choose>
								<xsl:when test="$DocName='SERTIFCNF' or $DocName='SANSERTIF'">
									<xsl:value-of select="substring(*[name()=concat($DocName,'_ITEM')]/BeginDate,1,10)"/>
								</xsl:when>
								<xsl:when test="$DocName='AIRPOSTALMANIFEST'">
									<xsl:value-of select="substring(AIRPOSTALMANIFEST_ITEM/ManifestDate,1,10)"/>
								</xsl:when>
								<xsl:when test="$DocName='SPECIFIC'">
									<xsl:value-of select="substring(*[name()=concat($DocName,'_ITEM')]/RegDateSpecfic,1,10)"/>
								</xsl:when>
								<xsl:when test="$DocName='SERTIFST1' or $DocName='SERTIFST2'">
									<xsl:value-of select="substring(*[name()=concat($DocName,'_ITEM')]/SertifInf_Date,1,10)"/>
								</xsl:when>
								<xsl:when test="$DocName='TIR' or $DocName='DO1'"></xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="substring(*[name()=concat($DocName,'_ITEM')]/RegDate,1,10)"/>
								</xsl:otherwise>										
							</xsl:choose>	
						</xsl:variable>
						<xsl:variable name="NodeDocErr">
							<xsl:choose>
								<xsl:when test="$DocName='SERTIFCNF' or $DocName='SANSERTIF'">BeginDate</xsl:when>
								<xsl:when test="$DocName='AIRPOSTALMANIFEST'">ManifestDate</xsl:when>
								<xsl:when test="$DocName='SPECIFIC'">RegDateSpecfic</xsl:when>
								<xsl:when test="$DocName='SERTIFST1' or $DocName='SERTIFST2'">SertifInf_Date</xsl:when>
								<xsl:when test="$DocName='TIR' or $DocName='DO1'"></xsl:when>
								<xsl:otherwise>RegDate</xsl:otherwise>										
							</xsl:choose>	
						</xsl:variable>
						<xsl:variable name="MessErrDoc">
							<xsl:call-template name="MessDoc">
								<xsl:with-param name="NodeName" select="$DocName"/>
							</xsl:call-template>	
						</xsl:variable>	
						<xsl:variable name="MessErr">
							<xsl:choose>
								<xsl:when test="string-length($CodeDoc)=0">
									<xsl:value-of select="concat('Пакет содержит документ ', $MessErrDoc,' для которого не определен код.')"/>
								</xsl:when>
								<xsl:when test="string-length(concat($CodeDoc,$NumDoc,$DatDoc))=0">
									<xsl:value-of select="concat('Пакет содержит документ ', $MessErrDoc,' для которого не определен код и не заполнены номер и дата.')"/>
								</xsl:when>
								<xsl:when test="$CodeDoc='0902' and count(//ESADOUT_PIT_ITEM/ESADOUT_PITGoods/ESADOUT_PITGOODS_ITEM/EnclosedDocument/ENCLOSEDDOCUMENT_ITEM[generate-id(.)=generate-id(key('DocPitBinary',concat($CodeDoc,$NumDoc,$DatDoc)))])=0">
									<xsl:call-template name="CheckPit">
										<xsl:with-param name="DocNum" select="$NumDoc"/>
										<xsl:with-param name="DocDat" select="$DatDoc"/>
										<xsl:with-param name="DocCode" select="$CodeDoc"/>
										<xsl:with-param name="RezCheck">MESS</xsl:with-param>
										<xsl:with-param name="MessErrDoc" select="$MessErrDoc"/>
										<xsl:with-param name="NodeNumErr" select="$NodeNumErr"/>
									</xsl:call-template>	
								</xsl:when>
								<xsl:when test="count(//ESADOUT_PIT_ITEM/ESADOUT_PITGoods/ESADOUT_PITGOODS_ITEM/EnclosedDocument/ENCLOSEDDOCUMENT_ITEM[generate-id(.)=generate-id(key('DocPit',concat($CodeDoc,$NumDoc,$DatDoc)))])=0">
									<xsl:call-template name="CheckPit">
										<xsl:with-param name="DocNum" select="$NumDoc"/>
										<xsl:with-param name="DocDat" select="$DatDoc"/>
										<xsl:with-param name="DocCode" select="$CodeDoc"/>
										<xsl:with-param name="RezCheck">MESS</xsl:with-param>
										<xsl:with-param name="MessErrDoc" select="$MessErrDoc"/>
										<xsl:with-param name="NodeNumErr" select="$NodeNumErr"/>
									</xsl:call-template>	
								</xsl:when>
							</xsl:choose>
						</xsl:variable>
						<xsl:variable name="DocPathErr">
							<xsl:choose>
								<xsl:when test="string-length($CodeDoc)=0 or string-length(concat($CodeDoc,$NumDoc,$DatDoc))=0">
									<xsl:value-of select="concat($DocName,'/',$DocName,'_ITEM/',$NodeNumErr)"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:call-template name="CheckPit">
										<xsl:with-param name="DocNum" select="$NumDoc"/>
										<xsl:with-param name="DocDat" select="$DatDoc"/>
										<xsl:with-param name="DocCode" select="$CodeDoc"/>
										<xsl:with-param name="RezCheck">PATH</xsl:with-param>
										<xsl:with-param name="MessErrDoc" select="$MessErrDoc"/>
										<xsl:with-param name="NodeNumErr" select="$NodeNumErr"/>
									</xsl:call-template>	
								</xsl:otherwise>
							</xsl:choose>	
						</xsl:variable>
						<xsl:if test="string-length($MessErr)>0 and not(contains($DocPathErr,'ESADOUT_PIT'))">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="$MessErr"/>
								<xsl:with-param name="DocId" select="@id"/>
								<xsl:with-param name="PathErr" select="$DocPathErr"/>
								<xsl:with-param name="TypeDoc" select="@*[local-name()='CfgName']"/>
								<xsl:with-param name="PosPkg" select="position()"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length($MessErr)>0 and contains($DocPathErr,'ESADOUT_PIT')">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="$MessErr"/>
								<xsl:with-param name="DocId" select="//ESADOUT_PIT/@id"/>
								<xsl:with-param name="PathErr" select="$DocPathErr"/>
								<xsl:with-param name="TypeDoc" select="//ESADOUT_PIT/@*[local-name()='CfgName']"/>
								<xsl:with-param name="PosPkg" select="position()"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
		</ResultInformation>
	</xsl:template>
	<xsl:key name="PitDocCode" use="concat(../ModeCode,../DocumentNumber,  substring(../DocumentDate,1,10))" match="ESADOUT_PIT_ITEM/ESADOUT_PITGoods/ESADOUT_PITGOODS_ITEM/EnclosedDocument/ENCLOSEDDOCUMENT_ITEM[string-length(ModeCode)>0]/ModeCode"/>
	<xsl:key name="PitDocCode" use="concat(../ModeCode,../DocumentNumber)" match="ESADOUT_PIT_ITEM/ESADOUT_PITGoods/ESADOUT_PITGOODS_ITEM/EnclosedDocument/ENCLOSEDDOCUMENT_ITEM[string-length(ModeCode)>0]/ModeCode"/>
	<xsl:key name="PitDocCode" use="concat(../ModeCode,substring(../DocumentDate,1,10))" match="ESADOUT_PIT_ITEM/ESADOUT_PITGoods/ESADOUT_PITGOODS_ITEM/EnclosedDocument/ENCLOSEDDOCUMENT_ITEM[string-length(ModeCode)>0]/ModeCode"/>
	<xsl:key name="PitDocCode" use="concat(../DocumentNumber,  substring(../DocumentDate,1,10))" match="ESADOUT_PIT_ITEM/ESADOUT_PITGoods/ESADOUT_PITGOODS_ITEM/EnclosedDocument/ENCLOSEDDOCUMENT_ITEM[string-length(ModeCode)>0]/ModeCode"/>
	<xsl:key name="PitDocCodeB" use="concat(substring(../ModeCode,1,4),../DocumentNumber)" match="ESADOUT_PIT_ITEM/ESADOUT_PITGoods/ESADOUT_PITGOODS_ITEM/EnclosedDocument/ENCLOSEDDOCUMENT_ITEM[string-length(ModeCode)>0]/ModeCode"/>
	<xsl:key name="PitDocCodeB" use="concat(substring(../ModeCode,1,4),substring(../DocumentDate,1,10))" match="ESADOUT_PIT_ITEM/ESADOUT_PITGoods/ESADOUT_PITGOODS_ITEM/EnclosedDocument/ENCLOSEDDOCUMENT_ITEM[string-length(ModeCode)>0]/ModeCode"/>
	<xsl:key name="PitDocCodeB" use="concat(substring(../ModeCode,1,4),../DocumentNumber,substring(../DocumentDate,1,10))" match="ESADOUT_PIT_ITEM/ESADOUT_PITGoods/ESADOUT_PITGOODS_ITEM/EnclosedDocument/ENCLOSEDDOCUMENT_ITEM[string-length(ModeCode)>0]/ModeCode"/>
	
	<xsl:template name="CheckPitPath">
		<xsl:param name="DocNum"/>
		<xsl:param name="DocDat"/>
		<xsl:param name="DocCode"/>
		<xsl:param name="NodeNameRes"/>
		<xsl:param name="Params"/>
		<xsl:for-each select="//ESADOUT_PIT/ESADOUT_PIT_ITEM/ESADOUT_PITGoods/ESADOUT_PITGOODS_ITEM/EnclosedDocument/ENCLOSEDDOCUMENT_ITEM">
			<xsl:variable name="position-of-PITGoods" select="../../GoodsNumeric"/>
			<xsl:variable name="position-of-PITDoc" select="count(preceding-sibling::*[name()='ENCLOSEDDOCUMENT_ITEM'])+1"/>
			<xsl:variable name="Usl">
				<xsl:choose>
					<xsl:when test="$Params='DAT'">
						<xsl:value-of select="concat($DocCode,$DocNum)=concat(ModeCode,DocumentNumber)"/>
					</xsl:when>
					<xsl:when test="$Params='NUM'">
						<xsl:value-of select="concat($DocCode,$DocDat)=concat(ModeCode,substring(DocumentDate,1,10))"/>
					</xsl:when>
					<xsl:when test="$Params='COD'">
						<xsl:value-of select="concat($DocNum,$DocDat)=concat(DocumentNumber,substring(DocumentDate,1,10))"/>
					</xsl:when>
				</xsl:choose>
			</xsl:variable>
			<xsl:variable name="UslB">
				<xsl:choose>
					<xsl:when test="$Params='DAT'">
						<xsl:value-of select="concat($DocCode,$DocNum)=concat(substring(ModeCode,1,4),DocumentNumber)"/>
					</xsl:when>
					<xsl:when test="$Params='NUM'">
						<xsl:value-of select="concat($DocCode,$DocDat)=concat(substring(ModeCode,1,4),substring(DocumentDate,1,10))"/>
					</xsl:when>
					<xsl:when test="$Params='COD'">
						<xsl:value-of select="concat($DocNum,$DocDat)=concat(DocumentNumber,substring(DocumentDate,1,10))"/>
					</xsl:when>
				</xsl:choose>
			</xsl:variable>
			<xsl:choose>
				<xsl:when test="$DocCode!='0902'">
					<xsl:for-each select="*[$Usl='true'][1]">
						<xsl:value-of select="concat('ESADOUT_PIT/ESADOUT_PIT_ITEM/ESADOUT_PITGoods/ESADOUT_PITGOODS_ITEM[',$position-of-PITGoods,']/EnclosedDocument/ENCLOSEDDOCUMENT_ITEM[',$position-of-PITDoc,']/',$NodeNameRes)"/>
					</xsl:for-each>
				</xsl:when>
				<xsl:when test="$DocCode='0902'">
					<xsl:for-each select="*[$UslB='true'][1]">
						<xsl:value-of select="concat('ESADOUT_PIT/ESADOUT_PIT_ITEM/ESADOUT_PITGoods/ESADOUT_PITGOODS_ITEM[',$position-of-PITGoods,']/EnclosedDocument/ENCLOSEDDOCUMENT_ITEM[',$position-of-PITDoc,']/',$NodeNameRes)"/>
					</xsl:for-each>
				</xsl:when>
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>
	 <xsl:template name="CheckPitKeyMessPath">
		<xsl:param name="DocNum"/>
		<xsl:param name="DocDat"/>
		<xsl:param name="DocCode"/>
		<xsl:param name="RezCheck"/>
		<xsl:param name="doc-num-human"/>
		<xsl:param name="NodeNumErr"/>
		<xsl:variable name="PathPref" select="concat(name(),'/',name(),'_ITEM/')"/>
		<xsl:variable name="key-use-All" select="concat($DocCode,$DocNum,$DocDat)"/>
		<xsl:variable name="key-use-NumCode" select="concat($DocCode,$DocNum)"/>
		<xsl:variable name="key-use-DatCode" select="concat($DocCode,$DocDat)"/>
		<xsl:variable name="key-use-NumDat" select="concat($DocNum,$DocDat)"/>
		<xsl:choose>
			<xsl:when test="string-length($DocCode)>0  and string-length($DocNum)>0 and string-length($DocDat)>0 and (($DocCode!='0902' and count(key('PitDocCode', $key-use-All))=0) or ($DocCode='0902' and count(key('PitDocCodeB', $key-use-All))=0))">
				<xsl:choose>
					<xsl:when test="$RezCheck='MESS'">
						<xsl:value-of select="concat('В  списке Представленных документов ПИТ  документ ', $doc-num-human,' содержит опечатку в коде,номере или дате, либо не указан в списке, но добавлен в пакет .')"/>
					</xsl:when>
					<xsl:when test="$RezCheck='PATH'">
						<xsl:value-of select="concat($PathPref,$NodeNumErr)"/>
					</xsl:when>
				</xsl:choose>		
			</xsl:when>
			<xsl:when test="string-length($DocCode)>0  and string-length($DocNum)>0 and (($DocCode!='0902' and count(key('PitDocCode', $key-use-NumCode))>0) or ($DocCode='0902' and count(key('PitDocCodeB', $key-use-NumCode))>0))">
				<xsl:choose>
					<xsl:when test="$RezCheck='MESS'">
						<xsl:value-of select="concat('В  списке Представленных документов ПИТ  документ ', $doc-num-human,' содержит опечатку в дате .')"/>
					</xsl:when>
					<xsl:when test="$RezCheck='PATH'">
						<xsl:call-template name="CheckPitPath">
							<xsl:with-param name="DocNum" select="$DocNum"/>
							<xsl:with-param name="DocDat" select="$DocDat"/>
							<xsl:with-param name="DocCode" select="$DocCode"/>
							<xsl:with-param name="Params">DAT</xsl:with-param>
							<xsl:with-param name="NodeNameRes">DocumentDate</xsl:with-param>
						</xsl:call-template>	
					</xsl:when>
				</xsl:choose>		
			</xsl:when>
			<xsl:when test="string-length($DocCode)>0  and string-length($DocDat)>0 and (($DocCode!='0902' and count(key('PitDocCode', $key-use-DatCode))>0) or ($DocCode='0902' and count(key('PitDocCodeB', $key-use-DatCode))>0))">
				<xsl:choose>
					<xsl:when test="$RezCheck='MESS'">
						<xsl:value-of select="concat('В  списке Представленных документов ПИТ  документ ', $doc-num-human,' содержит опечатку в номере  .')"/>
					</xsl:when>
					<xsl:when test="$RezCheck='PATH'">
						<xsl:call-template name="CheckPitPath">
							<xsl:with-param name="DocNum" select="$DocNum"/>
							<xsl:with-param name="DocDat" select="$DocDat"/>
							<xsl:with-param name="DocCode" select="$DocCode"/>
							<xsl:with-param name="Params">NUM</xsl:with-param>
							<xsl:with-param name="NodeNameRes">DocumentNumber</xsl:with-param>
						</xsl:call-template>	
					</xsl:when>
				</xsl:choose>	
			</xsl:when>
			<xsl:when test="string-length($DocNum)>0 and string-length($DocDat)>0 and (($DocCode!='0902' and count(key('PitDocCode', $key-use-NumDat))>0) or ($DocCode='0902' and count(key('PitDocCodeB', $key-use-NumDat))>0))">
				<xsl:choose>
					<xsl:when test="$RezCheck='MESS'">
						<xsl:value-of select="concat('В  списке Представленных документов ПИТ  документ ', $doc-num-human,' содержит опечатку в Коде .')"/>
					</xsl:when>
					<xsl:when test="$RezCheck='PATH'">
						<xsl:call-template name="CheckPitPath">
							<xsl:with-param name="DocNum" select="$DocNum"/>
							<xsl:with-param name="DocDat" select="$DocDat"/>
							<xsl:with-param name="DocCode" select="$DocCode"/>
							<xsl:with-param name="Params">COD</xsl:with-param>
							<xsl:with-param name="NodeNameRes">ModeCode</xsl:with-param>
						</xsl:call-template>	
					</xsl:when>
				</xsl:choose>		
			</xsl:when>
		</xsl:choose>
    </xsl:template>
	<xsl:template name="CheckPit">
		<xsl:param name="DocNum"/>
		<xsl:param name="DocDat"/>
		<xsl:param name="DocCode"/>
		<xsl:param name="RezCheck"/>
		<xsl:param name="MessErrDoc"/>
		<xsl:param name="NodeNumErr"/>
		<xsl:variable name="PathPref" select="concat(name(),'/',name(),'_ITEM/')"/>
		<xsl:variable name="key-use-All" select="concat($DocCode,$DocNum,$DocDat)"/>
		<xsl:variable name="key-use-NumCode" select="concat($DocCode,$DocNum)"/>
		<xsl:variable name="key-use-DatCode" select="concat($DocCode,$DocDat)"/>
		<xsl:variable name="key-use-NumDat" select="concat($DocNum,$DocDat)"/>
		<xsl:variable name="key-use">
		<xsl:choose>
			<xsl:when test="string-length($DocCode)>0  and string-length($DocNum)>0 and string-length($DocDat)>0 and (($DocCode!='0902' and count(key('PitDocCode', $key-use-All))>0) or ($DocCode='0902' and count(key('PitDocCodeB', $key-use-All))>0))">
				<xsl:value-of select="$key-use-All"/>
			</xsl:when>
			<xsl:when test="string-length($DocCode)>0  and string-length($DocNum)>0 and (($DocCode!='0902' and count(key('PitDocCode', $key-use-NumCode))>0) or ($DocCode='0902' and count(key('PitDocCodeB', $key-use-NumCode))>0))">
				<xsl:value-of select="$key-use-NumCode"/>
			</xsl:when>
			<xsl:when test="string-length($DocCode)>0  and string-length($DocDat)>0 and (($DocCode!='0902' and count(key('PitDocCode', $key-use-DatCode))>0) or ($DocCode='0902' and count(key('PitDocCodeB', $key-use-DatCode))>0))">
				<xsl:value-of select="$key-use-DatCode"/>
			</xsl:when>
			<xsl:when test="string-length($DocNum)>0 and string-length($DocDat)>0 and (($DocCode!='0902' and count(key('PitDocCode', $key-use-NumDat))>0) or ($DocCode='0902' and count(key('PitDocCodeB', $key-use-NumDat))>0))">
				<xsl:value-of select="$key-use-NumDat"/>
			</xsl:when>
		</xsl:choose>
		</xsl:variable>
		<xsl:variable name="DocCodeR" select="key('PitDocCode', $key-use)"/>
		<xsl:variable name="DocCodeRB" select="key('PitDocCodeB', $key-use)"/>
		<xsl:variable name="DocDate-human" select="concat( 'от ', substring($DocDat, 9, 2), '.', substring($DocDat, 6, 2), '.', substring($DocDat, 1, 4) )"/>
		<xsl:variable name="doc-num-human" select="concat($MessErrDoc, ' ', $DocNum, ' ', $DocDate-human)"/>
		<xsl:choose>
			<xsl:when test="$DocCode!='0902' and count($DocCodeR)>=0">
				<xsl:call-template name="CheckPitKeyMessPath">
					<xsl:with-param name="DocNum" select="$DocNum"/>
					<xsl:with-param name="DocDat" select="$DocDat"/>
					<xsl:with-param name="DocCode" select="$DocCode"/>
					<xsl:with-param name="RezCheck" select="$RezCheck"/>
					<xsl:with-param name="NodeNumErr" select="$NodeNumErr"/>
					<xsl:with-param name="doc-num-human" select="$doc-num-human"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$DocCode='0902' and count($DocCodeRB)>=0">
				<xsl:call-template name="CheckPitKeyMessPath">
					<xsl:with-param name="DocNum" select="$DocNum"/>
					<xsl:with-param name="DocDat" select="$DocDat"/>
					<xsl:with-param name="DocCode" select="$DocCode"/>
					<xsl:with-param name="RezCheck" select="$RezCheck"/>
					<xsl:with-param name="NodeNumErr" select="$NodeNumErr"/>
					<xsl:with-param name="doc-num-human" select="$doc-num-human"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="($DocCodeR != $DocCodeR) or ($DocCodeRB != $DocCodeRB) ">
				<xsl:choose>
					<xsl:when test="$RezCheck='MESS'">
						<xsl:text>Не удаётся однозначно определить по списку Представленных документов код документа</xsl:text>
						<xsl:value-of select="$doc-num-human"/>
						<xsl:text>. В списке документов несколько строк (</xsl:text>
						<xsl:choose>
							<xsl:when test="$DocCode!='0902' and $DocCodeR != $DocCodeR">
								<xsl:value-of select="count($DocCodeR)"/>
							</xsl:when>
							<xsl:when test="$DocCode='0902' and $DocCodeRB != $DocCodeRB">
								<xsl:value-of select="count($DocCodeRB)"/>
							</xsl:when>
						</xsl:choose>	
						<xsl:text>) с одинаковыми: номером, датой , но разными кодами</xsl:text>
					</xsl:when>
					<xsl:when test="$RezCheck='PATH'">
						<xsl:value-of select="concat($PathPref,$NodeNumErr)"/>
					</xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="($DocCode!='0902' and $DocCode = $DocCodeR) or  ($DocCode='0902' and $DocCode = $DocCodeRB)"></xsl:when>
			<xsl:when test="($DocCode='02016' and contains(name(),'TTN')) or ($DocCode ='11003' and contains(name(),'DOVER'))  or ($DocCode='11001' and contains(name(),'PASSPORTRF'))"></xsl:when>
			<xsl:otherwise></xsl:otherwise>
		</xsl:choose>
	</xsl:template>	
	
	<xsl:template name="MessDoc">
		<xsl:param name="NodeName"/>
		<xsl:choose>
			<xsl:when test="$NodeName='INVOICE'"> Инвойс </xsl:when>
			<xsl:when test="$NodeName='TIR'"> Книжка МДП </xsl:when>
			<xsl:when test="$NodeName='CONOSAMENT'"> Коносамент </xsl:when>
			<xsl:when test="$NodeName='CMR'"> Накладная CMR </xsl:when>
			<xsl:when test="$NodeName='PACKINGLIST'"> Отгрузочный (упаковочный) лист </xsl:when>
			<xsl:when test="$NodeName='AWB'"> Авиагрузовая накладная </xsl:when>
			<xsl:when test="$NodeName='COMMINVOICE'"> Счет-фактура </xsl:when>
			<xsl:when test="$NodeName='APPSTORE' or $NodeName='AIRAPPSTORE'"> Заявление на припасы </xsl:when>
			<xsl:when test="$NodeName='CARGOMANIFEST'"> Грузовой манифест </xsl:when>
			<xsl:when test="$NodeName='CREWLIST'"> Судовая роль </xsl:when>
			<xsl:when test="$NodeName='GENERALDECLAIR'"> Генеральная авиа декларация </xsl:when>
			<xsl:when test="$NodeName='GENERALDECL'"> ИМО Генеральная (общая) декларация </xsl:when>
			<xsl:when test="$NodeName='PROHIBITEDGOODS'"> Товары запрещенные </xsl:when>
			<xsl:when test="$NodeName='ANYDOC'"> Произвольный документ </xsl:when>
			<xsl:when test="$NodeName='RWB'"> СМГС </xsl:when>
			<xsl:when test="$NodeName='PROFINVOICE'"> Счет-проформу </xsl:when>
			<xsl:when test="$NodeName='PRILINVOICE'"> Приложение к инвойсу </xsl:when>
			<xsl:when test="$NodeName='SANSERTIF'"> Гигиенический сертификат </xsl:when>
			<xsl:when test="$NodeName='SERTIFTITLEVESSEL'"> Свидетельство о праве собственности на судно </xsl:when>
			<xsl:when test="$NodeName='PHYTOSERTIF'"> Фитосанитарный сертификат </xsl:when>
			<xsl:when test="$NodeName='SERTIFPRECIOUSMETAL'"> Сертификат химического состава на содержание драгметаллов </xsl:when>
			<xsl:when test="$NodeName='SERTIFQUARANTINE'"> Карантинный сертификат </xsl:when>
			<xsl:when test="$NodeName='SERTIFA'"> Сертификат о происхождении А </xsl:when>
			<xsl:when test="$NodeName='SERTIFCNF'"> Сертификат соответствия </xsl:when>
			<xsl:when test="$NodeName='SERTIFST1'"> Сертификат о происхождении СТ1 </xsl:when>
			<xsl:when test="$NodeName='SERTIFST2'"> Сертификат о происхождении СТ2 </xsl:when>
			<xsl:when test="$NodeName='SERTIFCULTURE'"> Св-во на право вывоза культурных ценностей </xsl:when>
			<xsl:when test="$NodeName='SERTIFRIGHTSTATEFLAG'"> Св-во о праве плавать под Гос. флагом РФ </xsl:when>
			<xsl:when test="$NodeName='PASSPORTRF'"> Паспорт гражданина РФ </xsl:when>
			<xsl:when test="$NodeName='DOVER'"> Доверенность </xsl:when>
			<xsl:when test="$NodeName='DO1'"> Отчет о помещении товара на СВХ по форме ДО-1 </xsl:when>
			<xsl:when test="$NodeName='TTN'"> ТОВАРОТРАНСПОРТНАЯ НАКЛАДНАЯ </xsl:when>
			<xsl:when test="$NodeName='TSREGSERTIF'"> Свидетельство о регистрации транспортного средства </xsl:when>
			<xsl:when test="$NodeName='INTERNAL_RWB'"> ЖЕЛЕЗНОДОРОЖНАЯ  НАКЛАДНЯ ГУ-29к 2004г. </xsl:when>
			<xsl:when test="$NodeName='STATEREGSERTIF'"> Свидетельство о государственной регистрации </xsl:when>
			<xsl:when test="$NodeName='ORDER'"> ПОРУЧЕНИЕ ЭКСПЕДИТОРУ </xsl:when>
			<xsl:when test="$NodeName='ORDER-NEW'"> ПОРУЧЕНИЕ ЭКСПЕДИТОРУ </xsl:when>
			<xsl:when test="$NodeName='FORWARD_REC'"> ЭКСПЕДИТОРСКАЯ РАСПИСКА </xsl:when>
			<xsl:when test="$NodeName='ORDER_TDG'"> ЗАКАЗ </xsl:when>
			<xsl:when test="$NodeName='TAXRSERTIF'"> Свидетельство о постановке на учет в налоговом органе юридического лица.  </xsl:when>
			<xsl:when test="$NodeName='SPECIFIC'"> Спецификация.  </xsl:when>
			<xsl:when test="$NodeName='CUSTBROKSERTIF'"> Свидетельство о включении в Реестр таможенных брокеров.  </xsl:when>
			<xsl:when test="$NodeName='EXTRFROMORDER'"> Выписка из приказа о приеме на работу.  </xsl:when>
			<xsl:when test="$NodeName='CUSTDECLCONTRACT'"> Договор таможенного представителя с декларантом.  </xsl:when>
			<xsl:when test="$NodeName='VETERINARYCERTIFICATE'"> Ветеринарный сертификат </xsl:when>
			<xsl:when test="$NodeName='CONTRACT'">Контракт</xsl:when>
			<xsl:when test="$NodeName='FREEBINARYDOC'">Графические материалы</xsl:when>
			<xsl:when test="$NodeName='GU12'">ГУ-12</xsl:when>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
