<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="../../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:import href="DesNotif_PIResult.FLKSea.xsl"/>
	<xsl:template name="ErrorNode">
		<xsl:param name="MessErr"/>
		<xsl:param name="DocId"/>
		<xsl:param name="PathErr"/>
		<xsl:param name="Category"/>
		<xsl:param name="TypeDoc"/>
		<xsl:param name="PosPkg"/>
		<xsl:variable name="Cat">
			<xsl:choose>
				<xsl:when test="string-length($Category)=0">ERROR</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$Category"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<RESULTINFORMATION_ITEM>
			<ResultDescription><xsl:value-of select="$MessErr"/></ResultDescription>
			<ResultIdDocument><xsl:value-of select="$DocId"/></ResultIdDocument>
			<ResultTypeDocument><xsl:value-of select="$TypeDoc"/></ResultTypeDocument>
			<ResultPosInPkgDocument><xsl:value-of select="$PosPkg"/></ResultPosInPkgDocument>
			<ResultPathNode><xsl:value-of select="$PathErr"/></ResultPathNode>
			<ResultCategory><xsl:value-of select="$Cat"/></ResultCategory>
		</RESULTINFORMATION_ITEM>	
	</xsl:template>
	<xsl:template name="MessDoc">
		<xsl:param name="NodeName"/>
		<xsl:param name="PIT"/>
		<xsl:choose>
			<xsl:when test="$NodeName='INVOICE'"> Инвойс </xsl:when>
			<xsl:when test="$NodeName='TIR'"> Книжка МДП </xsl:when>
			<xsl:when test="$NodeName='CONOSAMENT' and $PIT=1"> (ПИТ1)-Сведения о товарной партии </xsl:when>
			<xsl:when test="$NodeName='CONOSAMENT' and $PIT!=1"> Коносамент </xsl:when>
			<xsl:when test="$NodeName='CMR'"> Накладная CMR </xsl:when>
			<xsl:when test="$NodeName='PACKINGLIST'"> Отгрузочный (упаковочный) лист </xsl:when>
			<xsl:when test="$NodeName='AWB'"> Авиагрузовая накладная </xsl:when>
			<xsl:when test="$NodeName='WBEI'"> ИНДИВИДУАЛЬНАЯ НАКЛАДНАЯ ПРИ ЭКСПРЕСС-ПЕРЕВОЗКЕ </xsl:when>
			<xsl:when test="$NodeName='COMMINVOICE'"> Счет-фактура </xsl:when>
			<xsl:when test="$NodeName='APPSTORE'"> Заявление на припасы </xsl:when><!-- or $NodeName='AIRAPPSTORE'-->
			<xsl:when test="$NodeName='CARGOMANIFEST'"> Грузовой манифест </xsl:when>
			<xsl:when test="$NodeName='CREWLIST'"> Судовая роль </xsl:when>
			<xsl:when test="$NodeName='GENERALDECLAIR'"> Генеральная авиа декларация </xsl:when>
			<xsl:when test="$NodeName='GENERALDECL'"> ИМО Генеральная (общая) декларация </xsl:when>
			<xsl:when test="$NodeName='PROHIBITEDGOODS'"> Товары запрещенные </xsl:when>
			<xsl:when test="$NodeName='ANYDOC'"> Произвольный документ </xsl:when>
			<xsl:when test="$NodeName='RWB'"> СМГС </xsl:when>
			<xsl:when test="$NodeName='PROFINVOICE'"> Счет-проформу </xsl:when>
			<xsl:when test="$NodeName='PRILINVOICE'"> Приложение к инвойсу </xsl:when>
			<xsl:when test="$NodeName='SANSERTIF'"> Гигиенический сертификат </xsl:when>
			<xsl:when test="$NodeName='SERTIFTITLEVESSEL'"> Свидетельство о праве собственности на судно </xsl:when>
			<xsl:when test="$NodeName='PHYTOSERTIF'"> Фитосанитарный сертификат </xsl:when>
			<xsl:when test="$NodeName='SERTIFPRECIOUSMETAL'"> Сертификат химического состава на содержание драгметаллов </xsl:when>
			<xsl:when test="$NodeName='SERTIFQUARANTINE'"> Карантинный сертификат </xsl:when>
			<xsl:when test="$NodeName='SERTIFA'"> Сертификат о происхождении А </xsl:when>
			<xsl:when test="$NodeName='SERTIFCNF'"> Сертификат соответствия </xsl:when>
			<xsl:when test="$NodeName='SERTIFST1'"> Сертификат о происхождении СТ1 </xsl:when>
			<xsl:when test="$NodeName='SERTIFST2'"> Сертификат о происхождении СТ2 </xsl:when>
			<xsl:when test="$NodeName='SERTIFCULTURE'"> Св-во на право вывоза культурных ценностей </xsl:when>
			<xsl:when test="$NodeName='SERTIFRIGHTSTATEFLAG'"> Св-во о праве плавать под Гос. флагом РФ </xsl:when>
			<xsl:when test="$NodeName='PASSPORTRF'"> Паспорт гражданина РФ </xsl:when>
			<xsl:when test="$NodeName='DOVER'"> Доверенность </xsl:when>
			<xsl:when test="$NodeName='DO1'"> Отчет о помещении товара на СВХ по форме ДО-1 </xsl:when>
			<xsl:when test="$NodeName='TTN'"> ТОВАРОТРАНСПОРТНАЯ НАКЛАДНАЯ </xsl:when>
			<xsl:when test="$NodeName='TSREGSERTIF'"> Свидетельство о регистрации транспортного средства </xsl:when>
			<xsl:when test="$NodeName='INTERNAL_RWB'"> ЖЕЛЕЗНОДОРОЖНАЯ  НАКЛАДНЯ ГУ-29к 2004г. </xsl:when>
			<xsl:when test="$NodeName='STATEREGSERTIF'"> Свидетельство о государственной регистрации </xsl:when>
			<xsl:when test="$NodeName='ORDER'"> ПОРУЧЕНИЕ ЭКСПЕДИТОРУ </xsl:when>
			<xsl:when test="$NodeName='ORDER-NEW'"> ПОРУЧЕНИЕ ЭКСПЕДИТОРУ </xsl:when>
			<xsl:when test="$NodeName='FORWARD_REC'"> ЭКСПЕДИТОРСКАЯ РАСПИСКА </xsl:when>
			<xsl:when test="$NodeName='ORDER_TDG'"> ЗАКАЗ </xsl:when>
			<xsl:when test="$NodeName='TAXRSERTIF'"> Свидетельство о постановке на учет в налоговом органе юридического лица.  </xsl:when>
			<xsl:when test="$NodeName='SPECIFIC'"> Спецификация.  </xsl:when>
			<xsl:when test="$NodeName='CUSTBROKSERTIF'"> Свидетельство о включении в Реестр таможенных брокеров.  </xsl:when>
			<xsl:when test="$NodeName='EXTRFROMORDER'"> Выписка из приказа о приеме на работу.  </xsl:when>
			<xsl:when test="$NodeName='CUSTDECLCONTRACT'"> Договор таможенного представителя с декларантом.  </xsl:when>
			<xsl:when test="$NodeName='VETERINARYCERTIFICATE'"> Ветеринарный сертификат </xsl:when>
			<xsl:when test="$NodeName='CONTRACT'">Контракт</xsl:when>
			<xsl:when test="$NodeName='CONTRACTAPX'">Дополнение к контракту</xsl:when>
			<xsl:when test="$NodeName='FREEBINARYDOC'">Графические материалы</xsl:when>
			<xsl:when test="$NodeName='GU12'">ГУ-12</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="CheckNumDate">
		<xsl:param name="NodeMess"/>
		<xsl:param name="IdDoc"/>
		<xsl:param name="NodePath"/>
		<xsl:param name="DocType"/>
		<xsl:param name="DocPos"/>
		<xsl:param name="DatN"/>
		<xsl:if test="name()='SPECIFIC_ITEM'">
			<xsl:if test="string-length(RegNumSpecfic)=0">
				<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="concat('Пакет содержит ',$NodeMess,' , с незаполненной графой Номер документа .')"/>
					<xsl:with-param name="DocId" select="$IdDoc"/>
					<xsl:with-param name="PathErr" select="concat($NodePath,'/RegNumSpecfic')"/>
					<xsl:with-param name="TypeDoc" select="$DocType"/>
					<xsl:with-param name="PosPkg" select="$DocPos"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="string-length(RegDateSpecfic)=0">
				<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="concat('Пакет содержит ',$NodeMess,' с незаполненной графой Дата документа.')"/>
					<xsl:with-param name="DocId" select="$IdDoc"/>
					<xsl:with-param name="PathErr" select="concat($NodePath,'/RegDateSpecfic')"/>
					<xsl:with-param name="TypeDoc" select="$DocType"/>
					<xsl:with-param name="PosPkg" select="$DocPos"/>
				</xsl:call-template>
			</xsl:if>
		</xsl:if>
		<xsl:if test="name()='PACKINGLIST_ITEM'  and string-length(DeliveryPlace)=0">
			<xsl:call-template name="ErrorNode">
				<xsl:with-param name="MessErr" select="concat('Пакет содержит ',$NodeMess,' с незаполненной графой Пункт поставки.')"/>
				<xsl:with-param name="DocId" select="$IdDoc"/>
				<xsl:with-param name="PathErr" select="concat($NodePath,'/DeliveryPlace')"/>
				<xsl:with-param name="TypeDoc" select="$DocType"/>
				<xsl:with-param name="PosPkg" select="$DocPos"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="name()='PACKINGLIST_ITEM'  and string-length(DeliveryTermsStringCode)=0">
			<xsl:call-template name="ErrorNode">
				<xsl:with-param name="MessErr" select="concat('Пакет содержит ',$NodeMess,' с незаполненной графой Код условий поставки.')"/>
				<xsl:with-param name="DocId" select="$IdDoc"/>
				<xsl:with-param name="PathErr" select="concat($NodePath,'/DeliveryTermsStringCode')"/>
				<xsl:with-param name="TypeDoc" select="$DocType"/>
				<xsl:with-param name="PosPkg" select="$DocPos"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="string-length(RegNum)=0 and name()!='GENERALDECL_ITEM' and name()!='SPECIFIC_ITEM' and name()!='CARGOMANIFEST_ITEM' and count(//PMP_INVENTORY_ITEM)=0">
			<xsl:call-template name="ErrorNode">
				<xsl:with-param name="MessErr" select="concat('Пакет содержит ',$NodeMess,' с незаполненной графой Номера документа.')"/>
				<xsl:with-param name="DocId" select="$IdDoc"/>
				<xsl:with-param name="PathErr" select="concat($NodePath,'/RegNum')"/>
				<xsl:with-param name="TypeDoc" select="$DocType"/>
				<xsl:with-param name="PosPkg" select="$DocPos"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:variable name="NotCheckedDate" select="'CONOSAMENT_ITEM,SPECIFIC_ITEM,PHYTOSERTIF_ITEM,INVOICE_ITEM,PRILINVOICE_ITEM,GENERALDECL_ITEM,WBEI_ITEM,'"/>
		<xsl:if test="not(contains($NotCheckedDate,concat(name(),','))) and string-length(RegDate)=0 and $DatN!=0 and $DatN!=1 and count(//PMP_INVENTORY_ITEM)=0">
			<xsl:call-template name="ErrorNode">
				<xsl:with-param name="MessErr" select="concat('Пакет содержит ',$NodeMess,' с незаполненной графой Дата документа.')"/>
				<xsl:with-param name="DocId" select="$IdDoc"/>
				<xsl:with-param name="PathErr" select="concat($NodePath,'/RegDate')"/>
				<xsl:with-param name="TypeDoc" select="$DocType"/>
				<xsl:with-param name="PosPkg" select="$DocPos"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="string-length(BeginDate)=0 and $DatN=1">
			<xsl:call-template name="ErrorNode">
				<xsl:with-param name="MessErr" select="concat('Пакет содержит ',$NodeMess,' с незаполненной графой Дата документа.')"/>
				<xsl:with-param name="DocId" select="$IdDoc"/>
				<xsl:with-param name="PathErr" select="concat($NodePath,'/BeginDate')"/>
				<xsl:with-param name="TypeDoc" select="$DocType"/>
				<xsl:with-param name="PosPkg" select="$DocPos"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template name="WhOezFlk" xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
		<xsl:param name="PathWhOez"/>
		<xsl:param name="PathWhOezErr"/>
		<xsl:param name="Sea"/>
		<xsl:variable name="PMPDocNotCheck">
			<xsl:choose>
				<xsl:when test="contains($PathWhOezErr,'PMP_')">GENERALDECL,IMOGENERALDECL,CREWLIST,ARRSEADECL,APPSTORE,CONOSAMENT,DECLARATIONCREW,SEAPASSLIST,PROHIBITEDGOODS,</xsl:when>
				<xsl:otherwise/>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="WHSeaDocNotCheck">
			<xsl:choose>
				<xsl:when test="contains($PathWhOezErr,'WHDOCINVENTORY')">GENERALDECL,IMOGENERALDECL,CREWLIST,APPSTORE,DECLARATIONCREW,SEAPASSLIST,PROHIBITEDGOODS,LISTUIN,REQLISTUIN,GOODSDECISION,</xsl:when>
				<xsl:otherwise/>
			</xsl:choose>
		</xsl:variable>
		<ResultInformation>
			<xsl:if test="string-length($Sea)>0">
				<xsl:call-template name="FlkSea"/>
			</xsl:if>
			<xsl:if  test="count(//EDTRANSIT_INVENTORY)>0 and count(//ESADOUT_TD/ESADOUT_TD_ITEM)=0 and count(//*[local-name()='ReqInventoryDoc'])=0">
				<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'В пакете отсутствует Транзитная декларация. Отправка документов в ЭД транзит не возможна.'"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if  test="count(//EDTRANSIT_INVENTORY)>0 and count(//ESADOUT_TD/ESADOUT_TD_ITEM)>1 and count(//*[local-name()='ReqInventoryDoc'])=0">
				<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'В пакете более 1 Транзитной декларации. Отправка документов в ЭД транзит не возможна.'"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:for-each select="//FREEBINARYDOC/FREEBINARYDOC_ITEM">
				<xsl:variable name="IdFbDoc" select="../@id"/>
				<xsl:variable name="FbDocPos" select="position()"/>
				<xsl:variable name="FbDocType" select="../@ctmtd:CfgName"/>
				<xsl:if test="string-length(FileData)=0"> 
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Графические материалы, в котором не добавлен файл с документом'"/>
						<xsl:with-param name="DocId" select="$IdFbDoc"/>
						<xsl:with-param name="PathErr" select="'FREEBINARYDOC/FREEBINARYDOC_ITEM/FileData'"/>
						<xsl:with-param name="TypeDoc" select="$FbDocType"/>
						<xsl:with-param name="PosPkg" select="$FbDocPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(substring-before(FileData,';'))>50"> 
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Графические материалы, в котором Наименование файла превышает допустимое значение 50 символов'"/>
						<xsl:with-param name="DocId" select="$IdFbDoc"/>
						<xsl:with-param name="PathErr" select="'FREEBINARYDOC/FREEBINARYDOC_ITEM/FileData'"/>
						<xsl:with-param name="TypeDoc" select="$FbDocType"/>
						<xsl:with-param name="PosPkg" select="$FbDocPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(substring-after(FileData,';'))>4404000"> 
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Графические материалы, в котором размер файла превышает допустимое значение 3 Mb'"/>
						<xsl:with-param name="DocId" select="$IdFbDoc"/>
						<xsl:with-param name="PathErr" select="'FREEBINARYDOC/FREEBINARYDOC_ITEM/FileData'"/>
						<xsl:with-param name="TypeDoc" select="$FbDocType"/>
						<xsl:with-param name="PosPkg" select="$FbDocPos"/>
					</xsl:call-template>
				</xsl:if>
			</xsl:for-each>	
			<xsl:for-each select="//ESADOUT_TD/ESADOUT_TD_ITEM">
				<xsl:variable name="IdTd" select="../@id"/>
				<xsl:variable name="TdPos" select="position()"/>
				<xsl:variable name="TdType" select="../@ctmtd:CfgName"/>
				<xsl:if test="string-length(Consignee_OGRN)>0"> 
					<xsl:choose>
						<xsl:when test="string-length(Consignee_OGRN)=13 or string-length(Consignee_OGRN)=15"></xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Транзитная декларация с неправильно заполненным полем Получатель: ОГРН (длина д.б. 13 или 15 цифр)'"/>
								<xsl:with-param name="DocId" select="$IdTd"/>
								<xsl:with-param name="PathErr" select="'ESADOUT_TD/ESADOUT_TD_ITEM/Consignee_OGRN'"/>
								<xsl:with-param name="TypeDoc" select="$TdType"/>
								<xsl:with-param name="PosPkg" select="$TdPos"/>
							</xsl:call-template>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
				<xsl:if test="string-length(Consignor_OGRN)>0">
					<xsl:choose>
						<xsl:when test="string-length(Consignor_OGRN)=13 or string-length(Consignor_OGRN)=15"></xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Транзитная декларация с неправильно заполненным полем Отправитель: ОГРН (длина д.б. 13 или 15 цифр)'"/>
								<xsl:with-param name="DocId" select="$IdTd"/>
								<xsl:with-param name="PathErr" select="'ESADOUT_TD/ESADOUT_TD_ITEM/Consignor_OGRN'"/>
								<xsl:with-param name="TypeDoc" select="$TdType"/>
								<xsl:with-param name="PosPkg" select="$TdPos"/>
							</xsl:call-template>
						</xsl:otherwise>
					</xsl:choose>	
				</xsl:if>
				<xsl:if test="string-length(Declarant_OGRN)>0"> 
					<xsl:choose>
						<xsl:when test="string-length(Declarant_OGRN)=13 or string-length(Declarant_OGRN)=15"></xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Транзитная декларация с неправильно заполненным полем Декларант: ОГРН (длина д.б. 13 или 15 цифр)'"/>
								<xsl:with-param name="DocId" select="$IdTd"/>
								<xsl:with-param name="PathErr" select="'ESADOUT_TD/ESADOUT_TD_ITEM/Declarant_OGRN'"/>
								<xsl:with-param name="TypeDoc" select="$TdType"/>
								<xsl:with-param name="PosPkg" select="$TdPos"/>
							</xsl:call-template>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
				<xsl:if test="(string-length(Filled_PersonSurname)>0 or string-length(Filled_PersonName)>0) and count(//DOVER/DOVER_ITEM)>0">
						<xsl:for-each select="*[starts-with(name(),'Filled_')]">
							<xsl:variable  name="Field2">
								<xsl:choose>
									<xsl:when test="name()='Filled_PersonSurname'">
										<xsl:value-of select="'Empowered_PersonName'"/>
									</xsl:when>
									<xsl:when test="name()='Filled_PersonName'">
										<xsl:value-of select="'Empowered_PersonName2'"/>
									</xsl:when>
									<xsl:when test="name()='Filled_IndentityCardCode'">
										<xsl:value-of select="'Empowered_IdentityCardCode'"/>
									</xsl:when>
									<xsl:when test="name()='Filled_IdentityCardNumder'">
										<xsl:value-of select="'Empowered_IdentityCardNumber'"/>
									</xsl:when>
									<xsl:when test="name()='Filled_OrganizationName'">
										<xsl:value-of select="'Empowered_IdentityCardOrgName'"/>
									</xsl:when>
									<xsl:otherwise><xsl:value-of select="concat('Empowered_',substring-after(name(),'_'))"/></xsl:otherwise>
								</xsl:choose>	
							</xsl:variable>
							<xsl:if  test=".!=//DOVER[1]/DOVER_ITEM/*[name()=$Field2]">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'гр 50 ТД - Сведения о лице, заполнившем декларацию, не соответсвуют данным , указанным в гр. Доверенное лицо в Документе,удостоверяющим полномочия лица.'"/>
									<xsl:with-param name="DocId" select="$IdTd"/>
									<xsl:with-param name="PathErr" select="concat('ESADOUT_TD/ESADOUT_TD_ITEM/',name())"/>
									<xsl:with-param name="TypeDoc" select="$TdType"/>
									<xsl:with-param name="PosPkg" select="$TdPos"/>
									<xsl:with-param name="Category" select="'WARNING'"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:for-each>
					</xsl:if>
			</xsl:for-each>	
			<xsl:for-each select="child::*[namespace::*='http://rail.ctm.ru/TD/Document'][string-length(@ctmtd:CfgName)>0][string-length(@DocumentModeID)=0][name()!='ESADOUT_TD'][name()!='ESADOUT_PIT'][not(contains($PMPDocNotCheck,concat(name(),',')))][not(contains($WHSeaDocNotCheck,concat(name(),',')))]">
				<xsl:variable name="NameNode" select="name()"/>
				<xsl:variable name="NodePath" select="concat(name(),'/',name(),'_ITEM')"/>
				<xsl:for-each select="child::*">
					<xsl:variable name="IdDoc" select="../@id"/>
					<xsl:variable name="DocType" select="../@ctmtd:CfgName"/>
					<xsl:variable name="DocPos" select="position()"/>
					<xsl:variable name="NodeMess">
						<xsl:call-template name="MessDoc">
							<xsl:with-param name="NodeName" select="$NameNode"/>
							<xsl:with-param name="PIT">
								<xsl:choose>
									<xsl:when test="$DocType='SEAPIT1.CFG.XML'  or  $DocType='seapit1.cfg.xml'">1</xsl:when>
									<xsl:otherwise>0</xsl:otherwise>
								</xsl:choose>
							</xsl:with-param>
						</xsl:call-template>
					</xsl:variable>
					<xsl:choose>
						<xsl:when test="contains($NameNode,'APPENDIX') or  contains($NameNode,'OEZ_INVENTORY') or contains($NameNode,'DesNotif') or contains($NameNode,'ED_Container') or $NameNode='CREWLIST' or $NameNode='OEZ_EXPORTPASS'">
						</xsl:when>
						<xsl:when test="contains($NameNode,'AIRAPPSTORE') and count(//GENERALDECLAIR)>0 and count(//WHDOCINVENTORY)>0">
						</xsl:when>
						<xsl:when test="contains($NameNode,'ESADOUT_PIT')">
							<xsl:variable name="Cdoc" select="count(//Package/child::*[name()!='ESADOUT_PIT' and name()!='DesNotif_PIResult' and name()!='ESADOUT_TD'])"/>
							<xsl:if  test="$Cdoc=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'В пакете отсутствуют документы для отправки в архив.'"/>
									<xsl:with-param name="DocId" select="@id"/>
									<xsl:with-param name="TypeDoc" select="../@ctmtd:CfgName"/>
									<xsl:with-param name="PosPkg" select="position()"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:when>
						<xsl:when test="contains($NameNode,'OEZ_INVENTORY')">
							<xsl:variable name="InvDocCode-00000" select="InventDocument/INVENTDOCUMENT_ITEM/InvDocCode[ string() = '00000' ]"/>
							<xsl:variable name="position-of-INVENTDOCUMENT_ITEM" select="1 + count($InvDocCode-00000/ancestor::INVENTDOCUMENT_ITEM/preceding-sibling::INVENTDOCUMENT_ITEM)"/>
							<xsl:if test="count($InvDocCode-00000)">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'В документе Опись документов ОЭЗ вместо кода документа 00000 для ТТН необходимо использовать код 02099.'"/>
									<xsl:with-param name="DocId" select="@id"/>
									<xsl:with-param name="TypeDoc" select="../@ctmtd:CfgName"/>
									<xsl:with-param name="PosPkg" select="position()"/>
									<xsl:with-param name="PathErr" select="concat($NodePath, '/InventDocument/INVENTDOCUMENT_ITEM[', $position-of-INVENTDOCUMENT_ITEM, ']/InvDocCode')"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:when>
						<xsl:when test="contains($NameNode,'PMP_INVENTORY')">
								<xsl:if test="string-length(DocSig_Name)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит Опись ПДС с не заполненными Сведениями о лице, подающем документ(ы): Наименование  '"/>
									<xsl:with-param name="DocId" select="../@id"/>
									<xsl:with-param name="TypeDoc" select="../@ctmtd:CfgName"/>
									<xsl:with-param name="PathErr" select="'PMP_INVENTORY/PMP_INVENTORY_ITEM/DocSig_Name'"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(UsedDate)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит Опись ПДС с не заполненным полем Дата предоставления описи.'"/>
									<xsl:with-param name="DocId" select="$IdDoc"/>
									<xsl:with-param name="PathErr" select="'PMP_INVENTORY/PMP_INVENTORY_ITEM/UsedDate'"/>
									<xsl:with-param name="TypeDoc" select="$DocType"/>
									<xsl:with-param name="PosPkg" select="$DocPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(DocSig_PersonSurname)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит Опись ПДС с не заполненным полем Сведения о лице, составившем опись: Фамилия.'"/>
									<xsl:with-param name="DocId" select="$IdDoc"/>
									<xsl:with-param name="PathErr" select="'PMP_INVENTORY/PMP_INVENTORY_ITEM/DocSig_PersonSurname'"/>
									<xsl:with-param name="TypeDoc" select="$DocType"/>
									<xsl:with-param name="PosPkg" select="$DocPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(DocSig_PersonName)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит Опись ПДС с не заполненным полем Сведения о лице, составившем опись: Имя.'"/>
									<xsl:with-param name="DocId" select="$IdDoc"/>
									<xsl:with-param name="PathErr" select="'PMP_INVENTORY/PMP_INVENTORY_ITEM/DocSig_PersonName'"/>
									<xsl:with-param name="TypeDoc" select="$DocType"/>
									<xsl:with-param name="PosPkg" select="$DocPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:when>
						<xsl:when test="contains($NameNode,'EDTRANSIT_INVENTORY')">
							<xsl:variable name="CustomCode" select="Code"/>
							<xsl:if test="string-length(Code)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'В документе Опись документов для транзитной декларации  не указан код таможенного поста.'"/>
									<xsl:with-param name="DocId" select="@id"/>
									<xsl:with-param name="TypeDoc" select="../@ctmtd:CfgName"/>
									<xsl:with-param name="PosPkg" select="position()"/>
									<xsl:with-param name="PathErr" select="'EDTRANSIT_INVENTORY/EDTRANSIT_INVENTORY_ITEM/Code'"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="$CustomCode!='10700001' and ((string-length($CustomCode)>3 and substring($CustomCode,string-length($CustomCode)-2,3)!='000')  or $CustomCode='00000000')">
								<xsl:variable name="CustName" select="document('../../../NSI/TranspNSIXml.xml')//Customs_ITEM[Code=$CustomCode]/Name"/>
								<xsl:if test="string-length($CustName)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'В документе Опись документов для транзитной декларации указан не существующий код таможенного поста.'"/>
										<xsl:with-param name="DocId" select="@id"/>
										<xsl:with-param name="TypeDoc" select="../@ctmtd:CfgName"/>
										<xsl:with-param name="PosPkg" select="position()"/>
										<xsl:with-param name="PathErr" select="'EDTRANSIT_INVENTORY/EDTRANSIT_INVENTORY_ITEM/Code'"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:if>
							<xsl:if test="string-length(DocSig_Name)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'В документе Опись документов для транзитной декларации  не заполнена графа Декларант или представитель: Наименование.'"/>
									<xsl:with-param name="DocId" select="@id"/>
									<xsl:with-param name="TypeDoc" select="../@ctmtd:CfgName"/>
									<xsl:with-param name="PosPkg" select="position()"/>
									<xsl:with-param name="PathErr" select="'EDTRANSIT_INVENTORY/EDTRANSIT_INVENTORY_ITEM/DocSig_Name'"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:when>
						<xsl:when test="contains($NameNode,'DO1') and count(EDTRANSIT_INVENTORY)>0">
							<xsl:variable name="CustomCode" select="Code"/>
							<xsl:if test="$CustomCode!='10700001' and ((string-length($CustomCode)>3 and substring($CustomCode,string-length($CustomCode)-2,3)!='000')  or $CustomCode='00000000')">
								<xsl:variable name="CustName" select="document('../../../NSI/TranspNSIXml.xml')//Customs_ITEM[Code=$CustomCode]/Name"/>
								<xsl:if test="string-length($CustName)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="concat('Пакет содержит',$NodeMess,', в котором указан не существующий код таможенного поста.')"/>
										<xsl:with-param name="DocId" select="$IdDoc"/>
										<xsl:with-param name="TypeDoc" select="$DocType"/>
										<xsl:with-param name="PosPkg" select="$DocPos"/>
										<xsl:with-param name="PathErr" select="concat($NodePath,'/CustomCode')"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:if>
							<xsl:if test="string-length(CustomsRegDate)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat('Пакет содержит',$NodeMess,' без даты регистрации документа.')"/>
									<xsl:with-param name="DocId" select="$IdDoc"/>
									<xsl:with-param name="PathErr" select="concat($NodePath,'/CustomsRegDate')"/>
									<xsl:with-param name="TypeDoc" select="$DocType"/>
									<xsl:with-param name="PosPkg" select="$DocPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(CustomsRegGNumber)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat('Пакет содержит',$NodeMess,' без номера регистрации документа.')"/>
									<xsl:with-param name="DocId" select="$IdDoc"/>
									<xsl:with-param name="PathErr" select="concat($NodePath,'/CustomsRegGNumber')"/>
									<xsl:with-param name="TypeDoc" select="$DocType"/>
									<xsl:with-param name="PosPkg" select="$DocPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(CustomsRegOtherWHPlaceKind)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat('Пакет содержит',$NodeMess,' без Цифровой признак места ВХ.')"/>
									<xsl:with-param name="DocId" select="$IdDoc"/>
									<xsl:with-param name="PathErr" select="concat($NodePath,'/CustomsRegOtherWHPlaceKind')"/>
									<xsl:with-param name="TypeDoc" select="$DocType"/>
									<xsl:with-param name="PosPkg" select="$DocPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:when>
						<xsl:when test="contains($NameNode,'PASSPORTRF')">
							<xsl:if test="string-length(RegNum)>0">
								<xsl:variable name="ChNum">
									<xsl:choose>
										<xsl:when test="number(translate(RegNum,' ',''))!=translate(RegNum,' ','')">0</xsl:when>
										<xsl:when test="string-length(translate(RegNum,' ',''))!=10">0</xsl:when>
										<xsl:when test="string-length(substring-before(RegNum,' '))!=4 and string-length(substring-after(RegNum,' '))!=6">0</xsl:when>
										<xsl:otherwise>1</xsl:otherwise>
									</xsl:choose>
								</xsl:variable>
								<xsl:if test="$ChNum=0"> 
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="concat('Пакет содержит',$NodeMess,' неправильно заполненным номером.')"/>
										<xsl:with-param name="DocId" select="$IdDoc"/>
										<xsl:with-param name="PathErr" select="concat($NodePath,'/RegNum')"/>
										<xsl:with-param name="TypeDoc" select="$DocType"/>
										<xsl:with-param name="PosPkg" select="$DocPos"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:if>	
						</xsl:when>
						<xsl:when test="contains($NameNode,'OEZ_IMPORTEXPORTNOTIF')">
							<xsl:if test="count(//RWB/RWB_ITEM)>0 and count(//INVOICE/INVOICE_ITEM)=0 and (count(//RWB/RWB_ITEM/RWBGoods/RWBGOODS_ITEM[string-length(GoodsDescription)>0])=0 and count(//RWB/RWB_ITEM/RWBGoods_dop11/RWBGOODS_DOP11_ITEM[string-length(GoodsDescription)>0])=0 and count(//RWB/RWB_ITEM/RWBGoods_Auto/RWBGOODS_AUTO_ITEM[string-length(GoodsDescription)>0])=0)">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит накладную с не заполненными данными о товарной партии или в пакете отсутствует Инвойс.Отправка пакета не возможна'"/>
									<xsl:with-param name="DocId" select="../@id"/>
									<xsl:with-param name="TypeDoc" select="../@ctmtd:CfgName"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:when>
						<xsl:when test="contains($NameNode,'WHDOCINVENTORY')">
							<xsl:if test="string-length(InventoryInstanceDate)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит Опись СВХ с не заполненным полем Дата предоставления описи.'"/>
									<xsl:with-param name="DocId" select="$IdDoc"/>
									<xsl:with-param name="PathErr" select="'WHDOCINVENTORY/WHDOCINVENTORY_ITEM/InventoryInstanceDate'"/>
									<xsl:with-param name="TypeDoc" select="$DocType"/>
									<xsl:with-param name="PosPkg" select="$DocPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:choose>
								<xsl:when test="Sender='1'">
									<xsl:if test="string-length(Carrier_CountryCode)=0">
										<xsl:call-template name="ErrorNode">
											<xsl:with-param name="MessErr" select="'Пакет содержит Опись СВХ с не заполненным полем Перевозчик: буквенный код страны.'"/>
											<xsl:with-param name="DocId" select="$IdDoc"/>
											<xsl:with-param name="PathErr" select="'WHDOCINVENTORY/WHDOCINVENTORY_ITEM/Carrier_CountryCode'"/>
											<xsl:with-param name="TypeDoc" select="$DocType"/>
											<xsl:with-param name="PosPkg" select="$DocPos"/>
										</xsl:call-template>
									</xsl:if>
									<xsl:if test="string-length(Carrier_Name)=0">
										<xsl:call-template name="ErrorNode">
											<xsl:with-param name="MessErr" select="'Пакет содержит Опись СВХ с не заполненным полем Перевозчик: наименование.'"/>
											<xsl:with-param name="DocId" select="$IdDoc"/>
											<xsl:with-param name="PathErr" select="'WHDOCINVENTORY/WHDOCINVENTORY_ITEM/Carrier_Name'"/>
											<xsl:with-param name="TypeDoc" select="$DocType"/>
											<xsl:with-param name="PosPkg" select="$DocPos"/>
											<xsl:with-param name="Category" select="'WARNING'"/>
										</xsl:call-template>
									</xsl:if>
									<xsl:if test="(string-length(Carrier_Driver_PersonSurname)=0 and string-length(Carrier_Driver_PersonName)>0)">
										<xsl:call-template name="ErrorNode">
											<xsl:with-param name="MessErr" select="'Пакет содержит Опись СВХ с не заполненным полем Перевозчик: Фамилия водителя.'"/>
											<xsl:with-param name="DocId" select="$IdDoc"/>
											<xsl:with-param name="PathErr" select="'WHDOCINVENTORY/WHDOCINVENTORY_ITEM/Carrier_Driver_PersonSurname'"/>
											<xsl:with-param name="TypeDoc" select="$DocType"/>
											<xsl:with-param name="PosPkg" select="$DocPos"/>
										</xsl:call-template>
									</xsl:if>
									<xsl:if test="(string-length(Carrier_Driver_PersonSurname)>0 and string-length(Carrier_Driver_PersonName)=0)">
										<xsl:call-template name="ErrorNode">
											<xsl:with-param name="MessErr" select="'Пакет содержит Опись СВХ с не заполненным полем Перевозчик: Имя водителя.'"/>
											<xsl:with-param name="DocId" select="$IdDoc"/>
											<xsl:with-param name="PathErr" select="'WHDOCINVENTORY/WHDOCINVENTORY_ITEM/Carrier_Driver_PersonName'"/>
											<xsl:with-param name="TypeDoc" select="$DocType"/>
											<xsl:with-param name="PosPkg" select="$DocPos"/>
										</xsl:call-template>
									</xsl:if>
								</xsl:when>
								<xsl:when test="Sender='0'">
									<xsl:if test="string-length(Sender_Customs_Code)=0">
										<xsl:call-template name="ErrorNode">
											<xsl:with-param name="MessErr" select="'Пакет содержит Опись СВХ с не заполненным полем Отправитель:Код таможенного органа.'"/>
											<xsl:with-param name="DocId" select="$IdDoc"/>
											<xsl:with-param name="PathErr" select="'WHDOCINVENTORY/WHDOCINVENTORY_ITEM/Sender_Customs_Code'"/>
											<xsl:with-param name="TypeDoc" select="$DocType"/>
											<xsl:with-param name="PosPkg" select="$DocPos"/>
										</xsl:call-template>
									</xsl:if>
									<xsl:if test="(string-length(Sender_Customs_PersonSurname)>0 or string-length(Sender_Customs_PersonName)>0) and string-length(Sender_Customs_LNP)=0">
										<xsl:call-template name="ErrorNode">
											<xsl:with-param name="MessErr" select="'Пакет содержит Опись СВХ с не заполненным полем Отправитель:Должностное лицо таможенного органа ЛНП.'"/>
											<xsl:with-param name="DocId" select="$IdDoc"/>
											<xsl:with-param name="PathErr" select="'WHDOCINVENTORY/WHDOCINVENTORY_ITEM/Sender_Customs_LNP'"/>
											<xsl:with-param name="TypeDoc" select="$DocType"/>
											<xsl:with-param name="PosPkg" select="$DocPos"/>
										</xsl:call-template>
									</xsl:if>
									<xsl:if test="string-length(Sender_Customs_PersonSurname)=0 and (string-length(Sender_Customs_PersonName)>0 or string-length(Sender_Customs_LNP)>0)">
										<xsl:call-template name="ErrorNode">
											<xsl:with-param name="MessErr" select="'Пакет содержит Опись СВХ с не заполненным полем Отправитель:Должностное лицо таможенного органа Фамилия.'"/>
											<xsl:with-param name="DocId" select="$IdDoc"/>
											<xsl:with-param name="PathErr" select="'WHDOCINVENTORY/WHDOCINVENTORY_ITEM/Sender_Customs_PersonSurname'"/>
											<xsl:with-param name="TypeDoc" select="$DocType"/>
											<xsl:with-param name="PosPkg" select="$DocPos"/>
										</xsl:call-template>
									</xsl:if>
									<xsl:if test="string-length(Sender_Customs_PersonName)=0 and (string-length(Sender_Customs_PersonSurname)>0 or string-length(Sender_Customs_LNP)>0)">
										<xsl:call-template name="ErrorNode">
											<xsl:with-param name="MessErr" select="'Пакет содержит Опись СВХ с не заполненным полем Отправитель:Должностное лицо таможенного органа Имя.'"/>
											<xsl:with-param name="DocId" select="$IdDoc"/>
											<xsl:with-param name="PathErr" select="'WHDOCINVENTORY/WHDOCINVENTORY_ITEM/Sender_Customs_PersonName'"/>
											<xsl:with-param name="TypeDoc" select="$DocType"/>
											<xsl:with-param name="PosPkg" select="$DocPos"/>
										</xsl:call-template>
									</xsl:if>
								</xsl:when>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="Receiver='1'">
									<xsl:if test="string-length(SVH_DocumentNumber)=0">
										<xsl:call-template name="ErrorNode">
											<xsl:with-param name="MessErr" select="'Пакет содержит Опись СВХ с не заполненным полем СВХ: Номер документа.'"/>
											<xsl:with-param name="DocId" select="$IdDoc"/>
											<xsl:with-param name="PathErr" select="'WHDOCINVENTORY/WHDOCINVENTORY_ITEM/SVH_DocumentNumber'"/>
											<xsl:with-param name="TypeDoc" select="$DocType"/>
											<xsl:with-param name="PosPkg" select="$DocPos"/>
										</xsl:call-template>
									</xsl:if>
								</xsl:when>
								<xsl:when test="Receiver='0'">
									<xsl:if test="string-length(Receiver_Customs_Code)=0">
										<xsl:call-template name="ErrorNode">
											<xsl:with-param name="MessErr" select="'Пакет содержит Опись СВХ с не заполненным полем Получатель:Код таможенного органа.'"/>
											<xsl:with-param name="DocId" select="$IdDoc"/>
											<xsl:with-param name="PathErr" select="'WHDOCINVENTORY/WHDOCINVENTORY_ITEM/Receiver_Customs_Code'"/>
											<xsl:with-param name="TypeDoc" select="$DocType"/>
											<xsl:with-param name="PosPkg" select="$DocPos"/>
										</xsl:call-template>
									</xsl:if>
									<xsl:if test="(string-length(Receiver_Customs_PersonSurname)>0 or string-length(Receiver_Customs_PersonName)>0) and string-length(Receiver_Customs_LNP)=0">
										<xsl:call-template name="ErrorNode">
											<xsl:with-param name="MessErr" select="'Пакет содержит Опись СВХ с не заполненным полем Отправитель:Должностное лицо таможенного органа ЛНП.'"/>
											<xsl:with-param name="DocId" select="$IdDoc"/>
											<xsl:with-param name="PathErr" select="'WHDOCINVENTORY/WHDOCINVENTORY_ITEM/Receiver_Customs_LNP'"/>
											<xsl:with-param name="TypeDoc" select="$DocType"/>
											<xsl:with-param name="PosPkg" select="$DocPos"/>
										</xsl:call-template>
									</xsl:if>
									<xsl:if test="string-length(Receiver_Customs_PersonSurname)=0 and (string-length(Receiver_Customs_PersonName)>0 or string-length(Receiver_Customs_LNP)>0)">
										<xsl:call-template name="ErrorNode">
											<xsl:with-param name="MessErr" select="'Пакет содержит Опись СВХ с не заполненным полем Отправитель:Должностное лицо таможенного органа Фамилия.'"/>
											<xsl:with-param name="DocId" select="$IdDoc"/>
											<xsl:with-param name="PathErr" select="'WHDOCINVENTORY/WHDOCINVENTORY_ITEM/Receiver_Customs_PersonSurname'"/>
											<xsl:with-param name="TypeDoc" select="$DocType"/>
											<xsl:with-param name="PosPkg" select="$DocPos"/>
										</xsl:call-template>
									</xsl:if>
									<xsl:if test="string-length(Receiver_Customs_PersonName)=0 and (string-length(Receiver_Customs_PersonSurname)>0 or string-length(Receiver_Customs_LNP)>0)">
										<xsl:call-template name="ErrorNode">
											<xsl:with-param name="MessErr" select="'Пакет содержит Опись СВХ с не заполненным полем Отправитель:Должностное лицо таможенного органа Имя.'"/>
											<xsl:with-param name="DocId" select="$IdDoc"/>
											<xsl:with-param name="PathErr" select="'WHDOCINVENTORY/WHDOCINVENTORY_ITEM/Receiver_Customs_PersonName'"/>
											<xsl:with-param name="TypeDoc" select="$DocType"/>
											<xsl:with-param name="PosPkg" select="$DocPos"/>
										</xsl:call-template>
									</xsl:if>
								</xsl:when>
							</xsl:choose>
						</xsl:when>
						<xsl:when test="$NameNode='TIR'">
							<xsl:if test="string-length(TIRSeries)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит TIR с не заполненным полем Серия книжки МДП .'"/>
									<xsl:with-param name="DocId" select="$IdDoc"/>
									<xsl:with-param name="PathErr" select="'TIR/TIR_ITEM/TIRSeries'"/>
									<xsl:with-param name="TypeDoc" select="$DocType"/>
									<xsl:with-param name="PosPkg" select="$DocPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(TIRID)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит TIR с не заполненным полем Номер книжки МДП.'"/>
									<xsl:with-param name="DocId" select="$IdDoc"/>
									<xsl:with-param name="PathErr" select="'TIR/TIR_ITEM/TIRID'"/>
									<xsl:with-param name="TypeDoc" select="$DocType"/>
									<xsl:with-param name="PosPkg" select="$DocPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:when>
						<xsl:when test="$NameNode='FREEBINARYDOC'">
							<xsl:if test="(string-length(DocName)>0 or string-length(RegNum)>0 or string-length(RegDate)>0) and string-length(FileData)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит Графический документ, в котором поле с файлом пустое.'"/>
									<xsl:with-param name="DocId" select="$IdDoc"/>
									<xsl:with-param name="PathErr" select="'FREEBINARYDOC/FREEBINARYDOC_ITEM/FileData'"/>
									<xsl:with-param name="TypeDoc" select="$DocType"/>
									<xsl:with-param name="PosPkg" select="$DocPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:when>
						<xsl:when test="$NameNode='AIRPOSTALMANIFEST'">
							<xsl:if test="string-length(ManifestDate)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит документ Почтовый манифест для воздушного транспорта с не заполненным полем Дата составления манифеста.'"/>
									<xsl:with-param name="DocId" select="$IdDoc"/>
									<xsl:with-param name="PathErr" select="'AIRPOSTALMANIFEST/AIRPOSTALMANIFEST_ITEM/ManifestDate'"/>
									<xsl:with-param name="TypeDoc" select="$DocType"/>
									<xsl:with-param name="PosPkg" select="$DocPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(SerialNumber)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит документ Почтовый манифест для воздушного транспорта с не заполненным полем Номер серии.'"/>
									<xsl:with-param name="DocId" select="$IdDoc"/>
									<xsl:with-param name="PathErr" select="'AIRPOSTALMANIFEST/AIRPOSTALMANIFEST_ITEM/SerialNumber'"/>
									<xsl:with-param name="TypeDoc" select="$DocType"/>
									<xsl:with-param name="PosPkg" select="$DocPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:when>
						<xsl:when test="contains($NameNode,'ARRSEADECL') and count(//PMP_INVENTORY_ITEM)=0">
							<xsl:for-each select="ARRSEADECLGoods/ARRSEADECLGOODS_ITEM">
								<xsl:if test="string-length(ConosamentNum)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит документ Декларацию о приходе/отходе судна с коносаментом, у котрого не заполнен Номер документа.'"/>
										<xsl:with-param name="DocId" select="$IdDoc"/>
										<xsl:with-param name="PathErr" select="concat($NodePath,'/ARRSEADECLGoods/ARRSEADECLGOODS_ITEM[',position(),']/ConosamentNum')"/>
										<xsl:with-param name="TypeDoc" select="$DocType"/>
										<xsl:with-param name="PosPkg" select="$DocPos"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:for-each>
						</xsl:when>
						<xsl:when test="count(//WHDOCINVENTORY_ITEM)=0 and count(//PMP_INVENTORY_ITEM)=0 and ($NameNode='APPSTORE' or $NameNode='AIRAPPSTORE' or $NameNode='CARGOMANIFEST'  or $NameNode='PROHIBITEDGOODS' or $NameNode='GENERALDECLAIR')">
							<xsl:if test="$NameNode='GENERALDECLAIR'">
								<xsl:variable name="CustomCode" select="CustomCode"/>
								<xsl:if test="string-length($CustomCode)>3 and substring($CustomCode,string-length($CustomCode)-2,3)='000' and $CustomCode!='00000000'">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Получателем пакета документов может быть только таможенный пост. В генеральной декларации указан код таможни.'"/>
										<xsl:with-param name="DocId" select="$IdDoc"/>
										<xsl:with-param name="PathErr" select="'GENERALDECLAIR/GENERALDECLAIR_ITEM/CustomCode'"/>
										<xsl:with-param name="TypeDoc" select="$DocType"/>
										<xsl:with-param name="PosPkg" select="$DocPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="$CustomCode!='10700001' and ((string-length($CustomCode)>3 and substring($CustomCode,string-length($CustomCode)-2,3)!='000')  or $CustomCode='00000000')">
									<xsl:variable name="CustName" select="document('NSI/TranspNSIXml.xml')//Customs_ITEM[Code=$CustomCode]/Name"/>
									<xsl:if test="string-length($CustName)=0">
										<xsl:call-template name="ErrorNode">
											<xsl:with-param name="MessErr" select="'В генеральной декларации указан не существующий код таможенного поста.'"/>
											<xsl:with-param name="DocId" select="$IdDoc"/>
											<xsl:with-param name="PathErr" select="'GENERALDECLAIR/GENERALDECLAIR_ITEM/CustomCode'"/>
											<xsl:with-param name="TypeDoc" select="$DocType"/>
											<xsl:with-param name="PosPkg" select="$DocPos"/>
										</xsl:call-template>
									</xsl:if>
								</xsl:if>
							</xsl:if>
							<xsl:call-template name="CheckNumDate">
								<xsl:with-param name="NodeMess" select="$NodeMess"/>
								<xsl:with-param name="IdDoc" select="$IdDoc"/>
								<xsl:with-param name="NodePath" select="$NodePath"/>
								<xsl:with-param name="DocType" select="$DocType"/>
								<xsl:with-param name="DocPos" select="$DocPos"/>
							</xsl:call-template>
						</xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="CheckNumDate">
								<xsl:with-param name="NodeMess" select="$NodeMess"/>
								<xsl:with-param name="IdDoc" select="$IdDoc"/>
								<xsl:with-param name="NodePath" select="$NodePath"/>
								<xsl:with-param name="DocType" select="$DocType"/>
								<xsl:with-param name="DocPos" select="$DocPos"/>
								<xsl:with-param name="DatN">
									<xsl:choose>
										<xsl:when test="$NameNode='SERTIFCNF' or $NameNode='SANSERTIF' or $NameNode='SANSERTIF'">1</xsl:when>
										<xsl:when test="$NameNode='SERTIFST1' or $NameNode='SERTIFST2'">0</xsl:when>
									</xsl:choose>
								</xsl:with-param>
							</xsl:call-template>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:for-each>
			</xsl:for-each>
			<xsl:for-each select="$PathWhOez">
				<xsl:variable name="PosD" select="position()"/>
				<xsl:variable name="position-of-PITGoods" select="../../GoodsNumeric"/>
				<xsl:variable name="position-of-PITDoc" select="count(preceding-sibling::*[name()='ENCLOSEDDOCUMENT_ITEM'])+1"/>

				<xsl:variable name="PitF">
					<xsl:choose>
						<xsl:when test="string-length($PathWhOezErr)>0">1</xsl:when>
						<xsl:otherwise>0</xsl:otherwise>
					</xsl:choose>
				</xsl:variable> 
				<xsl:variable name="IdDoc">
					<xsl:choose>
						<xsl:when test="string-length($PathWhOezErr)>0">
							<xsl:value-of select="../../../@id"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="../../../../../@id"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable> 
				<xsl:variable name="TypeDoc">
					<xsl:choose>
						<xsl:when test="string-length($PathWhOezErr)>0">
							<xsl:value-of select="../../../@ctmtd:CfgName"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="../../../../../@ctmtd:CfgName"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable> 
				<xsl:variable name="NamInvent">
					<xsl:choose>
						<xsl:when test="string-length($PathWhOezErr)>0">
							<xsl:value-of select="'Опись '"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="'ПИТ '"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable> 
				<xsl:variable name="DocCode">
					<xsl:choose>
						<xsl:when test="string-length($PathWhOezErr)>0">
							<xsl:value-of select="InvDocCode"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="ModeCode"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:variable name="NumDatDo1">
					<xsl:choose>
						<xsl:when test="string-length($PathWhOezErr)>0">
							<xsl:variable name="D1" select="substring(InvDocNumber,17)"/>
							<xsl:choose>
								<xsl:when test="contains($D1,'/')">
									<xsl:value-of select="concat(InvDocNumber,substring(InvDocDate,1,10))"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:choose>
										<xsl:when test="string-length(InvDocDate)>0">
											<xsl:value-of select="concat(InvDocNumber,'/',substring(InvDocDate,1,10))"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="InvDocNumber"/>
										</xsl:otherwise>
									</xsl:choose>	
								</xsl:otherwise>
							</xsl:choose>
						</xsl:when>
						<xsl:otherwise>
							<xsl:variable name="D2" select="substring(DocumentNumber,17)"/>
							<xsl:choose>
								<xsl:when test="contains($D2,'/')">
									<xsl:value-of select="concat(DocumentNumber,substring(DocumentDate,1,10))"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:choose>
										<xsl:when test="string-length(DocumentDate)>0">
											<xsl:value-of select="concat(DocumentNumber,'/',substring(DocumentDate,1,10))"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="DocumentNumber"/>
										</xsl:otherwise>
									</xsl:choose>	
								</xsl:otherwise>
							</xsl:choose>	
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable> 
				<xsl:variable name="NumDat">
					<xsl:choose>
						<xsl:when  test="$DocCode='09026'">
							<xsl:value-of select="$NumDatDo1"/>
						</xsl:when>
						<xsl:when test="string-length($PathWhOezErr)>0">
							<xsl:value-of select="concat(InvDocNumber,substring(InvDocDate,1,10))"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="concat(DocumentNumber,substring(DocumentDate,1,10))"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable> 
				<xsl:variable name="NumDoc">
					<xsl:choose>
						<xsl:when test="string-length($PathWhOezErr)>0">
							<xsl:value-of select="InvDocNumber"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="DocumentNumber"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable> 
				
				<xsl:variable name="PosWhOezErr" select="count(../../../preceding-sibling::*[@ctmtd:CfgName=$TypeDoc])+1"/>
				
				<xsl:variable name="DocNamInv">
					<xsl:choose>
						<xsl:when test="string-length($PathWhOezErr)>0">
							<xsl:value-of select="InvDocName"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="DocumentName"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:variable name="DocPathErr">
					<xsl:choose>
						<xsl:when test="string-length($PathWhOezErr)>0">
							<xsl:value-of select="concat($PathWhOezErr,'[',$PosD,']/InvDocCode')"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="concat('//ESADOUT_PIT_ITEM/ESADOUT_PITGoods/ESADOUT_PITGOODS_ITEM[',$position-of-PITGoods,']/EnclosedDocument/ENCLOSEDDOCUMENT_ITEM[',$position-of-PITDoc,']/ModeCode')"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:choose>
					<xsl:when test="string-length($DocCode)=0 and string-length($PathWhOezErr)>0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Опись содержит документ с не заполненым кодом .'"/>
							<xsl:with-param name="DocId" select="$IdDoc"/>
							<xsl:with-param name="PathErr" select="concat($PathWhOezErr,'[',$PosD,']/InvDocCode')"/>
							<xsl:with-param name="TypeDoc" select="$TypeDoc"/>
							<xsl:with-param name="PosPkg" select="$PosWhOezErr"/>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						
						<xsl:if test="string-length($DocCode)!=5 or ($DocCode!='00000' and string-length(document('../../../NSI/TranspNSIXml.xml')//DOCG44_ITEM[CODE=$DocCode]/CODE)=0)">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($NamInvent,'содержит документ с неправильно заполненным кодом докумета.')"/>
								<xsl:with-param name="DocId" select="$IdDoc"/>
								<xsl:with-param name="PathErr" select="$DocPathErr"/>
								<xsl:with-param name="TypeDoc" select="$TypeDoc"/>
								<xsl:with-param name="PosPkg" select="$PosWhOezErr"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:variable name="DocNode1">
							<xsl:choose>
								<xsl:when test="$DocCode='00000' or $DocCode='09999'">APPSTORE,AIRAPPSTORE,CUSTDECLCONTRACT,SPECIFICATION,PASSPORTRF,DOVER,TSREGSERTIF,CUSTREGSERTIF,ORDER,ORDER-NEW,FORWARD_REC,ORDER_TDG,TAXRSERTIF,EXTRFROMORDER,SERTIFGRAINQUALITY,GU12,CUSTBROKSERTIF</xsl:when>
								<xsl:when test="$DocCode='10999' or $DocCode='09034'">CUSTBROKSERTIF</xsl:when>
								<xsl:when test="$DocCode='01201'">VETERINARYCERTIFICATE</xsl:when>
								<xsl:when test="$DocCode='10999' or $DocCode='09011'">CUSTREGSERTIF</xsl:when>
								<xsl:when test="$DocCode='11003'">DOVER</xsl:when>
								<xsl:when test="$DocCode='11002'">CUSTDECLCONTRACT</xsl:when>
								<xsl:when test="$DocCode='11001'">PASSPORTRF</xsl:when>
								<xsl:when test="$DocCode='04131'">PACKINGLIST</xsl:when>
								<xsl:when test="$DocCode='02099'">TSREGSERTIF,AIRPOSTALMANIFEST,CREWLIST,GENERALDECLAIR,PROHIBITEDGOODS,CARGOMANIFEST,SHIPPINGMANIFEST,SERTIFTITLEVESSEL,SERTIFRIGHTSTATEFLAG</xsl:when>
								<xsl:when test="$DocCode='04021'">INVOICE,COMMINVOICE,SERVICEINVOICE</xsl:when>
								<xsl:when test="$DocCode='04022'">PRILINVOICE</xsl:when>
								<xsl:when test="$DocCode='04025'">PROFINVOICE</xsl:when>
								<xsl:when test="$DocCode='04999'">SPECIFIC</xsl:when>
								<xsl:when test="$DocCode='01999'">SERTIFQUARANTINE,SERTIFPRECIOUSMETAL,PHYTOSERTIF</xsl:when>
								<xsl:when test="$DocCode='06011'">SERTIFST1</xsl:when>
								<xsl:when test="$DocCode='06013'">SERTIFA</xsl:when>
								<xsl:when test="$DocCode='06017'">SERTIFST2</xsl:when>
								<xsl:when test="$DocCode='01101'">SERTIFCULTURE</xsl:when>
								<xsl:when test="$DocCode='01191'">SERTIFCNF</xsl:when>
								<xsl:when test="$DocCode='01205'">SANSERTIF</xsl:when>
								<xsl:when test="$DocCode='01206'">STATEREGSERTIF</xsl:when>
								<xsl:when test="$DocCode='01207'">PHYTOSERTIF</xsl:when>
								<xsl:when test="$DocCode='02015'">CMR</xsl:when>
								<xsl:when test="$DocCode='02013'">RWB,INTERNAL_RWB</xsl:when>
								<xsl:when test="$DocCode='02021'">WBEI</xsl:when>
								<xsl:when test="$DocCode='02024'">TIR</xsl:when>
								<xsl:when test="$DocCode='02011'">CONOSAMENT</xsl:when>
								<xsl:when test="$DocCode='02017'">AWB</xsl:when>
								<xsl:when test="$DocCode='03011'">CONTRACT</xsl:when>
								<xsl:when test="$DocCode='03012'">CONTRACTAPX</xsl:when>
								<xsl:when test="$DocCode='09023' or $DocCode='09020' or $DocCode='09021' or $DocCode='09022'">FREEBINARYDOC,</xsl:when>
								<xsl:when test="$DocCode='09026'">DO1</xsl:when>
								<xsl:when test="$DocCode='02016'">TTN</xsl:when>
							</xsl:choose>
						</xsl:variable>
						<xsl:variable name="NodeUsl">
							<xsl:choose>
								<xsl:when test="($DocCode='09013' or $DocCode='09999') and (InvDocName='Транзитная декларация' and count(//EDTRANSIT_INVENTORY)>0) or (Note='Транзитная декларация' and (count(//WHDOCINVENTORY)>0 or count(//EDTRANSIT_INVENTORY)>0))">1</xsl:when>
								<xsl:when test="$DocCode='02099' and count(//GENERALDECL/GENERALDECL_ITEM)>0 and InvDocNumber=//GENERALDECL/GENERALDECL_ITEM/IMO">1</xsl:when>
								<xsl:when test="$DocCode='01191' and count(//SERTIFCNF/SERTIFCNF_ITEM[concat(RegNum,substring(BeginDate,1,10))=$NumDat])>0">1</xsl:when>
								<xsl:when test="$DocCode='01205' and count(//SANSERTIF/SANSERTIF_ITEM[concat(RegNum,substring(BeginDate,1,10))=$NumDat])>0">1</xsl:when>
								<xsl:when test="$DocCode='02099' and count(//AIRPOSTALMANIFEST/AIRPOSTALMANIFEST_ITEM[concat(SerialNumber,substring(ManifestDate,1,10))=$NumDat])>0">1</xsl:when>
								<xsl:when test="$DocCode='04999' and count(//SPECIFIC/SPECIFIC_ITEM[concat(RegNumSpecfic,substring(RegDateSpecfic,1,10))=$NumDat])>0">1</xsl:when>
								<xsl:when test="$DocCode='06011' and count(//SERTIFST1/SERTIFST1_ITEM[concat(SertifRegNum,substring(SertifInf_Date,1,10))=$NumDat])>0">1</xsl:when>
								<xsl:when test="$DocCode='06017' and count(//SERTIFST2/SERTIFST2_ITEM[concat(SertifRegNum,substring(SertifInf_Date,1,10))=$NumDat])>0">1</xsl:when>
								<xsl:when test="$DocCode='02021' and count(//WBEI/WBEI_ITEM[RegNum=$NumDoc])>0">1</xsl:when>
								<xsl:when test="$DocCode='02024' and count(//TIR/TIR_ITEM[concat(TIRSeries,TIRID)=$NumDoc])>0">1</xsl:when>
								<xsl:when test="$DocCode='09026' and count(//DO1_ITEM[concat(CustomsCode,'/',substring(CustomsRegDate,9,2),substring(CustomsRegDate,6,2),substring(CustomsRegDate,3,2),'/',CustomsRegGNumber,'/',CustomsRegOtherWHPlaceKind,substring(CustomsRegDate,1,10))=$NumDat])>0">1</xsl:when>
								<xsl:otherwise>
									<xsl:call-template name="ChDocNode">
										<xsl:with-param name="DocNam" select="$DocNode1"/>
										<xsl:with-param name="NumDat" select="$NumDat"/>
										<xsl:with-param name="PitF" select="$PitF"/>
									</xsl:call-template>
								</xsl:otherwise>										
							</xsl:choose>	
						</xsl:variable>
						<xsl:if test="$NodeUsl=0"><!-- and string-length($PathWhOezErr)>0-->
							<xsl:variable name="ConosArr">
								<xsl:choose>
									<xsl:when test="$DocCode='02011' and count(//ARRSEADECL/ARRSEADECL_ITEM)=0 and count(//EDTRANSIT_INVENTORY)=0">0</xsl:when>
									<xsl:when test="$DocCode='02011' and count(//ARRSEADECL/ARRSEADECL_ITEM)>0">
										<xsl:value-of select="count(//ARRSEADECLGoods/ARRSEADECLGOODS_ITEM[concat(ConosamentNum,substring(ConosamentDate,1,10))=$NumDat])"/>
									</xsl:when>
									<xsl:when test="count(//ANYDOC/ANYDOC_ITEM[concat(RegNum,substring(RegDate,1,10))=$NumDat])>0">1</xsl:when>
									<xsl:otherwise>0</xsl:otherwise>
								</xsl:choose>
							</xsl:variable>
							<xsl:if test="$ConosArr=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr">
										<xsl:choose>
											<xsl:when test="count(//TTN/TTN_ITEM[concat(RegNum,substring(RegDate,1,10))=$NumDat])>0 and $DocCode!='02016'">
												<xsl:value-of select="concat($NamInvent,'содержит ТН с неправильным кодом - д.б. 02016.')"/>
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of select="concat($NamInvent,'содержит опечатку в номере, дате или коде представленного документа, или такой документ отсутствует в пакете.')"/>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:with-param>
									<xsl:with-param name="DocId" select="$IdDoc"/>
									<xsl:with-param name="PathErr" select="$DocPathErr"/>
									<xsl:with-param name="TypeDoc" select="$TypeDoc"/>
									<xsl:with-param name="PosPkg" select="$PosWhOezErr"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:if>
						<xsl:if test="string-length($DocNamInv)=0 and not(contains($PathWhOezErr,'WHDOCINVENTORY'))">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($NamInvent,' содержит документ с не заполненным полем Наименование документа.')"/>
								<xsl:with-param name="DocId" select="$IdDoc"/>
								<xsl:with-param name="PathErr">
								<xsl:choose>
									<xsl:when test="string-length($PathWhOezErr)>0">
										<xsl:value-of select="concat($PathWhOezErr,'[',$PosD,']/InvDocName')"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="concat('//ESADOUT_PIT_ITEM/ESADOUT_PITGoods/ESADOUT_PITGOODS_ITEM[',$position-of-PITGoods,']/EnclosedDocument/ENCLOSEDDOCUMENT_ITEM[',$PosD,']/DocumentName')"/>
									</xsl:otherwise>
									</xsl:choose>
								</xsl:with-param>
								<xsl:with-param name="TypeDoc" select="$TypeDoc"/>
								<xsl:with-param name="PosPkg" select="$PosWhOezErr"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(InvDocName)=0 and string-length(Note)=0 and contains($PathWhOezErr,'WHDOCINVENTORY')">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Опись содержит документ с не заполненным полем Наименование документа.'"/>
								<xsl:with-param name="DocId" select="$IdDoc"/>
								<xsl:with-param name="PathErr" select="concat($PathWhOezErr,'[',$PosD,']/Note')"/>
								<xsl:with-param name="TypeDoc" select="$TypeDoc"/>
								<xsl:with-param name="PosPkg" select="$PosWhOezErr"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
		</ResultInformation>
	</xsl:template>
	<xsl:template name="ChDocNode">
		<xsl:param name="DocNam"/>
		<xsl:param name="NumDat"/>
		<xsl:param name="PitF"/>
		<xsl:variable name="NodeN">
			<xsl:choose>
				<xsl:when test="contains($DocNam,',')">
					<xsl:value-of select="substring-before($DocNam,',')"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$DocNam"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="string-length($NodeN)>0">
				<xsl:variable name="CDoc" select="count(//*[name()=$NodeN]/*[name()=concat($NodeN,'_ITEM')][concat(RegNum,substring(RegDate,1,10))=$NumDat])"/>
				<xsl:variable name="AllCDoc" select="count(//*[name()=$NodeN]/*[name()=concat($NodeN,'_ITEM')])"/>
				<xsl:variable name="LNodeN" select="substring-after($DocNam,',')"/>
				<xsl:choose>
					<xsl:when test="$CDoc>0">1</xsl:when>
					<!--<xsl:when test="$CDoc=0 and $AllCDoc>0 and $PitF!=1">0</xsl:when>-->
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="string-length($LNodeN)>0">
								<xsl:call-template name="ChDocNode">
									<xsl:with-param name="DocNam" select="$LNodeN"/>
									<xsl:with-param name="NumDat" select="$NumDat"/>
									<xsl:with-param name="PitF" select="$PitF"/>
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<xsl:if  test="$PitF=1">0</xsl:if>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>		
			</xsl:when>
			<xsl:otherwise>	
				<xsl:if  test="$PitF=1">0</xsl:if>
			</xsl:otherwise>
		</xsl:choose>	
	</xsl:template>
</xsl:stylesheet>
