<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
	<xsl:output method="xml"/>
	<xsl:template match="/">
		<xsl:apply-templates select="//Package"/>
	</xsl:template>
	<xsl:template match="Package">
		<ResultInformation xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
			<xsl:if test="not(EDTRANSIT_DATELIMIT)">
				<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'В пакете отсутствует документ Запрос продления срока таможенного транзита. Необходимо добавить и заполнить такой документ.'"/>
				</xsl:call-template>
			</xsl:if>
			<!--<xsl:if test="count(EDTRANSIT_DATELIMIT) > 1">
				<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'В пакете должен быть всего один документ Сведения о грузовых операциях. Необходимо удалить лишние, оставить один.'"/>
				</xsl:call-template>
			</xsl:if>-->
			<xsl:for-each select="//EDTRANSIT_DATELIMIT[position()=last()]/EDTRANSIT_DATELIMIT_ITEM">
				<xsl:variable name="Id" select="../@id"/>
				<xsl:variable name="Type" select="../@ctmtd:CfgName"/>
				<xsl:variable name="Pos" select="position()"/>
				<xsl:if test="string-length(CustomsCode)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'В документе Запрос продления срока таможенного транзита не заполнен Код промежуточного таможенного органа..'"/>
						<xsl:with-param name="DocId" select="$Id"/>
						<xsl:with-param name="PathErr" select="'EDTRANSIT_DATELIMIT/EDTRANSIT_DATELIMIT_ITEM/CustomsCode'"/>
						<xsl:with-param name="TypeDoc" select="$Type"/>
						<xsl:with-param name="PosPkg" select="$Pos"/>
					</xsl:call-template>
				</xsl:if>
			</xsl:for-each>	
			<!--TODO - проверить, что заполнены все данные для сборки таможенного документа-->
		</ResultInformation>
	</xsl:template>
	<xsl:template name="ErrorNode">
		<xsl:param name="MessErr"/>
		<xsl:param name="DocId"/>
		<xsl:param name="PathErr"/>
		<xsl:param name="Category"/>
		<xsl:param name="Num"/>
		<xsl:param name="TypeDoc"/>
		<xsl:param name="PosPkg"/>
		<xsl:variable name="Cat">
			<xsl:choose>
				<xsl:when test="string-length($Category)=0">ERROR</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$Category"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<RESULTINFORMATION_ITEM xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
			<ResultDescription>
				<xsl:value-of select="$MessErr"/>
			</ResultDescription>
			<ResultIdDocument>
				<xsl:value-of select="$DocId"/>
			</ResultIdDocument>
			<ResultTypeDocument>
				<xsl:value-of select="$TypeDoc"/>
			</ResultTypeDocument>
			<ResultPosInPkgDocument>
				<xsl:value-of select="$PosPkg"/>
			</ResultPosInPkgDocument>
			<ResultPathNode>
				<xsl:value-of select="$PathErr"/>
			</ResultPathNode>
			<ResultCategory>
				<xsl:value-of select="$Cat"/>
			</ResultCategory>
			<DocumentNumber>
				<xsl:value-of select="$Num"/>
			</DocumentNumber>
		</RESULTINFORMATION_ITEM>
	</xsl:template>
</xsl:stylesheet>
