<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
	<xsl:import href="../../../COMMON/FunctionForXsl.xsl"/>
	<xsl:import href="../../../COMMON/FLKLenNodeAllDoc.xsl"/>
	<xsl:import href="../../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:import href="CANCELFLIGHT.FLK.xsl"/>
	<xsl:import href="DesNotif_PIResult.FLKSea.xsl"/>
	<xsl:param name="ConosamentFromArrSeaDcl"/>
	<xsl:param name="Rapala"/>
	<xsl:param name="FLK"/>
	<xsl:param name="FLKPP"/>
	<xsl:param name="ForRZDPI"/>
	<xsl:output method="xml"/>
	<xsl:template name="ValidContainerNum">
		<xsl:param name="Nums"/>
		<xsl:param name="notSea"/>
		<xsl:variable name="Sing0" select="string-length($Nums)&lt;18"/>
		<xsl:variable name="Sing1" select="substring($Nums,1,4)"/>
		<xsl:variable name="Sing2" select="substring($Nums,5)"/>
		<xsl:variable name="Sing11" select="contains(translate($Sing1,'QWERTYUIOPLKJHGFDSAZXCVBNM','AAAAAAAAAAAAAAAAAAAAAAAAA'),'A')"/>
		<xsl:variable name="Sing21">
			<xsl:choose>
				<xsl:when test="number($Sing2)=$Sing2 and contains(translate($Sing2,'0123456789', '9999999999'),'9')">1</xsl:when>
				<xsl:otherwise>0</xsl:otherwise>
			</xsl:choose> 
		</xsl:variable> 
		<xsl:choose>
			<xsl:when test="$Sing0 and $Sing11 and number($Sing21)=1">
				<xsl:choose>
					<xsl:when test="$notSea=1">
						<xsl:variable name="NumSRC">
							<xsl:call-template name="ValidContainerNumSRC">
								<xsl:with-param name="Nums" select="$Nums"/>
							</xsl:call-template>
						</xsl:variable>
						<xsl:value-of select="$NumSRC"/>
					</xsl:when>
					<xsl:otherwise>1</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>0</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="ValidInnCee">
		<xsl:param name="INN"/>
		<xsl:variable name="N1" select="number(substring($INN,1,1))"/>
		<xsl:variable name="N2" select="number(substring($INN,2,1))"/>
		<xsl:variable name="N3" select="number(substring($INN,3,1))"/>
		<xsl:variable name="N4" select="number(substring($INN,4,1))"/>
		<xsl:variable name="N5" select="number(substring($INN,5,1))"/>
		<xsl:variable name="N6" select="number(substring($INN,6,1))"/>
		<xsl:variable name="N7" select="number(substring($INN,7,1))"/>
		<xsl:variable name="N8" select="number(substring($INN,8,1))"/>
		<xsl:variable name="N9" select="number(substring($INN,9,1))"/>
		<xsl:variable name="N10" select="number(substring($INN,10,1))"/>
		<xsl:variable name="N11" select="number(substring($INN,11,1))"/>
		<xsl:choose>
			<xsl:when test="number($INN)">
				<xsl:choose>
					<xsl:when test="string-length($INN)=10">
						<xsl:variable name="Nsum" select="(($N1 * 2+$N2 * 4+$N3 * 10+$N4 * 3+$N5 * 5+$N6 * 9+$N7 * 4+$N8 * 6+$N9 * 8) mod 11) mod 10"/>
						<xsl:choose>
							<xsl:when test="(number(substring($INN,10,1))=$Nsum)">0</xsl:when>
							<xsl:otherwise>1</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:when test="string-length($INN)=12">
						<xsl:variable name="Nsum1" select="($N1 * 7+$N2 * 2+$N3 * 4+$N4 * 10+$N5 * 3+$N6 * 5+$N7 * 9+$N8 * 4+$N9 * 6+$N10 * 8) mod 11"/>
						<xsl:variable name="Nsum2" select="($N1 * 3+$N2 * 7+$N3 * 2+$N4 * 4+$N5 * 10+$N6 * 3+$N7 * 5+$N8 * 9+$N9 * 4+$N10 * 6+$N11 * 8) mod 11"/>
						<xsl:variable name="K1Sum">
							<xsl:choose>
								<xsl:when test="$Nsum1 >9">
									<xsl:value-of select="$Nsum1 mod 10"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="$Nsum1"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:variable>
						<xsl:variable name="K2Sum">
							<xsl:choose>
								<xsl:when test="$Nsum2>9">
									<xsl:value-of select="$Nsum2 mod 10"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="$Nsum2"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:variable>
						<xsl:choose>
							<xsl:when test="(number(substring($INN,11,1))=number($K1Sum) and number(substring($INN,12,1))=number($K2Sum))">0</xsl:when>
							<xsl:otherwise>1</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>1</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="VagonRwFlk">
		<xsl:param name="RwbType"/>
		<xsl:param name="RwbPos"/>
		<xsl:param name="NodeRw"/>
		<xsl:param name="Pos"/>
		<xsl:param name="Flg"/>
		<xsl:if test="string-length(ContainerID)>0">
			<xsl:variable name="ValidCont">
				<xsl:call-template name="ValidContainerNum">
					<xsl:with-param name="Nums" select="ContainerID"/>
				</xsl:call-template>
			</xsl:variable>
			<xsl:if test="$ValidCont=0">
				<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с № контейнера - не соответствует формату ХХХХ9999999 либо контрольная сумма не соответствует контрольному числу'"/>
					<xsl:with-param name="DocId" select="../../../@id"/>
					<xsl:with-param name="PathErr" select="concat('RWB/RWB_ITEM/',$NodeRw,'[',$Pos,']/ContainerID')"/>
					<xsl:with-param name="TypeDoc" select="$RwbType"/>
					<xsl:with-param name="PosPkg" select="$RwbPos"/>
					<xsl:with-param name="Category" select="'WARNING'"/>
				</xsl:call-template>
			</xsl:if>
		</xsl:if>
	</xsl:template>
	<xsl:template name="ErrorNode">
		<xsl:param name="MessErr"/>
		<xsl:param name="DocId"/>
		<xsl:param name="PathErr"/>
		<xsl:param name="Category"/>
		<xsl:param name="Num"/>
		<xsl:param name="TypeDoc"/>
		<xsl:param name="PosPkg"/>
		<xsl:variable name="Cat">
			<xsl:choose>
				<xsl:when test="string-length($Category)=0">ERROR</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$Category"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<RESULTINFORMATION_ITEM xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
			<ResultDescription><xsl:copy-of select="$MessErr"/></ResultDescription>
			<ResultIdDocument><xsl:value-of select="$DocId"/></ResultIdDocument>
			<ResultTypeDocument><xsl:value-of select="$TypeDoc"/></ResultTypeDocument>
			<ResultPosInPkgDocument><xsl:value-of select="$PosPkg"/></ResultPosInPkgDocument>
			<ResultPathNode><xsl:value-of select="$PathErr"/></ResultPathNode>
			<ResultCategory><xsl:value-of select="$Cat"/></ResultCategory>
			<DocumentNumber><xsl:value-of select="$Num"/></DocumentNumber>
		</RESULTINFORMATION_ITEM>
	</xsl:template>
	<xsl:template name="UpperCaseRus">
		<xsl:param name="string"/>
		<xsl:variable name="smallcase" select="'йцукенгшщзхъёфывапролджэячсмитьбю'"/>
		<xsl:variable name="uppercase" select="'ЙЦУКЕНГШЩЗХЪЁФЫВАПРОЛДЖЭЯЧСМИТЬБЮ'"/>
		<xsl:value-of select="translate($string, $smallcase, $uppercase)"/>
	</xsl:template>
	<xsl:template match="/">
		<xsl:apply-templates select="node()"/>
	</xsl:template>
	<!-- проверка связанности док-тов в пакете-->
	<xsl:template match="Package">

		<xsl:variable name="AirPDS" select="count(GENERALDECLAIR/GENERALDECLAIR_ITEM)=0 or (count(GENERALDECLAIR/GENERALDECLAIR_ITEM)>0 and string-length(GENERALDECLAIR/GENERALDECLAIR_ITEM/HowSend)>0  and number(GENERALDECLAIR/GENERALDECLAIR_ITEM/HowSend)=1)"/>
		<xsl:variable name="SeaPDS" select="count(GENERALDECL/GENERALDECL_ITEM)=0 or (count(GENERALDECL/GENERALDECL_ITEM)>0 and string-length(GENERALDECL/GENERALDECL_ITEM/HowSend)>0  and number(GENERALDECL/GENERALDECL_ITEM/HowSend)=1)"/>
		<xsl:variable name="PITINV" select="count(ESADOUT_PIT/ESADOUT_PIT_ITEM)=0 or (count(ESADOUT_PIT/ESADOUT_PIT_ITEM)>0 and $FLKPP!=1)"/>
		<xsl:variable name="NotInvDoc" select="count(//WHDOCINVENTORY_ITEM)=0  and count(//OEZ_IMPORTEXPORTNOTIF_ITEM)=0 and count(//OEZ_INVENTORY)=0 and count(//EDTRANSIT_INVENTORY_ITEM)=0 and count(//PMP_INVENTORY_ITEM)=0 and $PITINV"/>
		
		<xsl:variable name="NotInv" select="$NotInvDoc and $SeaPDS and $AirPDS and $PITINV"/>
		<xsl:variable name="LastDocAvia" select="/Package/*[not(contains(name(),'DesNotif_PIResult'))][position()=last()]"/>
		<xsl:variable name="SeaEDContainer" select="string-length(//GENERALDECL_ITEM/CustomCode)>0"/>
		<xsl:choose>
			<xsl:when test="name($LastDocAvia)='CANCELFLIGHT'">
				<xsl:call-template name="CancleFligth"/>
			</xsl:when>
			<xsl:otherwise>
		<ResultInformation xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
			<xsl:if test="$NotInv">
				<xsl:if test="count(//CMR_ITEM)>1 and count(//TIR_ITEM)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет не может содержать более 1 автонакладной (CMR) при отсутсвии TIR. Для каждой автонакладной (CMR) должен быть создан свой пакет.'"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="count(//PITRAINRWARRIVE_ITEM)>1">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет не может содержать более 1 Уведомления о поезде (PITRAINRWARRIVE) . Для каждого Уведомления о поезде (PITRAINRWARRIVE) должен быть создан свой пакет.'"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="count(//INVOICE_ITEM)>0 and count(//TTN_ITEM)=0 and count(//CMR_ITEM)=0 and count(//INTERNAL_RWB_ITEM)=0 and count(//RWB_ITEM)=0 and count(//AWB_ITEM)=0 and count(//CONOSAMENT_ITEM)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет не содержит ни одной накладной.'"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length($ForRZDPI)>0 and count(//INVOICE_ITEM)=0 and count(//RWB_ITEM)>0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'При отправке в РЖДРИ пакет должен содержитать Инвойс или Грузовую ведомость .'"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="count(//ESADOUT_TD_ITEM)>1">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит более обного документа Транзитная декларация. Удалите лишний документ и отправьте пакет заново'"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="count(//GENERALDECL_ITEM)>1">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'В пакете на морское (речное)судно должна быть 1 Генеральная/Общая декларация.'"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="count(//GENERALDECLAIR_ITEM)>1">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'В пакете на Авиа ПДС должна быть 1 Генеральная декларация.'"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="count(//GENERALDECL_ITEM)>0  and count(//CREWLIST_ITEM)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'В пакете на морское (речное)судно отсутствует Судовая роль - обязательный документ.'"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="count(//GENERALDECL_ITEM)>0  and string-length(//GENERALDECL/GENERALDECL_ITEM/HowSend)>0 and number(//GENERALDECL/GENERALDECL_ITEM/HowSend)=1">
					<xsl:if test="count(//DEPSEADECL_ITEM)=0 and count(//ARRSEADECL_ITEM)=0 and count(//CONOSAMENT_ITEM[(../@ctmtd:CfgName)!='SEAPIT1.CFG.XML' and  (../@ctmtd:CfgName)!='seapit1.cfg.xml'])=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'В пакете на морское (речное) судно отсутствуют документы с описанием товарной партии (Декларация о грузе при приходе/отходе судна и/или Коносамент(ы))- документы обязательные при Отправке как ПИ.'"/>
						</xsl:call-template>
					</xsl:if>	
				</xsl:if>
				<!-- при проверке отправки без коносамента фтс не вернуло ошибку и зарегистрировало пакет-->
				<xsl:if test="count(//ESADOUT_TD_ITEM)=0 and (count(//GENERALDECL_ITEM)=0 and (count(//CREWLIST_ITEM)>0 or count(//ARRSEADECL_ITEM)>0 or count(//CONOSAMENT_ITEM[(../@ctmtd:CfgName)!='SEAPIT1.CFG.XML' and  (../@ctmtd:CfgName)!='seapit1.cfg.xml'])>0)  and count(//CMR_ITEM)=0  and count(//RWB_ITEM)=0 and count(//AWB_ITEM)=0)">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'В пакете на морское (речное)судно не хватает обязательных документов - Генеральная/Общая декларация отсутсвует.'"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="not($AirPDS)">
					<xsl:if test="count(//GENERALDECLAIR_ITEM)>0  and count(//CARGOMANIFEST_ITEM)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'В пакете документов на воздушное судно не хватает обязательного документа - Грузовой манифест.'"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="count(//GENERALDECLAIR_ITEM)>0  and count(//AWB_ITEM)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'В пакете документов на воздушное судно не хватает обязательного документа - Авиа накладная.'"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="count(//GENERALDECLAIR_ITEM)>0  and count(//AIRAPPSTORE_ITEM)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'В пакете документов на воздушное судно не хватает обязательного документа - Заявление на припасы.'"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="count(//GENERALDECLAIR_ITEM)=0 and count(//CARGOMANIFEST_ITEM)>0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'В пакете документов на воздушное судно не хватает обязательных документов  - Генеральная/Общая декларация отсутсвует.'"/>
						</xsl:call-template>
					</xsl:if>
				</xsl:if>
			</xsl:if>
			<xsl:if test="not($SeaPDS) and count(//GENERALDECL_ITEM)>0">
				<xsl:if  test="(count(//CONOSAMENT_ITEM)>0  or count(//ARRSEADECL_ITEM)>0) and string-length(//GENERALDECL_ITEM/Balast)>0 and number(//GENERALDECL_ITEM/Balast)=1">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'В пакете на морское (речное) судно в  ИМО декларации установлен признак Без груза и добавлены Декларация о грузе и/или Коносаменты . При таких условиях Коносаменты не будут отправлены в ФТС, а Декларация о грузе будет создана из ИМО декларации с нулевыми данными о грузе.'"/>
						<xsl:with-param name="DocId" select="GENERALDECL/@id"/>
						<xsl:with-param name="TypeDoc" select="GENERALDECL/@ctmtd:CfgName"/>
						<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/Balast'"/>
						<xsl:with-param name="Category" select="'WARNING'"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if  test="count(//FREEBINARYDOC_ITEM)>1 and $NotInvDoc">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'В пакете больше одного документа «Графические материалы». Добавьте документ «Опись для ПДС» с перечислением этих документов. Документ «Графические материалы» без описи применяется только при необходимости передачи документа «Схема размещения груза».'"/>
						<xsl:with-param name="DocId" select="FREEBINARYDOC/@id"/>
						<xsl:with-param name="TypeDoc" select="FREEBINARYDOC/@ctmtd:CfgName"/>
						<xsl:with-param name="PathErr" select="'FREEBINARYDOC/FREEBINARYDOC_ITEM/RegNum'"/>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>	
			<xsl:choose>
				<xsl:when test="count(//OEZ_IMPORTEXPORTNOTIF_ITEM)>1">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит более одного Уведомления о ввозе/вывозе (ОЭЗ).Отправка пакета не возможна'"/>
						<xsl:with-param name="DocId" select="../@id"/>
						<xsl:with-param name="TypeDoc" select="../@ctmtd:CfgName"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:when test="count(//OEZ_INVENTORY)>1">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит более одной Описи (ОЭЗ).Отправка пакета не возможна'"/>
						<xsl:with-param name="DocId" select="../@id"/>
						<xsl:with-param name="TypeDoc" select="../@ctmtd:CfgName"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="count(//RWB_ITEM)>0 and count(//INVOICE_ITEM)=0 and (count(//RWB_ITEM/RWBGoods/RWBGOODS_ITEM[string-length(GoodsDescription)>0])=0 and count(//RWB_ITEM/RWBGoods_dop11/RWBGOODS_DOP11_ITEM[string-length(GoodsDescription)>0])=0 and count(//RWB_ITEM/RWBGoods_Auto/RWBGOODS_AUTO_ITEM[string-length(GoodsDescription)>0])=0)">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит накладную с не заполненными данными о товарной партии или в пакете отсутствует Инвойс.Отправка пакета не возможна'"/>
							<xsl:with-param name="DocId" select="../@id"/>
							<xsl:with-param name="TypeDoc" select="../@ctmtd:CfgName"/>
						</xsl:call-template>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
			<!-- проверка связанности док-тов в пакете-->
			<xsl:call-template name="FlkSea">
				<xsl:with-param name="ConosamentFromArrSeaDcl" select="$ConosamentFromArrSeaDcl"/>
				<xsl:with-param name="AllFlk">
					<xsl:choose>
						<xsl:when test="$FLK=2">2</xsl:when>
						<xsl:when test="not($NotInv)">5</xsl:when>
						<xsl:when test="$FLK!=0 and $FLK!=2 and $NotInv">1</xsl:when>
						<xsl:otherwise>0</xsl:otherwise>
					</xsl:choose>
				</xsl:with-param>
			</xsl:call-template>
			
			<xsl:if test="count(//CONOSAMENT_ITEM)=0 or count(//CONOSAMENT_ITEM)&lt;300">
				<xsl:call-template name="ChNode"/>
			</xsl:if>
			
			<xsl:for-each select="//INVOICE/INVOICE_ITEM">
				<xsl:variable name="IdInv" select="../@id"/>
				<xsl:variable name="InvType" select="../@ctmtd:CfgName"/>
				<xsl:variable name="InvPos" select="position()"/>
				<xsl:if test="string-length(RegNum)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит инвойс без номера регистрации документа.'"/>
						<xsl:with-param name="DocId" select="$IdInv"/>
						<xsl:with-param name="PathErr" select="'INVOICE/INVOICE_ITEM/RegNum'"/>
						<xsl:with-param name="TypeDoc" select="$InvType"/>
						<xsl:with-param name="PosPkg" select="$InvPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(RegDate)=0 and $FLK!=1">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит инвойс без даты регистрации документа. '"/>
						<xsl:with-param name="DocId" select="$IdInv"/>
						<xsl:with-param name="PathErr" select="'INVOICE/INVOICE_ITEM/RegDate'"/>
						<xsl:with-param name="TypeDoc" select="$InvType"/>
						<xsl:with-param name="PosPkg" select="$InvPos"/>
						<xsl:with-param name="Category" select="'WARNING'"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="$NotInv">
					<xsl:variable name="RegNumDat" select="concat(RegNum,substring(RegDate,1,10),'04021')"/>
					<xsl:if  test="count(//ESADOUT_TD_ITEM)=0 or count(//ESADOUT_TDGOODS_ITEM/EnclosedDocument/ENCLOSEDDOCUMENT_ITEM[concat(DocumentNumber,substring(DocumentDate,1,10),'04021')=$RegNumDat])=0">
						<xsl:if test="(count(//CMR/CMR_ITEM)>0 and count(//CMREnclosedDocument/CMRENCLOSEDDOCUMENT_ITEM[concat(DocumentNumber,substring(DocumentDate,1,10),'04021')=$RegNumDat])=0) and count(//INVOICE/INVOICE_ITEM)>1">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит инвойс,который не указан ни в одной накладной.'"/>
								<xsl:with-param name="DocId" select="$IdInv"/>
								<xsl:with-param name="PathErr" select="'INVOICE/INVOICE_ITEM/RegNum'"/>
								<xsl:with-param name="TypeDoc" select="$InvType"/>
								<xsl:with-param name="PosPkg" select="$InvPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="(count(//RWB/RWB_ITEM)>0 and count(//RWBConsignorDocument/RWBCONSIGNORDOCUMENT_ITEM[concat(DocumentNumber,substring(DocumentDate,1,10),'04021')=$RegNumDat])=0) and count(//INVOICE/INVOICE_ITEM)>1">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит инвойс,который не указан ни в одной накладной.'"/>
								<xsl:with-param name="DocId" select="$IdInv"/>
								<xsl:with-param name="PathErr" select="'INVOICE/INVOICE_ITEM/RegNum'"/>
								<xsl:with-param name="TypeDoc" select="$InvType"/>
								<xsl:with-param name="PosPkg" select="$InvPos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:if>
				</xsl:if>
				<xsl:if test="string-length(CurrencyCode)=0 and $FLK!=1 and $Rapala!=1 and not($NotInv)">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит инвойс с не заполненным кодом валюты.'"/>
						<xsl:with-param name="DocId" select="$IdInv"/>
						<xsl:with-param name="PathErr" select="'INVOICE/INVOICE_ITEM/CurrencyCode'"/>
						<xsl:with-param name="TypeDoc" select="$InvType"/>
						<xsl:with-param name="PosPkg" select="$InvPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(Consignor_CountryCode)>0 and string-length(Consignee_CountryCode)>0 and Consignor_CountryCode=Consignee_CountryCode">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит инвойс, в котором код страны отправителя совпадает с кодом страны получателя.'"/>
						<xsl:with-param name="DocId" select="$IdInv"/>
						<xsl:with-param name="PathErr" select="'INVOICE/INVOICE_ITEM/Consignee_CountryCode'"/>
						<xsl:with-param name="TypeDoc" select="$InvType"/>
						<xsl:with-param name="PosPkg" select="$InvPos"/>
						<xsl:with-param name="Category" select="'WARNING'"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="not($NotInv) and $FLK!=1">
					<xsl:if test="string-length(Buyer_Name)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит инвойс, в котором не заполнено поле Наименование покупателя.'"/>
							<xsl:with-param name="DocId" select="$IdInv"/>
							<xsl:with-param name="PathErr" select="'INVOICE/INVOICE_ITEM/Buyer_Name'"/>
							<xsl:with-param name="TypeDoc" select="$InvType"/>
							<xsl:with-param name="PosPkg" select="$InvPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(Seler_Name)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит инвойс, в котором не заполнено поле Наименование продавца.'"/>
							<xsl:with-param name="DocId" select="$IdInv"/>
							<xsl:with-param name="PathErr" select="'INVOICE/INVOICE_ITEM/Seler_Name'"/>
							<xsl:with-param name="TypeDoc" select="$InvType"/>
							<xsl:with-param name="PosPkg" select="$InvPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(normalize-space(DispatchCountryCode))=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит инвойс с не заполненным полем  Код страны отправления '"/>
							<xsl:with-param name="DocId" select="$IdInv"/>
							<xsl:with-param name="PathErr" select="'INVOICE/INVOICE_ITEM/DispatchCountryCode'"/>
							<xsl:with-param name="TypeDoc" select="$InvType"/>
							<xsl:with-param name="PosPkg" select="$InvPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(normalize-space(DestinationCountryCode))=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит инвойс с не заполненным полем Код страны назначения '"/>
							<xsl:with-param name="DocId" select="$IdInv"/>
							<xsl:with-param name="PathErr" select="'INVOICE/INVOICE_ITEM/DestinationCountryCode'"/>
							<xsl:with-param name="TypeDoc" select="$InvType"/>
							<xsl:with-param name="PosPkg" select="$InvPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(normalize-space(TradingCountryCode))=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит инвойс с не заполненным полем Код торгующей страны '"/>
							<xsl:with-param name="DocId" select="$IdInv"/>
							<xsl:with-param name="PathErr" select="'INVOICE/INVOICE_ITEM/TradingCountryCode'"/>
							<xsl:with-param name="TypeDoc" select="$InvType"/>
							<xsl:with-param name="PosPkg" select="$InvPos"/>
						</xsl:call-template>
					</xsl:if>
				</xsl:if>
				<xsl:if test="count(Container/CONTAINER_ITEM[string-length(ContainerID)>0])>0 and count(//CONOSAMENT/CONOSAMENT_ITEM/CONOSAMENTGoods/CONOSAMENTGOODS_ITEM[string-length(ContainerNum)>0])>0 and $NotInv">
					<xsl:for-each select="Container/CONTAINER_ITEM[string-length(ContainerID)>0]">
						<xsl:variable select="ContainerID" name="ContNumInv"/>
						<xsl:if test="count(//CONOSAMENTGoods/CONOSAMENTGOODS_ITEM[ContainerNum=$ContNumInv])=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит инвойс с контейнером, который отсутствует в Коносаменте. '"/>
								<xsl:with-param name="DocId" select="$IdInv"/>
								<xsl:with-param name="PathErr" select="concat('INVOICE/INVOICE_ITEM/Container/CONTAINER_ITEM[',position,']/ContainerID')"/>
								<xsl:with-param name="TypeDoc" select="$InvType"/>
								<xsl:with-param name="PosPkg" select="$InvPos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:for-each>
				</xsl:if>
				<xsl:for-each select="INVOICEGoods/INVOICEGOODS_ITEM">
					<xsl:variable name="PosGoods" select="position()"/>
					<xsl:if test="string-length(GoodsDescription)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит инвойс с товаром, в котором не заполнено поле Наименование товара. '"/>
							<xsl:with-param name="DocId" select="$IdInv"/>
							<xsl:with-param name="PathErr" select="concat('INVOICE/INVOICE_ITEM/INVOICEGoods/INVOICEGOODS_ITEM[',$PosGoods,']/GoodsDescription')"/>
							<xsl:with-param name="TypeDoc" select="$InvType"/>
							<xsl:with-param name="PosPkg" select="$InvPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(GoodsDescription)>980">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит инвойс с товаром, в котором длина поля Наименование товара превышает допустимое значение.'"/>
							<xsl:with-param name="DocId" select="$IdInv"/>
							<xsl:with-param name="PathErr" select="concat('INVOICE/INVOICE_ITEM/INVOICEGoods/INVOICEGOODS_ITEM[',$PosGoods,']/GoodsDescription')"/>
							<xsl:with-param name="TypeDoc" select="$InvType"/>
							<xsl:with-param name="PosPkg" select="$InvPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:variable name="U0" select="normalize-space(GoodsCode)"/>
					<xsl:variable name="U2" select="string-length($U0)!=6 and string-length($U0)!=8  and string-length($U0)!=10"/>
					<xsl:if test="string-length($U0)>0 and $U2">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит инвойс с товаром, в котором не правильно заполнено поле Код ТН ВЭД (длина д.б. 6, 8,10 символов). '"/>
							<xsl:with-param name="DocId" select="$IdInv"/>
							<xsl:with-param name="PathErr" select="concat('INVOICE/INVOICE_ITEM/INVOICEGoods/INVOICEGOODS_ITEM[',$PosGoods,']/GoodsCode')"/>
							<xsl:with-param name="TypeDoc" select="$InvType"/>
							<xsl:with-param name="PosPkg" select="$InvPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="$FLK!=1 and $NotInv">
						<xsl:if test="string-length(GoodsCode)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит инвойс с товаром, в котором не заполнено поле Код ТН ВЭД. '"/>
								<xsl:with-param name="DocId" select="$IdInv"/>
								<xsl:with-param name="PathErr" select="concat('INVOICE/INVOICE_ITEM/INVOICEGoods/INVOICEGOODS_ITEM[',$PosGoods,']/GoodsCode')"/>
								<xsl:with-param name="TypeDoc" select="$InvType"/>
								<xsl:with-param name="PosPkg" select="$InvPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(PlacesCode)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит инвойс с товаром, в котором не заполнено поле Код грузового места. '"/>
								<xsl:with-param name="DocId" select="$IdInv"/>
								<xsl:with-param name="PathErr" select="concat('INVOICE/INVOICE_ITEM/INVOICEGoods/INVOICEGOODS_ITEM[',$PosGoods,']/PlacesCode')"/>
								<xsl:with-param name="TypeDoc" select="$InvType"/>
								<xsl:with-param name="PosPkg" select="$InvPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="(string-length(GrossWeightQuantity)=0 or  round(GrossWeightQuantity * 1000)=0) and count(//RWB)>0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит инвойс с товаром, в котором не заполнено или равно 0 поле Вес брутто.'"/>
								<xsl:with-param name="DocId" select="$IdInv"/>
								<xsl:with-param name="PathErr" select="concat('INVOICE/INVOICE_ITEM/INVOICEGoods/INVOICEGOODS_ITEM[',$PosGoods,']/GrossWeightQuantity')"/>
								<xsl:with-param name="TypeDoc" select="$InvType"/>
								<xsl:with-param name="PosPkg" select="$InvPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(GoodsQuantity)>0 and  number(GoodsQuantity)>0 and (string-length(MeasureUnitQualifierCode)=0 and string-length(MeasureUnitQualifierName)=0) and $InvType!='invoicealco.cfg.xml'">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит инвойс с товаром, в котором не заполнено описание и код ед. измерения при заполненном поле Кол-во в ед. изм. .'"/>
								<xsl:with-param name="DocId" select="$IdInv"/>
								<xsl:with-param name="PathErr" select="concat('INVOICE/INVOICE_ITEM/INVOICEGoods/INVOICEGOODS_ITEM[',$PosGoods,']/MeasureUnitQualifierCode')"/>
								<xsl:with-param name="TypeDoc" select="$InvType"/>
								<xsl:with-param name="PosPkg" select="$InvPos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:if>
					<xsl:if test="$NotInv">
						<xsl:variable name="VagNum" select="CarriageId"/>
						
						<xsl:if test="string-length(CarriageId)>0  and count(//RWB)>0 and count(//RWBCARRIAGE_ITEM[CarriageId=$VagNum])=0 and count(//SMGS_VAGONS_ITEM[RailwayBill=$VagNum])=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит инвойс с товаром, в котором заполнено поле с Номером Вагона, отуствующем в списке вагонов СМГС. '"/>
									<xsl:with-param name="DocId" select="$IdInv"/>
									<xsl:with-param name="PathErr" select="concat('INVOICE/INVOICE_ITEM/INVOICEGoods/INVOICEGOODS_ITEM[',$PosGoods,']/CarriageId')"/>
									<xsl:with-param name="TypeDoc" select="$InvType"/>
									<xsl:with-param name="PosPkg" select="$InvPos"/>
									<xsl:with-param name="Category" select="'WARNING'"/>
								</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(GoodsQuantity)=0 and (string-length(MeasureUnitQualifierCode)>0 or string-length(MeasureUnitQualifierName)>0)">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит инвойс с товаром, в котором не заполнено Кол-во в ед. изм при заполненных полях описание и/или код ед. измерения .'"/>
								<xsl:with-param name="DocId" select="$IdInv"/>
								<xsl:with-param name="PathErr" select="concat('INVOICE/INVOICE_ITEM/INVOICEGoods/INVOICEGOODS_ITEM[',$PosGoods,']/GoodsQuantity')"/>
								<xsl:with-param name="TypeDoc" select="$InvType"/>
								<xsl:with-param name="PosPkg" select="$InvPos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:if>
					<xsl:if test="(string-length(TotalCost)=0 or round(TotalCost * 100)=0) and not($NotInv) and $FLK!=1">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит инвойс с товаром, в котором не заполнено или равно 0 поле Стоимость.'"/>
							<xsl:with-param name="DocId" select="$IdInv"/>
							<xsl:with-param name="PathErr" select="concat('INVOICE/INVOICE_ITEM/INVOICEGoods/INVOICEGOODS_ITEM[',$PosGoods,']/TotalCost')"/>
							<xsl:with-param name="TypeDoc" select="$InvType"/>
							<xsl:with-param name="PosPkg" select="$InvPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(TotalCost)>0 and (number(TotalCost)=TotalCost) and contains(TotalCost,'.') and string-length(substring-after(TotalCost,'.'))>2 and $Rapala!=1">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит инвойс с товаром, в поле Стоимость товара дробная часть более 2 зн. '"/>
							<xsl:with-param name="DocId" select="$IdInv"/>
							<xsl:with-param name="PathErr" select="concat('INVOICE/INVOICE_ITEM/INVOICEGoods/INVOICEGOODS_ITEM[',$PosGoods,']/TotalCost')"/>
							<xsl:with-param name="TypeDoc" select="$InvType"/>
							<xsl:with-param name="PosPkg" select="$InvPos"/>
							<xsl:with-param name="Category" select="'WARNING'"/>
						</xsl:call-template>
					</xsl:if>
				</xsl:for-each>
			</xsl:for-each>
			<xsl:for-each select="//CMR/CMR_ITEM">
				<xsl:variable name="IdDoc" select="../@id"/>
				<xsl:variable name="CmrType" select="../@ctmtd:CfgName"/>
				<xsl:variable name="CmrPos" select="position()"/>
				<xsl:variable name="PosCmr" select="position()"/>
				<xsl:if test="$FLK!=1 and $NotInv">
					<xsl:if test="count(CMREnclosedDocument/CMRENCLOSEDDOCUMENT_ITEM[string-length(ModeCode)=0 and string-length(DocumentNumber)=0 and string-length(DocumentDate)=0 and string-length(DocumentName)=0])>0 and count(//CMR/CMR_ITEM)>1">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит CMR с незаполненной 5 графой'"/>
							<xsl:with-param name="DocId" select="$IdDoc"/>
							<xsl:with-param name="PathErr" select="'CMR/CMR_ITEM/CMREnclosedDocument/CMRENCLOSEDDOCUMENT_ITEM'"/>
							<xsl:with-param name="TypeDoc" select="$CmrType"/>
							<xsl:with-param name="PosPkg" select="$CmrPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="count(CMREnclosedDocument/CMRENCLOSEDDOCUMENT_ITEM[string-length(ModeCode)>0 and (ModeCode='04021')])=0 and count(//CMR/CMR_ITEM)>1">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит CMR, в которой  5 графа не содержит ни одного инвойса'"/>
							<xsl:with-param name="DocId" select="$IdDoc"/>
							<xsl:with-param name="PathErr" select="'CMR/CMR_ITEM/CMREnclosedDocument/CMRENCLOSEDDOCUMENT_ITEM'"/>
							<xsl:with-param name="TypeDoc" select="$CmrType"/>
							<xsl:with-param name="PosPkg" select="$CmrPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:for-each select="CMREnclosedDocument/CMRENCLOSEDDOCUMENT_ITEM[string-length(ModeCode)>0]">
						<xsl:variable name="Num" select="DocumentNumber"/>
						<xsl:variable name="Dat" select="substring(DocumentDate,1,10)"/>
						<xsl:variable name="PosCmrDoc" select="position()"/>
						<xsl:choose>
							<xsl:when test="ModeCode='04021'">
								<xsl:if test="count(//INVOICE/INVOICE_ITEM[RegNum=$Num and substring(RegDate,1,10)=$Dat])=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит CMR с инвойсом в 5 графе,который отсутсвует в пакете или  неправильно указаны номер или дата.'"/>
										<xsl:with-param name="DocId" select="$IdDoc"/>
										<xsl:with-param name="PathErr" select="concat('CMR/CMR_ITEM/CMREnclosedDocument/CMRENCLOSEDDOCUMENT_ITEM[',$PosCmrDoc,']/DocumentNumber')"/>
										<xsl:with-param name="TypeDoc" select="$CmrType"/>
										<xsl:with-param name="PosPkg" select="$CmrPos"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:when>
							<xsl:when test="ModeCode='02099' or ModeCode='02026' or ModeCode='04131'">
								<xsl:if test="count(//PACKINGLIST/PACKINGLIST_ITEM[RegNum=$Num and substring(RegDate,1,10)=$Dat])=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит CMR с Отгрузочный (упаковочный) лист в 5 графе,который отсутсвует в пакете или  неправильно указаны номер или дата.'"/>
										<xsl:with-param name="DocId" select="$IdDoc"/>
										<xsl:with-param name="PathErr" select="concat('CMR/CMR_ITEM/CMREnclosedDocument/CMRENCLOSEDDOCUMENT_ITEM[',$PosCmrDoc,']/DocumentNumber')"/>
										<xsl:with-param name="TypeDoc" select="$CmrType"/>
										<xsl:with-param name="PosPkg" select="$CmrPos"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:when>
						</xsl:choose>
					</xsl:for-each>
				</xsl:if>
				<xsl:if test="string-length(RegNum)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит CMR без номера регистрации документа.'"/>
						<xsl:with-param name="DocId" select="$IdDoc"/>
						<xsl:with-param name="PathErr" select="'CMR/CMR_ITEM/RegNum'"/>
						<xsl:with-param name="TypeDoc" select="$CmrType"/>
						<xsl:with-param name="PosPkg" select="$CmrPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="$FLK!=1">
					<xsl:if test="string-length(RegDate)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит CMR без даты регистрации документа.'"/>
							<xsl:with-param name="DocId" select="$IdDoc"/>
							<xsl:with-param name="PathErr" select="'CMR/CMR_ITEM/RegDate'"/>
							<xsl:with-param name="TypeDoc" select="$CmrType"/>
							<xsl:with-param name="PosPkg" select="$CmrPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(Consignee_Name)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит CMR с не заполненным полем Грузополучатель Наименование не заполнено.'"/>
							<xsl:with-param name="DocId" select="$IdDoc"/>
							<xsl:with-param name="PathErr" select="'CMR/CMR_ITEM/Consignee_Name'"/>
							<xsl:with-param name="TypeDoc" select="$CmrType"/>
							<xsl:with-param name="PosPkg" select="$CmrPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(Carrier_Name)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит CMR с не заполненным полем Перевозчик Наименование.'"/>
							<xsl:with-param name="DocId" select="$IdDoc"/>
							<xsl:with-param name="PathErr" select="'CMR/CMR_ITEM/Carrier_Name'"/>
							<xsl:with-param name="TypeDoc" select="$CmrType"/>
							<xsl:with-param name="PosPkg" select="$CmrPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(Consignor_Name)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит CMR с не заполненным полем Грузоотправитель Наименование.'"/>
							<xsl:with-param name="DocId" select="$IdDoc"/>
							<xsl:with-param name="PathErr" select="'CMR/CMR_ITEM/Consignor_Name'"/>
							<xsl:with-param name="TypeDoc" select="$CmrType"/>
							<xsl:with-param name="PosPkg" select="$CmrPos"/>
						</xsl:call-template>
					</xsl:if>
				</xsl:if>
				<xsl:if test="$NotInv">
					<xsl:if test="string-length(Consignee_CountryCode)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит CMR с не заполненным полем Грузополучатель Код cтраны.'"/>
							<xsl:with-param name="DocId" select="$IdDoc"/>
							<xsl:with-param name="PathErr" select="'CMR/CMR_ITEM/Consignee_CountryCode'"/>
							<xsl:with-param name="TypeDoc" select="$CmrType"/>
							<xsl:with-param name="PosPkg" select="$CmrPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(Consignee_City)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит CMR с не заполненным полем Грузополучатель Населенный пункт.'"/>
							<xsl:with-param name="DocId" select="$IdDoc"/>
							<xsl:with-param name="PathErr" select="'CMR/CMR_ITEM/Consignee_City'"/>
							<xsl:with-param name="TypeDoc" select="$CmrType"/>
							<xsl:with-param name="PosPkg" select="$CmrPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(Consignee_StreetHouse)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит CMR с не заполненным полем Грузополучатель Улица, дом... .'"/>
							<xsl:with-param name="DocId" select="$IdDoc"/>
							<xsl:with-param name="PathErr" select="'CMR/CMR_ITEM/Consignee_StreetHouse'"/>
							<xsl:with-param name="TypeDoc" select="$CmrType"/>
							<xsl:with-param name="PosPkg" select="$CmrPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(Consignor_CountryCode)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит CMR с не заполненным полем Грузоотправитель Код cтраны.'"/>
							<xsl:with-param name="DocId" select="$IdDoc"/>
							<xsl:with-param name="PathErr" select="'CMR/CMR_ITEM/Consignor_CountryCode'"/>
							<xsl:with-param name="TypeDoc" select="$CmrType"/>
							<xsl:with-param name="PosPkg" select="$CmrPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(Consignor_City)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит CMR с не заполненным полем Грузоотправитель Населенный пункт.'"/>
							<xsl:with-param name="DocId" select="$IdDoc"/>
							<xsl:with-param name="PathErr" select="'CMR/CMR_ITEM/Consignor_City'"/>
							<xsl:with-param name="TypeDoc" select="$CmrType"/>
							<xsl:with-param name="PosPkg" select="$CmrPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(Consignor_StreetHouse)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит CMR с не заполненным полем Грузоотправитель Улица, дом....'"/>
							<xsl:with-param name="DocId" select="$IdDoc"/>
							<xsl:with-param name="PathErr" select="'CMR/CMR_ITEM/Consignor_StreetHouse'"/>
							<xsl:with-param name="TypeDoc" select="$CmrType"/>
							<xsl:with-param name="PosPkg" select="$CmrPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(Carrier_CountryCode)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит CMR с не заполненным полемПеревозчик Код cтраны.'"/>
							<xsl:with-param name="DocId" select="$IdDoc"/>
							<xsl:with-param name="PathErr" select="'CMR/CMR_ITEM/Carrier_CountryCode'"/>
							<xsl:with-param name="TypeDoc" select="$CmrType"/>
							<xsl:with-param name="PosPkg" select="$CmrPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(Carrier_City)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит CMR с не заполненным полем Перевозчик Населенный пункт.'"/>
							<xsl:with-param name="DocId" select="$IdDoc"/>
							<xsl:with-param name="PathErr" select="'CMR/CMR_ITEM/Carrier_City'"/>
							<xsl:with-param name="TypeDoc" select="$CmrType"/>
							<xsl:with-param name="PosPkg" select="$CmrPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(Carrier_StreetHouse)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит CMR с не заполненным полем Перевозчик Улица, дом....'"/>
							<xsl:with-param name="DocId" select="$IdDoc"/>
							<xsl:with-param name="PathErr" select="'CMR/CMR_ITEM/Carrier_StreetHouse'"/>
							<xsl:with-param name="TypeDoc" select="$CmrType"/>
							<xsl:with-param name="PosPkg" select="$CmrPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(PrimeMoverStateSignID)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит CMR с не заполненным полем Номер тягача.'"/>
							<xsl:with-param name="DocId" select="$IdDoc"/>
							<xsl:with-param name="PathErr" select="'CMR/CMR_ITEM/PrimeMoverStateSignID'"/>
							<xsl:with-param name="TypeDoc" select="$CmrType"/>
							<xsl:with-param name="PosPkg" select="$CmrPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(TransportMeansNationalityCode)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит CMR с не заполненным полем Код страны принадлежности ТС.'"/>
							<xsl:with-param name="DocId" select="$IdDoc"/>
							<xsl:with-param name="PathErr" select="'CMR/CMR_ITEM/TransportMeansNationalityCode'"/>
							<xsl:with-param name="TypeDoc" select="$CmrType"/>
							<xsl:with-param name="PosPkg" select="$CmrPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="count(//APPENDIX/APPENDIX_ITEM[string-length(DepatureOfficeIdentifier)>0])=0 and $Rapala!=1">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'В документе Доп. данные к накладной не заполнены поля Таможенный орган (пограничный пункт пропуска), в который ожидается прибытие'"/>
							<xsl:with-param name="DocId" select="//APPENDIX/@id"/>
							<xsl:with-param name="PathErr" select="'APPENDIX/APPENDIX_ITEM/DepatureOfficeIdentifier'"/>
							<xsl:with-param name="TypeDoc" select="'APPENDIX.CFG.XML'"/>
							<xsl:with-param name="PosPkg" select="position()"/>
						</xsl:call-template>
					</xsl:if>
				</xsl:if>
				<xsl:if test="string-length(Consignee_CountryCode)>0 and string-length(Consignor_CountryCode)>0 and Consignee_CountryCode=Consignor_CountryCode">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Значения полей CMR Грузополучатель Код cтраны и Грузоотправитель Код cтраны совпадают.'"/>
						<xsl:with-param name="DocId" select="$IdDoc"/>
						<xsl:with-param name="PathErr" select="'CMR/CMR_ITEM/Consignee_CountryCode'"/>
						<xsl:with-param name="TypeDoc" select="$CmrType"/>
						<xsl:with-param name="PosPkg" select="$CmrPos"/>
						<xsl:with-param name="Category" select="'WARNING'"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="not($NotInv)">
					<xsl:for-each select="CMRGoods/CMRGOODS_ITEM">
						<xsl:variable name="PosGoods" select="position()"/>
						<xsl:if test="string-length(GoodsDescription)=0 and count(//INVOICEGoods/INVOICEGOODS_ITEM[string-length(GoodsDescription)>0])=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит CMR с товаром, в котором не заполнено поле Наименование товара. '"/>
								<xsl:with-param name="PathErr" select="concat('CMR/CMR_ITEM/CMRGoods/CMRGOODS_ITEM[',$PosGoods,']/GoodsDescription')"/>
								<xsl:with-param name="DocId" select="$IdDoc"/>
								<xsl:with-param name="TypeDoc" select="$CmrType"/>
								<xsl:with-param name="PosPkg" select="$CmrPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(GoodsDescription)>980">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит CMR с товаром, в котором длина поля Наименование товара превышает допустимое значение.'"/>
								<xsl:with-param name="DocId" select="$IdDoc"/>
								<xsl:with-param name="PathErr" select="concat('CMR/CMR_ITEM/CMRGoods/CMRGOODS_ITEM[',$PosGoods,']/GoodsDescription')"/>
								<xsl:with-param name="TypeDoc" select="$CmrType"/>
								<xsl:with-param name="PosPkg" select="$CmrPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(GoodsNomenclatureCode)>0 and (string-length(GoodsNomenclatureCode)&lt;4 or string-length(GoodsNomenclatureCode)>10)">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит CMR с товаром, в котором длина поля Код товара д.б. 4 - 10 символов.'"/>
								<xsl:with-param name="DocId" select="$IdDoc"/>
								<xsl:with-param name="PathErr" select="concat('CMR/CMR_ITEM/CMRGoods/CMRGOODS_ITEM[',$PosGoods,']/GoodsNomenclatureCode')"/>
								<xsl:with-param name="TypeDoc" select="$CmrType"/>
								<xsl:with-param name="PosPkg" select="$CmrPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(PlacesQuantity)=0  and count(//INVOICEGoods/INVOICEGOODS_ITEM[string-length(PlacesQuantity)>0])=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит CMR с товаром, в котором не заполнено поле Количество грузовых мест/упаковок.'"/>
								<xsl:with-param name="DocId" select="$IdDoc"/>
								<xsl:with-param name="PathErr" select="concat('CMR/CMR_ITEM/CMRGoods/CMRGOODS_ITEM[',$PosGoods,']/PlacesQuantity')"/>
								<xsl:with-param name="TypeDoc" select="$CmrType"/>
								<xsl:with-param name="PosPkg" select="$CmrPos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:for-each>
				</xsl:if>
			</xsl:for-each>
			<xsl:for-each select="//TIR/TIR_ITEM">
				<xsl:variable name="IdTir" select="../@id"/>
				<xsl:variable name="TirType" select="../@ctmtd:CfgName"/>
				<xsl:variable name="TirPos" select="position()"/>
				<xsl:if test="$NotInv">
					<xsl:for-each select="CMREnclosedDocument/CMRENCLOSEDDOCUMENT_ITEM[string-length(ModeCode)>0]">
						<xsl:variable name="Num" select="PrDocumentNumber"/>
						<xsl:variable name="Dat" select="substring(PrDocumentDate,1,10)"/>
						<xsl:choose>
							<xsl:when test="ModeCode='04021'">
								<xsl:if test="count(//INVOICE/INVOICE_ITEM[RegNum=$Num and substring(RegDate,1,10)=$Dat])=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит TIR с инвойсом в 8 графе,который отсутсвует в пакете или  неправильно указаны номер или дата.'"/>
										<xsl:with-param name="DocId" select="$IdTir"/>
										<xsl:with-param name="PathErr" select="concat('TIR/TIR_ITEM/CMREnclosedDocument/CMRENCLOSEDDOCUMENT_ITEM[',position(),']/DocumentNumber')"/>
										<xsl:with-param name="TypeDoc" select="$TirType"/>
										<xsl:with-param name="PosPkg" select="$TirPos"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:when>
							<xsl:when test="ModeCode='02099'">
								<xsl:if test="count(//PACKINGLIST/PACKINGLIST_ITEM[RegNum=$Num and substring(RegDate,1,10)=$Dat])=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит TIR с Отгрузочный (упаковочный) лист в 8 графе,который отсутсвует в пакете или  неправильно указаны номер или дата.'"/>
										<xsl:with-param name="DocId" select="$IdTir"/>
										<xsl:with-param name="PathErr" select="concat('TIR/TIR_ITEM/CMREnclosedDocument/CMRENCLOSEDDOCUMENT_ITEM[',position(),']/DocumentNumber')"/>
										<xsl:with-param name="TypeDoc" select="$TirType"/>
										<xsl:with-param name="PosPkg" select="$TirPos"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:when>
							<xsl:when test="ModeCode='02015'">
								<xsl:if test="count(//CMR/CMR_ITEM[RegNum=$Num and substring(RegDate,1,10)=$Dat])=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит TIR с CMR в 8 графе,который отсутсвует в пакете или  неправильно указаны номер или дата.'"/>
										<xsl:with-param name="DocId" select="$IdTir"/>
										<xsl:with-param name="PathErr" select="concat('TIR/TIR_ITEM/CMREnclosedDocument/CMRENCLOSEDDOCUMENT_ITEM[',position(),']/DocumentNumber')"/>
										<xsl:with-param name="TypeDoc" select="$TirType"/>
										<xsl:with-param name="PosPkg" select="$TirPos"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:when>
						</xsl:choose>
					</xsl:for-each>
				</xsl:if>
				<xsl:if test="string-length(TIRWhitePageNumber)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит TIR с не заполненным полем Номер белого листа.'"/>
						<xsl:with-param name="DocId" select="$IdTir"/>
						<xsl:with-param name="PathErr" select="'TIR/TIR_ITEM/TIRWhitePageNumber'"/>
						<xsl:with-param name="TypeDoc" select="$TirType"/>
						<xsl:with-param name="PosPkg" select="$TirPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(TIRSeries)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит TIR с не заполненным полем Серия книжки МДП .'"/>
						<xsl:with-param name="DocId" select="$IdTir"/>
						<xsl:with-param name="PathErr" select="'TIR/TIR_ITEM/TIRSeries'"/>
						<xsl:with-param name="TypeDoc" select="$TirType"/>
						<xsl:with-param name="PosPkg" select="$TirPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(TIRID)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит TIR с не заполненным полем Номер книжки МДП.'"/>
						<xsl:with-param name="DocId" select="$IdTir"/>
						<xsl:with-param name="PathErr" select="'TIR/TIR_ITEM/TIRID'"/>
						<xsl:with-param name="TypeDoc" select="$TirType"/>
						<xsl:with-param name="PosPkg" select="$TirPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:choose>
					<xsl:when test="string-length(TIRHolder)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит TIR с не заполненным полем Идентификационный номер держателя книжки МДП .'"/>
							<xsl:with-param name="DocId" select="$IdTir"/>
							<xsl:with-param name="PathErr" select="'TIR/TIR_ITEM/TIRHolder'"/>
							<xsl:with-param name="TypeDoc" select="$TirType"/>
							<xsl:with-param name="PosPkg" select="$TirPos"/>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:if test="substring(TIRHolder,4,1)!='/' and substring(TIRHolder,8,1)!='/'">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Ошибка в заполнении поля Идентификационный номер держателя книжки МДП - разделители не / или не на своих позициях (4,8)'"/>
								<xsl:with-param name="DocId" select="$IdTir"/>
								<xsl:with-param name="PathErr" select="'TIR/TIR_ITEM/TIRHolder'"/>
								<xsl:with-param name="TypeDoc" select="$TirType"/>
								<xsl:with-param name="PosPkg" select="$TirPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(TIRHolder)>18 or string-length(TIRHolder)&lt;9">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Ошибка в заполнении поля Идентификационный номер держателя книжки МДП - длина должна быть не меньше 9 и не более 18 знаков'"/>
								<xsl:with-param name="DocId" select="$IdTir"/>
								<xsl:with-param name="PathErr" select="'TIR/TIR_ITEM/TIRHolder'"/>
								<xsl:with-param name="TypeDoc" select="$TirType"/>
								<xsl:with-param name="PosPkg" select="$TirPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="contains(translate(substring(//TIR/TIR_ITEM/TIRHolder,1,3),'0123456789', '9999999999'),'9')">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Ошибка в заполнении поля Идентификационный номер держателя книжки МДП (1 раздел содержит цыфру/ы)'"/>
								<xsl:with-param name="DocId" select="$IdTir"/>
								<xsl:with-param name="PathErr" select="'TIR/TIR_ITEM/TIRHolder'"/>
								<xsl:with-param name="TypeDoc" select="$TirType"/>
								<xsl:with-param name="PosPkg" select="$TirPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="number(substring(//TIR/TIR_ITEM/TIRHolder,4,3))='NaN' or number(substring(//TIR/TIR_ITEM/TIRHolder,9))='NaN'">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Ошибка в заполнении поля Идентификационный номер держателя книжки МДП - 2 и 3 разделы должны содержать только цифры'"/>
								<xsl:with-param name="DocId" select="$IdTir"/>
								<xsl:with-param name="PathErr" select="'TIR/TIR_ITEM/TIRHolder'"/>
								<xsl:with-param name="TypeDoc" select="$TirType"/>
								<xsl:with-param name="PosPkg" select="$TirPos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:if test="string-length(Carrier_Name)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит TIR с не заполненным полем Перевозчик Наименование.'"/>
						<xsl:with-param name="DocId" select="$IdTir"/>
						<xsl:with-param name="PathErr" select="'TIR/TIR_ITEM/Carrier_Name'"/>
						<xsl:with-param name="TypeDoc" select="$TirType"/>
						<xsl:with-param name="PosPkg" select="$TirPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(DispatchCountryName)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит TIR с не заполненным полем Наименование страны отправления.'"/>
						<xsl:with-param name="DocId" select="$IdTir"/>
						<xsl:with-param name="PathErr" select="'TIR/TIR_ITEM/DispatchCountryName'"/>
						<xsl:with-param name="TypeDoc" select="$TirType"/>
						<xsl:with-param name="PosPkg" select="$TirPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(DestinationCountryName)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит TIR с не заполненным полем Наименование страны назначения.'"/>
						<xsl:with-param name="DocId" select="$IdTir"/>
						<xsl:with-param name="PathErr" select="'TIR/TIR_ITEM/DestinationCountryName'"/>
						<xsl:with-param name="TypeDoc" select="$TirType"/>
						<xsl:with-param name="PosPkg" select="$TirPos"/>
					</xsl:call-template>
				</xsl:if>
			</xsl:for-each>
			<xsl:for-each select="//GENERALDECLAIR/GENERALDECLAIR_ITEM">
				<xsl:variable name="IdAirGenDcl" select="../@id"/>
				<xsl:variable name="GdclaPos" select="position()"/>
				<xsl:variable name="GdclaType" select="../@ctmtd:CfgName"/>
				<xsl:variable name="CustomCode" select="CustomCode"/>
				<xsl:if test="string-length($CustomCode)>3 and substring($CustomCode,string-length($CustomCode)-2,3)='000' and $CustomCode!='00000000'">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Получателем пакета документов может быть только таможенный пост. В генеральной декларации указан код таможни.'"/>
						<xsl:with-param name="DocId" select="@id"/>
						<xsl:with-param name="PathErr" select="'GENERALDECLAIR/GENERALDECLAIR_ITEM/CustomCode'"/>
						<xsl:with-param name="TypeDoc" select="$GdclaType"/>
						<xsl:with-param name="PosPkg" select="$GdclaPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="$CustomCode!='10700001' and ((string-length($CustomCode)>3 and substring($CustomCode,string-length($CustomCode)-2,3)!='000')  or $CustomCode='00000000')">
					<xsl:variable name="CustName" select="document('../../../NSI/TranspNSIXml.xml')//Customs_ITEM[Code=$CustomCode]/Name"/>
					<xsl:if test="string-length($CustName)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'В генеральной декларации указан не существующий код таможенного поста.'"/>
							<xsl:with-param name="DocId" select="@id"/>
							<xsl:with-param name="PathErr" select="'GENERALDECLAIR/GENERALDECLAIR_ITEM/CustomCode'"/>
							<xsl:with-param name="TypeDoc" select="$GdclaType"/>
							<xsl:with-param name="PosPkg" select="$GdclaPos"/>
						</xsl:call-template>
					</xsl:if>
				</xsl:if>
				<xsl:if test="not($NotInv)">
					<xsl:if test="string-length(LanguageCode)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ Генеральная авиа декларация с не заполненным полем Код языка документа (двузначный буквенный).'"/>
							<xsl:with-param name="DocId" select="$IdAirGenDcl"/>
							<xsl:with-param name="PathErr" select="'GENERALDECLAIR/GENERALDECLAIR_ITEM/LanguageCode'"/>
							<xsl:with-param name="TypeDoc" select="$GdclaType"/>
							<xsl:with-param name="PosPkg" select="$GdclaPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(RegDate)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ Генеральная авиа декларация с не заполненным полем Дата составления документа.'"/>
							<xsl:with-param name="DocId" select="$IdAirGenDcl"/>
							<xsl:with-param name="PathErr" select="'GENERALDECLAIR/GENERALDECLAIR_ITEM/RegDate'"/>
							<xsl:with-param name="TypeDoc" select="$GdclaType"/>
							<xsl:with-param name="PosPkg" select="$GdclaPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(RegPlace)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ Генеральная авиа декларация с не заполненным полем Место составления.'"/>
							<xsl:with-param name="DocId" select="$IdAirGenDcl"/>
							<xsl:with-param name="PathErr" select="'GENERALDECLAIR/GENERALDECLAIR_ITEM/RegPlace'"/>
							<xsl:with-param name="TypeDoc" select="$GdclaType"/>
							<xsl:with-param name="PosPkg" select="$GdclaPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(RegNum)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ Генеральная авиа декларация с не заполненным полем Номер документа.'"/>
							<xsl:with-param name="DocId" select="$IdAirGenDcl"/>
							<xsl:with-param name="PathErr" select="'GENERALDECLAIR/GENERALDECLAIR_ITEM/RegNum'"/>
							<xsl:with-param name="TypeDoc" select="$GdclaType"/>
							<xsl:with-param name="PosPkg" select="$GdclaPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(RegNum)>0 and string-length(RegNum)!=8">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ Генеральная авиа декларация c Серийным номером документа, длина которого не соответствует установленному формату (8 сим.) .'"/>
							<xsl:with-param name="DocId" select="$IdAirGenDcl"/>
							<xsl:with-param name="PathErr" select="'GENERALDECLAIR/GENERALDECLAIR_ITEM/RegNum'"/>
							<xsl:with-param name="TypeDoc" select="$GdclaType"/>
							<xsl:with-param name="PosPkg" select="$GdclaPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(Carrier_Name)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ Генеральная авиа декларация с не заполненным полем Наименование перевозчика.'"/>
							<xsl:with-param name="DocId" select="$IdAirGenDcl"/>
							<xsl:with-param name="PathErr" select="'GENERALDECLAIR/GENERALDECLAIR_ITEM/Carrier_Name'"/>
							<xsl:with-param name="TypeDoc" select="$GdclaType"/>
							<xsl:with-param name="PosPkg" select="$GdclaPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(RoutingSign)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ Генеральная авиа декларация с не заполненным полем Прилет/Вылет.'"/>
							<xsl:with-param name="DocId" select="$IdAirGenDcl"/>
							<xsl:with-param name="PathErr" select="'GENERALDECLAIR/GENERALDECLAIR_ITEM/RoutingSign'"/>
							<xsl:with-param name="TypeDoc" select="$GdclaType"/>
							<xsl:with-param name="PosPkg" select="$GdclaPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(CrewMembersNumber)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ Генеральная авиа декларация с не заполненным полем Количество членов экипажа.'"/>
							<xsl:with-param name="DocId" select="$IdAirGenDcl"/>
							<xsl:with-param name="PathErr" select="'GENERALDECLAIR/GENERALDECLAIR_ITEM/CrewMembersNumber'"/>
							<xsl:with-param name="TypeDoc" select="$GdclaType"/>
							<xsl:with-param name="PosPkg" select="$GdclaPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(Departure_CountryCode)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ Генеральная авиа декларация с не заполненным полем Буквенный код страны отправления.'"/>
							<xsl:with-param name="DocId" select="$IdAirGenDcl"/>
							<xsl:with-param name="PathErr" select="'GENERALDECLAIR/GENERALDECLAIR_ITEM/Departure_CountryCode'"/>
							<xsl:with-param name="TypeDoc" select="$GdclaType"/>
							<xsl:with-param name="PosPkg" select="$GdclaPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(Departure_CountryCode)>0">
						<xsl:variable name="CodeDep" select="Departure_CountryCode"/>
						<xsl:if test="string-length(document('../../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CodeDep]/Code)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Генеральная авиа декларация, в которой в поле  Буквенный код страны отправления указан Код, отсутствующий в справочнике.'"/>
								<xsl:with-param name="DocId" select="$IdAirGenDcl"/>
								<xsl:with-param name="PathErr" select="'GENERALDECLAIR/GENERALDECLAIR_ITEM/Departure_CountryCode'"/>
								<xsl:with-param name="TypeDoc" select="$GdclaType"/>
								<xsl:with-param name="PosPkg" select="$GdclaPos"/>
								<xsl:with-param name="Category" select="'WARNING'"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:if>
					<xsl:if test="string-length(Destination_CountryCode)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ Генеральная авиа декларация с не заполненным полем Буквенный код страны назначения.'"/>
							<xsl:with-param name="DocId" select="$IdAirGenDcl"/>
							<xsl:with-param name="PathErr" select="'GENERALDECLAIR/GENERALDECLAIR_ITEM/Destination_CountryCode'"/>
							<xsl:with-param name="TypeDoc" select="$GdclaType"/>
							<xsl:with-param name="PosPkg" select="$GdclaPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(Destination_CountryCode)>0">
						<xsl:variable name="CodeDest" select="Destination_CountryCode"/>
						<xsl:if test="string-length(document('../../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CodeDest]/Code)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Генеральная авиа декларация , в которой в поле Буквенный код страны назначения указан Код, отсутствующий в справочнике.'"/>
								<xsl:with-param name="DocId" select="$IdAirGenDcl"/>
								<xsl:with-param name="PathErr" select="'GENERALDECLAIR/GENERALDECLAIR_ITEM/Destination_CountryCode'"/>
								<xsl:with-param name="TypeDoc" select="$GdclaType"/>
								<xsl:with-param name="PosPkg" select="$GdclaPos"/>
								<xsl:with-param name="Category" select="'WARNING'"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:if>
				</xsl:if>
				<xsl:if test="string-length(FlNumber)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Генеральная авиа декларация с не заполненным полем Номер рейса.'"/>
						<xsl:with-param name="DocId" select="$IdAirGenDcl"/>
						<xsl:with-param name="PathErr" select="'GENERALDECLAIR/GENERALDECLAIR_ITEM/FlNumber'"/>
						<xsl:with-param name="TypeDoc" select="$GdclaType"/>
						<xsl:with-param name="PosPkg" select="$GdclaPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(FlDate)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Генеральная авиа декларация с не заполненным полем Дата рейса.'"/>
						<xsl:with-param name="DocId" select="$IdAirGenDcl"/>
						<xsl:with-param name="PathErr" select="'GENERALDECLAIR/GENERALDECLAIR_ITEM/FlDate'"/>
						<xsl:with-param name="TypeDoc" select="$GdclaType"/>
						<xsl:with-param name="PosPkg" select="$GdclaPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(AirplaneRegNumber)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Генеральная авиа декларация с не заполненным полем Бортовой номер воздушного судна.'"/>
						<xsl:with-param name="DocId" select="$IdAirGenDcl"/>
						<xsl:with-param name="PathErr" select="'GENERALDECLAIR/GENERALDECLAIR_ITEM/AirplaneRegNumber'"/>
						<xsl:with-param name="TypeDoc" select="$GdclaType"/>
						<xsl:with-param name="PosPkg" select="$GdclaPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(DepartureAirport_IATACode)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Генеральная авиа декларация с не заполненным полем Код ИАТА аэропорта отправления.'"/>
						<xsl:with-param name="DocId" select="$IdAirGenDcl"/>
						<xsl:with-param name="PathErr" select="'GENERALDECLAIR/GENERALDECLAIR_ITEM/DepartureAirport_IATACode'"/>
						<xsl:with-param name="TypeDoc" select="$GdclaType"/>
						<xsl:with-param name="PosPkg" select="$GdclaPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(DepartureAirport_IATACode)>0">
					<xsl:variable name="IATACodeNsi" select="DepartureAirport_IATACode"/>
					<xsl:if test="count(document('../../../NSI/AirNsiXml.xml')//AIRPORTS_ITEM[IATA=$IATACodeNsi])=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ Генеральная авиа декларация, в которой в поле Код ИАТА аэропорта отправления указан код ИАТА, отсутствующий в справочнике.'"/>
							<xsl:with-param name="DocId" select="$IdAirGenDcl"/>
							<xsl:with-param name="PathErr" select="'GENERALDECLAIR/GENERALDECLAIR_ITEM/DepartureAirport_IATACode'"/>
							<xsl:with-param name="TypeDoc" select="$GdclaType"/>
							<xsl:with-param name="PosPkg" select="$GdclaPos"/>
							<xsl:with-param name="Category" select="'WARNING'"/>
						</xsl:call-template>
					</xsl:if>
				</xsl:if>
				<xsl:if test="string-length(DestinationAirport_IATACode)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Генеральная авиа декларация с не заполненным полем Код ИАТА аэропорта назначения.'"/>
						<xsl:with-param name="DocId" select="$IdAirGenDcl"/>
						<xsl:with-param name="PathErr" select="'GENERALDECLAIR/GENERALDECLAIR_ITEM/DestinationAirport_IATACode'"/>
						<xsl:with-param name="TypeDoc" select="$GdclaType"/>
						<xsl:with-param name="PosPkg" select="$GdclaPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(DestinationAirport_IATACode)>0">
					<xsl:variable name="IATACodeNsi1" select="DestinationAirport_IATACode"/>
					<xsl:if test="count(document('../../../NSI/AirNsiXml.xml')//AIRPORTS_ITEM[IATA=$IATACodeNsi1])=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ Генеральная авиа декларация , в которой в поле Код ИАТА аэропорта назначения указан код ИАТА, отсутствующий в справочнике.'"/>
							<xsl:with-param name="DocId" select="$IdAirGenDcl"/>
							<xsl:with-param name="PathErr" select="'GENERALDECLAIR/GENERALDECLAIR_ITEM/DestinationAirport_IATACode'"/>
							<xsl:with-param name="TypeDoc" select="$GdclaType"/>
							<xsl:with-param name="PosPkg" select="$GdclaPos"/>
							<xsl:with-param name="Category" select="'WARNING'"/>
						</xsl:call-template>
					</xsl:if>
				</xsl:if>
				<xsl:if test="count(GENERALDECLAIRCREW/GENERALDECLAIRCREW_ITEM[string-length(PersonName)>0 and string-length(PersonName2)>0])=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Генеральная авиа декларация с не заполненным  разделом Информация об экипаже.'"/>
						<xsl:with-param name="DocId" select="$IdAirGenDcl"/>
						<xsl:with-param name="PathErr" select="'GENERALDECLAIR/GENERALDECLAIR_ITEM/GENERALDECLAIRCREW/GENERALDECLAIRCREW_ITEM'"/>
						<xsl:with-param name="TypeDoc" select="$GdclaType"/>
						<xsl:with-param name="PosPkg" select="$GdclaPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:for-each select="GENERALDECLAIRCREW/GENERALDECLAIRCREW_ITEM">
					<xsl:variable name="PosAirGenDclCwer" select="position()"/>
					<xsl:if test="string-length(PersonName)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ Генеральная авиа декларация  с не заполненным полем Фамилия в разделе Информация об экипаже.'"/>
							<xsl:with-param name="DocId" select="$IdAirGenDcl"/>
							<xsl:with-param name="PathErr" select="concat('GENERALDECLAIR/GENERALDECLAIR_ITEM/GENERALDECLAIRCREW/GENERALDECLAIRCREW_ITEM[',$PosAirGenDclCwer,']/PersonName')"/>
							<xsl:with-param name="TypeDoc" select="$GdclaType"/>
							<xsl:with-param name="PosPkg" select="$GdclaPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(PersonName2)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ Генеральная авиа декларация  с не заполненным полем Имя в разделе Информация об экипаже.'"/>
							<xsl:with-param name="DocId" select="$IdAirGenDcl"/>
							<xsl:with-param name="PathErr" select="concat('GENERALDECLAIR/GENERALDECLAIR_ITEM/GENERALDECLAIRCREW/GENERALDECLAIRCREW_ITEM[',$PosAirGenDclCwer,']/PersonName2')"/>
							<xsl:with-param name="TypeDoc" select="$GdclaType"/>
							<xsl:with-param name="PosPkg" select="$GdclaPos"/>
						</xsl:call-template>
					</xsl:if>
				</xsl:for-each>
			</xsl:for-each>
			<xsl:for-each select="//GENERALDECL/GENERALDECL_ITEM">
				<xsl:variable name="IdGenDcl" select="../@id"/>
				<xsl:variable name="GDclPos" select="position()"/>
				<xsl:variable name="GDclType" select="../@ctmtd:CfgName"/>
				<xsl:variable name="CustCode" select="CustomCode"/>
				<xsl:variable name="prop-HowSend-never-sent">
					<!--пустым текстом обозначим, что не было создано свойство, не было отправки ПДС-->
				</xsl:variable>
				<xsl:variable name="prop-HowSend">
					<xsl:variable name="HowSend-node" select="../../package-properties/prop[@name='HowSend']"/>
					<xsl:choose>
						<xsl:when test="count($HowSend-node) = 0">
							<xsl:value-of select="$prop-HowSend-never-sent"/>
						</xsl:when>
						<xsl:when test="count($HowSend-node) != 0 and string-length($HowSend-node) = 0">0</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$HowSend-node"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:variable name="propArr" select="../../package-properties/prop[@name='ArrivalIndicator']"/>
				<xsl:variable name="VesNC" select="VesselNationalityCode"/>
				<xsl:variable name="VesNCrC" select="VesselNationalityCountryCode"/>
				<xsl:if test="string-length(Balast)>0 and number(Balast)=1 and string-length(DepartDestinPort)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'В пакете на морское (речное) судно в  ИМО декларации установлен признак Без груза и не заполнена гр.Название порта отправления/назначения судна для Декларация о грузе'"/>
						<xsl:with-param name="DocId" select="GENERALDECL/@id"/>
						<xsl:with-param name="TypeDoc" select="GENERALDECL/@ctmtd:CfgName"/>
						<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/DepartDestinPort'"/>
						<xsl:with-param name="Category" select="'WARNING'"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(CustomCode)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Общая (генеральная) декларация с не заполненным полем Код таможни.'"/>
						<xsl:with-param name="DocId" select="$IdGenDcl"/>
						<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/CustomCode'"/>
						<xsl:with-param name="TypeDoc" select="$GDclType"/>
						<xsl:with-param name="PosPkg" select="$GDclPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length($CustCode)>3 and substring($CustCode,string-length($CustCode)-2,3)='000' and $CustCode!='00000000'">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Получателем пакета документов может быть только таможенный пост. В генеральной декларации указан код таможни.'"/>
						<xsl:with-param name="DocId" select="$IdGenDcl"/>
						<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/CustomCode'"/>
						<xsl:with-param name="TypeDoc" select="$GDclType"/>
						<xsl:with-param name="PosPkg" select="$GDclPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="$CustCode!='10700001' and ((string-length($CustCode)>3 and substring($CustCode,string-length($CustCode)-2,3)!='000')  or $CustCode='00000000')">
					<xsl:variable name="CustName" select="document('../../../NSI/TranspNSIXml.xml')//Customs_ITEM[Code=$CustCode]/Name"/>
					<xsl:if test="string-length($CustName)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'В генеральной декларации указан не существующий код таможенного поста.'"/>
							<xsl:with-param name="DocId" select="$IdGenDcl"/>
							<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/CustomCode'"/>
							<xsl:with-param name="TypeDoc" select="$GDclType"/>
							<xsl:with-param name="PosPkg" select="$GDclPos"/>
						</xsl:call-template>
					</xsl:if>
				</xsl:if>
				<xsl:if test="string-length(ArrivalIndicator)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Общая (генеральная) декларация с не заполненным полем Индикатор, отмечающий прибытие судна относительно Российской стороны.'"/>
						<xsl:with-param name="DocId" select="$IdGenDcl"/>
						<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/ArrivalIndicator'"/>
						<xsl:with-param name="TypeDoc" select="$GDclType"/>
						<xsl:with-param name="PosPkg" select="$GDclPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(ArrivalIndicator)>0 and string-length($propArr)>0 and number(ArrivalIndicator)!=number($propArr)">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет принадлежит цепочке с ИМО/Генеральной декларацией, в которой указано иное направление движение судна. Пакет необходимо отправить как новый.'"/>
						<xsl:with-param name="DocId" select="$IdGenDcl"/>
						<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/ArrivalIndicator'"/>
						<xsl:with-param name="TypeDoc" select="$GDclType"/>
						<xsl:with-param name="PosPkg" select="$GDclPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(HowSend)>0 and number(HowSend)=2 and string-length(ArrivalIndicator)>0 and number(ArrivalIndicator)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет документов на убытие должен быть окончательным.'"/>
						<xsl:with-param name="DocId" select="$IdGenDcl"/>
						<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/HowSend'"/>
						<xsl:with-param name="TypeDoc" select="$GDclType"/>
						<xsl:with-param name="PosPkg" select="$GDclPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="count(//PMP_INVENTORY_ITEM)>0 and (string-length(HowSend)=0 or (string-length(HowSend)>0 and number(HowSend)=0))">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит Опись ПДС, но в ИМО/Генеральной декларации не указан статус отправки - предварительный/окончательный.'"/>
						<xsl:with-param name="DocId" select="$IdGenDcl"/>
						<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/HowSend'"/>
						<xsl:with-param name="TypeDoc" select="$GDclType"/>
						<xsl:with-param name="PosPkg" select="$GDclPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length($prop-HowSend)>0">
					<xsl:variable name="decl-HowSend">
						<xsl:choose>
							<xsl:when test="count(HowSend) = 0">0</xsl:when>
							<xsl:when test="string-length(HowSend) = 0">0</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="HowSend"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:variable>
					<xsl:variable name="prop-HowSend-caption">
						<xsl:call-template name="HowSend-caption">
							<xsl:with-param name="HowSend-value" select="$prop-HowSend"/>
						</xsl:call-template>
					</xsl:variable>
					<xsl:variable name="MessError">
						<xsl:choose>
							<xsl:when test="($decl-HowSend != '2' and $decl-HowSend != '3') and ($prop-HowSend = '2' or $prop-HowSend = '3')">
								<xsl:value-of select="concat('Пакет следует отправить как новый, или поставить отметку ', $HowSend2-caption, ' или ', $HowSend3-caption, ' в ИМО (генеральной) декларации и тогда можно отправить пакет как изменённый. Предыдущий пакет был отправлен с отметкой ', $prop-HowSend-caption, '.')"/>
							</xsl:when>
							<xsl:when test="$decl-HowSend = '2' and $prop-HowSend = '3'">
								<xsl:value-of select="concat('Пакет следует отправить как новый, или поставить отметку ', $HowSend3-caption, ' в ИМО (генеральной) декларации и тогда можно отправить пакет как изменённый. Предыдущий пакет был отправлен с отметкой ', $prop-HowSend-caption, '.')"/>
							</xsl:when>
							<xsl:when test="($decl-HowSend = '2' or $decl-HowSend = '3') and $prop-HowSend = '0'">
								<xsl:value-of select="concat('Пакет следует отправить как новый, или поставить отметку ', $HowSend0-caption, ' в ИМО (генеральной) декларации и тогда можно отправить пакет как изменённый. Предыдущий пакет был отправлен с отметкой ', $prop-HowSend-caption, '.')"/>
							</xsl:when>
						</xsl:choose>
					</xsl:variable>
					<xsl:if test="string-length($MessError)>0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="$MessError"/>
							<xsl:with-param name="DocId" select="$IdGenDcl"/>
							<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/HowSend'"/>
							<xsl:with-param name="TypeDoc" select="$GDclType"/>
							<xsl:with-param name="PosPkg" select="$GDclPos"/>
						</xsl:call-template>
					</xsl:if>
				</xsl:if>
				<xsl:if test="not($NotInv)">
					<xsl:if test="string-length(LanguageCode)>0">
						<xsl:variable name="LgC">
							<xsl:choose>
								<xsl:when test="translate(LanguageCode,'QWERTYUIOPASDFGHJKLMNBVCXZ','AAAAAAAAAAAAAAAAAAAAAAAAAA')!='AA'">0</xsl:when>
								<xsl:otherwise>1</xsl:otherwise>
							</xsl:choose>
						</xsl:variable>
						<xsl:if test="$LgC=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Общая (генеральная) декларация, у которого  поле Код языка документа заполнен не правильно.'"/>
								<xsl:with-param name="DocId" select="$IdGenDcl"/>
								<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/LanguageCode'"/>
								<xsl:with-param name="TypeDoc" select="$GDclType"/>
								<xsl:with-param name="PosPkg" select="$GDclPos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:if>
					<xsl:if test="string-length(normalize-space(concat(VoyageDescription,' ',TargetTSMP)))=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ Общая (генеральная) декларация с не заполненным полем Краткие сведения о рейсе и Цель ввоза ТСМП'"/>
							<xsl:with-param name="DocId" select="$IdGenDcl"/>
							<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/VoyageDescription'"/>
							<xsl:with-param name="TypeDoc" select="$GDclType"/>
							<xsl:with-param name="PosPkg" select="$GDclPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(normalize-space(concat(VoyageDescription,' ',TargetTSMP)))>250">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ Общая (генеральная) декларация значение поля Краткие сведения о рейсе и Цель ввоза ТСМП превышает допустимую длину 250 сим.'"/>
							<xsl:with-param name="DocId" select="$IdGenDcl"/>
							<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/VoyageDescription'"/>
							<xsl:with-param name="TypeDoc" select="$GDclType"/>
							<xsl:with-param name="PosPkg" select="$GDclPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(VesselRegistrationID)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ Общая (генеральная) декларация с не заполненным полем Номер регистрации.'"/>
							<xsl:with-param name="DocId" select="$IdGenDcl"/>
							<xsl:with-param name="TypeDoc" select="$GDclType"/>
							<xsl:with-param name="PosPkg" select="$GDclPos"/>
							<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/VesselRegistrationID'"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(VesselRegistrationPort)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ Общая (генеральная) декларация с не заполненным полем Порт регистрации судна.'"/>
							<xsl:with-param name="DocId" select="$IdGenDcl"/>
							<xsl:with-param name="TypeDoc" select="$GDclType"/>
							<xsl:with-param name="PosPkg" select="$GDclPos"/>
							<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/VesselRegistrationPort'"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(VesselGrossTonnage)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ Общая (генеральная) декларация с не заполненным полем Валовая вместимость (тоннаж).'"/>
							<xsl:with-param name="DocId" select="$IdGenDcl"/>
							<xsl:with-param name="TypeDoc" select="$GDclType"/>
							<xsl:with-param name="PosPkg" select="$GDclPos"/>
							<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/VesselGrossTonnage'"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(VesselNetTonnage)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ Общая (генеральная) декларация с не заполненным полем Чистая вместимость (тоннаж).'"/>
							<xsl:with-param name="DocId" select="$IdGenDcl"/>
							<xsl:with-param name="TypeDoc" select="$GDclType"/>
							<xsl:with-param name="PosPkg" select="$GDclPos"/>
							<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/VesselNetTonnage'"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(ShipAgent_INN)>0 and string-length(HowSend)>0 and (number(HowSend)=2 or number(HowSend)=3)">
						<xsl:variable name="ValidInn">
							<xsl:call-template name="ValidInnCee">
								<xsl:with-param name="INN" select="ShipAgent_INN"/>
							</xsl:call-template>
						</xsl:variable>
						<xsl:if test="$ValidInn=1">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Общая (генеральная) декларация  с неправильно заполненным полем Судовой агент: ИНН.'"/>
								<xsl:with-param name="DocId" select="$IdGenDcl"/>
								<xsl:with-param name="TypeDoc" select="$GDclType"/>
								<xsl:with-param name="PosPkg" select="$GDclPos"/>
								<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/ShipAgent_INN'"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(ShipAgent_CountryCode)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Общая (генеральная) декларация с не заполненным полем Судовой агент: буквенный код страны.'"/>
								<xsl:with-param name="DocId" select="$IdGenDcl"/>
								<xsl:with-param name="TypeDoc" select="$GDclType"/>
								<xsl:with-param name="PosPkg" select="$GDclPos"/>
								<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/ShipAgent_CountryCode'"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:variable name="SagentC" select="ShipAgent_CountryCode"/>
						<xsl:if test="string-length($SagentC)>0 and string-length(document('../../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$SagentC]/Code)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Общая (генеральная) декларация с не правильно заполненным полем Судовой агент: буквенный код страны.'"/>
								<xsl:with-param name="DocId" select="$IdGenDcl"/>
								<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/ShipAgent_CountryCode'"/>
								<xsl:with-param name="TypeDoc" select="$GDclType"/>
								<xsl:with-param name="PosPkg" select="$GDclPos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:if>
				</xsl:if>
				<!--<xsl:if test="count(ArrivalSailingPort)>0">
					<xsl:if test="string-length(ArrivalSailingPort)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ Общая (генеральная) декларация с не заполненным полем Название порта прихода/отхода судна.'"/>
							<xsl:with-param name="DocId" select="$IdGenDcl"/>
							<xsl:with-param name="TypeDoc" select="$GDclType"/>
							<xsl:with-param name="PosPkg" select="$GDclPos"/>
							<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/ArrivalSailingPort'"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:variable name="ArrSC" select="ArrivalSailingCountryCode"/>
					<xsl:if test="string-length($ArrSC)>0 and string-length(document('../../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$ArrSC]/Code)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ Общая (генеральная) декларация с не правильно заполненным полем Код страны порта прихода/отхода судна.'"/>
							<xsl:with-param name="DocId" select="$IdGenDcl"/>
							<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/ArrivalSailingCountryCode'"/>
							<xsl:with-param name="TypeDoc" select="$GDclType"/>
							<xsl:with-param name="PosPkg" select="$GDclPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length($ArrSC)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ Общая (генеральная) декларация с не заполненным полем Код страны порта прихода/отхода судна.'"/>
							<xsl:with-param name="DocId" select="$IdGenDcl"/>
							<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/ArrivalSailingCountryCode'"/>
							<xsl:with-param name="TypeDoc" select="$GDclType"/>
							<xsl:with-param name="PosPkg" select="$GDclPos"/>
						</xsl:call-template>
					</xsl:if>
				</xsl:if>-->	
				<xsl:if test="string-length(DeparturePort)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Общая (генеральная) декларация с не заполненным полем Название порта отправления судна.'"/>
						<xsl:with-param name="DocId" select="$IdGenDcl"/>
						<xsl:with-param name="TypeDoc" select="$GDclType"/>
						<xsl:with-param name="PosPkg" select="$GDclPos"/>
						<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/DeparturePort'"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:variable name="DepC" select="DepartureCountryCode"/>
				<xsl:if test="string-length($DepC)>0 and string-length(document('../../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$DepC]/Code)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Общая (генеральная) декларация с не правильно заполненным полем Код страны порта отправления судна.'"/>
						<xsl:with-param name="DocId" select="$IdGenDcl"/>
						<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/DepartureCountryCode'"/>
						<xsl:with-param name="TypeDoc" select="$GDclType"/>
						<xsl:with-param name="PosPkg" select="$GDclPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(DepartureCountryCode)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Общая (генеральная) декларация с не заполненным полем Код страны порта отправления судна.'"/>
						<xsl:with-param name="DocId" select="$IdGenDcl"/>
						<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/DepartureCountryCode'"/>
						<xsl:with-param name="TypeDoc" select="$GDclType"/>
						<xsl:with-param name="PosPkg" select="$GDclPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(DestinationPort)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Общая (генеральная) декларация с не заполненным полем Название порта назначения судна .'"/>
						<xsl:with-param name="DocId" select="$IdGenDcl"/>
						<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/DestinationPort'"/>
						<xsl:with-param name="TypeDoc" select="$GDclType"/>
						<xsl:with-param name="PosPkg" select="$GDclPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:variable name="DesC" select="DestinationCountryCode"/>
				<xsl:if test="string-length($DesC)>0 and string-length(document('../../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$DesC]/Code)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Общая (генеральная) декларация с не правильно заполненным полем Код страны порта назначения судна.'"/>
						<xsl:with-param name="DocId" select="$IdGenDcl"/>
						<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/DestinationCountryCode'"/>
						<xsl:with-param name="TypeDoc" select="$GDclType"/>
						<xsl:with-param name="PosPkg" select="$GDclPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(DestinationCountryCode)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Общая (генеральная) декларация с не заполненным полем Код страны порта назначения судна.'"/>
						<xsl:with-param name="DocId" select="$IdGenDcl"/>
						<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/DestinationCountryCode'"/>
						<xsl:with-param name="TypeDoc" select="$GDclType"/>
						<xsl:with-param name="PosPkg" select="$GDclPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(VesselName)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Общая (генеральная) декларация с не заполненным полем Наименование судна.'"/>
						<xsl:with-param name="DocId" select="$IdGenDcl"/>
						<xsl:with-param name="TypeDoc" select="$GDclType"/>
						<xsl:with-param name="PosPkg" select="$GDclPos"/>
						<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/VesselName'"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length($VesNC)=0 and string-length($VesNCrC)=0 and $NotInv">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Общая (генеральная) декларация с не заполненным полем Cтрана принадлежности судна'"/>
						<xsl:with-param name="DocId" select="$IdGenDcl"/>
						<xsl:with-param name="TypeDoc" select="$GDclType"/>
						<xsl:with-param name="PosPkg" select="$GDclPos"/>
						<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/VesselNationalityCountryCode'"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length($VesNC)>0 and ((string-length($VesNC)!=3 and number($VesNC)='NaN') or string-length(document('../../../NSI/TranspNSIXml.xml')//Country_ITEM[Code=$VesNC]/ABC2)=0)">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Общая (генеральная) декларация с не правильно заполненным полем Код страны принадлежности судна (цифровой)'"/>
						<xsl:with-param name="DocId" select="$IdGenDcl"/>
						<xsl:with-param name="TypeDoc" select="$GDclType"/>
						<xsl:with-param name="PosPkg" select="$GDclPos"/>
						<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/VesselNationalityCode'"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length($VesNCrC)>0 and (string-length($VesNCrC)!=2 or string-length(document('../../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$VesNCrC]/Code)=0)">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Общая (генеральная) декларация с не правильно заполненным полем Код страны принадлежности судна (буквенный)'"/>
						<xsl:with-param name="DocId" select="$IdGenDcl"/>
						<xsl:with-param name="TypeDoc" select="$GDclType"/>
						<xsl:with-param name="PosPkg" select="$GDclPos"/>
						<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/VesselNationalityCountryCode'"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(VesselType)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Общая (генеральная) декларация с не заполненным полем Тип судна.'"/>
						<xsl:with-param name="DocId" select="$IdGenDcl"/>
						<xsl:with-param name="TypeDoc" select="$GDclType"/>
						<xsl:with-param name="PosPkg" select="$GDclPos"/>
						<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/VesselType'"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(IMO)>0 and (contains(number(IMO),'NaN') or string-length(IMO)!=7)">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Общая (генеральная) декларация с неправильно заполненным полем IMO судна (номер должен содержать только 7 цифр).'"/>
						<xsl:with-param name="DocId" select="$IdGenDcl"/>
						<xsl:with-param name="TypeDoc" select="$GDclType"/>
						<xsl:with-param name="PosPkg" select="$GDclPos"/>
						<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/IMO'"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(DocSig_PersonName)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Общая (генеральная) декларация с не заполненным полем Подпись документа: Фамилия.'"/>
						<xsl:with-param name="DocId" select="$IdGenDcl"/>
						<xsl:with-param name="TypeDoc" select="$GDclType"/>
						<xsl:with-param name="PosPkg" select="$GDclPos"/>
						<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/DocSig_PersonName'"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(DocSig_PersonName2)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Общая (генеральная) декларация  с не заполненным полем Подпись документа: Имя.'"/>
						<xsl:with-param name="DocId" select="$IdGenDcl"/>
						<xsl:with-param name="TypeDoc" select="$GDclType"/>
						<xsl:with-param name="PosPkg" select="$GDclPos"/>
						<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/DocSig_PersonName2'"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(ShipAgent_Name)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Общая (генеральная) декларация  с не заполненным полем Судовой агент: наименование организации или фамилия физического лица.'"/>
						<xsl:with-param name="DocId" select="$IdGenDcl"/>
						<xsl:with-param name="TypeDoc" select="$GDclType"/>
						<xsl:with-param name="PosPkg" select="$GDclPos"/>
						<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/ShipAgent_Name'"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(ShipAgent_INN)=0  and $FLKPP=1">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Общая (генеральная) декларация  с не заполненным полем Судовой агент: ИНН.'"/>
						<xsl:with-param name="DocId" select="$IdGenDcl"/>
						<xsl:with-param name="TypeDoc" select="$GDclType"/>
						<xsl:with-param name="PosPkg" select="$GDclPos"/>
						<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/ShipAgent_INN'"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(ShipAgent_Phone)>24">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Общая (генеральная) декларация, в которой текст в полем Судовой агент: Телефон. превышает допустимое значение длины'"/>
						<xsl:with-param name="DocId" select="$IdGenDcl"/>
						<xsl:with-param name="TypeDoc" select="$GDclType"/>
						<xsl:with-param name="PosPkg" select="$GDclPos"/>
						<xsl:with-param name="PathErr" select="'GENERALDECL/GENERALDECL_ITEM/ShipAgent_Phone'"/>
					</xsl:call-template>
				</xsl:if>
			</xsl:for-each>
			<xsl:for-each select="//RWB[contains(@*[contains(local-name(),CfgName)],'RWB-2015')]/RWB_ITEM">
				<xsl:variable name="RwbPos" select="position()"/>
				<xsl:variable name="RwbType" select="../@ctmtd:CfgName"/>
				<xsl:variable name="IdRw" select="../@id"/>
				<xsl:variable name="RwMess" select="'Пакет содержит СМГС '"/>
				<xsl:variable name="total-package-inv" select="sum(//INVOICE/INVOICE_ITEM[string-length(PlacesQuantity)>0]/PlacesQuantity)"/>
				<xsl:if test="count(//RWB/RWB_ITEM)=1">
					<xsl:variable name="total-package-rwb" select="sum(//RWB/RWB_ITEM[string-length(PlacesQuantity)>0]/PlacesQuantity)"/>
					<xsl:if test="$total-package-rwb!=$total-package-inv">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС, в которой в гр.Общее количество грузовых мест указано значение отличающиеся от суммы кол-ва грузовых мест в Инвойсе(ах).'"/>
							<xsl:with-param name="DocId" select="$IdRw"/>
							<xsl:with-param name="PathErr" select="'RWB/RWB_ITEM/PlacesQuantity'"/>
							<xsl:with-param name="TypeDoc" select="$RwbType"/>
						<xsl:with-param name="PosPkg" select="$RwbPos"/>
							<xsl:with-param name="Category" select="'WARNING'"/>
						</xsl:call-template>
					</xsl:if>
				</xsl:if>
				<xsl:if test="$FLK!=1">
					<xsl:if test="string-length(RegNum)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="concat($RwMess,' Номер документа.')"/>
							<xsl:with-param name="DocId" select="$IdRw"/>
							<xsl:with-param name="PathErr" select="'RWB/RWB_ITEM/RegNum'"/>
							<xsl:with-param name="TypeDoc" select="$RwbType"/>
							<xsl:with-param name="PosPkg" select="$RwbPos"/>
						</xsl:call-template>
					</xsl:if>
					
					<xsl:if test="$NotInv">
						<xsl:for-each select="RWBConsignorDocument/RWBCONSIGNORDOCUMENT_ITEM[string-length(ModeCode)>0]">
							<xsl:variable name="Num" select="DocumentNumber"/>
							<xsl:variable name="Dat" select="substring(DocumentDate,1,10)"/>
							<xsl:variable name="PosRwbDoc" select="position()"/>
							<xsl:choose>
								<xsl:when test="ModeCode='04021'">
									<xsl:if test="count(//INVOICE/INVOICE_ITEM[RegNum=$Num and substring(RegDate,1,10)=$Dat])=0">
										<xsl:call-template name="ErrorNode">
											<xsl:with-param name="MessErr" select="concat($RwMess,' с инвойсом в 24 графе,который отсутсвует в пакете или  неправильно указаны номер или дата.')"/>
											<xsl:with-param name="DocId" select="$IdRw"/>
											<xsl:with-param name="PathErr" select="concat('RWB/RWB_ITEM/RWBConsignorDocument/RWBCONSIGNORDOCUMENT_ITEM[',$PosRwbDoc,']/DocumentNumber')"/>
											<xsl:with-param name="TypeDoc" select="$RwbType"/>
											<xsl:with-param name="PosPkg" select="$RwbPos"/>
										</xsl:call-template>
									</xsl:if>
								</xsl:when>
								<xsl:when test="ModeCode='02099' or ModeCode='02026' or ModeCode='04131'">
									<xsl:if test="count(//PACKINGLIST/PACKINGLIST_ITEM[RegNum=$Num and substring(RegDate,1,10)=$Dat])=0">
										<xsl:call-template name="ErrorNode">
											<xsl:with-param name="MessErr" select="concat($RwMess,' с Отгрузочный (упаковочный) лист в 24 графе,который отсутсвует в пакете или  неправильно указаны номер или дата.')"/>
											<xsl:with-param name="DocId" select="$IdRw"/>
											<xsl:with-param name="PathErr" select="concat('RWB/RWB_ITEM/RWBConsignorDocument/RWBCONSIGNORDOCUMENT_ITEM[',$PosRwbDoc,']/DocumentNumber')"/>
											<xsl:with-param name="TypeDoc" select="$RwbType"/>
											<xsl:with-param name="PosPkg" select="$RwbPos"/>
										</xsl:call-template>
									</xsl:if>
								</xsl:when>
							</xsl:choose>
						</xsl:for-each>
					</xsl:if>
					<xsl:if test="string-length(GrossWeightQuantity)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="concat($RwMess,' с не заполненным полем Общий вес товаров, определенный отправителем, брутто (кг).')"/>
							<xsl:with-param name="DocId" select="$IdRw"/>
							<xsl:with-param name="PathErr" select="'RWB/RWB_ITEM/GrossWeightQuantity'"/>
							<xsl:with-param name="TypeDoc" select="$RwbType"/>
							<xsl:with-param name="PosPkg" select="$RwbPos"/>
						</xsl:call-template>
					</xsl:if>
				</xsl:if>
				<xsl:if test="string-length(DepartureStationCode)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="concat($RwMess,' с не заполненным полем Код станции открытия таможенного транзита по РФ (ВТТ).')"/>
						<xsl:with-param name="DocId" select="$IdRw"/>
						<xsl:with-param name="PathErr" select="'RWB/RWB_ITEM/DepartureStationCode'"/>
						<xsl:with-param name="TypeDoc" select="$RwbType"/>
						<xsl:with-param name="PosPkg" select="$RwbPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:variable name="StatIn" select="DepartureStationCode"/>
				<xsl:variable name="CodeTO">
					<xsl:choose>
						<xsl:when test="string-length(DepartureCustomCode)>0">
							<xsl:value-of select="DepartureCustomCode"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="document('../../../NSI/TranspNSIXml.xml')//GDStanANDCust_ITEM[CODESTAN=substring($StatIn,1,5) and string-length(Code)>0]/Code"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:if test="string-length($CodeTO)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="concat($RwMess,' с Код станции открытия таможенного транзита по РФ (ВТТ), на которой нет таможенного поста.')"/>
						<xsl:with-param name="DocId" select="$IdRw"/>
						<xsl:with-param name="PathErr" select="'RWB/RWB_ITEM/DepartureStationCode'"/>
						<xsl:with-param name="TypeDoc" select="$RwbType"/>
						<xsl:with-param name="PosPkg" select="$RwbPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length($CodeTO)>0 and string-length(document('../../../NSI/TranspNSIXml.xml')//Customs_ITEM[Code=$CodeTO]/Code)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="concat($RwMess,'  с Код таможенного поста не найден в справочнике.')"/>
						<xsl:with-param name="DocId" select="$IdRw"/>
						<xsl:with-param name="PathErr" select="'RWB/RWB_ITEM/DepartureCustomCode'"/>
						<xsl:with-param name="TypeDoc" select="$RwbType"/>
						<xsl:with-param name="PosPkg" select="$RwbPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(DestinationStationCode)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="concat($RwMess,'  с не заполненным полем Код станции закрытия таможенного транзита по РФ (МТТ).')"/>
						<xsl:with-param name="DocId" select="$IdRw"/>
						<xsl:with-param name="PathErr" select="'RWB/RWB_ITEM/DestinationStationCode'"/>
						<xsl:with-param name="TypeDoc" select="$RwbType"/>
						<xsl:with-param name="PosPkg" select="$RwbPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:variable name="StatOut" select="DestinationStationCode"/>
				<xsl:variable name="CodeOut">
					<xsl:choose>
						<xsl:when test="string-length(DestinationCustomCode)>0">
							<xsl:value-of select="DestinationCustomCode"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="document('../../../NSI/TranspNSIXml.xml')//GDStanANDCust_ITEM[CODESTAN=$StatOut and string-length(Code)>0]/Code"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:if test="string-length($CodeOut)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="concat($RwMess,' с Код станции закрытия таможенного транзита по РФ (ВТТ), на которой нет таможенного поста.')"/>
						<xsl:with-param name="DocId" select="$IdRw"/>
						<xsl:with-param name="PathErr" select="'RWB/RWB_ITEM/DestinationStationCode'"/>
						<xsl:with-param name="TypeDoc" select="$RwbType"/>
						<xsl:with-param name="PosPkg" select="$RwbPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length($CodeOut)>0 and string-length(document('../../../NSI/TranspNSIXml.xml')//Customs_ITEM[Code=$CodeOut]/Code)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="concat($RwMess,'  с Код таможенного поста не найден в справочнике.')"/>
						<xsl:with-param name="DocId" select="$IdRw"/>
						<xsl:with-param name="PathErr" select="'RWB/RWB_ITEM/DestinationCustomCode'"/>
						<xsl:with-param name="TypeDoc" select="$RwbType"/>
						<xsl:with-param name="PosPkg" select="$RwbPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(Consignee_CountryCode)>0 and string-length(Consignor_CountryCode)>0 and Consignee_CountryCode=Consignor_CountryCode">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Значения полей СМГС Грузополучатель Код cтраны и Грузоотправитель Код cтраны совпадают.'"/>
						<xsl:with-param name="DocId" select="$IdRw"/>
						<xsl:with-param name="PathErr" select="'RWB/RWB_ITEM/Consignor_CountryCode'"/>
						<xsl:with-param name="TypeDoc" select="$RwbType"/>
						<xsl:with-param name="PosPkg" select="$RwbPos"/>
						<xsl:with-param name="Category" select="'WARNING'"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(ConsignorNotice)>250">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="concat($RwMess,' с текстом в поле Особые заявления отправителя длина, которого превышает 250 символов.')"/>
						<xsl:with-param name="DocId" select="$IdRw"/>
						<xsl:with-param name="PathErr" select="'RWB/RWB_ITEM/ConsignorNotice'"/>
						<xsl:with-param name="TypeDoc" select="$RwbType"/>
						<xsl:with-param name="PosPkg" select="$RwbPos"/>
						<xsl:with-param name="Category" select="'WARNING'"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="not($NotInv)">
					<xsl:if test="count(RWBGoods_dop11/RWBGOODS_DOP11_ITEM[string-length(GoodsDescription)>0 and (string-length(PlacesCode)>0 or string-length(PlacesDescription)>0)])=0 and  count(RWBGoods_Auto/RWBGOODS_AUTO_ITEM[string-length(GoodsDescription)>0 and (string-length(PlacesCode)>0 or string-length(PlacesDescription)>0)])=0 and count(RWBGoods/RWBGOODS_ITEM[string-length(GoodsDescription)>0  and (string-length(PlacesCode)>0 or string-length(PlacesDescription)>0)])=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="concat($RwMess,' ,в Товарной части которой не заполнены обязательные поля Наименование товара (гр 15) и/или Род упаковки (гр.16).')"/>
							<xsl:with-param name="DocId" select="$IdRw"/>
							<xsl:with-param name="PathErr" select="'RWB/RWB_ITEM/RWBGoods_dop11/RWBGOODS_DOP11_ITEM[1]/GoodsDescription'"/>
							<xsl:with-param name="TypeDoc" select="$RwbType"/>
							<xsl:with-param name="PosPkg" select="$RwbPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="count(RWBGoods_dop11/RWBGOODS_DOP11_ITEM[string-length(GoodsCode)>0])>0 and count(RWBGoods/RWBGOODS_ITEM[string-length(GoodsDescription)>0 and (string-length(PlacesCode)>0 or string-length(PlacesDescription)>0)])>0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="concat($RwMess,' ,в которой Товарная часть заполнена на основном листе и в Приложении 15.')"/>
							<xsl:with-param name="DocId" select="$IdRw"/>
							<xsl:with-param name="PathErr" select="'RWB/RWB_ITEM/RWBGoods_dop11/RWBGOODS_DOP11_ITEM[1]/GoodsDescription'"/>
							<xsl:with-param name="TypeDoc" select="$RwbType"/>
							<xsl:with-param name="PosPkg" select="$RwbPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="count(RWBGoods_dop11/RWBGOODS_DOP11_ITEM[string-length(GoodsCode)>0])>0 and count(RWBGoods/RWBGOODS_ITEM[string-length(GoodsDescription)>0 and (string-length(PlacesCode)>0 or string-length(PlacesDescription)>0)])>0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="concat($RwMess,' ,в которой Товарная часть заполнена на основном листе и в Приложении 15.')"/>
							<xsl:with-param name="DocId" select="$IdRw"/>
							<xsl:with-param name="PathErr" select="'RWB/RWB_ITEM/RWBGoods_dop11/RWBGOODS_DOP11_ITEM[1]/GoodsDescription'"/>
							<xsl:with-param name="TypeDoc" select="$RwbType"/>
							<xsl:with-param name="PosPkg" select="$RwbPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="count(RWBGoods_Auto/RWBGOODS_AUTO_ITEM[string-length(GoodsCode)>0])>0 and count(RWBGoods/RWBGOODS_ITEM[string-length(GoodsDescription)>0 and (string-length(PlacesCode)>0 or string-length(PlacesDescription)>0)])>0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="concat($RwMess,' ,в которой Товарная часть заполнена на основном листе и в Авто-Приложении.')"/>
							<xsl:with-param name="DocId" select="$IdRw"/>
							<xsl:with-param name="PathErr" select="'RWB/RWB_ITEM/RWBGoods_Auto/RWBGOODS_AUTO_ITEM[1]/GoodsDescription'"/>
							<xsl:with-param name="TypeDoc" select="$RwbType"/>
							<xsl:with-param name="PosPkg" select="$RwbPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:choose>
						<xsl:when test="count(RWBGoods_dop11/RWBGOODS_DOP11_ITEM[string-length(GoodsCode)>0 or (string-length(GoodsDescription)>0 and (string-length(PlacesCode)>0 or string-length(PlacesDescription)>0))])>0 and count(RWBGoods/RWBGOODS_ITEM[string-length(GoodsDescription)>0 and (string-length(PlacesCode)>0 or string-length(PlacesDescription)>0)])=0">
							<xsl:for-each select="RWBGoods_dop11/RWBGOODS_DOP11_ITEM">
								<xsl:if test="string-length(GoodsDescription)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="concat($RwMess,' , в которой поле Описание товара не заполнено.')"/>
										<xsl:with-param name="DocId" select="$IdRw"/>
										<xsl:with-param name="PathErr" select="concat('RWB/RWB_ITEM/RWBGoods_dop11/RWBGOODS_DOP11_ITEM[',position(),']/GoodsDescription')"/>
										<xsl:with-param name="TypeDoc" select="$RwbType"/>
										<xsl:with-param name="PosPkg" select="$RwbPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(GoodsCode)>0 and (string-length(GoodsCode)&lt;4 or string-length(GoodsCode)>10)">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="concat($RwMess,' , в которой поле Код товара не соответствует формату (длина д.б. 4 - 10 сим.).')"/>
										<xsl:with-param name="DocId" select="$IdRw"/>
										<xsl:with-param name="PathErr" select="concat('RWB/RWB_ITEM/RWBGoods_dop11/RWBGOODS_DOP11_ITEM[',position(),']/GoodsCode')"/>
										<xsl:with-param name="TypeDoc" select="$RwbType"/>
										<xsl:with-param name="PosPkg" select="$RwbPos"/>
										<xsl:with-param name="Category" select="'WARNING'"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:variable name="CodG" select="GoodsCode"/>
								<xsl:variable name="ValidCod">
									<xsl:choose>
										<xsl:when test="string-length(../../GNG)>0 and substring(../../GNG,1,4)!=substring($CodG,1,4)">1</xsl:when>
										<xsl:when test="count(//INVOICEGoods/INVOICEGOODS_ITEM[string-length(GoodsCode)>0  and substring(GoodsCode,1,4)!=substring($CodG,1,4)])=0">1</xsl:when>
										<xsl:otherwise>0</xsl:otherwise>
									</xsl:choose>
								</xsl:variable>
								<xsl:if test="string-length(GoodsCode)>0 and number($ValidCod)=1">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с заполненным Приложением 15, в котором указан код товара не соответсвующий коду ГНГ или не указаный в инвойсе.'"/>
										<xsl:with-param name="DocId" select="$IdRw"/>
										<xsl:with-param name="PathErr" select="concat('RWB/RWB_ITEM/RWBGoods_dop11/RWBGOODS_DOP11_ITEM[',position(),']/GoodsCode')"/>
										<xsl:with-param name="TypeDoc" select="$RwbType"/>
										<xsl:with-param name="PosPkg" select="$RwbPos"/>
										<xsl:with-param name="Category" select="'WARNING'"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:for-each>
						</xsl:when>
						<xsl:when test="count(RWBGoods_Auto/RWBGOODS_AUTO_ITEM[string-length(GoodsCode)>0 or (string-length(GoodsDescription)>0 and (string-length(PlacesCode)>0 or string-length(PlacesDescription)>0))])>0 and count(RWBGoods/RWBGOODS_ITEM[string-length(GoodsDescription)>0 and (string-length(PlacesCode)>0 or string-length(PlacesDescription)>0)])=0">
							<xsl:for-each select="RWBGoods_Auto/RWBGOODS_AUTO_ITEM">
								<xsl:if test="string-length(GoodsDescription)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="concat($RwMess,' , в которой поле Описание товара (авто) не заполнено.')"/>
										<xsl:with-param name="DocId" select="$IdRw"/>
										<xsl:with-param name="PathErr" select="concat('RWB/RWB_ITEM/RWBGoods_Auto/RWBGOODS_AUTO_ITEM[',position(),']/GoodsDescription')"/>
										<xsl:with-param name="TypeDoc" select="$RwbType"/>
										<xsl:with-param name="PosPkg" select="$RwbPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(GoodsCode)&lt;4 or string-length(GoodsCode)>10">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="concat($RwMess,' , в которой поле Код товара (авто) не соответствует формату (длина д.б. 4 - 10 сим.).')"/>
										<xsl:with-param name="DocId" select="$IdRw"/>
										<xsl:with-param name="PathErr" select="concat('RWB/RWB_ITEM/RWBGoods_Auto/RWBGOODS_AUTO_ITEM[',position(),']/GoodsCode')"/>
										<xsl:with-param name="TypeDoc" select="$RwbType"/>
										<xsl:with-param name="PosPkg" select="$RwbPos"/>
										<xsl:with-param name="Category" select="'WARNING'"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:variable name="CodAG" select="GoodsCode"/>
								<xsl:variable name="ValidCod">
									<xsl:choose>
										<xsl:when test="string-length(../../GNG)>0 and substring(../../GNG,1,4)!=substring($CodAG,1,4)">1</xsl:when>
										<xsl:when test="count(//INVOICEGoods/INVOICEGOODS_ITEM[string-length(GoodsCode)>0  and substring(GoodsCode,1,4)!=substring($CodAG,1,4)])=0">1</xsl:when>
										<xsl:otherwise>0</xsl:otherwise>
									</xsl:choose>
								</xsl:variable>
								<xsl:if test="string-length(GoodsCode)>0 and number($ValidCod)=1">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с заполненным Авто-Приложением,  в котором указан код товара не соответсвующий коду ГНГ или не указаный в инвойсе.'"/>
										<xsl:with-param name="DocId" select="$IdRw"/>
										<xsl:with-param name="PathErr" select="concat('RWB/RWB_ITEM/RWBGoods_Auto/RWBGOODS_AUTO_ITEM[',position(),']/GoodsCode')"/>
										<xsl:with-param name="TypeDoc" select="$RwbType"/>
										<xsl:with-param name="PosPkg" select="$RwbPos"/>
										<xsl:with-param name="Category" select="'WARNING'"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:for-each>
						</xsl:when>
						<xsl:otherwise>
							<xsl:variable name="cAllGood" select="count(RWBGoods/RWBGOODS_ITEM[string-length(GoodsDescription)>0 or string-length(GrossWeightQuantity)>0])"/>
							<xsl:variable name="cGoodPkNull" select="count(RWBGoods/RWBGOODS_ITEM[(string-length(GoodsDescription)>0 or string-length(GrossWeightQuantity)>0) and string-length(normalize-space(PlacesDescription))>0])"/>							
							<xsl:if test="number($cGoodPkNull)>0 and (number($cAllGood)-number($cGoodPkNull)>1)">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($RwMess,' , в товаре которой поле Род упаковки не заполнено.')"/>
									<xsl:with-param name="DocId" select="$IdRw"/>
									<xsl:with-param name="PathErr" select="'RWB/RWB_ITEM/RWBGoods/RWBGOODS_ITEM[1]/PlacesDescription'"/>
									<xsl:with-param name="TypeDoc" select="$RwbType"/>
									<xsl:with-param name="PosPkg" select="$RwbPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:for-each select="RWBGoods/RWBGOODS_ITEM">
								<xsl:if test="string-length(GoodsDescription)=0 and (string-length(PlacesCode)>0 or string-length(PlacesDescription)>0)">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="concat($RwMess,' , в которой поле Описание товара не заполнено.')"/>
										<xsl:with-param name="DocId" select="$IdRw"/>
										<xsl:with-param name="PathErr" select="concat('RWB/RWB_ITEM/RWBGoods/RWBGOODS_ITEM[',position(),']/GoodsDescription')"/>
										<xsl:with-param name="TypeDoc" select="$RwbType"/>
										<xsl:with-param name="PosPkg" select="$RwbPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="(string-length(GoodsNomenclatureCode)&lt;4 or string-length(GoodsNomenclatureCode)>10) and string-length(GoodsNomenclatureCode)!=4 and string-length(GoodsNomenclatureCode)!=6 and string-length(GoodsNomenclatureCode)!=8 and string-length(GoodsNomenclatureCode)!=10">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="concat($RwMess,' , в которой поле Код товара не соответствует формату (длина д.б. 4 - 10 сим.).')"/>
										<xsl:with-param name="DocId" select="$IdRw"/>
										<xsl:with-param name="PathErr" select="concat('RWB/RWB_ITEM/RWBGoods/RWBGOODS_ITEM[',position(),']/GoodsNomenclatureCode')"/>
										<xsl:with-param name="TypeDoc" select="$RwbType"/>
										<xsl:with-param name="PosPkg" select="$RwbPos"/>
										<xsl:with-param name="Category" select="'WARNING'"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:for-each>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:choose>
						<xsl:when test="count(RWBCarriage/RWBCARRIAGE_ITEM[string-length(CarriageId)>0 and CarriageId!='см.Вагонную ведомость'])=0 and count(SMGS_VAGONS/SMGS_VAGONS_ITEM[string-length(RailwayBill)>0])=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($RwMess,'  с не заполненными графами о вагоне(ах).')"/>
								<xsl:with-param name="DocId" select="../../../@id"/>
								<xsl:with-param name="PathErr" select="'RWB/RWB_ITEM/RWBCarriage/RWBCARRIAGE_ITEM[1]/CarriageId'"/>
								<xsl:with-param name="TypeDoc" select="$RwbType"/>
								<xsl:with-param name="PosPkg" select="$RwbPos"/>
							</xsl:call-template>
						</xsl:when>
						<xsl:otherwise>
							<xsl:choose>
								<xsl:when test="count(RWBCarriage/RWBCARRIAGE_ITEM[string-length(CarriageId)>0 and CarriageId!='см.Вагонную ведомость'])>0  and count(SMGS_VAGONS/SMGS_VAGONS_ITEM[string-length(RailwayBill)>0])=0">
									<xsl:for-each select="RWBCarriage/RWBCARRIAGE_ITEM[string-length(CarriageId)>0 and CarriageId!='см.Вагонную ведомость']">
										<xsl:call-template name="VagonRwFlk">
											<xsl:with-param name="RwbType" select="$RwbType"/>
											<xsl:with-param name="RwbPos" select="$RwbPos"/>
											<xsl:with-param name="NodeRw" select="'RWB/RWB_ITEM/RWBCarriage/RWBCARRIAGE_ITEM'"/>
											<xsl:with-param name="Pos" select="position()"/>
											<xsl:with-param name="Flg" select="0"/>
										</xsl:call-template>
									</xsl:for-each>
								</xsl:when>
								<xsl:when test="count(SMGS_CONTAINERS/SMGS_CONTAINERS_ITEM[string-length(RailwayBillIn)>0])>0">
									<xsl:for-each select="SMGS_CONTAINERS/SMGS_CONTAINERS_ITEM[string-length(RailwayBillIn)>0]">
										<xsl:call-template name="VagonRwFlk">
											<xsl:with-param name="RwbType" select="$RwbType"/>
											<xsl:with-param name="RwbPos" select="$RwbPos"/>
											<xsl:with-param name="NodeRw" select="'RWB/RWB_ITEM/SMGS_CONTAINERS/SMGS_CONTAINERS_ITEM'"/>
											<xsl:with-param name="Pos" select="position()"/>
											<xsl:with-param name="Flg" select="2"/>
										</xsl:call-template>
									</xsl:for-each>
								</xsl:when>
								<xsl:when test="count(SMGS_VAGONS/SMGS_VAGONS_ITEM[string-length(RailwayBill)>0])>0">
									<xsl:for-each select="SMGS_VAGONS/SMGS_VAGONS_ITEM[string-length(RailwayBill)>0]">
										<xsl:call-template name="VagonRwFlk">
											<xsl:with-param name="RwbType" select="$RwbType"/>
											<xsl:with-param name="RwbPos" select="$RwbPos"/>
											<xsl:with-param name="NodeRw" select="'RWB/RWB_ITEM/SMGS_VAGONS/SMGS_VAGONS_ITEM'"/>
											<xsl:with-param name="Pos" select="position()"/>
											<xsl:with-param name="Flg" select="1"/>
										</xsl:call-template>
									</xsl:for-each>
								</xsl:when>
							</xsl:choose>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:choose>
						<xsl:when test="count(SMGS_CARRIERS/SMGS_CARRIERS_ITEM[string-length(NAME)>0 and string-length(STATIONCODEFROM)>0 and string-length(STATIONCODEINTO)>0])=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($RwMess,' ,в которой не заполнена гр.22 с перевозчиками и маршрутом (СМГС 2015)')"/>
								<xsl:with-param name="DocId" select="$IdRw"/>
								<xsl:with-param name="PathErr" select="'RWB/RWB_ITEM/SMGS_CARRIERS/SMGS_CARRIERS_ITEM[1]/NAME'"/>
								<xsl:with-param name="TypeDoc" select="$RwbType"/>
								<xsl:with-param name="PosPkg" select="$RwbPos"/>
							</xsl:call-template>
						</xsl:when>
						<xsl:otherwise>
							<xsl:for-each select="SMGS_CARRIERS/SMGS_CARRIERS_ITEM">
								<xsl:if test="string-length(NAME)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="concat($RwMess,' ,в которой не заполнено Наименование перевозчика в гр.22')"/>
										<xsl:with-param name="DocId" select="$IdRw"/>
										<xsl:with-param name="PathErr" select="concat('RWB/RWB_ITEM/SMGS_CARRIERS/SMGS_CARRIERS_ITEM[',position(),']/NAME')"/>
										<xsl:with-param name="TypeDoc" select="$RwbType"/>
										<xsl:with-param name="PosPkg" select="$RwbPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(STATIONCODEFROM)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="concat($RwMess,' ,в которой не заполнено Начальная станции участка дороги в гр.22')"/>
										<xsl:with-param name="DocId" select="$IdRw"/>
										<xsl:with-param name="PathErr" select="concat('RWB/RWB_ITEM/SMGS_CARRIERS/SMGS_CARRIERS_ITEM[',position(),']/STATIONCODEFROM')"/>
										<xsl:with-param name="TypeDoc" select="$RwbType"/>
										<xsl:with-param name="PosPkg" select="$RwbPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(STATIONCODEINTO)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="concat($RwMess,' ,в которой не заполнено Конечная станции участка дороги в гр.22')"/>
										<xsl:with-param name="DocId" select="$IdRw"/>
										<xsl:with-param name="PathErr" select="concat('RWB/RWB_ITEM/SMGS_CARRIERS/SMGS_CARRIERS_ITEM[',position(),']/STATIONCODEINTO')"/>
										<xsl:with-param name="TypeDoc" select="$RwbType"/>
										<xsl:with-param name="PosPkg" select="$RwbPos"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:for-each>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
				<xsl:if test="$NotInv">
					<xsl:if test="string-length(Consignee_Name)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="concat($RwMess,' с не заполненным полем Грузополучатель Наименование не заполнено.')"/>
							<xsl:with-param name="DocId" select="$IdRw"/>
							<xsl:with-param name="PathErr" select="'RWB/RWB_ITEM/Consignee_Name'"/>
							<xsl:with-param name="TypeDoc" select="$RwbType"/>
							<xsl:with-param name="PosPkg" select="$RwbPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(Consignor_Name)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="concat($RwMess,' с не заполненным полем Грузоотправитель Наименование.')"/>
							<xsl:with-param name="DocId" select="$IdRw"/>
							<xsl:with-param name="PathErr" select="'RWB/RWB_ITEM/Consignor_Name'"/>
							<xsl:with-param name="TypeDoc" select="$RwbType"/>
							<xsl:with-param name="PosPkg" select="$RwbPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(Consignee_CountryCode)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="concat($RwMess,' с не заполненным полем Грузополучатель Код cтраны.')"/>
							<xsl:with-param name="DocId" select="$IdRw"/>
							<xsl:with-param name="PathErr" select="'RWB/RWB_ITEM/Consignee_CountryCode'"/>
							<xsl:with-param name="TypeDoc" select="$RwbType"/>
							<xsl:with-param name="PosPkg" select="$RwbPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(Consignee_City)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="concat($RwMess,' с не заполненным полем Грузополучатель Населенный пункт.')"/>
							<xsl:with-param name="DocId" select="$IdRw"/>
							<xsl:with-param name="PathErr" select="'RWB/RWB_ITEM/Consignee_City'"/>
							<xsl:with-param name="TypeDoc" select="$RwbType"/>
							<xsl:with-param name="PosPkg" select="$RwbPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(Consignee_StreetHouse)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="concat($RwMess,' с не заполненным полем Грузополучатель Улица, дом... .')"/>
							<xsl:with-param name="DocId" select="$IdRw"/>
							<xsl:with-param name="PathErr" select="'RWB/RWB_ITEM/Consignee_StreetHouse'"/>
							<xsl:with-param name="TypeDoc" select="$RwbType"/>
							<xsl:with-param name="PosPkg" select="$RwbPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(Consignor_CountryCode)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="concat($RwMess,' с не заполненным полем Грузоотправитель Код cтраны.')"/>
							<xsl:with-param name="DocId" select="$IdRw"/>
							<xsl:with-param name="PathErr" select="'RWB/RWB_ITEM/Consignor_CountryCode'"/>
							<xsl:with-param name="TypeDoc" select="$RwbType"/>
							<xsl:with-param name="PosPkg" select="$RwbPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(Consignor_City)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="concat($RwMess,' с не заполненным полем Грузоотправитель Населенный пункт.')"/>
							<xsl:with-param name="DocId" select="$IdRw"/>
							<xsl:with-param name="PathErr" select="'RWB/RWB_ITEM/Consignor_City'"/>
							<xsl:with-param name="TypeDoc" select="$RwbType"/>
							<xsl:with-param name="PosPkg" select="$RwbPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(Consignor_StreetHouse)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="concat($RwMess,' с не заполненным полем Грузоотправитель Улица, дом....')"/>
							<xsl:with-param name="DocId" select="$IdRw"/>
							<xsl:with-param name="PathErr" select="'RWB/RWB_ITEM/Consignor_StreetHouse'"/>
							<xsl:with-param name="TypeDoc" select="$RwbType"/>
							<xsl:with-param name="PosPkg" select="$RwbPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="(count(//ESADOUT_TDGoods/ESADOUT_TDGOODS_ITEM/Container/CONTAINER_ITEM/ContainerID)>0 or count(//INVOICE/INVOICE_ITEM/Container/CONTAINER_ITEM[string-length(ContainerID)>0])>0 or count(//CONOSAMENT/CONOSAMENT_ITEM/CONOSAMENTGoods/CONOSAMENTGOODS_ITEM[string-length(ContainerNum)>0])>0) and string-length(ContainerID)>0">
						<xsl:variable name="ContNumInv">
							<xsl:choose>
								<xsl:when test="contains(ContainerID,'-P')">
									<xsl:value-of select="normalize-space(translate(translate(ContainerID,'-P',''),' ',''))"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="normalize-space(translate(ContainerID,' ',''))"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:variable>
						<xsl:if test="string-length(ContainerID)>0">
							<xsl:variable name="ValidCont">
								<xsl:call-template name="ValidContainerNum">
									<xsl:with-param name="Nums" select="$ContNumInv"/>
								</xsl:call-template>
							</xsl:variable>
							<xsl:if test="$ValidCont=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($RwMess,'  с № контейнера - не соответствует формату ХХХХ9999999 либо контрольная сумма не соответствует контрольному числу')"/>
									<xsl:with-param name="DocId" select="$IdRw"/>
									<xsl:with-param name="PathErr" select="'RWB/RWB_ITEM/ContainerID'"/>
									<xsl:with-param name="TypeDoc" select="$RwbType"/>
									<xsl:with-param name="PosPkg" select="$RwbPos"/>
									<xsl:with-param name="Category" select="'WARNING'"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:if>
						<xsl:if test="count(//CONOSAMENT/CONOSAMENT_ITEM/CONOSAMENTGoods/CONOSAMENTGOODS_ITEM[string-length(ContainerNum)>0])>0 and count(//CONOSAMENTGoods/CONOSAMENTGOODS_ITEM[normalize-space(ContainerNum)=$ContNumInv])=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($RwMess,' с контейнером, который отсутствует в Коносаменте.')"/>
								<xsl:with-param name="DocId" select="$IdRw"/>
								<xsl:with-param name="PathErr" select="'RWB/RWB_ITEM/ContainerID'"/>
								<xsl:with-param name="TypeDoc" select="$RwbType"/>
								<xsl:with-param name="PosPkg" select="$RwbPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="count(//INVOICE[(@ctmtd:CfgName)='invoice.cfg.xml']/INVOICE_ITEM/Container/CONTAINER_ITEM[string-length(ContainerID)>0])>0 and count(//INVOICE[(@ctmtd:CfgName)='invoice.cfg.xml']/INVOICE_ITEM/Container/CONTAINER_ITEM[ContainerID=$ContNumInv])=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($RwMess,'  с контейнером, который отсутствует в Инвойсе. ')"/>
								<xsl:with-param name="DocId" select="$IdRw"/>
								<xsl:with-param name="PathErr" select="'RWB/RWB_ITEM/ContainerID'"/>
								<xsl:with-param name="TypeDoc" select="$RwbType"/>
								<xsl:with-param name="PosPkg" select="$RwbPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="count(//INVOICE[(@ctmtd:CfgName)='invoicealco.cfg.xml']/INVOICE_ITEM[string-length(ContainerID)>0])>0 and count(//INVOICE[(@ctmtd:CfgName)='invoicealco.cfg.xml']/INVOICE_ITEM[ContainerID=$ContNumInv])=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($RwMess,'  с контейнером, который отсутствует в Инвойсе. ')"/>
								<xsl:with-param name="DocId" select="$IdRw"/>
								<xsl:with-param name="PathErr" select="'RWB/RWB_ITEM/ContainerID'"/>
								<xsl:with-param name="TypeDoc" select="$RwbType"/>
								<xsl:with-param name="PosPkg" select="$RwbPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="count(//ESADOUT_TDGoods/ESADOUT_TDGOODS_ITEM/Container/CONTAINER_ITEM[string-length(ContainerID)>0])>0 and count(//ESADOUT_TDGoods/ESADOUT_TDGOODS_ITEM/Container/CONTAINER_ITEM[ContainerID=$ContNumInv]/ContainerID)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($RwMess,'  с контейнером, который отсутствует в товарах Транзитной декларации. ')"/>
								<xsl:with-param name="DocId" select="$IdRw"/>
								<xsl:with-param name="PathErr" select="'RWB/RWB_ITEM/ContainerID'"/>
								<xsl:with-param name="TypeDoc" select="$RwbType"/>
								<xsl:with-param name="PosPkg" select="$RwbPos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:if>
				</xsl:if>
				<xsl:for-each select="RWBSeal/RWBSEAL_ITEM[string-length(SealId)>0]">
					<xsl:if test="string-length(SealId)>50">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="concat($RwMess,' , в которой гр.с пломбами содержит номер с количеством символов более 50 .')"/>
							<xsl:with-param name="DocId" select="../../../@id"/>
							<xsl:with-param name="PathErr" select="concat('RWB/RWB_ITEM/RWBSeal/RWBSEAL_ITEM[',position(),']/SealId')"/>
							<xsl:with-param name="TypeDoc" select="$RwbType"/>
							<xsl:with-param name="PosPkg" select="$RwbPos"/>
						</xsl:call-template>
					</xsl:if>
				</xsl:for-each>
			</xsl:for-each>
			<xsl:for-each select="//INTERNAL_RWB/INTERNAL_RWB_ITEM">
				<xsl:variable name="IntRwbPos" select="position()"/>
				<xsl:variable name="IntRwbType" select="../@ctmtd:CfgName"/>
				<xsl:variable name="IdIntRw" select="../@id"/>
				<xsl:if test="string-length(RegNum)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит ГУ-29К 2004 г. без номера регистрации документа.'"/>
						<xsl:with-param name="DocId" select="$IdIntRw"/>
						<xsl:with-param name="PathErr" select="'INTERNAL_RWB/INTERNAL_RWB_ITEM/RegNum'"/>
						<xsl:with-param name="TypeDoc" select="$IntRwbType"/>
						<xsl:with-param name="PosPkg" select="$IntRwbPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(GrossWeightQuantity)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ ГУ-29К 2004 г.  с не заполненным  полем Общий вес товаров, определенный отправителем, брутто (кг).'"/>
						<xsl:with-param name="DocId" select="$IdIntRw"/>
						<xsl:with-param name="PathErr" select="'INTERNAL_RWB/INTERNAL_RWB_ITEM/GrossWeightQuantity'"/>
						<xsl:with-param name="TypeDoc" select="$IntRwbType"/>
						<xsl:with-param name="PosPkg" select="$IntRwbPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(DepStationCode)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ ГУ-29К 2004 г.  с не заполненным полем Код станции отправления.'"/>
						<xsl:with-param name="DocId" select="$IdIntRw"/>
						<xsl:with-param name="PathErr" select="'INTERNAL_RWB/INTERNAL_RWB_ITEM/DepStationCode'"/>
						<xsl:with-param name="TypeDoc" select="$IntRwbType"/>
						<xsl:with-param name="PosPkg" select="$IntRwbPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(DestStationCode)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ ГУ-29К 2004 г.  с не заполненным полем Код станции назначения'"/>
						<xsl:with-param name="DocId" select="$IdIntRw"/>
						<xsl:with-param name="PathErr" select="'INTERNAL_RWB/INTERNAL_RWB_ITEM/DestStationCode'"/>
						<xsl:with-param name="TypeDoc" select="$IntRwbType"/>
						<xsl:with-param name="PosPkg" select="$IntRwbPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(Consignee_CountryCode)>0 and string-length(Consignor_CountryCode)>0 and Consignee_CountryCode=Consignor_CountryCode">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Значения полей ГУ-29К 2004 г.  Грузополучатель Код cтраны и Грузоотправитель Код cтраны совпадают.'"/>
						<xsl:with-param name="DocId" select="$IdIntRw"/>
						<xsl:with-param name="PathErr" select="'INTERNAL_RWB/INTERNAL_RWB_ITEM/Consignor_CountryCode'"/>
						<xsl:with-param name="TypeDoc" select="$IntRwbType"/>
						<xsl:with-param name="PosPkg" select="$IntRwbPos"/>
						<xsl:with-param name="Category" select="'WARNING'"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:for-each select="INTERNAL_RWBGoods/INTERNAL_RWBGOODS_ITEM">
					<xsl:variable name="PosGoods" select="position()"/>
					<xsl:variable name="GoodsDes">
						<xsl:call-template name="UpperCaseRus">
							<xsl:with-param name="string" select="GoodsDescription"/>
						</xsl:call-template>
					</xsl:variable>
					<xsl:if test="string-length(GoodsDescription)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ   ГУ-29К 2004 г. с товаром, в котором не заполнено поле Наименование товара. '"/>
							<xsl:with-param name="DocId" select="$IdIntRw"/>
							<xsl:with-param name="PathErr" select="concat('INTERNAL_RWB/INTERNAL_RWB_ITEM/INTERNAL_RWBGoods/INTERNAL_RWBGOODS_ITEM[',$PosGoods,']/GoodsDescription')"/>
							<xsl:with-param name="TypeDoc" select="$IntRwbType"/>
							<xsl:with-param name="PosPkg" select="$IntRwbPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="contains($GoodsDes,'КОНТЕЙНЕР')=false">
						<xsl:if test="string-length(GrossWeightQuantity)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ   ГУ-29К 2004 г. с товаром, в котором не заполнено поле  Вес брутто. '"/>
								<xsl:with-param name="DocId" select="$IdIntRw"/>
								<xsl:with-param name="PathErr" select="concat('INTERNAL_RWB/INTERNAL_RWB_ITEM/INTERNAL_RWBGoods/INTERNAL_RWBGOODS_ITEM[',$PosGoods,']/GrossWeightQuantity')"/>
								<xsl:with-param name="TypeDoc" select="$IntRwbType"/>
								<xsl:with-param name="PosPkg" select="$IntRwbPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(PlacesDescription)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ   ГУ-29К 2004 г. с товаром, в котором не заполнено поле  Описание грузовых мест. '"/>
								<xsl:with-param name="DocId" select="$IdIntRw"/>
								<xsl:with-param name="PathErr" select="concat('INTERNAL_RWB/INTERNAL_RWB_ITEM/INTERNAL_RWBGoods/INTERNAL_RWBGOODS_ITEM[',$PosGoods,']/PlacesDescription')"/>
								<xsl:with-param name="TypeDoc" select="$IntRwbType"/>
								<xsl:with-param name="PosPkg" select="$IntRwbPos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:if>
				</xsl:for-each>
			</xsl:for-each>
			<xsl:for-each select="//ESADOUT_TD/ESADOUT_TD_ITEM">
				<xsl:variable name="IdTd" select="../@id"/>
				<xsl:variable name="TdPos" select="position()"/>
				<xsl:variable name="TdType" select="../@ctmtd:CfgName"/>
				<xsl:if test="string-length(CustomsProcedure)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Транзитная декларация с не заполненным полем ИМ, ЭК. ТТ. Первый подраздел гр.1 ТД.'"/>
						<xsl:with-param name="DocId" select="$IdTd"/>
						<xsl:with-param name="PathErr" select="'ESADOUT_TD/ESADOUT_TD_ITEM/CustomsProcedure'"/>
						<xsl:with-param name="TypeDoc" select="$TdType"/>
						<xsl:with-param name="PosPkg" select="$TdPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(CustomsProcedure)>0 and CustomsProcedure!='ИМ' and  CustomsProcedure!='ЭК' and  CustomsProcedure!='ТТ' and  CustomsProcedure!='ПР' and  CustomsProcedure!='ТР'">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Транзитная декларация с не правильно заполненным полем ИМ, ЭК. ТТ. Первый подраздел гр.1 ТД.'"/>
						<xsl:with-param name="DocId" select="$IdTd"/>
						<xsl:with-param name="PathErr" select="'ESADOUT_TD/ESADOUT_TD_ITEM/CustomsProcedure'"/>
						<xsl:with-param name="TypeDoc" select="$TdType"/>
						<xsl:with-param name="PosPkg" select="$TdPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(TotalGoodsNumber)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ  Транзитная декларация с не заполненным полем Всего наименований товаров.'"/>
						<xsl:with-param name="DocId" select="$IdTd"/>
						<xsl:with-param name="PathErr" select="'ESADOUT_TD/ESADOUT_TD_ITEM/TotalGoodsNumber'"/>
						<xsl:with-param name="TypeDoc" select="$TdType"/>
						<xsl:with-param name="PosPkg" select="$TdPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:variable name="DelCustCode" select="DeliveryCustomsOfficeCode"/>
				<xsl:if test="string-length($DelCustCode)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ  Транзитная декларация с не заполненным полем Таможенный орган назначения Код.'"/>
						<xsl:with-param name="DocId" select="$IdTd"/>
						<xsl:with-param name="PathErr" select="'ESADOUT_TD/ESADOUT_TD_ITEM/DeliveryCustomsOfficeCode'"/>
						<xsl:with-param name="TypeDoc" select="$TdType"/>
						<xsl:with-param name="PosPkg" select="$TdPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length($DelCustCode)>0">
					<xsl:variable name="DelCustName" select="document('../../../NSI/TranspNSIXml.xml')//Customs_ITEM[Code=$DelCustCode]/Name"/>
					<xsl:if test="string-length($DelCustName)=0">
						<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ  Транзитная декларация, в графе Таможенный орган назначения Код указано значение отсутствующее в справочнике .'"/>
						<xsl:with-param name="DocId" select="$IdTd"/>
						<xsl:with-param name="PathErr" select="'ESADOUT_TD/ESADOUT_TD_ITEM/DeliveryCustomsOfficeCode'"/>
						<xsl:with-param name="TypeDoc" select="$TdType"/>
						<xsl:with-param name="PosPkg" select="$TdPos"/>
						</xsl:call-template>
					</xsl:if>
				</xsl:if>
				<xsl:if test="string-length(CurrencyCode)=0 and string-length(TotalInvoiceAmount)>0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ  Транзитная декларация с не заполненным полем Код валюты.'"/>
						<xsl:with-param name="DocId" select="$IdTd"/>
						<xsl:with-param name="PathErr" select="'ESADOUT_TD/ESADOUT_TD_ITEM/CurrencyCode'"/>
						<xsl:with-param name="TypeDoc" select="$TdType"/>
						<xsl:with-param name="PosPkg" select="$TdPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:variable name="total-package-in-goods" select="sum(ESADOUT_TDGoods/ESADOUT_TDGOODS_ITEM[string-length(PlacesQuantity)>0]/PlacesQuantity)"/>
				<xsl:if test="string-length(TotalPackageNumber)>0 and number(TotalPackageNumber)!=$total-package-in-goods">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Транзитная декларация, в которой в гр.Общее количество грузовых мест указано значение отличающиеся от суммы кол-ва грузовых мест в товарах.'"/>
						<xsl:with-param name="DocId" select="$IdTd"/>
						<xsl:with-param name="PathErr" select="'ESADOUT_TD/ESADOUT_TD_ITEM/TotalPackageNumber'"/>
						<xsl:with-param name="TypeDoc" select="$TdType"/>
						<xsl:with-param name="PosPkg" select="$TdPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:variable name="DclCrCode" select="Declarant_CountryCode"/>
				<xsl:if test="string-length(Declarant_CountryCode)>0 and string-length(document('../../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$DclCrCode]/Code)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит  документ Транзитная декларация , в котором поле Декларант/Принципал: Код страны заполнено неправильно (значение не найдено в справочнике).'"/>
						<xsl:with-param name="DocId" select="$IdTd"/>
						<xsl:with-param name="PathErr" select="'ESADOUT_TD/ESADOUT_TD_ITEM/Declarant_CountryCode'"/>
						<xsl:with-param name="TypeDoc" select="$TdType"/>
						<xsl:with-param name="PosPkg" select="$TdPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(Consignor_CountryCode)>0 and string-length(Consignee_CountryCode)>0 and Consignor_CountryCode=Consignee_CountryCode">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит  документ Транзитная декларация , в котором код страны отправителя совпадает с кодом страны получателя.'"/>
						<xsl:with-param name="DocId" select="$IdTd"/>
						<xsl:with-param name="PathErr" select="'ESADOUT_TD/ESADOUT_TD_ITEM/Consignee_CountryCode'"/>
						<xsl:with-param name="TypeDoc" select="$TdType"/>
						<xsl:with-param name="PosPkg" select="$TdPos"/>
						<xsl:with-param name="Category" select="'WARNING'"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="(string-length(Filled_PersonSurname)>0 or string-length(Filled_PersonName)>0) and count(//DOVER/DOVER_ITEM)>0">
					<xsl:for-each select="*[starts-with(name(),'Filled_')]">
						<xsl:variable name="Field2">
							<xsl:choose>
								<xsl:when test="name()='Filled_PersonSurname'">
									<xsl:value-of select="'Empowered_PersonName'"/>
								</xsl:when>
								<xsl:when test="name()='Filled_PersonName'">
									<xsl:value-of select="'Empowered_PersonName2'"/>
								</xsl:when>
								<xsl:when test="name()='Filled_IndentityCardCode'">
									<xsl:value-of select="'Empowered_IdentityCardCode'"/>
								</xsl:when>
								<xsl:when test="name()='Filled_IdentityCardNumder'">
									<xsl:value-of select="'Empowered_IdentityCardNumber'"/>
								</xsl:when>
								<xsl:when test="name()='Filled_OrganizationName'">
									<xsl:value-of select="'Empowered_IdentityCardOrgName'"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="concat('Empowered_',substring-after(name(),'_'))"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:variable>
						<xsl:if test=".!=//DOVER[1]/DOVER_ITEM/*[name()=$Field2]">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'гр 50 ТД - Сведения о лице, заполнившем декларацию, не соответсвуют данным , указанным в гр. Доверенное лицо в Документе,удостоверяющим полномочия лица.'"/>
								<xsl:with-param name="DocId" select="$IdTd"/>
								<xsl:with-param name="PathErr" select="concat('ESADOUT_TD/ESADOUT_TD_ITEM/',name())"/>
								<xsl:with-param name="TypeDoc" select="$TdType"/>
								<xsl:with-param name="PosPkg" select="$TdPos"/>
								<xsl:with-param name="Category" select="'WARNING'"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:for-each>
				</xsl:if>
				<xsl:if test="string-length(ExecutionDate)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ  Транзитная декларация с не заполненным полем Дата представления ТД.'"/>
						<xsl:with-param name="DocId" select="$IdTd"/>
						<xsl:with-param name="PathErr" select="'ESADOUT_TD/ESADOUT_TD_ITEM/ExecutionDate'"/>
						<xsl:with-param name="TypeDoc" select="$TdType"/>
						<xsl:with-param name="PosPkg" select="$TdPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(BorderCustomsCode)=0 and (count(//CMR/CMR_ITEM)=0 and count(//RWB/RWB_ITEM)=0 and $NotInv)">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ  Транзитная декларация с не заполненным полем Таможенный орган (пограничный пункт пропуска), в который ожидается прибытие.'"/>
						<xsl:with-param name="DocId" select="$IdTd"/>
						<xsl:with-param name="PathErr" select="'ESADOUT_TD/ESADOUT_TD_ITEM/BorderCustomsCode'"/>
						<xsl:with-param name="TypeDoc" select="$TdType"/>
						<xsl:with-param name="PosPkg" select="$TdPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:for-each select="DepartureArrivalTransport_TransportMeans/DEPARTUREARRIVALTRANSPORT_TRANSPORTMEANS_ITEM">
					<xsl:variable name="PosCon" select="position()"/>
					<xsl:if test="$NotInv and $FLK!=5 and DepartureArrivalTransport_TransportModeCode=20">
						<xsl:variable name="ContNum" select="TMNumber"/>
						<xsl:variable name="VContNum">
							<xsl:call-template name="ValidContainerNum">
								<xsl:with-param name="Nums" select="TMNumber"/>
							</xsl:call-template>
						</xsl:variable>
						<xsl:if test="string-length($ContNum)>0 and $VContNum=1 and count(//ESADOUT_TDGoods/ESADOUT_TDGOODS_ITEM/Container/CONTAINER_ITEM[ContainerID=$ContNum]/ContainerID)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ  Транзитная декларация, в которой в 18 гр. указан номер контейнера, отсутствующий в товарной части'"/>
								<xsl:with-param name="DocId" select="$IdTd"/>
								<xsl:with-param name="PathErr" select="concat('ESADOUT_TD/ESADOUT_TD_ITEM/DepartureArrivalTransport_TransportMeans/DEPARTUREARRIVALTRANSPORT_TRANSPORTMEANS_ITEM[',$PosCon,']/TMNumber')"/>
								<xsl:with-param name="TypeDoc" select="$TdType"/>
								<xsl:with-param name="PosPkg" select="$TdPos"/>
								<xsl:with-param name="Category" select="'WARNING'"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:if>
					<xsl:if test="string-length(NationalityCode)>0 and NationalityCode!='00'">
						<xsl:variable name="NatCode" select="NationalityCode"/>
						<xsl:if test="string-length(document('../../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$NatCode]/Code)=0 ">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ  Транзитная декларация с неправильно заполненным полем Код страны принадлежности ТС (не найден в справочнике)'"/>
								<xsl:with-param name="DocId" select="$IdTd"/>
								<xsl:with-param name="PathErr" select="concat('ESADOUT_TD/ESADOUT_TD_ITEM/DepartureArrivalTransport_TransportMeans/DEPARTUREARRIVALTRANSPORT_TRANSPORTMEANS_ITEM[',$PosCon,']/NationalityCode')"/>
								<xsl:with-param name="TypeDoc" select="$TdType"/>
								<xsl:with-param name="PosPkg" select="$TdPos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:if>
				</xsl:for-each>
				<xsl:for-each select="BorderTransport_TransportMeans/BORDERTRANSPORT_TRANSPORTMEANS_ITEM">
					<xsl:variable name="PosBTc" select="position()"/>
					<xsl:if test="string-length(NationalityCode)>0 and NationalityCode!='00'">
						<xsl:variable name="NatCodeB" select="NationalityCode"/>
						<xsl:if test="string-length(document('../../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$NatCodeB]/Code)=0 ">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ  Транзитная декларация с неправильно заполненным полем Код страны принадлежности ТС (не найден в справочнике)'"/>
								<xsl:with-param name="DocId" select="$IdTd"/>
								<xsl:with-param name="PathErr" select="concat('ESADOUT_TD/ESADOUT_TD_ITEM/BorderTransport_TransportMeans/BORDERTRANSPORT_TRANSPORTMEANS_ITEM[',$PosBTc,']/NationalityCode')"/>
								<xsl:with-param name="TypeDoc" select="$TdType"/>
								<xsl:with-param name="PosPkg" select="$TdPos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:if>
				</xsl:for-each>	
				<xsl:for-each select="ESADOUT_TDGoods/ESADOUT_TDGOODS_ITEM">
					<xsl:variable name="PosGoods" select="position()"/>
					<xsl:if test="string-length(PrecedingModeCode)>0">
						<xsl:variable name="PrCode" select="PrecedingModeCode"/>
						<xsl:variable name="ValidPrCode" select="document('../../../NSI/TranspNSIXml.xml')//DOCG44_ITEM[CODE=$PrCode]/CODE"/>
						<xsl:if test="string-length($ValidPrCode)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ  Транзитная декларация с товаром, в котором неправильно заполнено поле Предшествующий документ.Вид документа. '"/>
								<xsl:with-param name="DocId" select="$IdTd"/>
								<xsl:with-param name="PathErr" select="concat('ESADOUT_TD/ESADOUT_TD_ITEM/ESADOUT_TDGoods/ESADOUT_TDGOODS_ITEM[',$PosGoods,']/PrecedingModeCode')"/>
								<xsl:with-param name="TypeDoc" select="$TdType"/>
								<xsl:with-param name="PosPkg" select="$TdPos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:if>
					<xsl:if test="string-length(PrecedingDocumentNumber)=0 and (string-length(PrecedingDocumentCustomsCode)>0 or string-length(PrecedingDocumentDate)>0 or string-length(PrecedingModeCode)>0)">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ  Транзитная декларация с товаром, в котором Номер предшедствующего документа не заполнен, а Код таможенного органа, Дата или Код документа заполнены . Раздел с предшедствующим документом не будет сформирован в таможенном формате '"/>
							<xsl:with-param name="DocId" select="$IdTd"/>
							<xsl:with-param name="PathErr" select="concat('ESADOUT_TD/ESADOUT_TD_ITEM/ESADOUT_TDGoods/ESADOUT_TDGOODS_ITEM[',$PosGoods,']/PrecedingDocumentNumber')"/>
							<xsl:with-param name="TypeDoc" select="$TdType"/>
							<xsl:with-param name="PosPkg" select="$TdPos"/>
							<xsl:with-param name="Category" select="'WARNING'"/>
						</xsl:call-template>
					</xsl:if> 
					<xsl:if test="string-length(PrecedingDocumentNumber)>7">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ  Транзитная декларация с товаром, в котором номер предшедствующего документа более 7 знаков. '"/>
							<xsl:with-param name="DocId" select="$IdTd"/>
							<xsl:with-param name="PathErr" select="concat('ESADOUT_TD/ESADOUT_TD_ITEM/ESADOUT_TDGoods/ESADOUT_TDGOODS_ITEM[',$PosGoods,']/PrecedingDocumentNumber')"/>
							<xsl:with-param name="TypeDoc" select="$TdType"/>
							<xsl:with-param name="PosPkg" select="$TdPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(PrecedingDocumentCustomsCode)>0">
						<xsl:if test="string-length(PrecedingDocumentCustomsCode)!=8">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ  Транзитная декларация с товаром, в котором код таможенного ограна в предшедствующем документе д.б 8 цифр. '"/>
								<xsl:with-param name="DocId" select="$IdTd"/>
								<xsl:with-param name="PathErr" select="concat('ESADOUT_TD/ESADOUT_TD_ITEM/ESADOUT_TDGoods/ESADOUT_TDGOODS_ITEM[',$PosGoods,']/PrecedingDocumentCustomsCode')"/>
								<xsl:with-param name="TypeDoc" select="$TdType"/>
								<xsl:with-param name="PosPkg" select="$TdPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:variable name="PrCustCode" select="PrecedingDocumentCustomsCode"/>
						<xsl:if test="string-length(document('../../../NSI/TranspNSIXml.xml')//Customs_ITEM[Code=$PrCustCode]/Name)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ  Транзитная декларация с товаром, в котором Код таможенного ограна,предшедствующего документа, не найде в справочнике. '"/>
								<xsl:with-param name="DocId" select="$IdTd"/>
								<xsl:with-param name="PathErr" select="concat('ESADOUT_TD/ESADOUT_TD_ITEM/ESADOUT_TDGoods/ESADOUT_TDGOODS_ITEM[',$PosGoods,']/PrecedingDocumentCustomsCode')"/>
								<xsl:with-param name="TypeDoc" select="$TdType"/>
								<xsl:with-param name="PosPkg" select="$TdPos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:if>	
					<xsl:if test="string-length(GoodsCode)>0 and (string-length(GoodsCode)!=6 and  string-length(GoodsCode)!=8  and  string-length(GoodsCode)!=10  and  string-length(GoodsCode)!=14)">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ  Транзитная декларация с товаром, в котором неправильно заполнено поле Код товара (д.б. 6,8,10,14 сим.). '"/>
							<xsl:with-param name="DocId" select="$IdTd"/>
							<xsl:with-param name="PathErr" select="concat('ESADOUT_TD/ESADOUT_TD_ITEM/ESADOUT_TDGoods/ESADOUT_TDGOODS_ITEM[',$PosGoods,']/GoodsCode')"/>
							<xsl:with-param name="TypeDoc" select="$TdType"/>
							<xsl:with-param name="PosPkg" select="$TdPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(GoodsDescription)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ  Транзитная декларация с товаром, в котором не заполнено поле Наименование товара. '"/>
							<xsl:with-param name="DocId" select="$IdTd"/>
							<xsl:with-param name="PathErr" select="concat('ESADOUT_TD/ESADOUT_TD_ITEM/ESADOUT_TDGoods/ESADOUT_TDGOODS_ITEM[',$PosGoods,']/GoodsDescription')"/>
							<xsl:with-param name="TypeDoc" select="$TdType"/>
							<xsl:with-param name="PosPkg" select="$TdPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(InvoicedCost)>0 and (number(InvoicedCost)=InvoicedCost) and contains(InvoicedCost,'.') and string-length(substring-after(InvoicedCost,'.'))>2">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ  Транзитная декларация с товаром, в котором в поле Цена/ стоимость товара дробная часть более 2 зн. '"/>
							<xsl:with-param name="DocId" select="$IdTd"/>
							<xsl:with-param name="PathErr" select="concat('ESADOUT_TD/ESADOUT_TD_ITEM/ESADOUT_TDGoods/ESADOUT_TDGOODS_ITEM[',$PosGoods,']/InvoicedCost')"/>
							<xsl:with-param name="Category" select="'WARNING'"/>
							<xsl:with-param name="TypeDoc" select="$TdType"/>
							<xsl:with-param name="PosPkg" select="$TdPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:for-each select="EnclosedDocument/ENCLOSEDDOCUMENT_ITEM[string-length(DocumentNumber)>0 or string-length(DocumentName)>0 or string-length(DocumentDate)>0]">
						<xsl:variable name="PosDoc" select="position()"/>
						<xsl:if test="string-length(ModeCode)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ  Транзитная декларация с товаром, в котором в таблице Описание прилагаемых документов не заполнено поле Вид документа. '"/>
								<xsl:with-param name="DocId" select="$IdTd"/>
								<xsl:with-param name="PathErr" select="concat('ESADOUT_TD/ESADOUT_TD_ITEM/ESADOUT_TDGoods/ESADOUT_TDGOODS_ITEM[',$PosGoods,']/EnclosedDocument/ENCLOSEDDOCUMENT_ITEM[',$PosDoc,']/ModeCode')"/>
								<xsl:with-param name="TypeDoc" select="$TdType"/>
								<xsl:with-param name="PosPkg" select="$TdPos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:for-each>
					<xsl:if test="../../DepartureArrivalTransport_TransportModeCode=20 and $FLK!=1 and $FLK!=5 and  $NotInv">
						<xsl:for-each select="Container/CONTAINER_ITEM[string-length(ContainerID)>0]">
							<xsl:variable name="ContNum" select="ContainerID"/>
							<xsl:variable name="TranpCont">
								<xsl:for-each select="../../../../DepartureArrivalTransport_TransportMeans/DEPARTUREARRIVALTRANSPORT_TRANSPORTMEANS_ITEM[string-length(TMNumber)>0]">
									<xsl:variable name="Num" select="TMNumber"/>
									<xsl:variable name="VContNum">
										<xsl:call-template name="ValidContainerNum">
											<xsl:with-param name="Nums" select="TMNumber"/>
										</xsl:call-template>
									</xsl:variable>
									<xsl:if test="$VContNum=1 and $Num=$ContNum">1</xsl:if>
								</xsl:for-each>
							</xsl:variable>
							<xsl:if test="string-length($ContNum)>0 and $TranpCont!=1">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит документ  Транзитная декларация с товаром, в котором в таблице с контейнерами указан контейнер отсутствующий в 18 гр. '"/>
									<xsl:with-param name="DocId" select="$IdTd"/>
									<xsl:with-param name="PathErr" select="concat('ESADOUT_TD/ESADOUT_TD_ITEM/ESADOUT_TDGoods/ESADOUT_TDGOODS_ITEM[',$PosGoods,']/Container/CONTAINER_ITEM[',position(),']/ContainerID')"/>
									<xsl:with-param name="TypeDoc" select="$TdType"/>
									<xsl:with-param name="PosPkg" select="$TdPos"/>
									<xsl:with-param name="Category" select="'WARNING'"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:for-each>
					</xsl:if>
				</xsl:for-each>
			</xsl:for-each>
			<xsl:for-each select="//AWB/AWB_ITEM">
				<xsl:variable name="IdAwb" select="../@id"/>
				<xsl:variable name="AwbType" select="../@ctmtd:CfgName"/>
				<xsl:variable name="AwbPos" select="position()"/>
				<xsl:if test="string-length(AgreedValuationCurrencyCode)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ Авиагрузовая накладная с не заполненным полем Код валюты, принятой в стране отправления.По-умолчанию будет указан код EUR - ЕВРО'"/>
							<xsl:with-param name="DocId" select="$IdAwb"/>
							<xsl:with-param name="PathErr" select="'AWB/AWB_ITEM/AgreedValuationCurrencyCode'"/>
							<xsl:with-param name="TypeDoc" select="$AwbType"/>
							<xsl:with-param name="PosPkg" select="$AwbPos"/>
							<xsl:with-param name="Category" select="'WARNING'"/>
						</xsl:call-template>
					</xsl:if>
				<xsl:if test="string-length(DepPoint_IATACode)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Авиагрузовая накладная с не заполненным полем Аэропорт отправления или город: код ИАТА.'"/>
						<xsl:with-param name="DocId" select="$IdAwb"/>
						<xsl:with-param name="PathErr" select="'AWB/AWB_ITEM/DepPoint_IATACode'"/>
						<xsl:with-param name="TypeDoc" select="$AwbType"/>
						<xsl:with-param name="PosPkg" select="$AwbPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(DestPoint_IATACode)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Авиагрузовая накладная с не заполненным полем Аэропорт назначения или город: код ИАТА.'"/>
						<xsl:with-param name="DocId" select="$IdAwb"/>
						<xsl:with-param name="PathErr" select="'AWB/AWB_ITEM/DestPoint_IATACode'"/>
						<xsl:with-param name="TypeDoc" select="$AwbType"/>
						<xsl:with-param name="PosPkg" select="$AwbPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(RegNum)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Авиагрузовая накладная с не заполненным полем Серийный номер накладной.'"/>
						<xsl:with-param name="DocId" select="$IdAwb"/>
						<xsl:with-param name="PathErr" select="'AWB/AWB_ITEM/RegNum'"/>
						<xsl:with-param name="TypeDoc" select="$AwbType"/>
						<xsl:with-param name="PosPkg" select="$AwbPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(WeightUnitQualifierCode)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ Авиагрузовая накладная с не заполненным полем  Наименование единиц измерения общего веса товара (килограммы или фунты).'"/>
						<xsl:with-param name="DocId" select="$IdAwb"/>
						<xsl:with-param name="PathErr" select="'AWB/AWB_ITEM/WeightUnitQualifierCode'"/>
						<xsl:with-param name="TypeDoc" select="$AwbType"/>
						<xsl:with-param name="PosPkg" select="$AwbPos"/>
					</xsl:call-template>
				</xsl:if>	
				<xsl:if test="not($NotInv)">
					<xsl:if test="string-length(RegDate)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ Авиагрузовая накладная с не заполненным полем Дата составления накладной.'"/>
							<xsl:with-param name="DocId" select="$IdAwb"/>
							<xsl:with-param name="PathErr" select="'AWB/AWB_ITEM/RegDate'"/>
							<xsl:with-param name="TypeDoc" select="$AwbType"/>
							<xsl:with-param name="PosPkg" select="$AwbPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(Place)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ Авиагрузовая накладная с не заполненным полем Место составления накладной.'"/>
							<xsl:with-param name="DocId" select="$IdAwb"/>
							<xsl:with-param name="PathErr" select="'AWB/AWB_ITEM/Place'"/>
							<xsl:with-param name="TypeDoc" select="$AwbType"/>
							<xsl:with-param name="PosPkg" select="$AwbPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(IssueInfo_Name)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит Авиагрузовая накладная с не заполненным полем Авиакомпания, выписавшая накладную: Наименование.'"/>
							<xsl:with-param name="DocId" select="$IdAwb"/>
							<xsl:with-param name="PathErr" select="'AWB/AWB_ITEM/IssueInfo_CountryCode'"/>
							<xsl:with-param name="TypeDoc" select="$AwbType"/>
						<xsl:with-param name="PosPkg" select="$AwbPos"/>
						</xsl:call-template>
					</xsl:if>
					
					<xsl:if test="string-length(IssuingCarrier_IATACode)=0 and string-length(IssuingCarrier_CommissionFlag)>0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит Авиа-Накладную с не заполненным полем Агент выпускающего перевозчика:Код ИАТА агента. '"/>
							<xsl:with-param name="DocId" select="$IdAwb"/>
							<xsl:with-param name="PathErr" select="'AWB/AWB_ITEM/IssuingCarrier_IATACode'"/>
							<xsl:with-param name="TypeDoc" select="$AwbType"/>
							<xsl:with-param name="PosPkg" select="$AwbPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(IssuingCarrier_IATACode)>0 and (string-length(IssuingCarrier_IATACode)&lt;7 or string-length(IssuingCarrier_IATACode)>11)">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит Авиа-Накладную с неправильно заполненным полем Агент выпускающего перевозчика:Код ИАТА агента. (д.б. от 7 до 11 сим.)'"/>
							<xsl:with-param name="DocId" select="$IdAwb"/>
							<xsl:with-param name="PathErr" select="'AWB/AWB_ITEM/IssuingCarrier_IATACode'"/>
							<xsl:with-param name="TypeDoc" select="$AwbType"/>
							<xsl:with-param name="PosPkg" select="$AwbPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(IssuingCarrier_CommissionFlag)=0 and string-length(IssuingCarrier_IATACode)>0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит Авиа-Накладную с не заполненным полем Агент выпускающего перевозчика:Сведения о комиссионных для агента. '"/>
							<xsl:with-param name="DocId" select="$IdAwb"/>
							<xsl:with-param name="PathErr" select="'AWB/AWB_ITEM/IssuingCarrier_CommissionFlag'"/>
							<xsl:with-param name="TypeDoc" select="$AwbType"/>
							<xsl:with-param name="PosPkg" select="$AwbPos"/>
						</xsl:call-template>
					</xsl:if>
				</xsl:if>
				<xsl:if test="string-length(GrossWeightQuantity)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит Авиа-Накладную с товаром, в котором не заполнено поле Общий вес брутто товаров.'"/>
						<xsl:with-param name="PathErr" select="'AWB/AWB_ITEM/GrossWeightQuantity'"/>
						<xsl:with-param name="DocId" select="$IdAwb"/>
						<xsl:with-param name="TypeDoc" select="$AwbType"/>
						<xsl:with-param name="PosPkg" select="$AwbPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(PlacesQuantity)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит Авиа-Накладную с товаром, в котором не заполнено поле Общее количество грузовых мест товара.'"/>
						<xsl:with-param name="PathErr" select="'AWB/AWB_ITEM/PlacesQuantity'"/>
						<xsl:with-param name="DocId" select="$IdAwb"/>
						<xsl:with-param name="TypeDoc" select="$AwbType"/>
						<xsl:with-param name="PosPkg" select="$AwbPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:for-each select="AWBGoods/AWBGOODS_ITEM">
					<xsl:variable name="PosGoods" select="position()"/>
					<xsl:choose>
						<xsl:when test="count(AWBGoodsDsc/AWBGOODSDSC_ITEM)>0">
							<xsl:if test="count(AWBGoodsDsc/AWBGOODSDSC_ITEM[string-length(GoodsDescription)>0])=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит Авиа-Накладную с товаром, в котором не заполнено поле Наименование товара. '"/>
									<xsl:with-param name="PathErr" select="concat('AWB/AWB_ITEM/AWBGoods/AWBGOODS_ITEM[',position(),']/AWBGoodsDsc/AWBGOODSDSC_ITEM[1]/GoodsDescription')"/>
									<xsl:with-param name="DocId" select="$IdAwb"/>
									<xsl:with-param name="TypeDoc" select="$AwbType"/>
									<xsl:with-param name="PosPkg" select="$AwbPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:when>
						<xsl:otherwise>
							<xsl:if test="string-length(GoodsDescription)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит Авиа-Накладную с товаром, в котором не заполнено поле Наименование товара. '"/>
									<xsl:with-param name="PathErr" select="concat('AWB/AWB_ITEM/AWBGoods/AWBGOODS_ITEM[',$PosGoods,']/GoodsDescription')"/>
									<xsl:with-param name="DocId" select="$IdAwb"/>
									<xsl:with-param name="TypeDoc" select="$AwbType"/>
									<xsl:with-param name="PosPkg" select="$AwbPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:if test="string-length(GoodsCommodityCode)>0 and (string-length(GoodsCommodityCode)&lt;4 or string-length(GoodsCommodityCode)>10)">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит Авиа-Накладную накладная с товаром, в котором длина поля Код товара д.б. 4 - 10 символов.'"/>
							<xsl:with-param name="PathErr" select="concat('AWB/AWB_ITEM/AWBGoods/AWBGOODS_ITEM[',$PosGoods,']/GoodsCommodityCode')"/>
							<xsl:with-param name="DocId" select="$IdAwb"/>
							<xsl:with-param name="TypeDoc" select="$AwbType"/>
							<xsl:with-param name="PosPkg" select="$AwbPos"/>
						</xsl:call-template>
					</xsl:if>
				</xsl:for-each>	
			</xsl:for-each>
			<xsl:for-each select="//CARGOMANIFEST/CARGOMANIFEST_ITEM">
				<xsl:variable name="IdCarMnf" select="../@id"/>
				<xsl:variable name="CMfType" select="../@ctmtd:CfgName"/>
				<xsl:variable name="CMfPos" select="position()"/>
				<xsl:if test="string-length(Carrier_Code)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит Грузовой манифест с не заполненным полем Двухсимвольный код  перевозчика.'"/>
						<xsl:with-param name="DocId" select="$IdCarMnf"/>
						<xsl:with-param name="PathErr" select="'CARGOMANIFEST/CARGOMANIFEST_ITEM/Carrier_Code'"/>
						<xsl:with-param name="TypeDoc" select="$CMfType"/>
						<xsl:with-param name="PosPkg" select="$CMfPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(FlNumber)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит Грузовой манифест с не заполненным полем Номер рейса.'"/>
						<xsl:with-param name="DocId" select="$IdCarMnf"/>
						<xsl:with-param name="PathErr" select="'CARGOMANIFEST/CARGOMANIFEST_ITEM/FlNumber'"/>
						<xsl:with-param name="TypeDoc" select="$CMfType"/>
						<xsl:with-param name="PosPkg" select="$CMfPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(FlDate)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит Грузовой манифест с не заполненным полем Дата рейса.'"/>
						<xsl:with-param name="DocId" select="$IdCarMnf"/>
						<xsl:with-param name="PathErr" select="'CARGOMANIFEST/CARGOMANIFEST_ITEM/FlDate'"/>
						<xsl:with-param name="TypeDoc" select="$CMfType"/>
						<xsl:with-param name="PosPkg" select="$CMfPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(AirplaneRegNumber)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит Грузовой манифест с не заполненным полем Бортовой номер воздушного судна.'"/>
						<xsl:with-param name="DocId" select="$IdCarMnf"/>
						<xsl:with-param name="PathErr" select="'CARGOMANIFEST/CARGOMANIFEST_ITEM/AirplaneRegNumber'"/>
						<xsl:with-param name="TypeDoc" select="$CMfType"/>
						<xsl:with-param name="PosPkg" select="$CMfPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(DepartureAirport_IATACode)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит Грузовой манифест с не заполненным полем Код ИАТА аэропорта отправления.'"/>
						<xsl:with-param name="DocId" select="$IdCarMnf"/>
						<xsl:with-param name="PathErr" select="'CARGOMANIFEST/CARGOMANIFEST_ITEM/DepartureAirport_IATACode'"/>
						<xsl:with-param name="TypeDoc" select="$CMfType"/>
						<xsl:with-param name="PosPkg" select="$CMfPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:variable  name="CBULKNotNullNode" select="count(CARGOMANIFESTDESTINFO/CARGOMANIFESTDESTINFO_ITEM/CARGOMANIFESTDESTINFOBULK/CARGOMANIFESTDESTINFOBULK_ITEM[child::*[string-length(.)>0]])"/>
				<xsl:variable  name="CULDNotNullNode" select="count(CARGOMANIFESTDESTINFO/CARGOMANIFESTDESTINFO_ITEM/CARGOMANIFESTDESTINFOULDCARGO/CARGOMANIFESTDESTINFOULDCARGO_ITEM[child::*[string-length(.)>0]])"/>
				<xsl:if test="(string-length(NilCargoSign)=0 or (string-length(NilCargoSign)>0 and number(NilCargoSign)=0)) and $CBULKNotNullNode=0 and $CULDNotNullNode=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит Грузовой манифест с не заполненным полем Признак nil-манифеста и не заполненными разделами Информация о разгрузке товара (д.б. заполнен либо Признак либо  Информация о разгрузке товара).'"/>
						<xsl:with-param name="DocId" select="$IdCarMnf"/>
						<xsl:with-param name="PathErr" select="'CARGOMANIFEST/CARGOMANIFEST_ITEM/NilCargoSign'"/>
						<xsl:with-param name="TypeDoc" select="$CMfType"/>
						<xsl:with-param name="PosPkg" select="$CMfPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(NilCargoSign)>0 and number(NilCargoSign)=1 and ($CBULKNotNullNode>0 or $CULDNotNullNode>0)">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит Грузовой манифест с заполненным полем Признак nil-манифеста и заполненными разделами Информация о разгрузке товара (д.б. заполнен либо Признак либо  Информация о разгрузке товара).'"/>
						<xsl:with-param name="DocId" select="$IdCarMnf"/>
						<xsl:with-param name="PathErr" select="'CARGOMANIFEST/CARGOMANIFEST_ITEM/NilCargoSign'"/>
						<xsl:with-param name="TypeDoc" select="$CMfType"/>
						<xsl:with-param name="PosPkg" select="$CMfPos"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="not($NotInv) and string-length(NilCargoSign)=0 or (string-length(NilCargoSign)>0 and number(NilCargoSign)=0)">
					<xsl:for-each select="CARGOMANIFESTDESTINFO/CARGOMANIFESTDESTINFO_ITEM">
						<xsl:variable name="CarMnfDestInfo" select="position()"/>
						<xsl:if test="string-length(DestinationAirport_IATACode)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит Грузовой манифест  в разделе Информация о разгрузке товара не заполнено поле Код ИАТА аэропорта назначения.'"/>
								<xsl:with-param name="DocId" select="$IdCarMnf"/>
								<xsl:with-param name="PathErr" select="concat('CARGOMANIFEST/CARGOMANIFEST_ITEM/CARGOMANIFESTDESTINFO/CARGOMANIFESTDESTINFO_ITEM[',$CarMnfDestInfo,']/DestinationAirport_IATACode')"/>
								<xsl:with-param name="TypeDoc" select="$CMfType"/>
								<xsl:with-param name="PosPkg" select="$CMfPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:variable name="NodeBulk" select="concat('CARGOMANIFEST/CARGOMANIFEST_ITEM/CARGOMANIFESTDESTINFO/CARGOMANIFESTDESTINFO_ITEM[',$CarMnfDestInfo,']/')"/>
						<xsl:for-each select="CARGOMANIFESTDESTINFOBULK/CARGOMANIFESTDESTINFOBULK_ITEM">
							<xsl:variable  name="BULKNotNullNode" select="count(child::*[string-length(.)>0])"/>
							<xsl:if test="BULKNotNullNode>0">
								<xsl:if test="string-length(Bulk_PlacesQuantity)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Грузовой манифест с товаром, у которого заполнено поле Количество мест....'"/>
										<xsl:with-param name="DocId" select="$IdCarMnf"/>
										<xsl:with-param name="PathErr" select="concat($NodeBulk,'CARGOMANIFESTDESTINFOBULK/CARGOMANIFESTDESTINFOBULK_ITEM[',position(),']/Bulk_PlacesQuantity')"/>
										<xsl:with-param name="TypeDoc" select="$CMfType"/>
										<xsl:with-param name="PosPkg" select="$CMfPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(Bulk_GrossWeightQuantity)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Грузовой манифест с товаром, у которого заполнено поле Вес товара, брутто....'"/>
										<xsl:with-param name="DocId" select="$IdCarMnf"/>
										<xsl:with-param name="PathErr" select="concat($NodeBulk,'CARGOMANIFESTDESTINFOBULK/CARGOMANIFESTDESTINFOBULK_ITEM[',position(),']/Bulk_GrossWeightQuantity')"/>
										<xsl:with-param name="TypeDoc" select="$CMfType"/>
										<xsl:with-param name="PosPkg" select="$CMfPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(Bulk_DocumentNumber)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Грузовой манифест с товаром, у которого заполнено поле Серийный номер накладной....'"/>
										<xsl:with-param name="DocId" select="$IdCarMnf"/>
										<xsl:with-param name="PathErr" select="concat($NodeBulk,'CARGOMANIFESTDESTINFOBULK/CARGOMANIFESTDESTINFOBULK_ITEM[',position(),']/Bulk_DocumentNumber')"/>
										<xsl:with-param name="TypeDoc" select="$CMfType"/>
										<xsl:with-param name="PosPkg" select="$CMfPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(Bulk_ShipmentDescriptionCode)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Грузовой манифест с товаром, у которого заполнено поле Код ShipmentDescriptionCode'"/>
										<xsl:with-param name="DocId" select="$IdCarMnf"/>
										<xsl:with-param name="PathErr" select="concat($NodeBulk,'CARGOMANIFESTDESTINFOBULK/CARGOMANIFESTDESTINFOBULK_ITEM[',position(),']/Bulk_ShipmentDescriptionCode')"/>
										<xsl:with-param name="TypeDoc" select="$CMfType"/>
										<xsl:with-param name="PosPkg" select="$CMfPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(Bulk_GoodsDescription)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Грузовой манифест с товаром, у которого заполнено поле Описание товара'"/>
										<xsl:with-param name="DocId" select="$IdCarMnf"/>
										<xsl:with-param name="PathErr" select="concat($NodeBulk,'CARGOMANIFESTDESTINFOBULK/CARGOMANIFESTDESTINFOBULK_ITEM[',position(),']/Bulk_GoodsDescription')"/>
										<xsl:with-param name="TypeDoc" select="$CMfType"/>
										<xsl:with-param name="PosPkg" select="$CMfPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(Bulk_OriginAirport_IATACode)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Грузовой манифест с товаром, у которого заполнено поле Код ИАТА аэропорта погрузки'"/>
										<xsl:with-param name="DocId" select="$IdCarMnf"/>
										<xsl:with-param name="PathErr" select="concat($NodeBulk,'CARGOMANIFESTDESTINFOBULK/CARGOMANIFESTDESTINFOBULK_ITEM[',position(),']/Bulk_OriginAirport_IATACode')"/>
										<xsl:with-param name="TypeDoc" select="$CMfType"/>
										<xsl:with-param name="PosPkg" select="$CMfPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(Bulk_DestinationAirport_IATACode)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Грузовой манифест с товаром, у которого заполнено поле Код ИАТА аэропорта назначения'"/>
										<xsl:with-param name="DocId" select="$IdCarMnf"/>
										<xsl:with-param name="PathErr" select="concat($NodeBulk,'CARGOMANIFESTDESTINFOBULK/CARGOMANIFESTDESTINFOBULK_ITEM[',position(),']/Bulk_DestinationAirport_IATACode')"/>
										<xsl:with-param name="TypeDoc" select="$CMfType"/>
										<xsl:with-param name="PosPkg" select="$CMfPos"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:if>
						</xsl:for-each>
						<xsl:for-each select="CARGOMANIFESTDESTINFOULDCARGO/CARGOMANIFESTDESTINFOULDCARGO_ITEM">
							<xsl:variable  name="ULDNotNullNode" select="count(child::*[string-length(.)>0 and count(child::*)=0])"/>
							<xsl:variable  name="NodeDestInfoGoods" select="concat($NodeBulk,'CARGOMANIFESTDESTINFOULDCARGO/CARGOMANIFESTDESTINFOULDCARGO_ITEM[',position(),']/')"/>
							<xsl:if test="ULDNotNullNode>0">
								<xsl:if test="string-length(ULDSerialNumber)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Грузовой манифест с товаром, у которого не заполнено поле Серийный номер контейнера' "/>
										<xsl:with-param name="DocId" select="$IdCarMnf"/>
										<xsl:with-param name="PathErr" select="concat($NodeDestInfoGoods,'ULDSerialNumber')"/>
										<xsl:with-param name="TypeDoc" select="$CMfType"/>
										<xsl:with-param name="PosPkg" select="$CMfPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(ULDType)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Грузовой манифест с товаром, у которого не заполнено поле Тип контейнера '"/>
										<xsl:with-param name="DocId" select="$IdCarMnf"/>
										<xsl:with-param name="PathErr" select="concat($NodeDestInfoGoods,'ULDType')"/>
										<xsl:with-param name="TypeDoc" select="$CMfType"/>
										<xsl:with-param name="PosPkg" select="$CMfPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(ULDOwnerCode)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Грузовой манифест с товаром, у которого не заполнено поле Код владельца контейнера '"/>
										<xsl:with-param name="DocId" select="$IdCarMnf"/>
										<xsl:with-param name="PathErr" select="concat($NodeDestInfoGoods,'ULDOwnerCode')"/>
										<xsl:with-param name="TypeDoc" select="$CMfType"/>
										<xsl:with-param name="PosPkg" select="$CMfPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:for-each select="CARGOMANIFESTDESTINFOULDGOODS/CARGOMANIFESTDESTINFOULDGOODS_ITEM">
									<xsl:variable  name="ULDGoodsNotNullNode" select="count(child::*[string-length(.)>0])"/>
									<xsl:if test="ULDGoodsNotNullNode>0">
										<xsl:if test="string-length(ULD_DocumentNumber)=0">
											<xsl:call-template name="ErrorNode">
												<xsl:with-param name="MessErr" select="'Пакет содержит Грузовой манифест с товаром, у которого заполнено поле Серийный номер накладной....'"/>
												<xsl:with-param name="DocId" select="$IdCarMnf"/>
												<xsl:with-param name="PathErr" select="concat($NodeDestInfoGoods,'CARGOMANIFESTDESTINFOULDGOODS/CARGOMANIFESTDESTINFOULDCARGO_ITEM[',position(),']/ULD_DocumentNumber')"/>
												<xsl:with-param name="TypeDoc" select="$CMfType"/>
												<xsl:with-param name="PosPkg" select="$CMfPos"/>
											</xsl:call-template>
										</xsl:if>
										<xsl:if test="string-length(ULD_ShipmentDescriptionCode)=0">
											<xsl:call-template name="ErrorNode">
												<xsl:with-param name="MessErr" select="'Пакет содержит Грузовой манифест с товаром, у которого заполнено поле Серийный номер накладной....'"/>
												<xsl:with-param name="DocId" select="$IdCarMnf"/>
												<xsl:with-param name="PathErr" select="concat($NodeDestInfoGoods,'CARGOMANIFESTDESTINFOULDGOODS/CARGOMANIFESTDESTINFOULDCARGO_ITEM[',position(),']/ULD_ShipmentDescriptionCode')"/>
												<xsl:with-param name="TypeDoc" select="$CMfType"/>
												<xsl:with-param name="PosPkg" select="$CMfPos"/>
											</xsl:call-template>
										</xsl:if>
										<xsl:if test="string-length(ULD_PlacesQuantity)=0">
											<xsl:call-template name="ErrorNode">
												<xsl:with-param name="MessErr" select="'Пакет содержит Грузовой манифест с товаром, у которого заполнено поле Количество мест....'"/>
												<xsl:with-param name="DocId" select="$IdCarMnf"/>
												<xsl:with-param name="PathErr" select="concat($NodeDestInfoGoods,'CARGOMANIFESTDESTINFOULDGOODS/CARGOMANIFESTDESTINFOULDCARGO_ITEM[',position(),']/ULD_PlacesQuantity')"/>
												<xsl:with-param name="TypeDoc" select="$CMfType"/>
												<xsl:with-param name="PosPkg" select="$CMfPos"/>
											</xsl:call-template>
										</xsl:if>
										<xsl:if test="string-length(ULD_GoodsDescription)=0">
											<xsl:call-template name="ErrorNode">
												<xsl:with-param name="MessErr" select="'Пакет содержит Грузовой манифест с товаром, у которого заполнено поле Описание товара....'"/>
												<xsl:with-param name="DocId" select="$IdCarMnf"/>
												<xsl:with-param name="PathErr" select="concat($NodeDestInfoGoods,'CARGOMANIFESTDESTINFOULDGOODS/CARGOMANIFESTDESTINFOULDCARGO_ITEM[',position(),']/ULD_GoodsDescription')"/>
												<xsl:with-param name="TypeDoc" select="$CMfType"/>
												<xsl:with-param name="PosPkg" select="$CMfPos"/>
											</xsl:call-template>
										</xsl:if>
										<xsl:if test="string-length(ULD_OriginAirport_IATACode)=0">
											<xsl:call-template name="ErrorNode">
												<xsl:with-param name="MessErr" select="'Пакет содержит Грузовой манифест с товаром, у которого заполнено поле Код ИАТА аэропорта погрузки'"/>
												<xsl:with-param name="DocId" select="$IdCarMnf"/>
												<xsl:with-param name="PathErr" select="concat($NodeDestInfoGoods,'CARGOMANIFESTDESTINFOULDGOODS/CARGOMANIFESTDESTINFOULDCARGO_ITEM[',position(),']/ULD_OriginAirport_IATACode')"/>
												<xsl:with-param name="TypeDoc" select="$CMfType"/>
												<xsl:with-param name="PosPkg" select="$CMfPos"/>
											</xsl:call-template>
										</xsl:if>
										<xsl:if test="string-length(ULD_DestinationAirport_IATACode)=0">
											<xsl:call-template name="ErrorNode">
												<xsl:with-param name="MessErr" select="'Пакет содержит Грузовой манифест с товаром, у которого заполнено поле Код ИАТА аэропорта назначения'"/>
												<xsl:with-param name="DocId" select="$IdCarMnf"/>
												<xsl:with-param name="PathErr" select="concat($NodeDestInfoGoods,'CARGOMANIFESTDESTINFOULDGOODS/CARGOMANIFESTDESTINFOULDCARGO_ITEM[',position(),']/ULD_DestinationAirport_IATACode')"/>
												<xsl:with-param name="TypeDoc" select="$CMfType"/>
												<xsl:with-param name="PosPkg" select="$CMfPos"/>
											</xsl:call-template>
										</xsl:if>
									</xsl:if>
								</xsl:for-each>	
							</xsl:if>	
						</xsl:for-each>
					</xsl:for-each>
				</xsl:if>	
			</xsl:for-each>			
			<xsl:if test="$FLK!=1">
				<xsl:for-each select="//PACKINGLIST/PACKINGLIST_ITEM">
					<xsl:variable name="RapalaN" select="contains(Consignor_Name,'RAPALA')"/>
					<xsl:variable name="IdPcg" select="../@id"/>
					<xsl:variable name="PackType" select="../@ctmtd:CfgName"/>
					<xsl:variable name="PackPos" select="position()"/>
					<xsl:variable name="PosPack" select="position()"/>
					<xsl:if test="string-length(RegNum)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит Отгрузочный (упаковочный) лист без номера регистрации документа.'"/>
							<xsl:with-param name="DocId" select="$IdPcg"/>
							<xsl:with-param name="PathErr" select="'PACKINGLIST/PACKINGLIST_ITEM/RegNum'"/>
							<xsl:with-param name="TypeDoc" select="$PackType"/>
							<xsl:with-param name="PosPkg" select="$PackPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(RegDate)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит Отгрузочный (упаковочный) лист без даты регистрации документа.'"/>
							<xsl:with-param name="DocId" select="$IdPcg"/>
							<xsl:with-param name="PathErr" select="'PACKINGLIST/PACKINGLIST_ITEM/RegDate'"/>
							<xsl:with-param name="TypeDoc" select="$PackType"/>
							<xsl:with-param name="PosPkg" select="$PackPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="not($NotInv)">
						<xsl:if test="string-length(Consignor_Name)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит Отгрузочный (упаковочный) лист с не заполненным полем Грузоотправитель Наименование .'"/>
								<xsl:with-param name="DocId" select="$IdPcg"/>
								<xsl:with-param name="PathErr" select="'PACKINGLIST/PACKINGLIST_ITEM/Consignor_Name'"/>
								<xsl:with-param name="TypeDoc" select="$PackType"/>
								<xsl:with-param name="PosPkg" select="$PackPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Consignee_Name)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит Отгрузочный (упаковочный) лист с не заполненным полем Грузополучатель Наименование .'"/>
								<xsl:with-param name="DocId" select="$IdPcg"/>
								<xsl:with-param name="PathErr" select="'PACKINGLIST/PACKINGLIST_ITEM/Consignee_Name'"/>
								<xsl:with-param name="TypeDoc" select="$PackType"/>
								<xsl:with-param name="PosPkg" select="$PackPos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:if>
					<xsl:for-each select="PACKINGLISTGoods/PACKINGLISTGOODS_ITEM">
						<xsl:variable name="PosPackGoods" select="position()"/>
						<xsl:if test="string-length(GoodsDescription)=0 and not($NotInv)">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит Отгрузочный (упаковочный) лист с товаром, в котором не заполнено поле Наименование товара.'"/>
								<xsl:with-param name="DocId" select="$IdPcg"/>
								<xsl:with-param name="PathErr" select="concat('PACKINGLIST/PACKINGLIST_ITEM/PACKINGLISTGoods/PACKINGLISTGOODS_ITEM[',$PosPackGoods,']/GoodsDescription')"/>
								<xsl:with-param name="TypeDoc" select="$PackType"/>
								<xsl:with-param name="PosPkg" select="$PackPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(PlacesCode)=0 and $Rapala=1">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит Отгрузочный (упаковочный) лист с товаром, в котором не заполнено поле Код вида упаковки.'"/>
								<xsl:with-param name="DocId" select="$IdPcg"/>
								<xsl:with-param name="PathErr" select="concat('PACKINGLIST/PACKINGLIST_ITEM/PACKINGLISTGoods/PACKINGLISTGOODS_ITEM[',$PosPackGoods,']/PlacesCode')"/>
								<xsl:with-param name="TypeDoc" select="$PackType"/>
								<xsl:with-param name="PosPkg" select="$PackPos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:for-each>
				</xsl:for-each>
				<xsl:for-each select="//CREWLIST/CREWLIST_ITEM">
					<xsl:variable name="IdCrew" select="../@id"/>
					<xsl:variable name="CrwPos" select="position()"/>
					<xsl:variable name="CrwType" select="../@ctmtd:CfgName"/>
					<xsl:if test="not($NotInv)">
						<xsl:if test="string-length(LanguageCode)>0">
							<xsl:variable name="LgC">
								<xsl:choose>
									<xsl:when test="translate(LanguageCode,'QWERTYUIOPASDFGHJKLMNBVCXZ','AAAAAAAAAAAAAAAAAAAAAAAAAA')!='AA'">0</xsl:when>
									<xsl:otherwise>1</xsl:otherwise>
								</xsl:choose>
							</xsl:variable>
							<xsl:if test="$LgC=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит документ Судовая роль, у которого  поле Код языка документа заполнен не правильно.'"/>
									<xsl:with-param name="DocId" select="$IdCrew"/>
									<xsl:with-param name="PathErr" select="'CREWLIST/CREWLIST_ITEM/LanguageCode'"/>
									<xsl:with-param name="TypeDoc" select="$CrwType"/>
									<xsl:with-param name="PosPkg" select="$CrwPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:if>
						<xsl:if test="string-length(DocSig_PersonName)=0 and string-length(//GENERALDECL/GENERALDECL_ITEM/DocSig_PersonName)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Судовая роль с не заполненным полем Подпись документа: Фамилия.'"/>
								<xsl:with-param name="DocId" select="$IdCrew"/>
								<xsl:with-param name="PathErr" select="'CREWLIST/CREWLIST_ITEM/DocSig_PersonName'"/>
								<xsl:with-param name="TypeDoc" select="$CrwType"/>
								<xsl:with-param name="PosPkg" select="$CrwPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(DocSig_PersonName2)=0  and string-length(//GENERALDECL/GENERALDECL_ITEM/DocSig_PersonName2)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Судовая роль с не заполненным полем Подпись документа: Имя.'"/>
								<xsl:with-param name="DocId" select="$IdCrew"/>
								<xsl:with-param name="PathErr" select="'CREWLIST/CREWLIST_ITEM/DocSig_PersonName2'"/>
								<xsl:with-param name="TypeDoc" select="$CrwType"/>
								<xsl:with-param name="PosPkg" select="$CrwPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(VesselName)=0 and string-length(//GENERALDECL/GENERALDECL_ITEM/VesselName)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Судовая роль с не заполненным полем Наименование судна.'"/>
								<xsl:with-param name="DocId" select="$IdCrew"/>
								<xsl:with-param name="PathErr" select="'CREWLIST/CREWLIST_ITEM/VesselName'"/>
								<xsl:with-param name="TypeDoc" select="$CrwType"/>
								<xsl:with-param name="PosPkg" select="$CrwPos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:if>
					<xsl:variable name="GdDepP">
						<xsl:choose>
							<xsl:when test="//GENERALDECL/GENERALDECL_ITEM/ArrivalIndicator=1">
								<xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/DeparturePort"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/DestinationPort"/>
							</xsl:otherwise>
						</xsl:choose>					
					</xsl:variable>			
					<xsl:if test="string-length(DeparturePort)=0 and string-length($GdDepP)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ Судовая роль с не заполненным полем Название порта отправления судна.'"/>
							<xsl:with-param name="DocId" select="$IdCrew"/>
							<xsl:with-param name="PathErr" select="'CREWLIST/CREWLIST_ITEM/DeparturePort'"/>
							<xsl:with-param name="TypeDoc" select="$CrwType"/>
							<xsl:with-param name="PosPkg" select="$CrwPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:variable name="GrSl">
						<xsl:choose>
							<xsl:when test="string-length(ArrivalIndicator)>0"><xsl:value-of select="ArrivalIndicator"/></xsl:when>
							<xsl:when test="string-length(//GENERALDECL/GENERALDECL_ITEM/ArrivalIndicator)>0"><xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/ArrivalIndicator"/></xsl:when>
							<xsl:otherwise>1</xsl:otherwise>
						</xsl:choose>
					</xsl:variable>
					<xsl:variable name="ArrSailP">
						<xsl:choose>
							<xsl:when test="string-length(//GENERALDECL/GENERALDECL_ITEM/ArrivalSailingPort)>0">
								<xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/ArrivalSailingPort"/>
							</xsl:when>
							<xsl:when test="//GENERALDECL/GENERALDECL_ITEM/ArrivalIndicator=1">
								<xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/DeparturePort"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/DestinationPort"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:variable> 
					<xsl:choose>
						<xsl:when test="$GrSl=1">
							<xsl:if test="string-length(ArrivalPortName)=0 and string-length($ArrSailP)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит документ Судовая роль с не заполненным полем Название порта прибытия.'"/>
									<xsl:with-param name="DocId" select="$IdCrew"/>
									<xsl:with-param name="PathErr" select="'CREWLIST/CREWLIST_ITEM/ArrivalPortName'"/>
									<xsl:with-param name="TypeDoc" select="$CrwType"/>
									<xsl:with-param name="PosPkg" select="$CrwPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:when>	
						<xsl:when test="$GrSl=0">
							<xsl:if test="string-length(SailingPortName)=0 and string-length($ArrSailP)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит документ Судовая роль с не заполненным полем Название порта убытия.'"/>
									<xsl:with-param name="DocId" select="$IdCrew"/>
									<xsl:with-param name="PathErr" select="'CREWLIST/CREWLIST_ITEM/SailingPortName'"/>
									<xsl:with-param name="TypeDoc" select="$CrwType"/>
									<xsl:with-param name="PosPkg" select="$CrwPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:when>
					</xsl:choose>	
					<xsl:for-each select="CREWLISTCREW/CREWLISTCREW_ITEM">
						<xsl:variable name="PosCrewItem" select="position()"/>
						<xsl:if test="string-length(PersonName)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Судовая роль с не заполненным полем Фамилия. в разделе Реквизиты членов экипажа.'"/>
								<xsl:with-param name="DocId" select="$IdCrew"/>
								<xsl:with-param name="PathErr" select="concat('CREWLIST/CREWLIST_ITEM/CREWLISTCREW/CREWLISTCREW_ITEM[',$PosCrewItem,']/PersonName')"/>
								<xsl:with-param name="TypeDoc" select="$CrwType"/>
								<xsl:with-param name="PosPkg" select="$CrwPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(PersonName2)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Судовая роль  с не заполненным полем Имя. в разделе Реквизиты членов экипажа.'"/>
								<xsl:with-param name="DocId" select="$IdCrew"/>
								<xsl:with-param name="PathErr" select="concat('CREWLIST/CREWLIST_ITEM/CREWLISTCREW/CREWLISTCREW_ITEM[',$PosCrewItem,']/PersonName2')"/>
								<xsl:with-param name="TypeDoc" select="$CrwType"/>
								<xsl:with-param name="PosPkg" select="$CrwPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="not($NotInv)">
							<xsl:if test="string-length(PersNumeric)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит документ Судовая роль  с не заполненным полем Порядковый номер (1- номер капитана) в разделе Реквизиты членов экипажа.'"/>
									<xsl:with-param name="DocId" select="$IdCrew"/>
									<xsl:with-param name="PathErr" select="concat('CREWLIST/CREWLIST_ITEM/CREWLIST_ITEM/CREWLISTCREW/CREWLISTCREW_ITEM[',$PosCrewItem,']/PersNumeric')"/>
									<xsl:with-param name="TypeDoc" select="$CrwType"/>
									<xsl:with-param name="PosPkg" select="$CrwPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(Nationality)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит документ Судовая роль  с не заполненным полем Код страны гражданства в разделе Реквизиты членов экипажа.'"/>
									<xsl:with-param name="DocId" select="$IdCrew"/>
									<xsl:with-param name="PathErr" select="concat('CREWLIST/CREWLIST_ITEM/CREWLIST_ITEM/CREWLISTCREW/CREWLISTCREW_ITEM[',$PosCrewItem,']/Nationality')"/>
									<xsl:with-param name="TypeDoc" select="$CrwType"/>
									<xsl:with-param name="PosPkg" select="$CrwPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:variable name="Nationality" select="Nationality"/>
							<xsl:if test="string-length(document('../../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$Nationality]/Code)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит документ Судовая роль  с неправильным Кодом страны гражданства  в разделе Реквизиты членов экипажа (не найден в справочнике стран).'"/>
									<xsl:with-param name="DocId" select="$IdCrew"/>
									<xsl:with-param name="PathErr" select="concat('CREWLIST/CREWLIST_ITEM/CREWLIST_ITEM/CREWLISTCREW/CREWLISTCREW_ITEM[',$PosCrewItem,']/Nationality')"/>
									<xsl:with-param name="TypeDoc" select="$CrwType"/>
									<xsl:with-param name="PosPkg" select="$CrwPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(BirthPlace)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит документ Судовая роль  с не заполненным полем Место рождения в разделе Реквизиты членов экипажа.'"/>
									<xsl:with-param name="DocId" select="$IdCrew"/>
									<xsl:with-param name="PathErr" select="concat('CREWLIST/CREWLIST_ITEM/CREWLIST_ITEM/CREWLISTCREW/CREWLISTCREW_ITEM[',$PosCrewItem,']/BirthPlace')"/>
									<xsl:with-param name="TypeDoc" select="$CrwType"/>
									<xsl:with-param name="PosPkg" select="$CrwPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(DateofBirth)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит документ Судовая роль с не заполненным полем Дата рождения в разделе Реквизиты членов экипажа .'"/>
									<xsl:with-param name="DocId" select="$IdCrew"/>
									<xsl:with-param name="PathErr" select="concat('CREWLIST/CREWLIST_ITEM/CREWLIST_ITEM/CREWLISTCREW/CREWLISTCREW_ITEM[',$PosCrewItem,']/DateofBirth')"/>
									<xsl:with-param name="TypeDoc" select="$CrwType"/>
									<xsl:with-param name="PosPkg" select="$CrwPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(IdentityCardNumber)>25 and count(//CONOSAMENT_ITEM)&lt;300">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит документ Судовая роль, в котором в разделе Реквизиты членов экипажа Номер документа, удостоверяющего личность превышает допустимую длину 25 символов.'"/>
									<xsl:with-param name="DocId" select="$IdCrew"/>
									<xsl:with-param name="PathErr" select="concat('CREWLIST/CREWLIST_ITEM/CREWLIST_ITEM/CREWLISTCREW/CREWLISTCREW_ITEM[',$PosCrewItem,']/IdentityCardNumber')"/>
									<xsl:with-param name="TypeDoc" select="$CrwType"/>
									<xsl:with-param name="PosPkg" select="$CrwPos"/>
									<xsl:with-param name="Category" select="'WARNING'"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:if>
					</xsl:for-each>
				</xsl:for-each>
				<xsl:for-each select="//OEZ_IMPORTEXPORTNOTIF/OEZ_IMPORTEXPORTNOTIF_ITEM">
					<xsl:variable name="Idoie" select="../@id"/>
					<xsl:variable name="OezPos" select="position()"/>
					<xsl:variable name="OezType" select="../@ctmtd:CfgName"/>
					<xsl:if test="ImEx=0">
						<xsl:if test="string-length(ImExDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о ввозе/вывозе ОЭЗ c  незаполенным полем Планируемая дата ввоза/вывоза товаров. '"/>
								<xsl:with-param name="DocId" select="$Idoie"/>
								<xsl:with-param name="PathErr" select="'OEZ_IMPORTEXPORTNOTIF/OEZ_IMPORTEXPORTNOTIF_ITEM/ImExDate'"/>
								<xsl:with-param name="TypeDoc" select="$OezType"/>
								<xsl:with-param name="PosPkg" select="$OezPos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:if>
					<xsl:if test="ImEx=1">
						<xsl:if test="string-length(ExPassKind)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о ввозе/вывозе ОЭЗ c не выбранным видом пропуска Одноразовый/Многоразовый. '"/>
								<xsl:with-param name="DocId" select="$Idoie"/>
								<xsl:with-param name="PathErr" select="'OEZ_IMPORTEXPORTNOTIF/OEZ_IMPORTEXPORTNOTIF_ITEM/ExPassKind'"/>
								<xsl:with-param name="TypeDoc" select="$OezType"/>
								<xsl:with-param name="PosPkg" select="$OezPos"/>
								<xsl:with-param name="Category" select="'WARNING'"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:if>
					<xsl:variable name="CrCnee" select="Consignee_CountryCode"/>
					<xsl:if test="string-length($CrCnee)>0 and string-length(document('../../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CrCnee]/ABC2)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о ввозе/вывозе ОЭЗ c  ненеправильно заполенным полем Отправитель : Код страны.'"/>
							<xsl:with-param name="DocId" select="$Idoie"/>
							<xsl:with-param name="PathErr" select="'OEZ_IMPORTEXPORTNOTIF/OEZ_IMPORTEXPORTNOTIF_ITEM/Consignee_CountryCode'"/>
							<xsl:with-param name="TypeDoc" select="$OezType"/>
							<xsl:with-param name="PosPkg" select="$OezPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:variable name="CrCn" select="IncidentNotif_CountryCode"/>
					<xsl:if test="string-length($CrCn)>0 and string-length(document('../../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CrCn]/ABC2)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о ввозе/вывозе ОЭЗ c  ненеправильно заполенным полем Лицо подающее пред. уведомление : Код страны.'"/>
							<xsl:with-param name="DocId" select="$Idoie"/>
							<xsl:with-param name="PathErr" select="'OEZ_IMPORTEXPORTNOTIF/OEZ_IMPORTEXPORTNOTIF_ITEM/IncidentNotif_CountryCode'"/>
							<xsl:with-param name="TypeDoc" select="$OezType"/>
							<xsl:with-param name="PosPkg" select="$OezPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(Code)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о ввозе/вывозе ОЭЗ c  незаполенным полем Код таможенного органа.'"/>
							<xsl:with-param name="DocId" select="$Idoie"/>
							<xsl:with-param name="PathErr" select="'OEZ_IMPORTEXPORTNOTIF/OEZ_IMPORTEXPORTNOTIF_ITEM/Code'"/>
							<xsl:with-param name="TypeDoc" select="$OezType"/>
							<xsl:with-param name="PosPkg" select="$OezPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:choose>
						<xsl:when test="ImEx=0">
							<xsl:if test="string-length(TransportKind)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о ввозе/вывозе ОЭЗ c  незаполенным полем Типа транспортного средства: 1 - а/м, 2 - ж/д.'"/>
									<xsl:with-param name="DocId" select="$Idoie"/>
									<xsl:with-param name="PathErr" select="'OEZ_IMPORTEXPORTNOTIF/OEZ_IMPORTEXPORTNOTIF_ITEM/TransportKind'"/>
									<xsl:with-param name="TypeDoc" select="$OezType"/>
									<xsl:with-param name="PosPkg" select="$OezPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(ActiveTransportNumber)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о ввозе/вывозе ОЭЗ c  незаполенным полем Регистрационный номер активного ТС'"/>
									<xsl:with-param name="DocId" select="$Idoie"/>
									<xsl:with-param name="PathErr" select="'OEZ_IMPORTEXPORTNOTIF/OEZ_IMPORTEXPORTNOTIF_ITEM/ActiveTransportNumber'"/>
									<xsl:with-param name="TypeDoc" select="$OezType"/>
									<xsl:with-param name="PosPkg" select="$OezPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:for-each select="OEZ_IMPORTEXPORTNOTIFGoods/OEZ_IMPORTEXPORTNOTIFGOODS_ITEM">
								<xsl:variable name="PosGoods" select="position()"/>
								
								<xsl:if test="string-length(GoodsDescription)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о ввозе/вывозе ОЭЗ c  товаром, в котором не заполнено поле Наименование товара. '"/>
										<xsl:with-param name="DocId" select="$Idoie"/>
										<xsl:with-param name="PathErr" select="concat('OEZ_IMPORTEXPORTNOTIF/OEZ_IMPORTEXPORTNOTIF_ITEM/OEZ_IMPORTEXPORTNOTIFGoods/OEZ_IMPORTEXPORTNOTIFGOODS_ITEM[',$PosGoods,']/GoodsDescription')"/>
										<xsl:with-param name="TypeDoc" select="$OezType"/>
										<xsl:with-param name="PosPkg" select="$OezPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(GoodsTNVEDCode)>0 and string-length(GoodsTNVEDCode)!=10 and string-length(GoodsTNVEDCode)!=6 and string-length(GoodsTNVEDCode)!=8">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о ввозе/вывозе ОЭЗ c  товаром, в котором неправильно заполнено поле Код товара.(д.б. 6,8,10 сим.) '"/>
										<xsl:with-param name="DocId" select="$Idoie"/>
										<xsl:with-param name="PathErr" select="concat('OEZ_IMPORTEXPORTNOTIF/OEZ_IMPORTEXPORTNOTIF_ITEM/OEZ_IMPORTEXPORTNOTIFGoods/OEZ_IMPORTEXPORTNOTIFGOODS_ITEM[',$PosGoods,']/GoodsTNVEDCode')"/>
										<xsl:with-param name="TypeDoc" select="$OezType"/>
										<xsl:with-param name="PosPkg" select="$OezPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(GoodsStatusIm)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о ввозе/вывозе ОЭЗ c  товаром, в котором не заполнено поле Статус товара. '"/>
										<xsl:with-param name="DocId" select="$Idoie"/>
										<xsl:with-param name="PathErr" select="concat('OEZ_IMPORTEXPORTNOTIF/OEZ_IMPORTEXPORTNOTIF_ITEM/OEZ_IMPORTEXPORTNOTIFGoods/OEZ_IMPORTEXPORTNOTIFGOODS_ITEM[',$PosGoods,']/GoodsStatusIm')"/>
										<xsl:with-param name="TypeDoc" select="$OezType"/>
										<xsl:with-param name="PosPkg" select="$OezPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(GoodsQuantityIm)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о ввозе/вывозе ОЭЗ c  товаром, в котором не заполнено поле Количество товара, услуг без указания единицы измерения. '"/>
										<xsl:with-param name="DocId" select="$Idoie"/>
										<xsl:with-param name="PathErr" select="concat('OEZ_IMPORTEXPORTNOTIF/OEZ_IMPORTEXPORTNOTIF_ITEM/OEZ_IMPORTEXPORTNOTIFGoods/OEZ_IMPORTEXPORTNOTIFGOODS_ITEM[',$PosGoods,']/GoodsQuantityIm')"/>
										<xsl:with-param name="TypeDoc" select="$OezType"/>
										<xsl:with-param name="PosPkg" select="$OezPos"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:for-each>
						</xsl:when>
						<xsl:when test="ImEx=1">
							<xsl:for-each select="OEZ_IMPORTEXPORTNOTIFGoods/OEZ_IMPORTEXPORTNOTIFGOODS_ITEM[string-length(GoodsDescription)>0 or string-length(PackagesQuantity)>0 or string-length(PackagingKind)>0 or string-length(WeighQuantity)>0]">
								<xsl:variable name="PosGoods" select="position()"/>
								<xsl:variable name="TotalW" select="sum(GoodsStatusEx/GOODSSTATUSEX_ITEM[string-length(NetWeightQuantity)>0]/NetWeightQuantity)"/>
								<xsl:variable name="DifW">
									<xsl:choose>
										<xsl:when test="string-length($TotalW)>0 and number($TotalW)>0 and string-length(WeighQuantity)>0 and number(WeighQuantity)>0">
											<xsl:value-of select="format-number(WeighQuantity - $TotalW,'#.#')"/>
										</xsl:when>
										<xsl:otherwise>0</xsl:otherwise>
									</xsl:choose>
								</xsl:variable>
								<xsl:variable name="ProcW">
									<xsl:choose>
										<xsl:when test="string-length($DifW)>0 and number($DifW)>0 and string-length(WeighQuantity)>0 and number(WeighQuantity)>0">
											<xsl:value-of select="format-number(($DifW div WeighQuantity * 100),'#.#')"/>
										</xsl:when>
										<xsl:otherwise>0</xsl:otherwise>
									</xsl:choose>
								</xsl:variable>
								<xsl:if test="string-length($DifW)>0 and number($DifW)>1">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="concat('Внимание: В Уведомление о ввозе/вывозе Общий вес товара отличается от Веса нетто ', $ProcW,' %, что соответствует ', $DifW,' кг')"/>
										<xsl:with-param name="DocId" select="$Idoie"/>
										<xsl:with-param name="PathErr" select="concat('OEZ_IMPORTEXPORTNOTIF/OEZ_IMPORTEXPORTNOTIF_ITEM/OEZ_IMPORTEXPORTNOTIFGoods/OEZ_IMPORTEXPORTNOTIFGOODS_ITEM[',$PosGoods,']/WeighQuantity')"/>
										<xsl:with-param name="TypeDoc" select="$OezType"/>
										<xsl:with-param name="PosPkg" select="$OezPos"/>
										<xsl:with-param name="Category" select="'WARNING'"/>
									</xsl:call-template>
								</xsl:if>	
								<xsl:if test="string-length(GoodsDescription)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о ввозе/вывозе ОЭЗ c  товаром, в котором не заполнено поле Наименование товара. '"/>
										<xsl:with-param name="DocId" select="$Idoie"/>
										<xsl:with-param name="PathErr" select="concat('OEZ_IMPORTEXPORTNOTIF/OEZ_IMPORTEXPORTNOTIF_ITEM/OEZ_IMPORTEXPORTNOTIFGoods/OEZ_IMPORTEXPORTNOTIFGOODS_ITEM[',$PosGoods,']/GoodsDescription')"/>
										<xsl:with-param name="TypeDoc" select="$OezType"/>
										<xsl:with-param name="PosPkg" select="$OezPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(PackagesQuantity)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о ввозе/вывозе ОЭЗ c  товаром, в котором не заполнено поле Количество грузовых мест. '"/>
										<xsl:with-param name="DocId" select="$Idoie"/>
										<xsl:with-param name="PathErr" select="concat('OEZ_IMPORTEXPORTNOTIF/OEZ_IMPORTEXPORTNOTIF_ITEM/OEZ_IMPORTEXPORTNOTIFGoods/OEZ_IMPORTEXPORTNOTIFGOODS_ITEM[',$PosGoods,']/PackagesQuantity')"/>
										<xsl:with-param name="TypeDoc" select="$OezType"/>
										<xsl:with-param name="PosPkg" select="$OezPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(PackagingKind)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о ввозе/вывозе ОЭЗ c  товаром, в котором не заполнено поле Вид упаковки. '"/>
										<xsl:with-param name="DocId" select="$Idoie"/>
										<xsl:with-param name="PathErr" select="concat('OEZ_IMPORTEXPORTNOTIF/OEZ_IMPORTEXPORTNOTIF_ITEM/OEZ_IMPORTEXPORTNOTIFGoods/OEZ_IMPORTEXPORTNOTIFGOODS_ITEM[',$PosGoods,']/PackagingKind')"/>
										<xsl:with-param name="TypeDoc" select="$OezType"/>
										<xsl:with-param name="PosPkg" select="$OezPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(WeighQuantity)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о ввозе/вывозе ОЭЗ c  товаром, в котором не заполнено поле Вес товара в кг. '"/>
										<xsl:with-param name="DocId" select="$Idoie"/>
										<xsl:with-param name="PathErr" select="concat('OEZ_IMPORTEXPORTNOTIF/OEZ_IMPORTEXPORTNOTIF_ITEM/OEZ_IMPORTEXPORTNOTIFGoods/OEZ_IMPORTEXPORTNOTIFGOODS_ITEM[',$PosGoods,']/WeighQuantity')"/>
										<xsl:with-param name="TypeDoc" select="$OezType"/>
										<xsl:with-param name="PosPkg" select="$OezPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(WeighQuantity)>0 and contains(WeighQuantity,'.')">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о ввозе/вывозе ОЭЗ c  товаром, в котором поле Вес кг содержит дробное значение. '"/>
										<xsl:with-param name="DocId" select="$Idoie"/>
										<xsl:with-param name="PathErr" select="concat('OEZ_IMPORTEXPORTNOTIF/OEZ_IMPORTEXPORTNOTIF_ITEM/OEZ_IMPORTEXPORTNOTIFGoods/OEZ_IMPORTEXPORTNOTIFGOODS_ITEM[',$PosGoods,']/WeighQuantity')"/>
										<xsl:with-param name="TypeDoc" select="$OezType"/>
										<xsl:with-param name="PosPkg" select="$OezPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:for-each select="GoodsStatusEx/GOODSSTATUSEX_ITEM">
									<xsl:variable name="PosGoodsSt" select="position()"/>
									<xsl:if test="string-length(NetWeightQuantity)>0 and contains(NetWeightQuantity,'.')">
										<xsl:call-template name="ErrorNode">
											<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о ввозе/вывозе ОЭЗ c  товаром, в котором поле Вес нетто кг содержит дробное значение. '"/>
											<xsl:with-param name="DocId" select="$Idoie"/>
											<xsl:with-param name="PathErr" select="concat('OEZ_IMPORTEXPORTNOTIF/OEZ_IMPORTEXPORTNOTIF_ITEM/OEZ_IMPORTEXPORTNOTIFGoods/OEZ_IMPORTEXPORTNOTIFGOODS_ITEM[',$PosGoods,']/GoodsStatusEx/GOODSSTATUSEX_ITEM[',$PosGoodsSt,']/NetWeightQuantity')"/>
											<xsl:with-param name="TypeDoc" select="$OezType"/>
											<xsl:with-param name="PosPkg" select="$OezPos"/>
										</xsl:call-template>
									</xsl:if>
									<xsl:if test="string-length(StatusSymbolicValue)=0 and count(child::*[name()!='StatusSymbolicValue' and string-length(.)>0])>0">
										<xsl:call-template name="ErrorNode">
											<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о ввозе/вывозе ОЭЗ c  товаром, в котором в разделе Статус товара не заполнено поле Символьное значение статуса товара. '"/>
											<xsl:with-param name="DocId" select="$Idoie"/>
											<xsl:with-param name="PathErr" select="concat('OEZ_IMPORTEXPORTNOTIF/OEZ_IMPORTEXPORTNOTIF_ITEM/OEZ_IMPORTEXPORTNOTIFGoods/OEZ_IMPORTEXPORTNOTIFGOODS_ITEM[',$PosGoods,']/GoodsStatusEx/GOODSSTATUSEX_ITEM[',$PosGoodsSt,']/StatusSymbolicValue')"/>
											<xsl:with-param name="TypeDoc" select="$OezType"/>
											<xsl:with-param name="PosPkg" select="$OezPos"/>
										</xsl:call-template>
									</xsl:if>
								</xsl:for-each>
							</xsl:for-each>
						</xsl:when>
					</xsl:choose>
				</xsl:for-each>
				<xsl:for-each select="//DECLARATIONCREW/DECLARATIONCREW_ITEM">
					<xsl:variable name="IdDclCw" select="../@id"/>
					<xsl:variable name="DCwPos" select="position()"/>
					<xsl:variable name="DCwType" select="../@ctmtd:CfgName"/>
					<xsl:if test="string-length(DeparturePort)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ Декларация о личных вещах экипажа с не заполненным полем Название порта отправления судна.'"/>
							<xsl:with-param name="DocId" select="$IdDclCw"/>
							<xsl:with-param name="PathErr" select="'DECLARATIONCREW/DECLARATIONCREW_ITEM/DeparturePort'"/>
							<xsl:with-param name="TypeDoc" select="$DCwType"/>
							<xsl:with-param name="PosPkg" select="$DCwPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(VesselName)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ Декларация о личных вещах экипажа с не заполненным полем Наименование судна.'"/>
							<xsl:with-param name="DocId" select="$IdDclCw"/>
							<xsl:with-param name="PathErr" select="'DECLARATIONCREW/DECLARATIONCREW_ITEM/VesselName'"/>
							<xsl:with-param name="TypeDoc" select="$DCwType"/>
							<xsl:with-param name="PosPkg" select="$DCwPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:variable name="VesNC" select="VesselNationalityCode"/>
					<xsl:if test="string-length($VesNC)>0 and ((string-length($VesNC)!=3 and number($VesNC)='NaN') or string-length(document('../../../NSI/TranspNSIXml.xml')//Country_ITEM[Code=$VesNC]/ABC2)=0)">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ Декларация о личных вещах экипажа с не правильно заполненным полем Код страны принадлежности судна (цифровой)'"/>
							<xsl:with-param name="DocId" select="$IdDclCw"/>
							<xsl:with-param name="PathErr" select="'DECLARATIONCREW/DECLARATIONCREW_ITEM/VesselNationalityCode'"/>
							<xsl:with-param name="TypeDoc" select="$DCwType"/>
							<xsl:with-param name="PosPkg" select="$DCwPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(Subject)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ Декларация о личных вещах экипажа с не заполненным полем Описание предметов.'"/>
							<xsl:with-param name="DocId" select="$IdDclCw"/>
							<xsl:with-param name="PathErr" select="'DECLARATIONCREW/DECLARATIONCREW_ITEM/Subject'"/>
							<xsl:with-param name="TypeDoc" select="$DCwType"/>
							<xsl:with-param name="PosPkg" select="$DCwPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:choose>
						<xsl:when test="count(CREWEFECTSDECLARATION/CREWEFECTSDECLARATION_ITEM[string-length(PersonName)=0 and string-length(PersonName2)=0])=count(CREWEFECTSDECLARATION/CREWEFECTSDECLARATION_ITEM)">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Декларация о личных вещах экипажа с не заполненной таблицей  Личные вещи экипажа.'"/>
								<xsl:with-param name="DocId" select="$IdDclCw"/>
								<xsl:with-param name="PathErr" select="'DECLARATIONCREW/DECLARATIONCREW_ITEM/CREWEFECTSDECLARATION/CREWEFECTSDECLARATION_ITEM[1]/PersonName'"/>
								<xsl:with-param name="TypeDoc" select="$DCwType"/>
								<xsl:with-param name="PosPkg" select="$DCwPos"/>
							</xsl:call-template>
						</xsl:when>
						<xsl:otherwise>
							<xsl:for-each select="CREWEFECTSDECLARATION/CREWEFECTSDECLARATION_ITEM[string-length(PersonName)=0 or string-length(PersonName2)=0]">
								<xsl:if test="string-length(PersonName)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит документ Декларация о личных вещах экипажа с не заполненным полем в таблицей  Личные вещи экипажа : Фамилия.'"/>
										<xsl:with-param name="DocId" select="$IdDclCw"/>
										<xsl:with-param name="PathErr" select="concat('DECLARATIONCREW/DECLARATIONCREW_ITEM/CREWEFECTSDECLARATION/CREWEFECTSDECLARATION_ITEM[',position(),']/PersonName')"/>
										<xsl:with-param name="TypeDoc" select="$DCwType"/>
										<xsl:with-param name="PosPkg" select="$DCwPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(PersonName2)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит документ Декларация о личных вещах экипажа  с не заполненным полем в таблицей  Личные вещи экипажа :  Имя.'"/>
										<xsl:with-param name="DocId" select="$IdDclCw"/>
										<xsl:with-param name="PathErr" select="concat('DECLARATIONCREW/DECLARATIONCREW_ITEM/CREWEFECTSDECLARATION/CREWEFECTSDECLARATION_ITEM[',position(),']/PersonName2')"/>
										<xsl:with-param name="TypeDoc" select="$DCwType"/>
										<xsl:with-param name="PosPkg" select="$DCwPos"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:for-each>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:choose>
						<xsl:when test="count(CAPITANSIGNATURE/CAPITANSIGNATURE_ITEM[string-length(PersonSurname)=0 and string-length(PersonName)=0])=count(CAPITANSIGNATURE/CAPITANSIGNATURE_ITEM)">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Декларация о личных вещах экипажа с не заполненной разделом Подпись капитана.'"/>
								<xsl:with-param name="DocId" select="$IdDclCw"/>
								<xsl:with-param name="PathErr" select="'DECLARATIONCREW/DECLARATIONCREW_ITEM/CREWEFECTSDECLARATION/CREWEFECTSDECLARATION_ITEM[1]/PersonSurname'"/>
								<xsl:with-param name="TypeDoc" select="$DCwType"/>
								<xsl:with-param name="PosPkg" select="$DCwPos"/>
							</xsl:call-template>
						</xsl:when>
						<xsl:otherwise>
							<xsl:for-each select="CAPITANSIGNATURE/CAPITANSIGNATURE_ITEM[string-length(PersonSurname)=0 or string-length(PersonName)=0]">
								<xsl:if test="string-length(PersonSurname)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит документ Декларация о личных вещах экипажа с не заполненным полем Подпись капитана : Фамилия.'"/>
										<xsl:with-param name="DocId" select="$IdDclCw"/>
										<xsl:with-param name="PathErr" select="concat('DECLARATIONCREW/DECLARATIONCREW_ITEM/CAPITANSIGNATURE/CAPITANSIGNATURE_ITEM[',position(),']/PersonSurname')"/>
										<xsl:with-param name="TypeDoc" select="$DCwType"/>
										<xsl:with-param name="PosPkg" select="$DCwPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(PersonName)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит документ Декларация о личных вещах экипажа  с не заполненным полем Подпись документа: Имя.'"/>
										<xsl:with-param name="DocId" select="$IdDclCw"/>
										<xsl:with-param name="PathErr" select="concat('DECLARATIONCREW/DECLARATIONCREW_ITEM/CAPITANSIGNATURE/CAPITANSIGNATURE_ITEM[',position(),']/PersonName')"/>
										<xsl:with-param name="TypeDoc" select="$DCwType"/>
										<xsl:with-param name="PosPkg" select="$DCwPos"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:for-each>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:for-each>
				<xsl:for-each select="//PITRAINRWARRIVE/PITRAINRWARRIVE_ITEM">
					<xsl:variable name="IdPiRw" select="../@id"/>
					<xsl:variable name="PRwPos" select="position()"/>
					<xsl:variable name="PRwType" select="../@ctmtd:CfgName"/>
					<xsl:if test="string-length(ArrivalDate)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о поезде с не заполненным полем Ориентировочная дата прибытия.'"/>
							<xsl:with-param name="DocId" select="$IdPiRw"/>
							<xsl:with-param name="PathErr" select="'PITRAINRWARRIVE/PITRAINRWARRIVE_ITEM/ArrivalDate'"/>
							<xsl:with-param name="TypeDoc" select="$PRwType"/>
							<xsl:with-param name="PosPkg" select="$PRwPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="count(Wagon/WAGON_ITEM[string-length(TrainBorderCustomCode)>0])>0">
						<xsl:variable name="StCode" select="substring(TrainBorderStationCode,1,5)"/>
						<xsl:variable name="CustCode">
							<xsl:choose>
								<xsl:when test="string-length(TrainBorderCustomCode)>0">
									<xsl:value-of select="TrainBorderCustomCode"/>
								</xsl:when>
								<xsl:when test="string-length(document('../../../NSI/TranspNSIXml.xml')//GDStanANDCust_ITEM[CODESTAN=$StCode]/Code)>0">
									<xsl:value-of select="document('../../../NSI/TranspNSIXml.xml')//GDStanANDCust_ITEM[CODESTAN=$StCode]/Code"/>
								</xsl:when>
							</xsl:choose>
						</xsl:variable>
						<xsl:if test="string-length($CustCode)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о поезде с не заполненным полем Таможенный орган (пограничный пункт пропуска) либо по Входной пограничной станции нет возможности определить Таможенный орган.'"/>
								<xsl:with-param name="DocId" select="$IdPiRw"/>
								<xsl:with-param name="PathErr" select="'PITRAINRWARRIVE/PITRAINRWARRIVE_ITEM/TrainBorderCustomCode'"/>
								<xsl:with-param name="TypeDoc" select="$PRwType"/>
								<xsl:with-param name="PosPkg" select="$PRwPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length($CustCode)>0 and string-length(document('../../../NSI/TranspNSIXml.xml')//Customs_ITEM[Code=$CustCode]/Code)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о поезде с неправильно заполненным полем Таможенный орган (пограничный пункт пропуска) - не найден в справочнике.'"/>
								<xsl:with-param name="DocId" select="$IdPiRw"/>
								<xsl:with-param name="PathErr" select="'PITRAINRWARRIVE/PITRAINRWARRIVE_ITEM/TrainBorderCustomCode'"/>
								<xsl:with-param name="TypeDoc" select="$PRwType"/>
								<xsl:with-param name="PosPkg" select="$PRwPos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:if>
					<xsl:for-each select="Wagon/WAGON_ITEM">
						<xsl:if test="string-length(WagonNumber)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о поезде с не заполненным полем Номер вагона.'"/>
								<xsl:with-param name="DocId" select="$IdPiRw"/>
								<xsl:with-param name="PathErr" select="concat('PITRAINRWARRIVE/PITRAINRWARRIVE_ITEM/Wagon/WAGON_ITEM[',position(),']/WagonNumber')"/>
								<xsl:with-param name="TypeDoc" select="$PRwType"/>
								<xsl:with-param name="PosPkg" select="$PRwPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(DepStationCode)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о поезде с не заполненным полем Код станции отправления.'"/>
								<xsl:with-param name="DocId" select="$IdPiRw"/>
								<xsl:with-param name="PathErr" select="concat('PITRAINRWARRIVE/PITRAINRWARRIVE_ITEM/Wagon/WAGON_ITEM[',position(),']/DepStationCode')"/>
								<xsl:with-param name="TypeDoc" select="$PRwType"/>
								<xsl:with-param name="PosPkg" select="$PRwPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(DestStationCode)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о поезде с не заполненным полем Код станции назначения.'"/>
								<xsl:with-param name="DocId" select="$IdPiRw"/>
								<xsl:with-param name="PathErr" select="concat('PITRAINRWARRIVE/PITRAINRWARRIVE_ITEM/Wagon/WAGON_ITEM[',position(),']/DestStationCode')"/>
								<xsl:with-param name="TypeDoc" select="$PRwType"/>
								<xsl:with-param name="PosPkg" select="$PRwPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(GoodsDescription)=0 and number(EmptyIndicator)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о поезде с не заполненным полем Наименование груза.'"/>
								<xsl:with-param name="DocId" select="$IdPiRw"/>
								<xsl:with-param name="PathErr" select="concat('PITRAINRWARRIVE/PITRAINRWARRIVE_ITEM/Wagon/WAGON_ITEM[',position(),']/GoodsDescription')"/>
								<xsl:with-param name="TypeDoc" select="$PRwType"/>
								<xsl:with-param name="PosPkg" select="$PRwPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:variable name="DocNum" select="SMGSNum"/>
						<xsl:variable name="DocDat" select="substring(./SMGSDate,1,10)"/>
						<xsl:if test="number(EmptyIndicator)=0">
							<xsl:if test="count(//RWB_ITEM[concat(RegNum,substring(RegDate,1,10))=concat($DocNum,$DocDat)])=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о поезде, в которой указана СМГС, отсутсвующая в пакете .'"/>
									<xsl:with-param name="DocId" select="$IdPiRw"/>
									<xsl:with-param name="PathErr" select="concat('PITRAINRWARRIVE/PITRAINRWARRIVE_ITEM/Wagon/WAGON_ITEM[',position(),']/SMGSNum')"/>
									<xsl:with-param name="TypeDoc" select="$PRwType"/>
									<xsl:with-param name="PosPkg" select="$PRwPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:if>
					</xsl:for-each>
				</xsl:for-each>
				<xsl:for-each select="//SEAPASSLIST/SEAPASSLIST_ITEM">
					<xsl:variable name="IdSeaPs" select="../@id"/>
					<xsl:variable name="SeaPsPostType" select="../@ctmtd:CfgName"/>
					<xsl:variable name="SeaPsPostPos" select="position()"/>
					<xsl:if  test="not($NotInvDoc)">
						<xsl:if test="string-length(RegNum)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Пассажирская ведомость для водного транспорта с не заполненным полем Номер документа.'"/>
								<xsl:with-param name="DocId" select="$IdSeaPs"/>
								<xsl:with-param name="PathErr" select="'SEAPASSLIST/SEAPASSLIST_ITEM/RegNum'"/>
								<xsl:with-param name="TypeDoc" select="$SeaPsPostType"/>
								<xsl:with-param name="PosPkg" select="$SeaPsPostPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RegDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Пассажирская ведомость для водного транспорта с не заполненным полем Дата составления документа.'"/>
								<xsl:with-param name="DocId" select="$IdSeaPs"/>
								<xsl:with-param name="PathErr" select="'SEAPASSLIST/SEAPASSLIST_ITEM/RegDate'"/>
								<xsl:with-param name="TypeDoc" select="$SeaPsPostType"/>
								<xsl:with-param name="PosPkg" select="$SeaPsPostPos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:if>
					<xsl:if test="string-length(FactPassNumber)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ Пассажирская ведомость для водного транспорта с не заполненным полем Фактическое количество пассажиров.'"/>
							<xsl:with-param name="DocId" select="$IdSeaPs"/>
							<xsl:with-param name="PathErr" select="'SEAPASSLIST/SEAPASSLIST_ITEM/FactPassNumber'"/>
							<xsl:with-param name="TypeDoc" select="$SeaPsPostType"/>
							<xsl:with-param name="PosPkg" select="$SeaPsPostPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(VesselNationalityCountryCode)=0 and string-length(//GENERALDECL/GENERALDECL_ITEM/VesselNationalityCountryCode)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ Пассажирская ведомость для водного транспорта с не заполненным полем Код страны принадлежности транспорта.'"/>
							<xsl:with-param name="DocId" select="$IdSeaPs"/>
							<xsl:with-param name="PathErr" select="'SEAPASSLIST/SEAPASSLIST_ITEM/VesselNationalityCountryCode'"/>
							<xsl:with-param name="TypeDoc" select="$SeaPsPostType"/>
							<xsl:with-param name="PosPkg" select="$SeaPsPostPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(FClassNumber)=0 and string-length(JClassNumber)=0 and string-length(YClassNumber)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ Пассажирская ведомость для водного транспорта, в котором ни одно из полей Число мест пассажиров.... не заполнено.'"/>
							<xsl:with-param name="DocId" select="$IdSeaPs"/>
							<xsl:with-param name="PathErr" select="'SEAPASSLIST/SEAPASSLIST_ITEM/FClassNumber'"/>
							<xsl:with-param name="TypeDoc" select="$SeaPsPostType"/>
							<xsl:with-param name="PosPkg" select="$SeaPsPostPos"/>
							<xsl:with-param name="Category" select="'WARNING'"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:for-each select="SEAPASSLISTPassInfo/SEAPASSLISTPASSINFO_ITEM">
						<xsl:if test="string-length(normalize-space(concat(PersonName,PersonName2)))=0 and count(child::*[contains(name(),'Identity') and string-length(.)>0])>0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Пассажирская ведомость для водного транспорта с не заполненными полями Фамилия и Имя пассажира, но заполнены поля  Документ, удостоверяющий личность .'"/>
								<xsl:with-param name="DocId" select="$IdSeaPs"/>
								<xsl:with-param name="PathErr" select="concat('SEAPASSLIST/SEAPASSLIST_ITEM/SEAPASSLISTPassInfo/SEAPASSLISTPASSINFO_ITEM[',position(),']/PersonName')"/>
								<xsl:with-param name="TypeDoc" select="$SeaPsPostType"/>
								<xsl:with-param name="PosPkg" select="$SeaPsPostPos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:for-each>							
				</xsl:for-each>	
				<xsl:if test="not($NotInv)">
					<xsl:for-each select="//AIRPASSLIST/AIRPASSLIST_ITEM">
						<xsl:variable name="IdAirPs" select="../@id"/>
						<xsl:variable name="AirPsPostType" select="../@ctmtd:CfgName"/>
						<xsl:variable name="AirPsPostPos" select="position()"/>
						<xsl:if test="string-length(RegNum)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Пассажирская ведомость для воздушного транспорта с не заполненным полем Номер документа.'"/>
								<xsl:with-param name="DocId" select="$IdAirPs"/>
								<xsl:with-param name="PathErr" select="'AIRPASSLIST/AIRPASSLIST_ITEM/RegNum'"/>
								<xsl:with-param name="TypeDoc" select="$AirPsPostType"/>
								<xsl:with-param name="PosPkg" select="$AirPsPostPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RegDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Пассажирская ведомость для воздушного транспорта с не заполненным полем Дата составления документа.'"/>
								<xsl:with-param name="DocId" select="$IdAirPs"/>
								<xsl:with-param name="PathErr" select="'AIRPASSLIST/AIRPASSLIST_ITEM/RegDate'"/>
								<xsl:with-param name="TypeDoc" select="$AirPsPostType"/>
								<xsl:with-param name="PosPkg" select="$AirPsPostPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(FactPassNumber)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Пассажирская ведомость для воздушного транспорта с не заполненным полем Фактическое количество пассажиров.'"/>
								<xsl:with-param name="DocId" select="$IdAirPs"/>
								<xsl:with-param name="PathErr" select="'AIRPASSLIST/AIRPASSLIST_ITEM/FactPassNumber'"/>
								<xsl:with-param name="TypeDoc" select="$AirPsPostType"/>
								<xsl:with-param name="PosPkg" select="$AirPsPostPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(CountryCode)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Пассажирская ведомость для воздушного транспорта с не заполненным полем Код страны принадлежности транспорта.'"/>
								<xsl:with-param name="DocId" select="$IdAirPs"/>
								<xsl:with-param name="PathErr" select="'AIRPASSLIST/AIRPASSLIST_ITEM/CountryCode'"/>
								<xsl:with-param name="TypeDoc" select="$AirPsPostType"/>
								<xsl:with-param name="PosPkg" select="$AirPsPostPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(FClassNumber)=0 and string-length(JClassNumber)=0 and string-length(YClassNumber)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Пассажирская ведомость для воздушного транспорта, в котором ни одно из полей Число мест пассажиров.... не заполнено.'"/>
								<xsl:with-param name="DocId" select="$IdAirPs"/>
								<xsl:with-param name="PathErr" select="'AIRPASSLIST/AIRPASSLIST_ITEM/FClassNumber'"/>
								<xsl:with-param name="TypeDoc" select="$AirPsPostType"/>
								<xsl:with-param name="PosPkg" select="$AirPsPostPos"/>
								<xsl:with-param name="Category" select="'WARNING'"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:for-each select="AIRPASSLISTPASSINFO/AIRPASSLISTPASSINFO_ITEM">
							<xsl:if test="string-length(normalize-space(concat(PersonName,PersonName2)))=0 and count(child::*[contains(name(),'Identity') and string-length(.)>0])>0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит документ Пассажирская ведомость для воздушного транспорта с не заполненными полями Фамилия и Имя пассажира, но заполнены поля  Документ, удостоверяющий личность .'"/>
									<xsl:with-param name="DocId" select="$IdAirPs"/>
									<xsl:with-param name="PathErr" select="concat('AIRPASSLIST/AIRPASSLIST_ITEM/AIRPASSLISTPASSINFO/AIRPASSLISTPASSINFO_ITEM[',position(),']/PersonName')"/>
									<xsl:with-param name="TypeDoc" select="$AirPsPostType"/>
									<xsl:with-param name="PosPkg" select="$AirPsPostPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:for-each>							
					</xsl:for-each>	
					<xsl:for-each select="//AIRPOSTALMANIFEST/AIRPOSTALMANIFEST_ITEM">
						<xsl:variable name="IdAps" select="../@id"/>
						<xsl:variable name="APostType" select="../@ctmtd:CfgName"/>
						<xsl:variable name="APostPos" select="position()"/>
						<xsl:if test="string-length(ManifestDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Почтовый манифест для воздушного транспорта с не заполненным полем Дата составления манифеста.'"/>
								<xsl:with-param name="DocId" select="$IdAps"/>
								<xsl:with-param name="PathErr" select="'AIRPOSTALMANIFEST/AIRPOSTALMANIFEST_ITEM/ManifestDate'"/>
								<xsl:with-param name="TypeDoc" select="$APostType"/>
								<xsl:with-param name="PosPkg" select="$APostPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(PrioritySign)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Почтовый манифест для воздушного транспорта с не заполненным полем Признак наличия приоритета.'"/>
								<xsl:with-param name="DocId" select="$IdAps"/>
								<xsl:with-param name="PathErr" select="'AIRPOSTALMANIFEST/AIRPOSTALMANIFEST_ITEM/PrioritySign'"/>
								<xsl:with-param name="TypeDoc" select="$APostType"/>
								<xsl:with-param name="PosPkg" select="$APostPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(SendDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Почтовый манифест для воздушного транспорта с не заполненным полем Дата отправления.'"/>
								<xsl:with-param name="DocId" select="$IdAps"/>
								<xsl:with-param name="PathErr" select="'AIRPOSTALMANIFEST/AIRPOSTALMANIFEST_ITEM/SendDate'"/>
								<xsl:with-param name="TypeDoc" select="$APostType"/>
								<xsl:with-param name="PosPkg" select="$APostPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(FlightNumber)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Почтовый манифест для воздушного транспорта с не заполненным полем Номер рейса.'"/>
								<xsl:with-param name="DocId" select="$IdAps"/>
								<xsl:with-param name="PathErr" select="'AIRPOSTALMANIFEST/AIRPOSTALMANIFEST_ITEM/FlightNumber'"/>
								<xsl:with-param name="TypeDoc" select="$APostType"/>
								<xsl:with-param name="PosPkg" select="$APostPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(DirectOverloadAirport)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Почтовый манифест для воздушного транспорта с не заполненным полем Аэропорт прямой перегрузки.'"/>
								<xsl:with-param name="DocId" select="$IdAps"/>
								<xsl:with-param name="PathErr" select="'AIRPOSTALMANIFEST/AIRPOSTALMANIFEST_ITEM/DirectOverloadAirport'"/>
								<xsl:with-param name="TypeDoc" select="$APostType"/>
								<xsl:with-param name="PosPkg" select="$APostPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(UnloadAirport)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Почтовый манифест для воздушного транспорта с не заполненным полем Аэропорт выгрузки.'"/>
								<xsl:with-param name="DocId" select="$IdAps"/>
								<xsl:with-param name="PathErr" select="'AIRPOSTALMANIFEST/AIRPOSTALMANIFEST_ITEM/UnloadAirport'"/>
								<xsl:with-param name="TypeDoc" select="$APostType"/>
								<xsl:with-param name="PosPkg" select="$APostPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:for-each select="DESPATCHINFO/DESPATCHINFO_ITEM">
							<xsl:variable name="PosAirPostDestInfo" select="position()"/>
							<xsl:if test="string-length(DespatchNumber)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит документ Почтовый манифест для воздушного транспорта с не заполненным полем Номер депеши в разделе Сведения о почтовом отправлении.'"/>
									<xsl:with-param name="DocId" select="$IdAps"/>
									<xsl:with-param name="PathErr" select="concat('AIRPOSTALMANIFEST/AIRPOSTALMANIFEST_ITEM/DESPATCHINFO/DESPATCHINFO_ITEM[',$PosAirPostDestInfo,']/DespatchNumber')"/>
									<xsl:with-param name="TypeDoc" select="$APostType"/>
									<xsl:with-param name="PosPkg" select="$APostPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(FilingAgency)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит документ Почтовый манифест для воздушного транспорта с не заполненным полем Учреждение подачи в разделе Сведения о почтовом отправлении.'"/>
									<xsl:with-param name="DocId" select="$IdAps"/>
									<xsl:with-param name="PathErr" select="concat('AIRPOSTALMANIFEST/AIRPOSTALMANIFEST_ITEM/DESPATCHINFO/DESPATCHINFO_ITEM[',$PosAirPostDestInfo,']/FilingAgency')"/>
									<xsl:with-param name="TypeDoc" select="$APostType"/>
									<xsl:with-param name="PosPkg" select="$APostPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(DestinationAgency)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит документ Почтовый манифест для воздушного транспорта с не заполненным полем Учреждение назначения накладной в разделе Сведения о почтовом отправлении.'"/>
									<xsl:with-param name="DocId" select="$IdAps"/>
									<xsl:with-param name="PathErr" select="concat('AIRPOSTALMANIFEST/AIRPOSTALMANIFEST_ITEM/DESPATCHINFO/DESPATCHINFO_ITEM[',$PosAirPostDestInfo,']/DestinationAgency')"/>
									<xsl:with-param name="TypeDoc" select="$APostType"/>
									<xsl:with-param name="PosPkg" select="$APostPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:for-each>
					</xsl:for-each>
					<xsl:for-each select="//APPSTORE/APPSTORE_ITEM | //AIRAPPSTORE/AIRAPPSTORE_ITEM">
						<xsl:variable name="PrefApp">
							<xsl:choose>
								<xsl:when test="name()='AIRAPPSTORE_ITEM'">AIR</xsl:when>
								<xsl:otherwise></xsl:otherwise>
							</xsl:choose>
						</xsl:variable>
						<xsl:variable name="IdApp" select="../@id"/>
						<xsl:variable name="AppType" select="../@ctmtd:CfgName"/>
						<xsl:variable name="AppPos" select="position()"/>
						<xsl:variable name="AppNode" select="concat($PrefApp,'APPSTORE/',$PrefApp,'APPSTORE_ITEM/')"/>
						<xsl:choose>
							<xsl:when test="string-length($PrefApp)>0 and count(//WHDOCINVENTORY)>0">
							</xsl:when>
							<xsl:otherwise>
						<xsl:if test="string-length(RegDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит Заявление на припасы с не заполненным полем Дата составления заявления.'"/>
								<xsl:with-param name="DocId" select="$IdApp"/>
								<xsl:with-param name="PathErr" select="concat($AppNode,'RegDate')"/>
								<xsl:with-param name="TypeDoc" select="$AppType"/>
								<xsl:with-param name="PosPkg" select="$AppPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(GoalAction)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит Заявление на припасы с не заполненным полем Цель перемещения припасов.'"/>
								<xsl:with-param name="DocId" select="$IdApp"/>
								<xsl:with-param name="PathErr" select="concat($AppNode,'GoalAction')"/>
								<xsl:with-param name="TypeDoc" select="$AppType"/>
								<xsl:with-param name="PosPkg" select="$AppPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(EthnicityFlag)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит Заявление на припасы с не заполненным полем Национальная принадлежность припасов.'"/>
								<xsl:with-param name="DocId" select="$IdApp"/>
								<xsl:with-param name="PathErr" select="concat($AppNode,'EthnicityFlag')"/>
								<xsl:with-param name="TypeDoc" select="$AppType"/>
								<xsl:with-param name="PosPkg" select="$AppPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:choose>
							<xsl:when test="string-length($PrefApp)>0">
								<xsl:if test="string-length(TransportName)=0 and string-length(//GENERALDECL/GENERALDECL_ITEM/AirplaneRegNumber)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Заявление на припасы с не заполненным полем Бортовой номер воздушного судна.'"/>
										<xsl:with-param name="DocId" select="$IdApp"/>
										<xsl:with-param name="PathErr" select="concat($AppNode,'TransportName')"/>
										<xsl:with-param name="TypeDoc" select="$AppType"/>
										<xsl:with-param name="PosPkg" select="$AppPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(RegTrans_CountryName)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Заявление на припасы с не заполненным полем Страна регистрации  транспортного средства.'"/>
										<xsl:with-param name="DocId" select="$IdApp"/>
										<xsl:with-param name="PathErr" select="concat($AppNode,'RegTrans_CountryName')"/>
										<xsl:with-param name="TypeDoc" select="$AppType"/>
										<xsl:with-param name="PosPkg" select="$AppPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(RegTrans_CountryCode)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Заявление на припасы с не заполненным полем Буквенный код страны регистрации  транспортного средства.'"/>
										<xsl:with-param name="DocId" select="$IdApp"/>
										<xsl:with-param name="PathErr" select="concat($AppNode,'RegTrans_CountryCode')"/>
										<xsl:with-param name="TypeDoc" select="$AppType"/>
										<xsl:with-param name="PosPkg" select="$AppPos"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:when>
							<xsl:otherwise>
								<xsl:if test="string-length(TransportName)=0 and string-length(//GENERALDECL/GENERALDECL_ITEM/VesselName)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Заявление на припасы с не заполненным полем Название морского судна/бортовой номер воздушного судна/номер поезда.'"/>
										<xsl:with-param name="DocId" select="$IdApp"/>
										<xsl:with-param name="PathErr" select="'APPSTORE/APPSTORE_ITEM/TransportName'"/>
										<xsl:with-param name="TypeDoc" select="$AppType"/>
										<xsl:with-param name="PosPkg" select="$AppPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(TransportType)=0 and string-length(//GENERALDECL/GENERALDECL_ITEM/VesselType)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Заявление на припасы с не заполненным полем Тип транспортного средства, на котором перемещается товар.'"/>
										<xsl:with-param name="DocId" select="$IdApp"/>
										<xsl:with-param name="PathErr" select="'APPSTORE/APPSTORE_ITEM/TransportType'"/>
										<xsl:with-param name="TypeDoc" select="$AppType"/>
										<xsl:with-param name="PosPkg" select="$AppPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(RegTrans_CountryName)=0 and string-length(//GENERALDECL/GENERALDECL_ITEM/VesselNationalityCountryCode)=0 and string-length(//GENERALDECL/GENERALDECL_ITEM/VesselNationalityCode)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Заявление на припасы с не заполненным полем Страна регистрации  транспортного средства.'"/>
										<xsl:with-param name="DocId" select="$IdApp"/>
										<xsl:with-param name="PathErr" select="'APPSTORE/APPSTORE_ITEM/RegTrans_CountryName'"/>
										<xsl:with-param name="TypeDoc" select="$AppType"/>
										<xsl:with-param name="PosPkg" select="$AppPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(RegTrans_CountryCode)=0 and string-length(//GENERALDECL/GENERALDECL_ITEM/VesselNationalityCountryCode)=0 and string-length(//GENERALDECL/GENERALDECL_ITEM/VesselNationalityCode)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Заявление на припасы с не заполненным полем Буквенный код страны регистрации  транспортного средства.'"/>
										<xsl:with-param name="DocId" select="$IdApp"/>
										<xsl:with-param name="PathErr" select="'APPSTORE/APPSTORE_ITEM/RegTrans_CountryCode'"/>
										<xsl:with-param name="TypeDoc" select="$AppType"/>
										<xsl:with-param name="PosPkg" select="$AppPos"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:if test="string-length(RegTrans_CountryCode)>0 and RegTrans_CountryCode!='00' and RegTrans_CountryCode!='XX'">
							<xsl:variable name="RegCt" select="RegTrans_CountryCode"/>
							<xsl:if test="string-length(document('../../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$RegCt]/Name)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит Заявление на припасы с не правильно заполненным полем Буквенный код страны регистрации транспортного средства.'"/>
									<xsl:with-param name="DocId" select="$IdApp"/>
									<xsl:with-param name="PathErr" select="concat($AppNode,'RegTrans_CountryCode')"/>
									<xsl:with-param name="TypeDoc" select="$AppType"/>
									<xsl:with-param name="PosPkg" select="$AppPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:if>
						<xsl:for-each select="*[name()=concat($PrefApp,'APPSTOREOperating')]/*[name()=concat($PrefApp,'APPSTOREOPERATING_ITEM')]">
							<xsl:variable name="UslPr1" select="(string-length(NameGoods)=0 and (string-length(NumberGoods)>0 or string-length(UnitName)>0)) or (string-length(NumberGoods)=0 and (string-length(NameGoods)>0 or string-length(UnitName)>0)) or (string-length(UnitName)=0 and (string-length(NameGoods)>0 or string-length(NumberGoods)>0))"/>
							<xsl:variable name="AppNodeOper" select="concat(AppNode,$PrefApp,'APPSTOREOperating/',$PrefApp,'APPSTOREOPERATING_ITEM[',position(),']/')"/>
							<xsl:if test="$UslPr1">
								<xsl:if test="string-length(NameGoods)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Заявление на припасы с не заполненным полем Наименование припасов в таблице с Эксплуатационными припасами.'"/>
										<xsl:with-param name="DocId" select="$IdApp"/>
										<xsl:with-param name="PathErr" select="concat($AppNodeOper,'NameGoods')"/>
										<xsl:with-param name="TypeDoc" select="$AppType"/>
										<xsl:with-param name="PosPkg" select="$AppPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(NumberGoods)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Заявление на припасы с не заполненным полем Кол-во припасов в таблице с Эксплуатационными припасами.'"/>
										<xsl:with-param name="DocId" select="$IdApp"/>
										<xsl:with-param name="PathErr" select="concat($AppNodeOper,'NumberGoods')"/>
										<xsl:with-param name="TypeDoc" select="$AppType"/>
										<xsl:with-param name="PosPkg" select="$AppPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(UnitName)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Заявление на припасы с не заполненным полем Наименование единицы измерения в таблице с Эксплуатационными припасами.'"/>
										<xsl:with-param name="DocId" select="$IdApp"/>
										<xsl:with-param name="PathErr" select="concat($AppNodeOper,'UnitName')"/>
										<xsl:with-param name="TypeDoc" select="$AppType"/>
										<xsl:with-param name="PosPkg" select="$AppPos"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:if>
							<xsl:if test="string-length(UnitName)>13">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит Заявление на припасы с полем Наименование единицы измерения в таблице с Эксплуатационными припасами, длина которого превышает 13 символов.'"/>
									<xsl:with-param name="DocId" select="$IdApp"/>
									<xsl:with-param name="PathErr" select="concat($AppNodeOper,'UnitName')"/>
									<xsl:with-param name="TypeDoc" select="$AppType"/>
									<xsl:with-param name="PosPkg" select="$AppPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(UnitCode)>0 and string-length(UnitCode)!=3">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит Заявление на припасы с не правильно заполненным полем Код единицы измерения в таблице с Эксплуатационными припасами.'"/>
									<xsl:with-param name="DocId" select="$IdApp"/>
									<xsl:with-param name="PathErr" select="concat($AppNodeOper,'UnitCode')"/>
									<xsl:with-param name="TypeDoc" select="$AppType"/>
									<xsl:with-param name="PosPkg" select="$AppPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:for-each>
						<xsl:for-each select="*[name()=concat($PrefApp,'APPSTORESold')]/*[name()=concat($PrefApp,'APPSTORESOLD_ITEM')]">
							<xsl:variable name="AppNodeSold" select="concat(AppNode,$PrefApp,'APPSTORESold/',$PrefApp,'APPSTORESOLD_ITEM[',position(),']/')"/>
							<xsl:variable name="UslPr2" select="(string-length(NameGoods)=0 and (string-length(NumberGoods)>0 or string-length(UnitName)>0)) or (string-length(NumberGoods)=0 and (string-length(NameGoods)>0 or string-length(UnitName)>0)) or (string-length(UnitName)=0 and (string-length(NameGoods)>0 or string-length(NumberGoods)>0))"/>
							<xsl:if test="$UslPr2">
								<xsl:if test="string-length(NameGoods)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Заявление на припасы с не заполненным полем Наименование припасов в таблице с Продаваемыми припасами.'"/>
										<xsl:with-param name="DocId" select="$IdApp"/>
										<xsl:with-param name="PathErr" select="concat($AppNodeSold,'NameGoods')"/>
										<xsl:with-param name="TypeDoc" select="$AppType"/>
										<xsl:with-param name="PosPkg" select="$AppPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(NumberGoods)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Заявление на припасы с не заполненным полем Кол-во припасов в таблице с Продаваемыми припасами.'"/>
										<xsl:with-param name="DocId" select="$IdApp"/>
										<xsl:with-param name="PathErr" select="concat($AppNodeSold,'NumberGoods')"/>
										<xsl:with-param name="TypeDoc" select="$AppType"/>
										<xsl:with-param name="PosPkg" select="$AppPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(UnitName)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Заявление на припасы с не заполненным полем Наименование единицы измерения в таблице с Продаваемыми припасами.'"/>
										<xsl:with-param name="DocId" select="$IdApp"/>
										<xsl:with-param name="PathErr" select="concat($AppNodeSold,'UnitName')"/>
										<xsl:with-param name="TypeDoc" select="$AppType"/>
										<xsl:with-param name="PosPkg" select="$AppPos"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:if>
							<xsl:if test="string-length(UnitName)>13">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит Заявление на припасы с полем Наименование единицы измерения в таблице с Продаваемыми припасами, длина котрого превышает 13 символов.'"/>
									<xsl:with-param name="DocId" select="$IdApp"/>
									<xsl:with-param name="PathErr" select="concat($AppNodeSold,'UnitName')"/>
									<xsl:with-param name="TypeDoc" select="$AppType"/>
									<xsl:with-param name="PosPkg" select="$AppPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(UnitCode)>0 and string-length(UnitCode)!=3">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит Заявление на припасы с не правильно заполненным полем Код единицы измерения в таблице с Продаваемыми припасами.'"/>
									<xsl:with-param name="DocId" select="$IdApp"/>
									<xsl:with-param name="PathErr" select="concat($AppNodeSold,'UnitCode')"/>
									<xsl:with-param name="TypeDoc" select="$AppType"/>
									<xsl:with-param name="PosPkg" select="$AppPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:for-each>
						<xsl:for-each select="*[name()=concat($PrefApp,'APPSTOREConsumer')]/*[name()=concat($PrefApp,'APPSTORECONSUMER_ITEM')]">
							<xsl:variable name="AppNodeCon" select="concat(AppNode,$PrefApp,'APPSTOREConsumer/',$PrefApp,'APPSTORECONSUMER_ITEM[',position(),']/')"/>
							<xsl:variable name="PosStSm" select="position()"/>
							<xsl:variable name="UslPr3" select="(string-length(NameGoods)=0 and (string-length(NumberGoods)>0 or string-length(UnitName)>0)) or (string-length(NumberGoods)=0 and (string-length(NameGoods)>0 or string-length(UnitName)>0)) or (string-length(UnitName)=0 and (string-length(NameGoods)>0 or string-length(NumberGoods)>0))"/>
							<xsl:if test="$UslPr3">
								<xsl:if test="string-length(NameGoods)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Заявление на припасы с не заполненным полем Наименование припасов в таблице с Потребительскими припасами.'"/>
										<xsl:with-param name="DocId" select="$IdApp"/>
										<xsl:with-param name="PathErr" select="concat($AppNodeCon,'NameGoods')"/>
										<xsl:with-param name="TypeDoc" select="$AppType"/>
										<xsl:with-param name="PosPkg" select="$AppPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(NumberGoods)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Заявление на припасы с не заполненным полем Кол-во припасов в таблице с Потребительскими припасами.'"/>
										<xsl:with-param name="DocId" select="$IdApp"/>
										<xsl:with-param name="PathErr" select="concat($AppNodeCon,'NumberGoods')"/>
										<xsl:with-param name="TypeDoc" select="$AppType"/>
										<xsl:with-param name="PosPkg" select="$AppPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(UnitName)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="'Пакет содержит Заявление на припасы с не заполненным полем Наименование единицы измерения в таблице с Потребительскими припасами.'"/>
										<xsl:with-param name="DocId" select="$IdApp"/>
										<xsl:with-param name="PathErr" select="concat($AppNodeCon,'UnitName')"/>
										<xsl:with-param name="TypeDoc" select="$AppType"/>
										<xsl:with-param name="PosPkg" select="$AppPos"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:if>
							<xsl:if test="string-length(UnitName)>13">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит Заявление на припасы сполем Наименование единицы измерения в таблице с Потребительскими припасами, длина которого превышает 13 символов.'"/>
									<xsl:with-param name="DocId" select="$IdApp"/>
									<xsl:with-param name="PathErr" select="concat($AppNodeCon,'UnitName')"/>
									<xsl:with-param name="TypeDoc" select="$AppType"/>
									<xsl:with-param name="PosPkg" select="$AppPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(UnitCode)>0 and string-length(UnitCode)!=3">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит Заявление на припасы с не правильно заполненным полем Код единицы измерения в таблице с Потребительскими припасами.'"/>
									<xsl:with-param name="DocId" select="$IdApp"/>
									<xsl:with-param name="PathErr" select="concat($AppNodeCon,'UnitCode')"/>
									<xsl:with-param name="TypeDoc" select="$AppType"/>
									<xsl:with-param name="PosPkg" select="$AppPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:for-each>
							</xsl:otherwise>
						</xsl:choose>	
					</xsl:for-each>
					<xsl:for-each select="//COMMINVOICE/COMMINVOICE_ITEM">
						<xsl:variable name="IdComInv" select="../@id"/>
						<xsl:variable name="CInvType" select="../@ctmtd:CfgName"/>
						<xsl:variable name="CInvPos" select="position()"/>
						<xsl:if test="string-length(RegNum)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит Счет-фактура без номера регистрации документа.'"/>
								<xsl:with-param name="DocId" select="$IdComInv"/>
								<xsl:with-param name="PathErr" select="'COMMINVOICE/COMMINVOICE_ITEM/RegNum'"/>
								<xsl:with-param name="TypeDoc" select="$CInvType"/>
								<xsl:with-param name="PosPkg" select="$CInvPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RegDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит Счет-фактура без даты регистрации документа. '"/>
								<xsl:with-param name="DocId" select="$IdComInv"/>
								<xsl:with-param name="PathErr" select="'COMMINVOICE/COMMINVOICE_ITEM/RegDate'"/>
								<xsl:with-param name="TypeDoc" select="$CInvType"/>
								<xsl:with-param name="PosPkg" select="$CInvPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(TotalCost)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Счет-фактура с не заполненным полем Общая стоимость всех товаров с учетом налогов.'"/>
								<xsl:with-param name="DocId" select="$IdComInv"/>
								<xsl:with-param name="PathErr" select="'COMMINVOICE/COMMINVOICE_ITEM/TotalCost'"/>
								<xsl:with-param name="TypeDoc" select="$CInvType"/>
								<xsl:with-param name="PosPkg" select="$CInvPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(TaxSum)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Счет-фактура с не заполненным полем Общая сумма налоговых сборов.'"/>
								<xsl:with-param name="DocId" select="$IdComInv"/>
								<xsl:with-param name="PathErr" select="'COMMINVOICE/COMMINVOICE_ITEM/TaxSum'"/>
								<xsl:with-param name="TypeDoc" select="$CInvType"/>
								<xsl:with-param name="PosPkg" select="$CInvPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Director_PersonName)=0 and string-length(Director_PersonName2)=0 and string-length(GlavBuh_PersonName)=0 and string-length(GlavBuh_PersonName2)=0 and string-length(IndP_PersonName)=0 and string-length(IndP_PersonName2)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Счет-фактура с не заполненным разделом Подпись.'"/>
								<xsl:with-param name="DocId" select="$IdComInv"/>
								<xsl:with-param name="PathErr" select="'COMMINVOICE/COMMINVOICE_ITEM/Director_PersonName'"/>
								<xsl:with-param name="TypeDoc" select="$CInvType"/>
								<xsl:with-param name="PosPkg" select="$CInvPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:for-each select="COMMINVOICEGoods/COMMINVOICEGOODS_ITEM">
							<xsl:variable name="ComInvGoods" select="position()"/>
							<xsl:if test="string-length(GoodsDescription)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит документ Счет-фактура с товаром, в котором не заполнено поле Описание товара.'"/>
									<xsl:with-param name="DocId" select="$IdComInv"/>
									<xsl:with-param name="PathErr" select="concat('COMMINVOICE/COMMINVOICE_ITEM/COMMINVOICEGoods/COMMINVOICEGOODS_ITEM[',$ComInvGoods,']/GoodsDescription')"/>
									<xsl:with-param name="TypeDoc" select="$CInvType"/>
									<xsl:with-param name="PosPkg" select="$CInvPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(GoodsPrice)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит документ Счет-фактура с товаром, в котором не заполнено поле Цена товара/услуги.'"/>
									<xsl:with-param name="DocId" select="$IdComInv"/>
									<xsl:with-param name="PathErr" select="concat('COMMINVOICE/COMMINVOICE_ITEM/COMMINVOICEGoods/COMMINVOICEGOODS_ITEM[',$ComInvGoods,']/GoodsPrice')"/>
									<xsl:with-param name="TypeDoc" select="$CInvType"/>
									<xsl:with-param name="PosPkg" select="$CInvPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(GoodsCost)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит документ Счет-фактура с товаром, в котором не заполнено поле Стоимость без налога всего количества поставляемого (отгруженного) по счет-фактуре товара (выполненных работ, оказанных услуг) .'"/>
									<xsl:with-param name="DocId" select="$IdComInv"/>
									<xsl:with-param name="PathErr" select="concat('COMMINVOICE/COMMINVOICE_ITEM/COMMINVOICEGoods/COMMINVOICEGOODS_ITEM[',$ComInvGoods,']/GoodsCost')"/>
									<xsl:with-param name="TypeDoc" select="$CInvType"/>
									<xsl:with-param name="PosPkg" select="$CInvPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(TotalCost)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит документ Счет-фактура с товаром, в котором не заполнено поле Стоимость без налога всего количества поставляемого (отгруженного) по счет-фактуре товара (выполненных работ, оказанных услуг)  с учетом суммы налога.'"/>
									<xsl:with-param name="DocId" select="$IdComInv"/>
									<xsl:with-param name="PathErr" select="concat('COMMINVOICE/COMMINVOICE_ITEM/COMMINVOICEGoods/COMMINVOICEGOODS_ITEM[',$ComInvGoods,']/TotalCost')"/>
									<xsl:with-param name="TypeDoc" select="$CInvType"/>
									<xsl:with-param name="PosPkg" select="$CInvPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:for-each>
					</xsl:for-each>
					<xsl:for-each select="//ANYDOC/ANYDOC_ITEM">
						<xsl:variable name="IdAnyD" select="../@id"/>
						<xsl:variable name="AndPos" select="position()"/>
						<xsl:variable name="AndType" select="../@ctmtd:CfgName"/>
						<xsl:if test="string-length(DocName)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Произвольный документ с не заполненным полем Наименование документа.'"/>
								<xsl:with-param name="DocId" select="$IdAnyD"/>
								<xsl:with-param name="PathErr" select="'ANYDOC/ANYDOC_ITEM/DocName'"/>
								<xsl:with-param name="TypeDoc" select="$AndType"/>
								<xsl:with-param name="PosPkg" select="$AndPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RegDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Произвольный документ с не заполненным полем Дата документа.'"/>
								<xsl:with-param name="DocId" select="$IdAnyD"/>
								<xsl:with-param name="PathErr" select="'ANYDOC/ANYDOC_ITEM/RegDate'"/>
								<xsl:with-param name="TypeDoc" select="$AndType"/>
								<xsl:with-param name="PosPkg" select="$AndPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RegNum)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит документ Произвольный документ с не заполненным полем Номер документа.'"/>
								<xsl:with-param name="DocId" select="$IdAnyD"/>
								<xsl:with-param name="PathErr" select="'ANYDOC/ANYDOC_ITEM/RegNum'"/>
								<xsl:with-param name="TypeDoc" select="$AndType"/>
								<xsl:with-param name="PosPkg" select="$AndPos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:for-each>
					<xsl:for-each select="PROHIBITEDGOODS/PROHIBITEDGOODS_ITEM | AIRPROHIBITEDGOODS/AIRPROHIBITEDGOODS_ITEM">  
						<xsl:variable name="PrefPr">
							<xsl:choose>
								<xsl:when test="name()='AIRPROHIBITEDGOODS_ITEM'">AIR</xsl:when>
								<xsl:otherwise></xsl:otherwise>
							</xsl:choose>
						</xsl:variable>
						<xsl:variable name="IdPrbGds" select="../@id"/>
						<xsl:variable name="PrbGPos" select="position()"/>
						<xsl:variable name="PrbGType" select="../@ctmtd:CfgName"/>
						<xsl:variable name="PrbGMess" select="'Пакет содержит Документ о товарах запрещенных или ограниченных к ввозу, в котором'"/>
						<xsl:variable name="PrbNode" select="concat($PrefPr,'PROHIBITEDGOODS/',$PrefPr,'PROHIBITEDGOODS_ITEM/')"/>
						
						<xsl:if test="string-length(RegNum)=0 and not($NotInvDoc)">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($PrbGMess,' не указан Номер документа .')"/>
								<xsl:with-param name="DocId" select="$IdPrbGds"/>
								<xsl:with-param name="PathErr" select="concat($PrbNode,'RegNum')"/>
								<xsl:with-param name="TypeDoc" select="$PrbGType"/>
								<xsl:with-param name="PosPkg" select="$PrbGPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RegDate)=0 and not($NotInvDoc)">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($PrbGMess,' не указан Дата документа.')"/>
								<xsl:with-param name="DocId" select="$IdPrbGds"/>
								<xsl:with-param name="PathErr" select="concat($PrbNode,'RegDate')"/>
								<xsl:with-param name="TypeDoc" select="$PrbGType"/>
								<xsl:with-param name="PosPkg" select="$PrbGPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:choose>
							<xsl:when test="count(//GENERALDECLAIR_ITEM/FlNumber)>0">
								<xsl:if test="string-length(FlightNumber)=0 and string-length(//GENERALDECLAIR_ITEM/FlNumber)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="concat($PrbGMess,' не указан номер рейса.')"/>
										<xsl:with-param name="DocId" select="$IdPrbGds"/>
										<xsl:with-param name="PathErr" select="concat($PrbNode,'FlightNumber')"/>
										<xsl:with-param name="TypeDoc" select="$PrbGType"/>
										<xsl:with-param name="PosPkg" select="$PrbGPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(CountryCode)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="concat($PrbGMess,'  не указан Код страны принадлежности судна .')"/>
										<xsl:with-param name="DocId" select="$IdPrbGds"/>
										<xsl:with-param name="PathErr" select="concat($PrbNode,'CountryCode')"/>
										<xsl:with-param name="TypeDoc" select="$PrbGType"/>
										<xsl:with-param name="PosPkg" select="$PrbGPos"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:when>
							<xsl:when test="count(//GENERALDECL_ITEM/VesselName)>0">
								<xsl:if test="string-length(VesselName)=0 and string-length(//GENERALDECL/GENERALDECL_ITEM/VesselName)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="concat($PrbGMess,' не указано Наименование судна.')"/>
										<xsl:with-param name="DocId" select="$IdPrbGds"/>
										<xsl:with-param name="PathErr" select="concat($PrbNode,'VesselName')"/>
										<xsl:with-param name="TypeDoc" select="$PrbGType"/>
										<xsl:with-param name="PosPkg" select="$PrbGPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(VesselNationalityCode)=0 and string-length(//GENERALDECL/GENERALDECL_ITEM/VesselNationalityCountryCode)=0 and string-length(//GENERALDECL/GENERALDECL_ITEM/VesselNationalityCode)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="concat($PrbGMess,' не указан Код страны принадлежности судна .')"/>
										<xsl:with-param name="DocId" select="$IdPrbGds"/>
										<xsl:with-param name="PathErr" select="concat($PrbNode,'VesselNationalityCode')"/>
										<xsl:with-param name="TypeDoc" select="$PrbGType"/>
										<xsl:with-param name="PosPkg" select="$PrbGPos"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:variable name="NtCode" select="VesselNationalityCode"/>
								<xsl:if test="string-length($NtCode)>0 and string-length(document('../../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$NtCode]/Code)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="concat($PrbGMess,' не правильно заполненным полем Код страны принадлежности судна .')"/>
										<xsl:with-param name="DocId" select="$IdPrbGds"/>
										<xsl:with-param name="PathErr" select="concat($PrbNode,'VesselNationalityCode')"/>
										<xsl:with-param name="TypeDoc" select="$PrbGType"/>
										<xsl:with-param name="PosPkg" select="$PrbGPos"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:when>
						</xsl:choose>
						<xsl:for-each select="ARMSINFO/ARMSINFO_ITEM">
							<xsl:variable name="PosPrbGoodsArm" select="position()"/>
							<xsl:if test="string-length(GoodsQuantity)=0 and (string-length(Name)>0 or string-length(MeasureUnitQualifierName)>0 or string-length(MeasureUnitQualifierCode)>0 or string-length(Description)>0)">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($PrbGMess,' в разделе Информация о наличии оружия и боеприпасов не заполнено поле Количество .')"/>
									<xsl:with-param name="DocId" select="$IdPrbGds"/>
									<xsl:with-param name="PathErr" select="concat($PrbNode,'ARMSINFO/ARMSINFO_ITEM[',$PosPrbGoodsArm,']/GoodsQuantity')"/>
									<xsl:with-param name="TypeDoc" select="$PrbGType"/>
									<xsl:with-param name="PosPkg" select="$PrbGPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(Name)=0 and string-length(GoodsQuantity)>0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($PrbGMess,' в разделе Информация о наличии оружия и боеприпасов не заполнено поле Наименование .')"/>
									<xsl:with-param name="DocId" select="$IdPrbGds"/>
									<xsl:with-param name="PathErr" select="concat($PrbNode,'ARMSINFO/ARMSINFO_ITEM[',$PosPrbGoodsArm,']/Name')"/>
									<xsl:with-param name="TypeDoc" select="$PrbGType"/>
									<xsl:with-param name="PosPkg" select="$PrbGPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(MeasureUnitQualifierCode)>0">
								<xsl:variable name="CodeMU" select="MeasureUnitQualifierCode"/>
								<xsl:if test="string-length(document('../../../NSI/TranspNSIXml.xml')//UNIT_ITEM[CODE=$CodeMU]/CODE)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="concat($PrbGMess,' в разделе Информация о наличии оружия и боеприпасов значение поля Код единицы измерения не соответствует справочнику.')"/>
										<xsl:with-param name="DocId" select="$IdPrbGds"/>
										<xsl:with-param name="PathErr" select="concat($PrbNode,'ARMSINFO/ARMSINFO_ITEM[',$PosPrbGoodsArm,']/MeasureUnitQualifierCode')"/>
										<xsl:with-param name="TypeDoc" select="$PrbGType"/>
										<xsl:with-param name="PosPkg" select="$PrbGPos"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:if>
							<xsl:if test="string-length(MeasureUnitQualifierName)>13">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($PrbGMess,' в разделе Информация о наличии оружия и боеприпасов длина поля Наименование единицы измерения лекарственного средства превышает допустимое значение (13 символов).')"/>
									<xsl:with-param name="DocId" select="$IdPrbGds"/>
									<xsl:with-param name="PathErr" select="concat($PrbNode,'ARMSINFO/ARMSINFO_ITEM[',$PosPrbGoodsArm,']/MeasureUnitQualifierName')"/>
									<xsl:with-param name="TypeDoc" select="$PrbGType"/>
									<xsl:with-param name="PosPkg" select="$PrbGPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:for-each>
						<xsl:for-each select="CURRENCYINFO/CURRENCYINFO_ITEM">
							<xsl:variable name="PosPrbGoodsCurr" select="position()"/>
							<xsl:if test="string-length(Amout)=0 and string-length(CurrencyCode)>0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($PrbGMess,' в разделе Информация о валюте и валютных ценностях не заполнено поле Сумма.')"/>
									<xsl:with-param name="DocId" select="$IdPrbGds"/>
									<xsl:with-param name="PathErr" select="concat($PrbNode,'CURRENCYINFO/CURRENCYINFO_ITEM[',$PosPrbGoodsCurr,']/Amout')"/>
									<xsl:with-param name="TypeDoc" select="$PrbGType"/>
									<xsl:with-param name="PosPkg" select="$PrbGPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(Amout)>0 and string-length(CurrencyCode)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($PrbGMess,' в разделе Информация о валюте и валютных ценностях не заполнено поле Код вида валюты.')"/>
									<xsl:with-param name="DocId" select="$IdPrbGds"/>
									<xsl:with-param name="PathErr" select="concat($PrbNode,'CURRENCYINFO/CURRENCYINFO_ITEM[',$PosPrbGoodsCurr,']/CurrencyCode')"/>
									<xsl:with-param name="TypeDoc" select="$PrbGType"/>
									<xsl:with-param name="PosPkg" select="$PrbGPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:variable name="ValNsi" select="CurrencyCode"/>
							<xsl:if test="string-length($ValNsi)>0 and string-length(document('../../../NSI/TranspNSIXml.xml')//Currency_ITEM[ABBR=$ValNsi]/Code)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($PrbGMess,' в разделе Информация о валюте и валютных ценностях не правильно заполнено поле Код вида валюты.')"/>
									<xsl:with-param name="DocId" select="$IdPrbGds"/>
									<xsl:with-param name="PathErr" select="concat($PrbNode,'CURRENCYINFO/CURRENCYINFO_ITEM[',$PosPrbGoodsCurr,']/CurrencyCode')"/>
									<xsl:with-param name="TypeDoc" select="$PrbGType"/>
									<xsl:with-param name="PosPkg" select="$PrbGPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:for-each>
						<xsl:for-each select="DRUGSSUBSTANCEINFO/DRUGSSUBSTANCEINFO_ITEM">
							<xsl:variable name="PosPrbGoodsDr" select="position()"/>
							<xsl:if test="string-length(GoodsQuantity)=0 and (string-length(Name)>0  or string-length(MeasureUnitQualifierName)>0 or string-length(MeasureUnitQualifierCode)>0  or string-length(DrugsType)>0)">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($PrbGMess,' в разделе Сведения о наличии лекарственных средств не заполнено поле Количество.')"/>
									<xsl:with-param name="DocId" select="$IdPrbGds"/>
									<xsl:with-param name="PathErr" select="concat($PrbNode,'DRUGSSUBSTANCEINFO/DRUGSSUBSTANCEINFO_ITEM[',$PosPrbGoodsDr,']/GoodsQuantity')"/>
									<xsl:with-param name="TypeDoc" select="$PrbGType"/>
									<xsl:with-param name="PosPkg" select="$PrbGPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(Name)=0 and (string-length(GoodsQuantity)>0  or string-length(DrugsType)>0)">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($PrbGMess,' в разделе Сведения о наличии лекарственных средств не заполнено поле Наименование.')"/>
									<xsl:with-param name="DocId" select="$IdPrbGds"/>
									<xsl:with-param name="PathErr" select="concat($PrbNode,'DRUGSSUBSTANCEINFO/DRUGSSUBSTANCEINFO_ITEM[',$PosPrbGoodsDr,']/Name')"/>
									<xsl:with-param name="TypeDoc" select="$PrbGType"/>
									<xsl:with-param name="PosPkg" select="$PrbGPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(DrugsType)=0 and (string-length(GoodsQuantity)>0 or string-length(Name)>0)">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($PrbGMess,' в разделе Сведения о наличии лекарственных средств не заполнено поле Тип лекарственного средства.')"/>
									<xsl:with-param name="DocId" select="$IdPrbGds"/>
									<xsl:with-param name="PathErr" select="concat($PrbNode,'DRUGSSUBSTANCEINFO/DRUGSSUBSTANCEINFO_ITEM[',$PosPrbGoodsDr,']/DrugsType')"/>
									<xsl:with-param name="TypeDoc" select="$PrbGType"/>
									<xsl:with-param name="PosPkg" select="$PrbGPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(MeasureUnitQualifierName)>13">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($PrbGMess,' в разделе Сведения о наличии лекарственных средств длина поля Наименование единицы измерения лекарственного средства превышает допустимое значение (13 символов).')"/>
									<xsl:with-param name="DocId" select="$IdPrbGds"/>
									<xsl:with-param name="PathErr" select="concat($PrbNode,'DRUGSSUBSTANCEINFO/DRUGSSUBSTANCEINFO_ITEM[',$PosPrbGoodsDr,']/MeasureUnitQualifierName')"/>
									<xsl:with-param name="TypeDoc" select="$PrbGType"/>
									<xsl:with-param name="PosPkg" select="$PrbGPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(MeasureUnitQualifierCode)>0">
								<xsl:variable name="CodeMU" select="MeasureUnitQualifierCode"/>
								<xsl:if test="string-length(document('../../../NSI/TranspNSIXml.xml')//UNIT_ITEM[CODE=$CodeMU]/CODE)=0">
									<xsl:call-template name="ErrorNode">
										<xsl:with-param name="MessErr" select="concat($PrbGMess,' в разделе Сведения о наличии лекарственных средств значение поля Код единицы измерения не соответствует справочнику.')"/>
										<xsl:with-param name="DocId" select="$IdPrbGds"/>
										<xsl:with-param name="PathErr" select="concat($PrbNode,'DRUGSSUBSTANCEINFO/DRUGSSUBSTANCEINFO_ITEM[',$PosPrbGoodsDr,']/MeasureUnitQualifierCode')"/>
										<xsl:with-param name="TypeDoc" select="$PrbGType"/>
										<xsl:with-param name="PosPkg" select="$PrbGPos"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:if>
						</xsl:for-each>
						<xsl:for-each select="PERMITIONDOCS/PERMITIONDOCS_ITEM">
							<xsl:variable name="PosPrbGoodsPrm" select="position()"/>
							<xsl:if test="string-length(DocumentDescriprion)=0 and (string-length(PermitDocOrganization)>0 or string-length(DocumentName)>0 or string-length(DocumentNumber)>0 or string-length(DocumentDate)>0)">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($PrbGMess,' в разделе Сведения о наличии лекарственных средств не заполнено поле Описание разрешительного документа.')"/>
									<xsl:with-param name="DocId" select="$IdPrbGds"/>
									<xsl:with-param name="PathErr" select="concat('PROHIBITEDGOODS/PROHIBITEDGOODS_ITEM/PERMITIONDOCS/PERMITIONDOCS_ITEM[',$PosPrbGoodsPrm,']/DocumentDescriprion')"/>
									<xsl:with-param name="TypeDoc" select="$PrbGType"/>
									<xsl:with-param name="PosPkg" select="$PrbGPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(PermitDocOrganization)=0 and (string-length(DocumentDescriprion)>0 or string-length(DocumentName)>0 or string-length(DocumentNumber)>0 or string-length(DocumentDate)>0)">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($PrbGMess,' в разделе Сведения о наличии лекарственных средств не заполнено поле Наименование организации, выдавшей разрешительный документ.')"/>
									<xsl:with-param name="DocId" select="$IdPrbGds"/>
									<xsl:with-param name="PathErr" select="concat('PROHIBITEDGOODS/PROHIBITEDGOODS_ITEM/PERMITIONDOCS/PERMITIONDOCS_ITEM[',$PosPrbGoodsPrm,']/PermitDocOrganization')"/>
									<xsl:with-param name="TypeDoc" select="$PrbGType"/>
									<xsl:with-param name="PosPkg" select="$PrbGPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:for-each>
					</xsl:for-each>
					<xsl:for-each select="//PROFINVOICE/PROFINVOICE_ITEM">
						<xsl:variable name="Idpr" select="../@id"/>
						<xsl:variable name="PInvPos" select="position()"/>
						<xsl:variable name="PInvType" select="../@ctmtd:CfgName"/>
						<xsl:if test="string-length(RegNum)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит Счет-проформу без номера регистрации документа.'"/>
								<xsl:with-param name="DocId" select="$Idpr"/>
								<xsl:with-param name="PathErr" select="'PROFINVOICE/PROFINVOICE_ITEM/RegNum'"/>
								<xsl:with-param name="TypeDoc" select="$PInvType"/>
								<xsl:with-param name="PosPkg" select="$PInvPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RegDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит Счет-проформу без даты регистрации документа. '"/>
								<xsl:with-param name="DocId" select="$Idpr"/>
								<xsl:with-param name="PathErr" select="'PROFINVOICE/PROFINVOICE_ITEM/RegDate'"/>
								<xsl:with-param name="TypeDoc" select="$PInvType"/>
								<xsl:with-param name="PosPkg" select="$PInvPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(DocSig_PersonName)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит Счет-проформу с незаполненным полем Фамилия в разделе с подписью.'"/>
								<xsl:with-param name="DocId" select="$Idpr"/>
								<xsl:with-param name="PathErr" select="'PROFINVOICE/PROFINVOICE_ITEM/DocSig_PersonName'"/>
								<xsl:with-param name="TypeDoc" select="$PInvType"/>
								<xsl:with-param name="PosPkg" select="$PInvPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(DocSig_PersonName2)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит Счет-проформу с незаполненным полем Имя в разделе с подписью.'"/>
								<xsl:with-param name="DocId" select="$Idpr"/>
								<xsl:with-param name="PathErr" select="'PROFINVOICE/PROFINVOICE_ITEM/DocSig_PersonName2'"/>
								<xsl:with-param name="TypeDoc" select="$PInvType"/>
								<xsl:with-param name="PosPkg" select="$PInvPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:for-each select="PROFINVOICEGoods/PROFINVOICEGOODS_ITEM">
							<xsl:variable name="PosGoods" select="position()"/>
							<xsl:if test="string-length(GoodsDescription)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит Счет-проформу с товаром, в котором не заполнено поле Наименование товара. '"/>
									<xsl:with-param name="DocId" select="$Idpr"/>
									<xsl:with-param name="PathErr" select="concat('PROFINVOICE/PROFINVOICE_ITEM/PROFINVOICEGoods/PROFINVOICEGOODS_ITEM[',$PosGoods,']/GoodsDescription')"/>
									<xsl:with-param name="TypeDoc" select="$PInvType"/>
									<xsl:with-param name="PosPkg" select="$PInvPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(GoodsCode)>0 and (string-length(GoodsCode)&lt;4 or string-length(GoodsCode)>10)">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит Счет-проформу с товаром, в котором неправильно заполнено поле Код товара.(д.б. 4 - 10 сим.) '"/>
									<xsl:with-param name="DocId" select="$Idpr"/>
									<xsl:with-param name="PathErr" select="concat('PROFINVOICE/PROFINVOICE_ITEM/PROFINVOICEGoods/PROFINVOICEGOODS_ITEM[',$PosGoods,']/GoodsCode')"/>
									<xsl:with-param name="TypeDoc" select="$PInvType"/>
									<xsl:with-param name="PosPkg" select="$PInvPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(GoodsPrice)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит Счет-проформу с товаром, в котором не заполнено поле Цена товара/услуги. '"/>
									<xsl:with-param name="DocId" select="$Idpr"/>
									<xsl:with-param name="PathErr" select="concat('PROFINVOICE/PROFINVOICE_ITEM/PROFINVOICEGoods/PROFINVOICEGOODS_ITEM[',$PosGoods,']/GoodsPrice')"/>
									<xsl:with-param name="TypeDoc" select="$PInvType"/>
									<xsl:with-param name="PosPkg" select="$PInvPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(GoodsCost)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит Счет-проформу с товаром, в котором не заполнено поле Стоимость всего количества поставляемого (отгруженного) по счет-проформе товара (выполненных работ, оказанных услуг) без налога. '"/>
									<xsl:with-param name="DocId" select="$Idpr"/>
									<xsl:with-param name="PathErr" select="concat('PROFINVOICE/PROFINVOICE_ITEM/PROFINVOICEGoods/PROFINVOICEGOODS_ITEM[',$PosGoods,']/GoodsCost')"/>
									<xsl:with-param name="TypeDoc" select="$PInvType"/>
									<xsl:with-param name="PosPkg" select="$PInvPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(TotalCost)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит Счет-проформу с товаром, в котором не заполнено поле Стоимость всего количества поставляемого (отгруженного) по счет-проформе товара (выполненных работ, оказанных услуг) с учетом суммы налога. '"/>
									<xsl:with-param name="DocId" select="$Idpr"/>
									<xsl:with-param name="PathErr" select="concat('PROFINVOICE/PROFINVOICE_ITEM/PROFINVOICEGoods/PROFINVOICEGOODS_ITEM[',$PosGoods,']/TotalCost')"/>
									<xsl:with-param name="TypeDoc" select="$PInvType"/>
									<xsl:with-param name="PosPkg" select="$PInvPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:for-each>
					</xsl:for-each>
					<xsl:for-each select="//PRILINVOICE/PRILINVOICE_ITEM">
						<xsl:variable name="Idprl" select="../@id"/>
						<xsl:variable name="PrInvPos" select="position()"/>
						<xsl:variable name="PrInvType" select="../@ctmtd:CfgName"/>
						<xsl:variable name="PrInvMs">Пакет содержит Приложение к инвойсу с незаполненным полем </xsl:variable>
						<xsl:variable name="PrInvPh">PRILINVOICE/PRILINVOICE_ITEM/</xsl:variable>
						<xsl:variable name="PrInvPhGoods">PRILINVOICEGoods/PRILINVOICEGOODS_ITEM</xsl:variable>
						<xsl:if test="string-length(RegNum)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($PrInvMs,'Номер регистрации.')"/>
								<xsl:with-param name="PathErr" select="concat($PrInvPh,'RegNum')"/>
								<xsl:with-param name="DocId" select="$Idprl"/>
								<xsl:with-param name="TypeDoc" select="$PrInvType"/>
								<xsl:with-param name="PosPkg" select="$PrInvPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RegDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($PrInvMs,'Дата регистрации.')"/>
								<xsl:with-param name="PathErr" select="concat($PrInvPh,'RegDate')"/>
								<xsl:with-param name="DocId" select="$Idprl"/>
								<xsl:with-param name="TypeDoc" select="$PrInvType"/>
								<xsl:with-param name="PosPkg" select="$PrInvPos"/>
							</xsl:call-template>
						</xsl:if>
							<xsl:if test="string-length(DocSig_PersonName)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($PrInvMs,'Фамилия в разделе с подписью.')"/>
									<xsl:with-param name="PathErr" select="concat($PrInvPh,'DocSig_PersonName')"/>
									<xsl:with-param name="DocId" select="$Idprl"/>
									<xsl:with-param name="TypeDoc" select="$PrInvType"/>
									<xsl:with-param name="PosPkg" select="$PrInvPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(DocSig_PersonName2)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($PrInvMs,'Имя в разделе с подписью.')"/>
									<xsl:with-param name="PathErr" select="concat($PrInvPh,'DocSig_PersonName2')"/>
									<xsl:with-param name="DocId" select="$Idprl"/>
									<xsl:with-param name="TypeDoc" select="$PrInvType"/>
									<xsl:with-param name="PosPkg" select="$PrInvPos"/>
								</xsl:call-template>
							</xsl:if>
						<xsl:for-each select="PRILINVOICEGoods/PRILINVOICEGOODS_ITEM">
							<xsl:variable name="PosGoods" select="position()"/>
							<xsl:if test="string-length(GoodsDescription)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($PrInvMs,' Наименование товара в разделе с товарами.')"/>
									<xsl:with-param name="PathErr" select="concat($PrInvPh,$PrInvPhGoods,'[',$PosGoods,']/GoodsDescription')"/>
									<xsl:with-param name="DocId" select="$Idprl"/>
									<xsl:with-param name="TypeDoc" select="$PrInvType"/>
									<xsl:with-param name="PosPkg" select="$PrInvPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(GoodsCode)>0 and (string-length(GoodsCode)&lt;4 or string-length(GoodsCode)>10)">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($PrInvMs,' Код товара.(д.б. 4 - 10 сим.)  в разделе с товарами.')"/>
									<xsl:with-param name="PathErr" select="concat($PrInvPh,$PrInvPhGoods,'[',$PosGoods,']/GoodsCode')"/>
									<xsl:with-param name="DocId" select="$Idprl"/>
									<xsl:with-param name="TypeDoc" select="$PrInvType"/>
									<xsl:with-param name="PosPkg" select="$PrInvPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(GoodsPrice)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($PrInvMs,' Цена товара/услуги в разделе с товарами.')"/>
									<xsl:with-param name="PathErr" select="concat($PrInvPh,$PrInvPhGoods,'[',$PosGoods,']/GoodsPrice')"/>
									<xsl:with-param name="DocId" select="$Idprl"/>
									<xsl:with-param name="TypeDoc" select="$PrInvType"/>
									<xsl:with-param name="PosPkg" select="$PrInvPos"/>
									<xsl:with-param name="Category" select="'WARNING'"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(GoodsCost)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($PrInvMs,' Стоимость всего количества без налога в разделе с товарами.')"/>
									<xsl:with-param name="PathErr" select="concat($PrInvPh,$PrInvPhGoods,'[',$PosGoods,']/GoodsCost')"/>
									<xsl:with-param name="DocId" select="$Idprl"/>
									<xsl:with-param name="TypeDoc" select="$PrInvType"/>
									<xsl:with-param name="PosPkg" select="$PrInvPos"/>
									<xsl:with-param name="Category" select="'WARNING'"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(TotalCost)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($PrInvMs,' Стоимость всего количества с учетом суммы налога в разделе с товарами.')"/>
									<xsl:with-param name="PathErr" select="concat($PrInvPh,$PrInvPhGoods,'[',$PosGoods,']/TotalCost')"/>
									<xsl:with-param name="DocId" select="$Idprl"/>
									<xsl:with-param name="TypeDoc" select="$PrInvType"/>
									<xsl:with-param name="PosPkg" select="$PrInvPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:for-each>
					</xsl:for-each>
					<xsl:for-each select="//SPECIFICATION/SPECIFICATION_ITEM">
						<xsl:variable name="Idsp" select="../@id"/>
						<xsl:variable name="SpfPos" select="position()"/>
						<xsl:variable name="SpfType" select="../@ctmtd:CfgName"/>
						<xsl:if test="string-length(RegNum)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит Отгрузочную спецификацию без номера регистрации документа.'"/>
								<xsl:with-param name="DocId" select="$Idsp"/>
								<xsl:with-param name="PathErr" select="'SPECIFICATION/SPECIFICATION_ITEM/RegNum'"/>
								<xsl:with-param name="TypeDoc" select="$SpfType"/>
								<xsl:with-param name="PosPkg" select="$SpfPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RegDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит Отгрузочную спецификацию без даты регистрации документа. '"/>
								<xsl:with-param name="DocId" select="$Idsp"/>
								<xsl:with-param name="PathErr" select="'SPECIFICATION/SPECIFICATION_ITEM/RegDate'"/>
								<xsl:with-param name="TypeDoc" select="$SpfType"/>
								<xsl:with-param name="PosPkg" select="$SpfPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:for-each select="SPECIFICATIONGoods/SPECIFICATIONGOODS_ITEM">
							<xsl:variable name="PosGoods" select="position()"/>
							<xsl:if test="string-length(GoodsDescription)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит Отгрузочную спецификацию с товаром, в котором не заполнено поле Наименование товара. '"/>
									<xsl:with-param name="DocId" select="$Idsp"/>
									<xsl:with-param name="PathErr" select="concat('SPECIFICATION/SPECIFICATION_ITEM/SPECIFICATIONGoods/SPECIFICATIONGOODS_ITEM[',$PosGoods,']/GoodsDescription')"/>
									<xsl:with-param name="TypeDoc" select="$SpfType"/>
									<xsl:with-param name="PosPkg" select="$SpfPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(TNVED)>0 and (string-length(TNVED)&lt;4 or string-length(TNVED)>10)">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит Отгрузочную спецификацию с товаром, в котором неправильно заполнено поле TNVED.(д.б. 4 - 10 сим.) '"/>
									<xsl:with-param name="DocId" select="$Idsp"/>
									<xsl:with-param name="PathErr" select="concat('SPECIFICATION/SPECIFICATION_ITEM/SPECIFICATIONGoods/SPECIFICATIONGOODS_ITEM[',$PosGoods,']/TNVED')"/>
									<xsl:with-param name="TypeDoc" select="$SpfType"/>
									<xsl:with-param name="PosPkg" select="$SpfPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(Articul)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит Отгрузочную спецификацию с товаром, в котором не заполнено поле Артикул. '"/>
									<xsl:with-param name="DocId" select="$Idsp"/>
									<xsl:with-param name="PathErr" select="concat('SPECIFICATION/SPECIFICATION_ITEM/SPECIFICATIONGoods/SPECIFICATIONGOODS_ITEM[',$PosGoods,']/Articul')"/>
									<xsl:with-param name="TypeDoc" select="$SpfType"/>
									<xsl:with-param name="PosPkg" select="$SpfPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(Code)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит Отгрузочную спецификацию с товаром, в котором не заполнено поле Код товара. '"/>
									<xsl:with-param name="DocId" select="$Idsp"/>
									<xsl:with-param name="PathErr" select="concat('SPECIFICATION/SPECIFICATION_ITEM/SPECIFICATIONGoods/SPECIFICATIONGOODS_ITEM[',$PosGoods,']/Code')"/>
									<xsl:with-param name="TypeDoc" select="$SpfType"/>
									<xsl:with-param name="PosPkg" select="$SpfPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:for-each>
					</xsl:for-each>
					<xsl:for-each select="//CONTRACT/CONTRACT_ITEM">
						<xsl:variable name="IdContr" select="../@id"/>
						<xsl:variable name="CntPos" select="position()"/>
						<xsl:variable name="CntType" select="../@ctmtd:CfgName"/>
						<xsl:if test="string-length(RegNum)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит  Контракт без номера регистрации документа.'"/>
								<xsl:with-param name="DocId" select="$IdContr"/>
								<xsl:with-param name="PathErr" select="'CONTRACT/CONTRACT_ITEM/RegNum'"/>
								<xsl:with-param name="TypeDoc" select="$CntType"/>
								<xsl:with-param name="PosPkg" select="$CntPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RegDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит  Контракт без даты регистрации документа.'"/>
								<xsl:with-param name="DocId" select="$IdContr"/>
								<xsl:with-param name="PathErr" select="'CONTRACT/CONTRACT_ITEM/RegDate'"/>
								<xsl:with-param name="TypeDoc" select="$CntType"/>
								<xsl:with-param name="PosPkg" select="$CntPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(LastDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит Контракт c  незаполенным полем Последняя дата расчетов по контракту. '"/>
								<xsl:with-param name="DocId" select="$IdContr"/>
								<xsl:with-param name="PathErr" select="'CONTRACT/CONTRACT_ITEM/LastDate'"/>
								<xsl:with-param name="TypeDoc" select="$CntType"/>
								<xsl:with-param name="PosPkg" select="$CntPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(DocSig_PersonName)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит Контракт c  незаполенным полем Фамилия  в разделе Лицо, подписавшее документ. '"/>
								<xsl:with-param name="DocId" select="$IdContr"/>
								<xsl:with-param name="PathErr" select="'CONTRACT/CONTRACT_ITEM/DocSig_PersonName'"/>
								<xsl:with-param name="TypeDoc" select="$CntType"/>
								<xsl:with-param name="PosPkg" select="$CntPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(DocSig_PersonName2)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит Контракт c  незаполенным полем Имя  в разделе Лицо, подписавшее документ. '"/>
								<xsl:with-param name="DocId" select="$IdContr"/>
								<xsl:with-param name="PathErr" select="'CONTRACT/CONTRACT_ITEM/DocSig_PersonName2'"/>
								<xsl:with-param name="TypeDoc" select="$CntType"/>
								<xsl:with-param name="PosPkg" select="$CntPos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:for-each>
					<xsl:for-each select="//SERTIFCULTURE/SERTIFCULTURE_ITEM">
						<xsl:variable name="IdSC" select="../@id"/>
						<xsl:variable name="SCPos" select="position()"/>
						<xsl:variable name="SCType" select="../@ctmtd:CfgName"/>
						<xsl:variable name="SCPath" select="'SERTIFCULTURE/SERTIFCULTURE_ITEM'"/>
						<xsl:variable name="SCMesN" select="'Пакет содержит Свидетельство на право вывоза культурных ценностей с не заполненным полем'"/>
						<xsl:if test="string-length(RegNum)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SCMesN,' Номер свидетельства.')"/>
								<xsl:with-param name="DocId" select="$IdSC"/>
								<xsl:with-param name="PathErr" select="concat($SCPath,'/RegNum')"/>
								<xsl:with-param name="TypeDoc" select="$SCType"/>
								<xsl:with-param name="PosPkg" select="$SCPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RegDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SCMesN,' Дата выдачи свидетельства.')"/>
								<xsl:with-param name="DocId" select="$IdSC"/>
								<xsl:with-param name="PathErr" select="concat($SCPath,'/RegDate')"/>
								<xsl:with-param name="TypeDoc" select="$SCType"/>
								<xsl:with-param name="PosPkg" select="$SCPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(PlaceIssued)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SCMesN,' Место выдачи свидетельства.')"/>
								<xsl:with-param name="DocId" select="$IdSC"/>
								<xsl:with-param name="PathErr" select="concat($SCPath,'/PlaceIssued')"/>
								<xsl:with-param name="TypeDoc" select="$SCType"/>
								<xsl:with-param name="PosPkg" select="$SCPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(CountryName)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SCMesN,' Название страны ввоза культурных ценностей.')"/>
								<xsl:with-param name="DocId" select="$IdSC"/>
								<xsl:with-param name="PathErr" select="concat($SCPath,'/CountryName')"/>
								<xsl:with-param name="TypeDoc" select="$SCType"/>
								<xsl:with-param name="PosPkg" select="$SCPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(StateStructure)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SCMesN,' Наименование государственного органа, выдавшего свидетельство.')"/>
								<xsl:with-param name="DocId" select="$IdSC"/>
								<xsl:with-param name="PathErr" select="concat($SCPath,'/StateStructure')"/>
								<xsl:with-param name="TypeDoc" select="$SCType"/>
								<xsl:with-param name="PosPkg" select="$SCPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(DocSig_PersonName)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SCMesN,' Сведения о должностном лице, выдавшем свидетельство: Фамилия ')"/>
								<xsl:with-param name="DocId" select="$IdSC"/>
								<xsl:with-param name="PathErr" select="concat($SCPath,'/DocSig_PersonName')"/>
								<xsl:with-param name="TypeDoc" select="$SCType"/>
								<xsl:with-param name="PosPkg" select="$SCPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(DocSig_PersonName2)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SCMesN,' Сведения о должностном лице, выдавшем свидетельство: Имя ')"/>
								<xsl:with-param name="DocId" select="$IdSC"/>
								<xsl:with-param name="PathErr" select="concat($SCPath,'/DocSig_PersonName2')"/>
								<xsl:with-param name="TypeDoc" select="$SCType"/>
								<xsl:with-param name="PosPkg" select="$SCPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:for-each select="SERTIFCULTUREVALUES/SERTIFCULTUREVALUES_ITEM">
							<xsl:variable name="PosGoods" select="position()"/>
							<xsl:if test="string-length(CulturalName)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($SCMesN,' Наименование культурной ценности в Списке культурных ценностей ')"/>
									<xsl:with-param name="DocId" select="$IdSC"/>
									<xsl:with-param name="PathErr" select="concat($SCPath,'/SERTIFCULTUREVALUES/SERTIFCULTUREVALUES_ITEM[',$PosGoods,']/CulturalName')"/>
									<xsl:with-param name="TypeDoc" select="$SCType"/>
									<xsl:with-param name="PosPkg" select="$SCPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:for-each>
					</xsl:for-each>
					<xsl:for-each select="//SERTIFCNF/SERTIFCNF_ITEM">
						<xsl:variable name="IdSCnf" select="../@id"/>
						<xsl:variable name="SCnfPos" select="position()"/>
						<xsl:variable name="SCnfType" select="../@ctmtd:CfgName"/>
						<xsl:variable name="SCnfPath" select="'SERTIFCNF/SERTIFCNF_ITEM'"/>
						<xsl:variable name="SCnfMesN" select="'Пакет содержит Сертификат соответствия с не заполненным полем'"/>
						<xsl:if test="string-length(RegNum)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SCnfMesN,' Номер сертификата.')"/>
								<xsl:with-param name="DocId" select="$IdSCnf"/>
								<xsl:with-param name="PathErr" select="concat($SCnfPath,'/RegNum')"/>
								<xsl:with-param name="TypeDoc" select="$SCnfType"/>
								<xsl:with-param name="PosPkg" select="$SCnfPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(FormNumber)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SCnfMesN,' Номер бланка сертификата.')"/>
								<xsl:with-param name="DocId" select="$IdSCnf"/>
								<xsl:with-param name="PathErr" select="concat($SCnfPath,'/FormNumber')"/>
								<xsl:with-param name="TypeDoc" select="$SCnfType"/>
								<xsl:with-param name="PosPkg" select="$SCnfPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RegDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SCnfMesN,' Дата регистрации в едином реестре.')"/>
								<xsl:with-param name="DocId" select="$IdSCnf"/>
								<xsl:with-param name="PathErr" select="concat($SCnfPath,'/RegDate')"/>
								<xsl:with-param name="TypeDoc" select="$SCnfType"/>
								<xsl:with-param name="PosPkg" select="$SCnfPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Status_Indicator)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SCnfMesN,' Сведения о статусе декларации.')"/>
								<xsl:with-param name="DocId" select="$IdSCnf"/>
								<xsl:with-param name="PathErr" select="concat($SCnfPath,'/Status_Indicator')"/>
								<xsl:with-param name="TypeDoc" select="$SCnfType"/>
								<xsl:with-param name="PosPkg" select="$SCnfPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(BeginDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SCnfMesN,' Дата начала действия сертификата.')"/>
								<xsl:with-param name="DocId" select="$IdSCnf"/>
								<xsl:with-param name="PathErr" select="concat($SCnfPath,'/BeginDate')"/>
								<xsl:with-param name="TypeDoc" select="$SCnfType"/>
								<xsl:with-param name="PosPkg" select="$SCnfPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:for-each select="SERTIFCNFGOODS/SERTIFCNFGOODS_ITEM">
							<xsl:variable name="PosGoods" select="position()"/>
							<xsl:if test="string-length(GoodsDescription)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($SCnfMesN,' Описание товара в Сведениях о продукции ')"/>
									<xsl:with-param name="DocId" select="$IdSCnf"/>
									<xsl:with-param name="PathErr" select="concat($SCnfPath,'/SERTIFCNFGOODS/SERTIFCNFGOODS_ITEM[',$PosGoods,']/GoodsDescription')"/>
									<xsl:with-param name="TypeDoc" select="$SCnfType"/>
									<xsl:with-param name="PosPkg" select="$SCnfPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(SeriesSign)=0 or number(SeriesSign)='NaN'">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($SCnfMesN,' Признак в Сведениях о продукции')"/>
									<xsl:with-param name="DocId" select="$IdSCnf"/>
									<xsl:with-param name="PathErr" select="concat($SCnfPath,'/SERTIFCNFGOODS/SERTIFCNFGOODS_ITEM[',$PosGoods,']/SeriesSign')"/>
									<xsl:with-param name="TypeDoc" select="$SCnfType"/>
									<xsl:with-param name="PosPkg" select="$SCnfPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:for-each>
					</xsl:for-each>
					<xsl:for-each select="//PHYTOSERTIF/PHYTOSERTIF_ITEM">
						<xsl:variable name="IdFS" select="../@id"/>
						<xsl:variable name="FSPos" select="position()"/>
						<xsl:variable name="FSType" select="../@ctmtd:CfgName"/>
						<xsl:variable name="FSPath" select="'PHYTOSERTIF/PHYTOSERTIF_ITEM'"/>
						<xsl:variable name="FSMesN" select="'Пакет содержит Фитосанитарный сертификат с не заполненным полем'"/>
						<xsl:if test="string-length(RegNum)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($FSMesN,' Номер сертификата.')"/>
								<xsl:with-param name="DocId" select="$IdFS"/>
								<xsl:with-param name="PathErr" select="concat($FSPath,'/RegNum')"/>
								<xsl:with-param name="TypeDoc" select="$FSType"/>
								<xsl:with-param name="PosPkg" select="$FSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(AdditionalDeclaration)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($FSMesN,' Дополнительная декларация.')"/>
								<xsl:with-param name="DocId" select="$IdFS"/>
								<xsl:with-param name="PathErr" select="concat($FSPath,'/AdditionalDeclaration')"/>
								<xsl:with-param name="TypeDoc" select="$FSType"/>
								<xsl:with-param name="PosPkg" select="$FSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Transp)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($FSMesN,' Заявляенный способ транспортировки.')"/>
								<xsl:with-param name="DocId" select="$IdFS"/>
								<xsl:with-param name="PathErr" select="concat($FSPath,'/Transp')"/>
								<xsl:with-param name="TypeDoc" select="$FSType"/>
								<xsl:with-param name="PosPkg" select="$FSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(GoodsDescription)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($FSMesN,' Наименование продукции.')"/>
								<xsl:with-param name="DocId" select="$IdFS"/>
								<xsl:with-param name="PathErr" select="concat($FSPath,'/GoodsDescription')"/>
								<xsl:with-param name="TypeDoc" select="$FSType"/>
								<xsl:with-param name="PosPkg" select="$FSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(GoodsQuantity)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($FSMesN,' Заявленное количество.')"/>
								<xsl:with-param name="DocId" select="$IdFS"/>
								<xsl:with-param name="PathErr" select="concat($FSPath,'/GoodsQuantity')"/>
								<xsl:with-param name="TypeDoc" select="$FSType"/>
								<xsl:with-param name="PosPkg" select="$FSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(FIO)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($FSMesN,' Уполномоченное должностное лицо Федеральной службы по ветеринарному и фитосанитарному надзору: Фамилия ')"/>
								<xsl:with-param name="DocId" select="$IdFS"/>
								<xsl:with-param name="PathErr" select="concat($FSPath,'/FIO')"/>
								<xsl:with-param name="TypeDoc" select="$FSType"/>
								<xsl:with-param name="PosPkg" select="$FSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(PersonName2)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($FSMesN,' Уполномоченное должностное лицо Федеральной службы по ветеринарному и фитосанитарному надзору: Имя')"/>
								<xsl:with-param name="DocId" select="$IdFS"/>
								<xsl:with-param name="PathErr" select="concat($FSPath,'/PersonName2')"/>
								<xsl:with-param name="TypeDoc" select="$FSType"/>
								<xsl:with-param name="PosPkg" select="$FSPos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:for-each>
					<xsl:for-each select="//SANSERTIF/SANSERTIF_ITEM">
						<xsl:variable name="IdSS" select="../@id"/>
						<xsl:variable name="SSPos" select="position()"/>
						<xsl:variable name="SSType" select="../@ctmtd:CfgName"/>
						<xsl:variable name="SSPath" select="'SANSERTIF/SANSERTIF_ITEM'"/>
						<xsl:variable name="SSMesN" select="'Пакет содержит Санитарно-эпидемиологическое заключение с не заполненным полем '"/>
						<xsl:if test="string-length(RegNum)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SSMesN,' Номер сертификата.')"/>
								<xsl:with-param name="DocId" select="$IdSS"/>
								<xsl:with-param name="PathErr" select="concat($SSPath,'/RegNum')"/>
								<xsl:with-param name="TypeDoc" select="$SSType"/>
								<xsl:with-param name="PosPkg" select="$SSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(BeginDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SSMesN,' Дата начала действия сертификата.')"/>
								<xsl:with-param name="DocId" select="$IdSS"/>
								<xsl:with-param name="PathErr" select="concat($SSPath,'/BeginDate')"/>
								<xsl:with-param name="TypeDoc" select="$SSType"/>
								<xsl:with-param name="PosPkg" select="$SSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(FormNumber)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SSMesN,' Номер бланка сертификата.')"/>
								<xsl:with-param name="DocId" select="$IdSS"/>
								<xsl:with-param name="PathErr" select="concat($SSPath,'/FormNumber')"/>
								<xsl:with-param name="TypeDoc" select="$SSType"/>
								<xsl:with-param name="PosPkg" select="$SSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(SertifOrg_Name)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SSMesN,' Орган сертификации: наименование организации.')"/>
								<xsl:with-param name="DocId" select="$IdSS"/>
								<xsl:with-param name="PathErr" select="concat($SSPath,'/SertifOrg_Name')"/>
								<xsl:with-param name="TypeDoc" select="$SSType"/>
								<xsl:with-param name="PosPkg" select="$SSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="count(SANSERTIFGOODS/SANSERTIFGOODS_ITEM[string-length(GoodsDescription)>0 or string-length(InvestigProtocols)>0])=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит Санитарно-эпидемиологическое заключение с не заполненным данными о Продукции.'"/>
								<xsl:with-param name="DocId" select="$IdSS"/>
								<xsl:with-param name="PathErr" select="concat($SSPath,'/SANSERTIFGOODS/SANSERTIFGOODS_ITEM/GoodsDescription')"/>
								<xsl:with-param name="TypeDoc" select="$SSType"/>
								<xsl:with-param name="PosPkg" select="$SSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:for-each select="SANSERTIFGOODS/SANSERTIFGOODS_ITEM">
							<xsl:if test="string-length(GoodsDescription)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит Санитарно-эпидемиологическое заключение с не заполненным данными о Продукции: Общее описание продукции.'"/>
									<xsl:with-param name="DocId" select="$IdSS"/>
									<xsl:with-param name="PathErr" select="concat($SSPath,'/SANSERTIFGOODS/SANSERTIFGOODS_ITEM[',position(),']/GoodsDescription')"/>
									<xsl:with-param name="TypeDoc" select="$SSType"/>
									<xsl:with-param name="PosPkg" select="$SSPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(InvestigProtocols)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит Санитарно-эпидемиологическое заключение с не заполненным данными о Продукции: Протоколы исследований.'"/>
									<xsl:with-param name="DocId" select="$IdSS"/>
									<xsl:with-param name="PathErr" select="concat($SSPath,'/SANSERTIFGOODS/SANSERTIFGOODS_ITEM[',position(),']/InvestigProtocols')"/>
									<xsl:with-param name="TypeDoc" select="$SSType"/>
									<xsl:with-param name="PosPkg" select="$SSPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:for-each>
						<xsl:if test="string-length(DocSig_PersonName)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SSMesN,' Подпись руководителя: Фамилия ')"/>
								<xsl:with-param name="DocId" select="$IdSS"/>
								<xsl:with-param name="PathErr" select="concat($SSPath,'/DocSig_PersonName')"/>
								<xsl:with-param name="TypeDoc" select="$SSType"/>
								<xsl:with-param name="PosPkg" select="$SSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(DocSig_PersonName2)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SSMesN,' Подпись руководителя: Имя')"/>
								<xsl:with-param name="DocId" select="$IdSS"/>
								<xsl:with-param name="PathErr" select="concat($SSPath,'/DocSig_PersonName2')"/>
								<xsl:with-param name="TypeDoc" select="$SSType"/>
								<xsl:with-param name="PosPkg" select="$SSPos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:for-each>
					<xsl:for-each select="//SERTIFA/SERTIFA_ITEM">
						<xsl:variable name="IdSFA" select="../@id"/>
						<xsl:variable name="SFAPos" select="position()"/>
						<xsl:variable name="SFAType" select="../@ctmtd:CfgName"/>
						<xsl:variable name="SFAPath" select="'SERTIFA/SERTIFA_ITEM'"/>
						<xsl:variable name="SFAMesN" select="'Пакет содержит Сертификат о происхождении товаров по форме А с не заполненным полем'"/>
						<xsl:if test="string-length(RegNum)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SFAMesN,' Номер сертификата.')"/>
								<xsl:with-param name="DocId" select="$IdSFA"/>
								<xsl:with-param name="PathErr" select="concat($SFAPath,'/RegNum')"/>
								<xsl:with-param name="TypeDoc" select="$SFAType"/>
								<xsl:with-param name="PosPkg" select="$SFAPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RegDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SFAMesN,' Дата заполнения сертификата.')"/>
								<xsl:with-param name="DocId" select="$IdSFA"/>
								<xsl:with-param name="PathErr" select="concat($SFAPath,'/RegDate')"/>
								<xsl:with-param name="TypeDoc" select="$SFAType"/>
								<xsl:with-param name="PosPkg" select="$SFAPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(CountryCode)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SFAMesN,' Код страны, в которой выдан сертификат .')"/>
								<xsl:with-param name="DocId" select="$IdSFA"/>
								<xsl:with-param name="PathErr" select="concat($SFAPath,'/CountryCode')"/>
								<xsl:with-param name="TypeDoc" select="$SFAType"/>
								<xsl:with-param name="PosPkg" select="$SFAPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(FillPlace)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SFAMesN,' Место заполнения сертификата.')"/>
								<xsl:with-param name="DocId" select="$IdSFA"/>
								<xsl:with-param name="PathErr" select="concat($SFAPath,'/FillPlace')"/>
								<xsl:with-param name="TypeDoc" select="$SFAType"/>
								<xsl:with-param name="PosPkg" select="$SFAPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(CountryOriginCode)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SFAMesN,' Код страны происхождения товаров.')"/>
								<xsl:with-param name="DocId" select="$IdSFA"/>
								<xsl:with-param name="PathErr" select="concat($SFAPath,'/CountryOriginCode')"/>
								<xsl:with-param name="TypeDoc" select="$SFAType"/>
								<xsl:with-param name="PosPkg" select="$SFAPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(CountryOriginName)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SFAMesN,' Наименование страны происхождения.')"/>
								<xsl:with-param name="DocId" select="$IdSFA"/>
								<xsl:with-param name="PathErr" select="concat($SFAPath,'/CountryOriginName')"/>
								<xsl:with-param name="TypeDoc" select="$SFAType"/>
								<xsl:with-param name="PosPkg" select="$SFAPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(DestinationCountryCode)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SFAMesN,' Код страны назначения товаров.')"/>
								<xsl:with-param name="DocId" select="$IdSFA"/>
								<xsl:with-param name="PathErr" select="concat($SFAPath,'/DestinationCountryCode')"/>
								<xsl:with-param name="TypeDoc" select="$SFAType"/>
								<xsl:with-param name="PosPkg" select="$SFAPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(DestinationCountryName)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SFAMesN,' Наименование страны назначения товаров.')"/>
								<xsl:with-param name="DocId" select="$IdSFA"/>
								<xsl:with-param name="PathErr" select="concat($SFAPath,'/DestinationCountryName')"/>
								<xsl:with-param name="TypeDoc" select="$SFAType"/>
								<xsl:with-param name="PosPkg" select="$SFAPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Agency)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SFAMesN,' Наименование органа, уполномоченного в соответствии с национальным законодательством удостоверять происхождение товаров.')"/>
								<xsl:with-param name="DocId" select="$IdSFA"/>
								<xsl:with-param name="PathErr" select="concat($SFAPath,'/Agency')"/>
								<xsl:with-param name="TypeDoc" select="$SFAType"/>
								<xsl:with-param name="PosPkg" select="$SFAPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:for-each select="SERTIFAGOODS/SERTIFAGOODS_ITEM">
							<xsl:if test="string-length(GoodsDescription)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($SFAMesN,' Описание товара в разделе Сведения о товарах.')"/>
									<xsl:with-param name="DocId" select="$IdSFA"/>
									<xsl:with-param name="PathErr" select="concat($SFAPath,'/SERTIFAGOODS/SERTIFAGOODS_ITEM[',position(),']/GoodsDescription')"/>
									<xsl:with-param name="TypeDoc" select="$SFAType"/>
									<xsl:with-param name="PosPkg" select="$SFAPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(GoodsPlacesQuantity)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($SFAMesN,' Количество мест товара в разделе Сведения о товарах.')"/>
									<xsl:with-param name="DocId" select="$IdSFA"/>
									<xsl:with-param name="PathErr" select="concat($SFAPath,'/SERTIFAGOODS/SERTIFAGOODS_ITEM[',position(),']/GoodsPlacesQuantity')"/>
									<xsl:with-param name="TypeDoc" select="$SFAType"/>
									<xsl:with-param name="PosPkg" select="$SFAPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(PlacesQuantity)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($SFAMesN,' Общее количество грузовых мест товара в разделе Сведения о товарах.')"/>
									<xsl:with-param name="DocId" select="$IdSFA"/>
									<xsl:with-param name="PathErr" select="concat($SFAPath,'/SERTIFAGOODS/SERTIFAGOODS_ITEM[',position(),']/PlacesQuantity')"/>
									<xsl:with-param name="TypeDoc" select="$SFAType"/>
									<xsl:with-param name="PosPkg" select="$SFAPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(PlacesDescription)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($SFAMesN,' Описание вида грузовых мест в разделе Сведения о товарах.')"/>
									<xsl:with-param name="DocId" select="$IdSFA"/>
									<xsl:with-param name="PathErr" select="concat($SFAPath,'/SERTIFAGOODS/SERTIFAGOODS_ITEM[',position(),']/PlacesDescription')"/>
									<xsl:with-param name="TypeDoc" select="$SFAType"/>
									<xsl:with-param name="PosPkg" select="$SFAPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:for-each>
					</xsl:for-each>
					<xsl:for-each select="//SERTIFPRECIOUSMETAL/SERTIFPRECIOUSMETAL_ITEM">
						<xsl:variable name="IdSPM" select="../@id"/>
						<xsl:variable name="SPMPos" select="position()"/>
						<xsl:variable name="SPMType" select="../@ctmtd:CfgName"/>
						<xsl:variable name="SPMPath" select="'SERTIFPRECIOUSMETAL/SERTIFPRECIOUSMETAL_ITEM'"/>
						<xsl:variable name="SPMMesN" select="'Пакет содержит Сертификат химического состава на содержание драгметаллов с не заполненным полем'"/>
						<xsl:if test="string-length(RegNum)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SPMMesN,' Регистрационный номер.')"/>
								<xsl:with-param name="DocId" select="$IdSPM"/>
								<xsl:with-param name="PathErr" select="concat($SPMPath,'/RegNum')"/>
								<xsl:with-param name="TypeDoc" select="$SPMType"/>
								<xsl:with-param name="PosPkg" select="$SPMPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RegDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SPMMesN,'  Дата выдачи.')"/>
								<xsl:with-param name="DocId" select="$IdSPM"/>
								<xsl:with-param name="PathErr" select="concat($SPMPath,'/RegDate')"/>
								<xsl:with-param name="TypeDoc" select="$SPMType"/>
								<xsl:with-param name="PosPkg" select="$SPMPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(EndDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SPMMesN,'  Дата окончания действия сертификата ')"/>
								<xsl:with-param name="DocId" select="$IdSPM"/>
								<xsl:with-param name="PathErr" select="concat($SPMPath,'/EndDate')"/>
								<xsl:with-param name="TypeDoc" select="$SPMType"/>
								<xsl:with-param name="PosPkg" select="$SPMPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Metal_Name)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SPMMesN,'  Наименование драгметалла')"/>
								<xsl:with-param name="DocId" select="$IdSPM"/>
								<xsl:with-param name="PathErr" select="concat($SPMPath,'/Metal_Name')"/>
								<xsl:with-param name="TypeDoc" select="$SPMType"/>
								<xsl:with-param name="PosPkg" select="$SPMPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(ContentPercent)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SPMMesN,' Содержание в % драгметалла')"/>
								<xsl:with-param name="DocId" select="$IdSPM"/>
								<xsl:with-param name="PathErr" select="concat($SPMPath,'/ContentPercent')"/>
								<xsl:with-param name="TypeDoc" select="$SPMType"/>
								<xsl:with-param name="PosPkg" select="$SPMPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(ContentWeight)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SPMMesN,' Содержание в граммах/тоннах драгметалла ')"/>
								<xsl:with-param name="DocId" select="$IdSPM"/>
								<xsl:with-param name="PathErr" select="concat($SPMPath,'/ContentWeight')"/>
								<xsl:with-param name="TypeDoc" select="$SPMType"/>
								<xsl:with-param name="PosPkg" select="$SPMPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(DocSig_PersonName)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SPMMesN,' Подпись руководителя организации, выдавшей сертификат: ФИО')"/>
								<xsl:with-param name="DocId" select="$IdSPM"/>
								<xsl:with-param name="PathErr" select="concat($SPMPath,'/DocSig_PersonName')"/>
								<xsl:with-param name="TypeDoc" select="$SPMType"/>
								<xsl:with-param name="PosPkg" select="$SPMPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(DocSig_PersonName2)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SPMMesN,' Подпись руководителя организации, выдавшей сертификат: Имя')"/>
								<xsl:with-param name="DocId" select="$IdSPM"/>
								<xsl:with-param name="PathErr" select="concat($SPMPath,'/DocSig_PersonName2')"/>
								<xsl:with-param name="TypeDoc" select="$SPMType"/>
								<xsl:with-param name="PosPkg" select="$SPMPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:for-each select="SERTIFPRECIOUSMETALGOODS/SERTIFPRECIOUSMETALGOODS_ITEM">
							<xsl:if test="string-length(GoodsDescription)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($SPMMesN,' Описание товара в разделе Сведения о продукции')"/>
									<xsl:with-param name="DocId" select="$IdSPM"/>
									<xsl:with-param name="PathErr" select="concat($SPMPath,'/SERTIFPRECIOUSMETALGOODS/SERTIFPRECIOUSMETALGOODS_ITEM[',position(),']/GoodsDescription')"/>
									<xsl:with-param name="TypeDoc" select="$SPMType"/>
									<xsl:with-param name="PosPkg" select="$SPMPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:for-each>
					</xsl:for-each>
					<xsl:for-each select="//SERTIFQUARANTINE/SERTIFQUARANTINE_ITEM">
						<xsl:variable name="IdSQ" select="../@id"/>
						<xsl:variable name="SQPos" select="position()"/>
						<xsl:variable name="SQType" select="../@ctmtd:CfgName"/>
						<xsl:variable name="SQPath" select="'SERTIFQUARANTINE/SERTIFQUARANTINE_ITEM'"/>
						<xsl:variable name="SQMesN" select="'Пакет содержит Карантинный сертификат с не заполненным полем'"/>
						<xsl:if test="string-length(RegNum)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SQMesN,' Регистрационный номер.')"/>
								<xsl:with-param name="DocId" select="$IdSQ"/>
								<xsl:with-param name="PathErr" select="concat($SQPath,'/RegNum')"/>
								<xsl:with-param name="TypeDoc" select="$SQType"/>
								<xsl:with-param name="PosPkg" select="$SQPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RegDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SQMesN,'  Дата выдачи.')"/>
								<xsl:with-param name="DocId" select="$IdSQ"/>
								<xsl:with-param name="PathErr" select="concat($SQPath,'/RegDate')"/>
								<xsl:with-param name="TypeDoc" select="$SQType"/>
								<xsl:with-param name="PosPkg" select="$SQPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(EndDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SQMesN,'  Дата окончания действия сертификата ')"/>
								<xsl:with-param name="DocId" select="$IdSQ"/>
								<xsl:with-param name="PathErr" select="concat($SQPath,'/EndDate')"/>
								<xsl:with-param name="TypeDoc" select="$SQType"/>
								<xsl:with-param name="PosPkg" select="$SQPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(GoodsInfo)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SQMesN,'  Сведения о состоянии товара')"/>
								<xsl:with-param name="DocId" select="$IdSQ"/>
								<xsl:with-param name="PathErr" select="concat($SQPath,'/GoodsInfo')"/>
								<xsl:with-param name="TypeDoc" select="$SQType"/>
								<xsl:with-param name="PosPkg" select="$SQPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RegionManagement)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SQMesN,' Республика, край, область, город')"/>
								<xsl:with-param name="DocId" select="$IdSQ"/>
								<xsl:with-param name="PathErr" select="concat($SQPath,'/RegionManagement')"/>
								<xsl:with-param name="TypeDoc" select="$SQType"/>
								<xsl:with-param name="PosPkg" select="$SQPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(AddActivities)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SQMesN,' Дополнительные мероприятия')"/>
								<xsl:with-param name="DocId" select="$IdSQ"/>
								<xsl:with-param name="PathErr" select="concat($SQPath,'/AddActivities')"/>
								<xsl:with-param name="TypeDoc" select="$SQType"/>
								<xsl:with-param name="PosPkg" select="$SQPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(DocSig_PersonName)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SQMesN,' Подпись руководителя организации, выдавшей сертификат: ФИО')"/>
								<xsl:with-param name="DocId" select="$IdSQ"/>
								<xsl:with-param name="PathErr" select="concat($SQPath,'/DocSig_PersonName')"/>
								<xsl:with-param name="TypeDoc" select="$SQType"/>
								<xsl:with-param name="PosPkg" select="$SQPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(DocSig_PersonName2)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SQMesN,' Подпись руководителя организации, выдавшей сертификат: Имя')"/>
								<xsl:with-param name="DocId" select="$IdSQ"/>
								<xsl:with-param name="PathErr" select="concat($SQPath,'/DocSig_PersonName2')"/>
								<xsl:with-param name="TypeDoc" select="$SQType"/>
								<xsl:with-param name="PosPkg" select="$SQPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:for-each select="SERTIFQUARANTINEGOODS/SERTIFQUARANTINEGOODS_ITEM">
							<xsl:if test="string-length(GoodsDescription)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($SQMesN,' Описание товара в разделе Сведения о продукции')"/>
									<xsl:with-param name="DocId" select="$IdSQ"/>
									<xsl:with-param name="PathErr" select="concat($SQPath,'/SERTIFQUARANTINEGOODS/SERTIFQUARANTINEGOODS_ITEM[',position(),']/GoodsDescription')"/>
									<xsl:with-param name="TypeDoc" select="$SQType"/>
									<xsl:with-param name="PosPkg" select="$SQPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(TotalWeightQuantity)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($SQMesN,' Общий вес товара в разделе Сведения о продукции')"/>
									<xsl:with-param name="DocId" select="$IdSQ"/>
									<xsl:with-param name="PathErr" select="concat($SQPath,'/SERTIFQUARANTINEGOODS/SERTIFQUARANTINEGOODS_ITEM[',position(),']/TotalWeightQuantity')"/>
									<xsl:with-param name="TypeDoc" select="$SQType"/>
									<xsl:with-param name="PosPkg" select="$SQPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(MeasureUnitWeight)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($SQMesN,' Название единицы измерения вес  в разделе Сведения о продукции')"/>
									<xsl:with-param name="DocId" select="$IdSQ"/>
									<xsl:with-param name="PathErr" select="concat($SQPath,'/SERTIFQUARANTINEGOODS/SERTIFQUARANTINEGOODS_ITEM[',position(),']/MeasureUnitWeight')"/>
									<xsl:with-param name="TypeDoc" select="$SQType"/>
									<xsl:with-param name="PosPkg" select="$SQPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(PlacesQuantity)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($SQMesN,' Количество мест в разделе Сведения о продукции')"/>
									<xsl:with-param name="DocId" select="$IdSQ"/>
									<xsl:with-param name="PathErr" select="concat($SQPath,'/SERTIFQUARANTINEGOODS/SERTIFQUARANTINEGOODS_ITEM[',position(),']/PlacesQuantity')"/>
									<xsl:with-param name="TypeDoc" select="$SQType"/>
									<xsl:with-param name="PosPkg" select="$SQPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(MethodTransport)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($SQMesN,' Способ транспортироки в разделе Сведения о продукции')"/>
									<xsl:with-param name="DocId" select="$IdSQ"/>
									<xsl:with-param name="PathErr" select="concat($SQPath,'/SERTIFQUARANTINEGOODS/SERTIFQUARANTINEGOODS_ITEM[',position(),']/MethodTransport')"/>
									<xsl:with-param name="TypeDoc" select="$SQType"/>
									<xsl:with-param name="PosPkg" select="$SQPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(DepStationName)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($SQMesN,' Станции отправления в разделе Сведения о продукции')"/>
									<xsl:with-param name="DocId" select="$IdSQ"/>
									<xsl:with-param name="PathErr" select="concat($SQPath,'/SERTIFQUARANTINEGOODS/SERTIFQUARANTINEGOODS_ITEM[',position(),']/DepStationName')"/>
									<xsl:with-param name="TypeDoc" select="$SQType"/>
									<xsl:with-param name="PosPkg" select="$SQPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(DestStationName)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($SQMesN,' Станция прибытия в разделе Сведения о продукции')"/>
									<xsl:with-param name="DocId" select="$IdSQ"/>
									<xsl:with-param name="PathErr" select="concat($SQPath,'/SERTIFQUARANTINEGOODS/SERTIFQUARANTINEGOODS_ITEM[',position(),']/DestStationName')"/>
									<xsl:with-param name="TypeDoc" select="$SQType"/>
									<xsl:with-param name="PosPkg" select="$SQPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:for-each>
					</xsl:for-each>
					<xsl:for-each select="//SERTIFRIGHTSTATEFLAG/SERTIFRIGHTSTATEFLAG_ITEM">
						<xsl:variable name="IdSSF" select="../@id"/>
						<xsl:variable name="SSFPos" select="position()"/>
						<xsl:variable name="SSFType" select="../@ctmtd:CfgName"/>
						<xsl:variable name="SSFPath" select="'SERTIFRIGHTSTATEFLAG/SERTIFRIGHTSTATEFLAG_ITEM'"/>
						<xsl:variable name="SSFMesN" select="'Пакет содержит Свидетельство о праве плавать под Гос. флагом РФ с не заполненным полем'"/>
						<xsl:if test="string-length(RegNum)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SSFMesN,' Регистрационный номер.')"/>
								<xsl:with-param name="DocId" select="$IdSSF"/>
								<xsl:with-param name="PathErr" select="concat($SSFPath,'/RegNum')"/>
								<xsl:with-param name="TypeDoc" select="$SSFType"/>
								<xsl:with-param name="PosPkg" select="$SSFPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RegDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SSFMesN,'  Дата выдачи.')"/>
								<xsl:with-param name="DocId" select="$IdSSF"/>
								<xsl:with-param name="PathErr" select="concat($SSFPath,'/RegDate')"/>
								<xsl:with-param name="TypeDoc" select="$SSFType"/>
								<xsl:with-param name="PosPkg" select="$SSFPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(IssuedInspectorate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SSFMesN,'  Наименование бассейна, по которому выдано свидетельство Гос.судоходной инспекцией')"/>
								<xsl:with-param name="DocId" select="$IdSSF"/>
								<xsl:with-param name="PathErr" select="concat($SSFPath,'/IssuedInspectorate')"/>
								<xsl:with-param name="TypeDoc" select="$SSFType"/>
								<xsl:with-param name="PosPkg" select="$SSFPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(IssuedChief)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SSFMesN,' Наименование бассейна, начальник которого подписывает свидетельство.')"/>
								<xsl:with-param name="DocId" select="$IdSSF"/>
								<xsl:with-param name="PathErr" select="concat($SSFPath,'/IssuedChief')"/>
								<xsl:with-param name="TypeDoc" select="$SSFType"/>
								<xsl:with-param name="PosPkg" select="$SSFPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Vessel_Name)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SSFMesN,' Наименование судна')"/>
								<xsl:with-param name="DocId" select="$IdSSF"/>
								<xsl:with-param name="PathErr" select="concat($SSFPath,'/Vessel_Name')"/>
								<xsl:with-param name="TypeDoc" select="$SSFType"/>
								<xsl:with-param name="PosPkg" select="$SSFPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Register_Number)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SSFMesN,' Гос.судовой реестр Российской Федерации: Номер реестра')"/>
								<xsl:with-param name="DocId" select="$IdSSF"/>
								<xsl:with-param name="PathErr" select="concat($SSFPath,'/Register_Number')"/>
								<xsl:with-param name="TypeDoc" select="$SSFType"/>
								<xsl:with-param name="PosPkg" select="$SSFPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Register_Date)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SSFMesN,' Гос.судовой реестр Российской Федерации: Дата реестра')"/>
								<xsl:with-param name="DocId" select="$IdSSF"/>
								<xsl:with-param name="PathErr" select="concat($SSFPath,'/Register_Date')"/>
								<xsl:with-param name="TypeDoc" select="$SSFType"/>
								<xsl:with-param name="PosPkg" select="$SSFPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Vessel_ID)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SSFMesN,' Идентификационный номер судна')"/>
								<xsl:with-param name="DocId" select="$IdSSF"/>
								<xsl:with-param name="PathErr" select="concat($SSFPath,'/Vessel_ID')"/>
								<xsl:with-param name="TypeDoc" select="$SSFType"/>
								<xsl:with-param name="PosPkg" select="$SSFPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Vessel_Class)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SSFMesN,' Класс судна')"/>
								<xsl:with-param name="DocId" select="$IdSSF"/>
								<xsl:with-param name="PathErr" select="concat($SSFPath,'/Vessel_Class')"/>
								<xsl:with-param name="TypeDoc" select="$SSFType"/>
								<xsl:with-param name="PosPkg" select="$SSFPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Vessel_Project)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SSFMesN,' Номер проекта')"/>
								<xsl:with-param name="DocId" select="$IdSSF"/>
								<xsl:with-param name="PathErr" select="concat($SSFPath,'/Vessel_Project')"/>
								<xsl:with-param name="TypeDoc" select="$SSFType"/>
								<xsl:with-param name="PosPkg" select="$SSFPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Vessel_Material)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SSFMesN,' Материал корпуса судна')"/>
								<xsl:with-param name="DocId" select="$IdSSF"/>
								<xsl:with-param name="PathErr" select="concat($SSFPath,'/Vessel_Material')"/>
								<xsl:with-param name="TypeDoc" select="$SSFType"/>
								<xsl:with-param name="PosPkg" select="$SSFPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Vessel_Passenger)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SSFMesN,' Пассажировместимость')"/>
								<xsl:with-param name="DocId" select="$IdSSF"/>
								<xsl:with-param name="PathErr" select="concat($SSFPath,'/Vessel_Passenger')"/>
								<xsl:with-param name="TypeDoc" select="$SSFType"/>
								<xsl:with-param name="PosPkg" select="$SSFPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Vessel_Capacity)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SSFMesN,' Грузоподъемность судна')"/>
								<xsl:with-param name="DocId" select="$IdSSF"/>
								<xsl:with-param name="PathErr" select="concat($SSFPath,'/Vessel_Capacity')"/>
								<xsl:with-param name="TypeDoc" select="$SSFType"/>
								<xsl:with-param name="PosPkg" select="$SSFPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(MainMachine_Type)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SSFMesN,' Сведения о главных машинах: Тип')"/>
								<xsl:with-param name="DocId" select="$IdSSF"/>
								<xsl:with-param name="PathErr" select="concat($SSFPath,'/MainMachine_Type')"/>
								<xsl:with-param name="TypeDoc" select="$SSFType"/>
								<xsl:with-param name="PosPkg" select="$SSFPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(MainMachine_Quantity)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SSFMesN,' Сведения о главных машинах: Число')"/>
								<xsl:with-param name="DocId" select="$IdSSF"/>
								<xsl:with-param name="PathErr" select="concat($SSFPath,'/MainMachine_Quantity')"/>
								<xsl:with-param name="TypeDoc" select="$SSFType"/>
								<xsl:with-param name="PosPkg" select="$SSFPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(MainMachine_Power)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SSFMesN,' Сведения о главных машинах:  Общая мощность')"/>
								<xsl:with-param name="DocId" select="$IdSSF"/>
								<xsl:with-param name="PathErr" select="concat($SSFPath,'/MainMachine_Power')"/>
								<xsl:with-param name="TypeDoc" select="$SSFType"/>
								<xsl:with-param name="PosPkg" select="$SSFPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Dimensions_Length)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SSFMesN,' Габаритные размеры судна:  Длина')"/>
								<xsl:with-param name="DocId" select="$IdSSF"/>
								<xsl:with-param name="PathErr" select="concat($SSFPath,'/Dimensions_Length')"/>
								<xsl:with-param name="TypeDoc" select="$SSFType"/>
								<xsl:with-param name="PosPkg" select="$SSFPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Dimensions_Width)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SSFMesN,' Габаритные размеры судна: Ширина')"/>
								<xsl:with-param name="DocId" select="$IdSSF"/>
								<xsl:with-param name="PathErr" select="concat($SSFPath,'/Dimensions_Width')"/>
								<xsl:with-param name="TypeDoc" select="$SSFType"/>
								<xsl:with-param name="PosPkg" select="$SSFPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Dimensions_FullyLoaded)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SSFMesN,' Габаритные размеры судна: Осадка c полным грузом')"/>
								<xsl:with-param name="DocId" select="$IdSSF"/>
								<xsl:with-param name="PathErr" select="concat($SSFPath,'/Dimensions_FullyLoaded')"/>
								<xsl:with-param name="TypeDoc" select="$SSFType"/>
								<xsl:with-param name="PosPkg" select="$SSFPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Dimensions_Empty)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SSFMesN,' Габаритные размеры судна: Осадка порожнем')"/>
								<xsl:with-param name="DocId" select="$IdSSF"/>
								<xsl:with-param name="PathErr" select="concat($SSFPath,'/Dimensions_Empty')"/>
								<xsl:with-param name="TypeDoc" select="$SSFType"/>
								<xsl:with-param name="PosPkg" select="$SSFPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Dimensions_MaximumHeight)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SSFMesN,' Габаритные размеры судна: Наибольшая высота с надстройками (от осадка порожнем)')"/>
								<xsl:with-param name="DocId" select="$IdSSF"/>
								<xsl:with-param name="PathErr" select="concat($SSFPath,'/Dimensions_MaximumHeight')"/>
								<xsl:with-param name="TypeDoc" select="$SSFType"/>
								<xsl:with-param name="PosPkg" select="$SSFPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(DocSig_PersonName)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SSFMesN,' Подпись начальника Гос. речной судоходной инспекции: ФИО')"/>
								<xsl:with-param name="DocId" select="$IdSSF"/>
								<xsl:with-param name="PathErr" select="concat($SSFPath,'/DocSig_PersonName')"/>
								<xsl:with-param name="TypeDoc" select="$SSFType"/>
								<xsl:with-param name="PosPkg" select="$SSFPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(DocSig_PersonName2)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SSFMesN,' Подпись начальника Гос. речной судоходной инспекции: Имя')"/>
								<xsl:with-param name="DocId" select="$IdSSF"/>
								<xsl:with-param name="PathErr" select="concat($SSFPath,'/DocSig_PersonName2')"/>
								<xsl:with-param name="TypeDoc" select="$SSFType"/>
								<xsl:with-param name="PosPkg" select="$SSFPos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:for-each>
					<xsl:for-each select="//SERTIFTITLEVESSEL/SERTIFTITLEVESSEL_ITEM">
						<xsl:variable name="IdSVS" select="../@id"/>
						<xsl:variable name="SVSPos" select="position()"/>
						<xsl:variable name="SVSType" select="../@ctmtd:CfgName"/>
						<xsl:variable name="SVSPath" select="'SERTIFTITLEVESSEL/SERTIFTITLEVESSEL_ITEM'"/>
						<xsl:variable name="SVSMesN" select="'Пакет содержит Свидетельство о праве собственности на судно с не заполненным полем'"/>
						<xsl:if test="string-length(RegNum)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SVSMesN,' Регистрационный номер.')"/>
								<xsl:with-param name="DocId" select="$IdSVS"/>
								<xsl:with-param name="PathErr" select="concat($SVSPath,'/RegNum')"/>
								<xsl:with-param name="TypeDoc" select="$SVSType"/>
								<xsl:with-param name="PosPkg" select="$SVSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RegDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SVSMesN,'  Дата выдачи.')"/>
								<xsl:with-param name="DocId" select="$IdSVS"/>
								<xsl:with-param name="PathErr" select="concat($SVSPath,'/RegDate')"/>
								<xsl:with-param name="TypeDoc" select="$SVSType"/>
								<xsl:with-param name="PosPkg" select="$SVSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(IssuedInspectorate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SVSMesN,'  Наименование бассейна, по которому выдано свидетельство Гос.судоходной инспекцией')"/>
								<xsl:with-param name="DocId" select="$IdSVS"/>
								<xsl:with-param name="PathErr" select="concat($SVSPath,'/IssuedInspectorate')"/>
								<xsl:with-param name="TypeDoc" select="$SVSType"/>
								<xsl:with-param name="PosPkg" select="$SVSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(IssuedChief)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SVSMesN,' Наименование бассейна, начальник которого подписывает свидетельство.')"/>
								<xsl:with-param name="DocId" select="$IdSVS"/>
								<xsl:with-param name="PathErr" select="concat($SVSPath,'/IssuedChief')"/>
								<xsl:with-param name="TypeDoc" select="$SVSType"/>
								<xsl:with-param name="PosPkg" select="$SVSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Vessel_Name)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SVSMesN,' Наименование судна')"/>
								<xsl:with-param name="DocId" select="$IdSVS"/>
								<xsl:with-param name="PathErr" select="concat($SVSPath,'/Vessel_Name')"/>
								<xsl:with-param name="TypeDoc" select="$SVSType"/>
								<xsl:with-param name="PosPkg" select="$SVSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Org_Name)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SVSMesN,' Сведения о судовладельце: ФИО физического лица/Наименование организации')"/>
								<xsl:with-param name="DocId" select="$IdSVS"/>
								<xsl:with-param name="PathErr" select="concat($SVSPath,'/Org_Name')"/>
								<xsl:with-param name="TypeDoc" select="$SVSType"/>
								<xsl:with-param name="PosPkg" select="$SVSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Register_Number)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SVSMesN,' Гос.судовой реестр Российской Федерации: Номер реестра')"/>
								<xsl:with-param name="DocId" select="$IdSVS"/>
								<xsl:with-param name="PathErr" select="concat($SVSPath,'/Register_Number')"/>
								<xsl:with-param name="TypeDoc" select="$SVSType"/>
								<xsl:with-param name="PosPkg" select="$SVSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Register_Date)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SVSMesN,' Гос.судовой реестр Российской Федерации: Дата реестра')"/>
								<xsl:with-param name="DocId" select="$IdSVS"/>
								<xsl:with-param name="PathErr" select="concat($SVSPath,'/Register_Date')"/>
								<xsl:with-param name="TypeDoc" select="$SVSType"/>
								<xsl:with-param name="PosPkg" select="$SVSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Vessel_ID)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SVSMesN,' Идентификационный номер судна')"/>
								<xsl:with-param name="DocId" select="$IdSVS"/>
								<xsl:with-param name="PathErr" select="concat($SVSPath,'/Vessel_ID')"/>
								<xsl:with-param name="TypeDoc" select="$SVSType"/>
								<xsl:with-param name="PosPkg" select="$SVSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Vessel_Class)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SVSMesN,' Класс судна')"/>
								<xsl:with-param name="DocId" select="$IdSVS"/>
								<xsl:with-param name="PathErr" select="concat($SVSPath,'/Vessel_Class')"/>
								<xsl:with-param name="TypeDoc" select="$SVSType"/>
								<xsl:with-param name="PosPkg" select="$SVSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Vessel_Project)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SVSMesN,' Номер проекта')"/>
								<xsl:with-param name="DocId" select="$IdSVS"/>
								<xsl:with-param name="PathErr" select="concat($SVSPath,'/Vessel_Project')"/>
								<xsl:with-param name="TypeDoc" select="$SVSType"/>
								<xsl:with-param name="PosPkg" select="$SVSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Vessel_Material)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SVSMesN,' Материал корпуса судна')"/>
								<xsl:with-param name="DocId" select="$IdSVS"/>
								<xsl:with-param name="PathErr" select="concat($SVSPath,'/Vessel_Material')"/>
								<xsl:with-param name="TypeDoc" select="$SVSType"/>
								<xsl:with-param name="PosPkg" select="$SVSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Vessel_Passenger)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SVSMesN,' Пассажировместимость')"/>
								<xsl:with-param name="DocId" select="$IdSVS"/>
								<xsl:with-param name="PathErr" select="concat($SVSPath,'/Vessel_Passenger')"/>
								<xsl:with-param name="TypeDoc" select="$SVSType"/>
								<xsl:with-param name="PosPkg" select="$SVSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Vessel_Capacity)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SVSMesN,' Грузоподъемность судна')"/>
								<xsl:with-param name="DocId" select="$IdSVS"/>
								<xsl:with-param name="PathErr" select="concat($SVSPath,'/Vessel_Capacity')"/>
								<xsl:with-param name="TypeDoc" select="$SVSType"/>
								<xsl:with-param name="PosPkg" select="$SVSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(MainMachine_Type)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SVSMesN,' Сведения о главных машинах: Тип')"/>
								<xsl:with-param name="DocId" select="$IdSVS"/>
								<xsl:with-param name="PathErr" select="concat($SVSPath,'/MainMachine_Type')"/>
								<xsl:with-param name="TypeDoc" select="$SVSType"/>
								<xsl:with-param name="PosPkg" select="$SVSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(MainMachine_Quantity)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SVSMesN,' Сведения о главных машинах: Число')"/>
								<xsl:with-param name="DocId" select="$IdSVS"/>
								<xsl:with-param name="PathErr" select="concat($SVSPath,'/MainMachine_Quantity')"/>
								<xsl:with-param name="TypeDoc" select="$SVSType"/>
								<xsl:with-param name="PosPkg" select="$SVSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(MainMachine_Power)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SVSMesN,' Сведения о главных машинах:  Общая мощность')"/>
								<xsl:with-param name="DocId" select="$IdSVS"/>
								<xsl:with-param name="PathErr" select="concat($SVSPath,'/MainMachine_Power')"/>
								<xsl:with-param name="TypeDoc" select="$SVSType"/>
								<xsl:with-param name="PosPkg" select="$SVSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Dimensions_Length)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SVSMesN,' Габаритные размеры судна:  Длина')"/>
								<xsl:with-param name="DocId" select="$IdSVS"/>
								<xsl:with-param name="PathErr" select="concat($SVSPath,'/Dimensions_Length')"/>
								<xsl:with-param name="TypeDoc" select="$SVSType"/>
								<xsl:with-param name="PosPkg" select="$SVSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Dimensions_Width)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SVSMesN,' Габаритные размеры судна: Ширина')"/>
								<xsl:with-param name="DocId" select="$IdSVS"/>
								<xsl:with-param name="PathErr" select="concat($SVSPath,'/Dimensions_Width')"/>
								<xsl:with-param name="TypeDoc" select="$SVSType"/>
								<xsl:with-param name="PosPkg" select="$SVSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Dimensions_FullyLoaded)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SVSMesN,' Габаритные размеры судна: Осадка c полным грузом')"/>
								<xsl:with-param name="DocId" select="$IdSVS"/>
								<xsl:with-param name="PathErr" select="concat($SVSPath,'/Dimensions_FullyLoaded')"/>
								<xsl:with-param name="TypeDoc" select="$SVSType"/>
								<xsl:with-param name="PosPkg" select="$SVSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Dimensions_Empty)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SVSMesN,' Габаритные размеры судна: Осадка порожнем')"/>
								<xsl:with-param name="DocId" select="$IdSVS"/>
								<xsl:with-param name="PathErr" select="concat($SVSPath,'/Dimensions_Empty')"/>
								<xsl:with-param name="TypeDoc" select="$SVSType"/>
								<xsl:with-param name="PosPkg" select="$SVSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Dimensions_MaximumHeight)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SVSMesN,' Габаритные размеры судна: Наибольшая высота с надстройками (от осадка порожнем)')"/>
								<xsl:with-param name="DocId" select="$IdSVS"/>
								<xsl:with-param name="PathErr" select="concat($SVSPath,'/Dimensions_MaximumHeight')"/>
								<xsl:with-param name="TypeDoc" select="$SVSType"/>
								<xsl:with-param name="PosPkg" select="$SVSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(DocSig_PersonName)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SVSMesN,' Подпись начальника Гос. речной судоходной инспекции: ФИО')"/>
								<xsl:with-param name="DocId" select="$IdSVS"/>
								<xsl:with-param name="PathErr" select="concat($SVSPath,'/DocSig_PersonName')"/>
								<xsl:with-param name="TypeDoc" select="$SVSType"/>
								<xsl:with-param name="PosPkg" select="$SVSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(DocSig_PersonName2)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SVSMesN,' Подпись начальника Гос. речной судоходной инспекции: Имя')"/>
								<xsl:with-param name="DocId" select="$IdSVS"/>
								<xsl:with-param name="PathErr" select="concat($SVSPath,'/DocSig_PersonName2')"/>
								<xsl:with-param name="TypeDoc" select="$SVSType"/>
								<xsl:with-param name="PosPkg" select="$SVSPos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:for-each>
					<xsl:for-each select="//SERTIFST1/SERTIFST1_ITEM">
						<xsl:variable name="IdST1" select="../@id"/>
						<xsl:variable name="ST1Pos" select="position()"/>
						<xsl:variable name="ST1Type" select="../@ctmtd:CfgName"/>
						<xsl:variable name="ST1Path" select="'SERTIFST1/SERTIFST1_ITEM'"/>
						<xsl:variable name="ST1MesN" select="'Пакет содержит Сертификат о происхождении товаров формы СТ-1 с не заполненным полем'"/>
						<xsl:if test="string-length(RegNum)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($ST1MesN,' Номер и серия сертификата.')"/>
								<xsl:with-param name="DocId" select="$IdST1"/>
								<xsl:with-param name="PathErr" select="concat($ST1Path,'/RegNum')"/>
								<xsl:with-param name="TypeDoc" select="$ST1Type"/>
								<xsl:with-param name="PosPkg" select="$ST1Pos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(SertifRegNum)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($ST1MesN,' Регистрационный номер.')"/>
								<xsl:with-param name="DocId" select="$IdST1"/>
								<xsl:with-param name="PathErr" select="concat($ST1Path,'/SertifRegNum')"/>
								<xsl:with-param name="TypeDoc" select="$ST1Type"/>
								<xsl:with-param name="PosPkg" select="$ST1Pos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(SertifInf_Date)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($ST1MesN,'  Дата выдачи.')"/>
								<xsl:with-param name="DocId" select="$IdST1"/>
								<xsl:with-param name="PathErr" select="concat($ST1Path,'/SertifInf_Date')"/>
								<xsl:with-param name="TypeDoc" select="$ST1Type"/>
								<xsl:with-param name="PosPkg" select="$ST1Pos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(IssueCountryCode)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($ST1MesN,'  Код страны, в которой выдан сертификат')"/>
								<xsl:with-param name="DocId" select="$IdST1"/>
								<xsl:with-param name="PathErr" select="concat($ST1Path,'/IssueCountryCode')"/>
								<xsl:with-param name="TypeDoc" select="$ST1Type"/>
								<xsl:with-param name="PosPkg" select="$ST1Pos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(IssueCountryName)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($ST1MesN,'  Наименование страны, в которой выдан сертификат')"/>
								<xsl:with-param name="DocId" select="$IdST1"/>
								<xsl:with-param name="PathErr" select="concat($ST1Path,'/IssueCountryName')"/>
								<xsl:with-param name="TypeDoc" select="$ST1Type"/>
								<xsl:with-param name="PosPkg" select="$ST1Pos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(DestinCountryCode)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($ST1MesN,'  Код страны, куда предоставляется сертификат')"/>
								<xsl:with-param name="DocId" select="$IdST1"/>
								<xsl:with-param name="PathErr" select="concat($ST1Path,'/DestinCountryCode')"/>
								<xsl:with-param name="TypeDoc" select="$ST1Type"/>
								<xsl:with-param name="PosPkg" select="$ST1Pos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(DestinCountryName)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($ST1MesN,'  Наименование страны, куда предоставляется сертификат')"/>
								<xsl:with-param name="DocId" select="$IdST1"/>
								<xsl:with-param name="PathErr" select="concat($ST1Path,'/DestinCountryName')"/>
								<xsl:with-param name="TypeDoc" select="$ST1Type"/>
								<xsl:with-param name="PosPkg" select="$ST1Pos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:for-each select="SERTIFST1GOODS/SERTIFST1GOODS_ITEM">
							<xsl:variable name="ST1GoodPath" select="concat($ST1Path,'/SERTIFST1GOODS/SERTIFST1GOODS_ITEM')"/>
							<xsl:if test="string-length(GoodsDescription)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($ST1MesN,' Описание товара в разделе Сведения о товарах')"/>
									<xsl:with-param name="DocId" select="$IdST1"/>
									<xsl:with-param name="PathErr" select="concat($ST1GoodPath,'[',position(),']/GoodsDescription')"/>
									<xsl:with-param name="TypeDoc" select="$ST1Type"/>
									<xsl:with-param name="PosPkg" select="$ST1Pos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(PlacesDescription)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($ST1MesN,' Описание вида грузовых мест в разделе Сведения о товарах')"/>
									<xsl:with-param name="DocId" select="$IdST1"/>
									<xsl:with-param name="PathErr" select="concat($ST1GoodPath,'[',position(),']/PlacesDescription')"/>
									<xsl:with-param name="TypeDoc" select="$ST1Type"/>
									<xsl:with-param name="PosPkg" select="$ST1Pos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(GrossWeightQuantity)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($ST1MesN,' Вес товара, брутто (кг) в разделе Сведения о товарах')"/>
									<xsl:with-param name="DocId" select="$IdST1"/>
									<xsl:with-param name="PathErr" select="concat($ST1GoodPath,'[',position(),']/GrossWeightQuantity')"/>
									<xsl:with-param name="TypeDoc" select="$ST1Type"/>
									<xsl:with-param name="PosPkg" select="$ST1Pos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:for-each>
						<xsl:if test="string-length(SertifInf_SignPlace)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($ST1MesN,' Удостоверение сертификата: место подписи')"/>
								<xsl:with-param name="DocId" select="$IdST1"/>
								<xsl:with-param name="PathErr" select="concat($ST1Path,'/SertifInf_SignPlace')"/>
								<xsl:with-param name="TypeDoc" select="$ST1Type"/>
								<xsl:with-param name="PosPkg" select="$ST1Pos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(SertifInf_Date)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($ST1MesN,' Дата удостоверения сертификата')"/>
								<xsl:with-param name="DocId" select="$IdST1"/>
								<xsl:with-param name="PathErr" select="concat($ST1Path,'/SertifInf_Date')"/>
								<xsl:with-param name="TypeDoc" select="$ST1Type"/>
								<xsl:with-param name="PosPkg" select="$ST1Pos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(AppDeclInf_SignPlace)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($ST1MesN,' Декларация заявителя: место подписи')"/>
								<xsl:with-param name="DocId" select="$IdST1"/>
								<xsl:with-param name="PathErr" select="concat($ST1Path,'/AppDeclInf_SignPlace')"/>
								<xsl:with-param name="TypeDoc" select="$ST1Type"/>
								<xsl:with-param name="PosPkg" select="$ST1Pos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(AppDeclInf_Date)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($ST1MesN,' Дата удостоверения декларации заявителя')"/>
								<xsl:with-param name="DocId" select="$IdST1"/>
								<xsl:with-param name="PathErr" select="concat($ST1Path,'/AppDeclInf_Date')"/>
								<xsl:with-param name="TypeDoc" select="$ST1Type"/>
								<xsl:with-param name="PosPkg" select="$ST1Pos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:for-each>
					<xsl:for-each select="//SERTIFST2/SERTIFST2_ITEM">
						<xsl:variable name="IdST2" select="../@id"/>
						<xsl:variable name="ST2Pos" select="position()"/>
						<xsl:variable name="ST2Type" select="../@ctmtd:CfgName"/>
						<xsl:variable name="ST2Path" select="'SERTIFST2/SERTIFST2_ITEM'"/>
						<xsl:variable name="ST2MesN" select="'Пакет содержит Сертификат о происхождении товаров формы СТ-2 с не заполненным полем'"/>
						<xsl:if test="string-length(RegNum)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($ST2MesN,' Номер и серия сертификата.')"/>
								<xsl:with-param name="DocId" select="$IdST2"/>
								<xsl:with-param name="PathErr" select="concat($ST2Path,'/RegNum')"/>
								<xsl:with-param name="TypeDoc" select="$ST2Type"/>
								<xsl:with-param name="PosPkg" select="$ST2Pos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(SertifRegNum)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($ST2MesN,' Регистрационный номер.')"/>
								<xsl:with-param name="DocId" select="$IdST2"/>
								<xsl:with-param name="PathErr" select="concat($ST2Path,'/SertifRegNum')"/>
								<xsl:with-param name="TypeDoc" select="$ST2Type"/>
								<xsl:with-param name="PosPkg" select="$ST2Pos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(SertifInf_Date)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($ST2MesN,'  Дата выдачи.')"/>
								<xsl:with-param name="DocId" select="$IdST2"/>
								<xsl:with-param name="PathErr" select="concat($ST2Path,'/SertifInf_Date')"/>
								<xsl:with-param name="TypeDoc" select="$ST2Type"/>
								<xsl:with-param name="PosPkg" select="$ST2Pos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(IssueCountryCode)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($ST2MesN,'  Код страны, в которой выдан сертификат')"/>
								<xsl:with-param name="DocId" select="$IdST2"/>
								<xsl:with-param name="PathErr" select="concat($ST2Path,'/IssueCountryCode')"/>
								<xsl:with-param name="TypeDoc" select="$ST2Type"/>
								<xsl:with-param name="PosPkg" select="$ST2Pos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(IssueCountryName)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($ST2MesN,'  Наименование страны, в которой выдан сертификат')"/>
								<xsl:with-param name="DocId" select="$IdST2"/>
								<xsl:with-param name="PathErr" select="concat($ST2Path,'/IssueCountryName')"/>
								<xsl:with-param name="TypeDoc" select="$ST2Type"/>
								<xsl:with-param name="PosPkg" select="$ST2Pos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(DestinCountryCode)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($ST2MesN,'  Код страны, куда предоставляется сертификат')"/>
								<xsl:with-param name="DocId" select="$IdST2"/>
								<xsl:with-param name="PathErr" select="concat($ST2Path,'/DestinCountryCode')"/>
								<xsl:with-param name="TypeDoc" select="$ST2Type"/>
								<xsl:with-param name="PosPkg" select="$ST2Pos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(DestinCountryName)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($ST2MesN,'  Наименование страны, куда предоставляется сертификат')"/>
								<xsl:with-param name="DocId" select="$IdST2"/>
								<xsl:with-param name="PathErr" select="concat($ST2Path,'/DestinCountryName')"/>
								<xsl:with-param name="TypeDoc" select="$ST2Type"/>
								<xsl:with-param name="PosPkg" select="$ST2Pos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:for-each select="SERTIFST2GOODS/SERTIFST2GOODS_ITEM">
							<xsl:variable name="ST2GoodPath" select="concat($ST2Path,'/SERTIFST2GOODS/SERTIFST2GOODS_ITEM')"/>
							<xsl:if test="string-length(GoodsDescription)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($ST2MesN,' Описание товара в разделе Сведения о товарах')"/>
									<xsl:with-param name="DocId" select="$IdST2"/>
									<xsl:with-param name="PathErr" select="concat($ST2GoodPath,'[',position(),']/GoodsDescription')"/>
									<xsl:with-param name="TypeDoc" select="$ST2Type"/>
									<xsl:with-param name="PosPkg" select="$ST2Pos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(PlacesDescription)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($ST2MesN,' Описание вида грузовых мест в разделе Сведения о товарах')"/>
									<xsl:with-param name="DocId" select="$IdST2"/>
									<xsl:with-param name="PathErr" select="concat($ST2GoodPath,'[',position(),']/PlacesDescription')"/>
									<xsl:with-param name="TypeDoc" select="$ST2Type"/>
									<xsl:with-param name="PosPkg" select="$ST2Pos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(GrossWeightQuantity)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($ST2MesN,' Вес товара, брутто (кг) в разделе Сведения о товарах')"/>
									<xsl:with-param name="DocId" select="$IdST2"/>
									<xsl:with-param name="PathErr" select="concat($ST2GoodPath,'[',position(),']/GrossWeightQuantity')"/>
									<xsl:with-param name="TypeDoc" select="$ST2Type"/>
									<xsl:with-param name="PosPkg" select="$ST2Pos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:for-each>
						<xsl:if test="string-length(SertifInf_SignPlace)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($ST2MesN,' Удостоверение сертификата: место подписи')"/>
								<xsl:with-param name="DocId" select="$IdST2"/>
								<xsl:with-param name="PathErr" select="concat($ST2Path,'/SertifInf_SignPlace')"/>
								<xsl:with-param name="TypeDoc" select="$ST2Type"/>
								<xsl:with-param name="PosPkg" select="$ST2Pos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(SertifInf_Date)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($ST2MesN,' Дата удостоверения сертификата')"/>
								<xsl:with-param name="DocId" select="$IdST2"/>
								<xsl:with-param name="PathErr" select="concat($ST2Path,'/SertifInf_Date')"/>
								<xsl:with-param name="TypeDoc" select="$ST2Type"/>
								<xsl:with-param name="PosPkg" select="$ST2Pos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(AppDeclInf_SignPlace)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($ST2MesN,' Декларация заявителя: место подписи')"/>
								<xsl:with-param name="DocId" select="$IdST2"/>
								<xsl:with-param name="PathErr" select="concat($ST2Path,'/AppDeclInf_SignPlace')"/>
								<xsl:with-param name="TypeDoc" select="$ST2Type"/>
								<xsl:with-param name="PosPkg" select="$ST2Pos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(AppDeclInf_Date)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($ST2MesN,' Дата удостоверения декларации заявителя')"/>
								<xsl:with-param name="DocId" select="$IdST2"/>
								<xsl:with-param name="PathErr" select="concat($ST2Path,'/AppDeclInf_Date')"/>
								<xsl:with-param name="TypeDoc" select="$ST2Type"/>
								<xsl:with-param name="PosPkg" select="$ST2Pos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:for-each>
					<xsl:for-each select="//STATEREGSERTIF/STATEREGSERTIF_ITEM">
						<xsl:variable name="IdSTRG" select="../@id"/>
						<xsl:variable name="STRGPos" select="position()"/>
						<xsl:variable name="STRGType" select="../@ctmtd:CfgName"/>
						<xsl:variable name="STRGPath" select="'STATEREGSERTIF/STATEREGSERTIF_ITEM'"/>
						<xsl:variable name="STRGMesN" select="'Пакет содержит Свидетельство о государственной регистрации с не заполненным полем'"/>
						<xsl:if test="string-length(RegNum)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($STRGMesN,' Номер свидетельства о государственной регистрации.')"/>
								<xsl:with-param name="DocId" select="$IdSTRG"/>
								<xsl:with-param name="PathErr" select="concat($STRGPath,'/RegNum')"/>
								<xsl:with-param name="TypeDoc" select="$STRGType"/>
								<xsl:with-param name="PosPkg" select="$STRGPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RegDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($STRGMesN,'  Дата выдачи свидетельства.')"/>
								<xsl:with-param name="DocId" select="$IdSTRG"/>
								<xsl:with-param name="PathErr" select="concat($STRGPath,'/RegDate')"/>
								<xsl:with-param name="TypeDoc" select="$STRGType"/>
								<xsl:with-param name="PosPkg" select="$STRGPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Org_Name)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($STRGMesN,' Наименование уполномоченного органа Стороны ')"/>
								<xsl:with-param name="DocId" select="$IdSTRG"/>
								<xsl:with-param name="PathErr" select="concat($STRGPath,'/Org_Name')"/>
								<xsl:with-param name="TypeDoc" select="$STRGType"/>
								<xsl:with-param name="PosPkg" select="$STRGPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(GoodsDescription)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($STRGMesN,'  Общее описание продукции')"/>
								<xsl:with-param name="DocId" select="$IdSTRG"/>
								<xsl:with-param name="PathErr" select="concat($STRGPath,'/GoodsDescription')"/>
								<xsl:with-param name="TypeDoc" select="$STRGType"/>
								<xsl:with-param name="PosPkg" select="$STRGPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(InvestigProtocols)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($STRGMesN,' Протоколы исследований')"/>
								<xsl:with-param name="DocId" select="$IdSTRG"/>
								<xsl:with-param name="PathErr" select="concat($STRGPath,'/InvestigProtocols')"/>
								<xsl:with-param name="TypeDoc" select="$STRGType"/>
								<xsl:with-param name="PosPkg" select="$STRGPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(PersonName)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($STRGMesN,'Лицо, выдавшее свидетельство: Фамилия')"/>
								<xsl:with-param name="DocId" select="$IdSTRG"/>
								<xsl:with-param name="PathErr" select="concat($STRGPath,'/PersonName')"/>
								<xsl:with-param name="TypeDoc" select="$STRGType"/>
								<xsl:with-param name="PosPkg" select="$STRGPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(PersonName2)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($STRGMesN,' Лицо, выдавшее свидетельство: Имя')"/>
								<xsl:with-param name="DocId" select="$IdSTRG"/>
								<xsl:with-param name="PathErr" select="concat($STRGPath,'/PersonName2')"/>
								<xsl:with-param name="TypeDoc" select="$STRGType"/>
								<xsl:with-param name="PosPkg" select="$STRGPos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:for-each>
					<xsl:for-each select="//TAXRSERTIF/TAXRSERTIF_ITEM">
						<xsl:variable name="IdTRSF" select="../@id"/>
						<xsl:variable name="TRSFPos" select="position()"/>
						<xsl:variable name="TRSFType" select="../@ctmtd:CfgName"/>
						<xsl:variable name="TRSFPath" select="'TAXRSERTIF/TAXRSERTIF_ITEM'"/>
						<xsl:variable name="TRSFMesN" select="'Пакет содержит Свидетельство о постановке на учет в налоговом органе юридического лица с не заполненным полем'"/>
						<xsl:if test="string-length(RegNum)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($TRSFMesN,' Серия и номер свидетельства.')"/>
								<xsl:with-param name="DocId" select="$IdTRSF"/>
								<xsl:with-param name="PathErr" select="concat($TRSFPath,'/RegNum')"/>
								<xsl:with-param name="TypeDoc" select="$TRSFType"/>
								<xsl:with-param name="PosPkg" select="$TRSFPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RegDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($TRSFMesN,'  Дата выдачи свидетельства.')"/>
								<xsl:with-param name="DocId" select="$IdTRSF"/>
								<xsl:with-param name="PathErr" select="concat($TRSFPath,'/RegDate')"/>
								<xsl:with-param name="TypeDoc" select="$TRSFType"/>
								<xsl:with-param name="PosPkg" select="$TRSFPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RegistrationDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($TRSFMesN,'  Дата постановки на учет.')"/>
								<xsl:with-param name="DocId" select="$IdTRSF"/>
								<xsl:with-param name="PathErr" select="concat($TRSFPath,'/RegistrationDate')"/>
								<xsl:with-param name="TypeDoc" select="$TRSFType"/>
								<xsl:with-param name="PosPkg" select="$TRSFPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(TaxOrganName)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($TRSFMesN,' Наименование налогового органа ')"/>
								<xsl:with-param name="DocId" select="$IdTRSF"/>
								<xsl:with-param name="PathErr" select="concat($TRSFPath,'/TaxOrganName')"/>
								<xsl:with-param name="TypeDoc" select="$TRSFType"/>
								<xsl:with-param name="PosPkg" select="$TRSFPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(TaxOrganID)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($TRSFMesN,'  Код налогового органа')"/>
								<xsl:with-param name="DocId" select="$IdTRSF"/>
								<xsl:with-param name="PathErr" select="concat($TRSFPath,'/TaxOrganID')"/>
								<xsl:with-param name="TypeDoc" select="$TRSFType"/>
								<xsl:with-param name="PosPkg" select="$TRSFPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(TaxOrganClerk_PersonName)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($TRSFMesN,'Руководитель налогового органа: Фамилия')"/>
								<xsl:with-param name="DocId" select="$IdTRSF"/>
								<xsl:with-param name="PathErr" select="concat($TRSFPath,'/TaxOrganClerk_PersonName')"/>
								<xsl:with-param name="TypeDoc" select="$TRSFType"/>
								<xsl:with-param name="PosPkg" select="$TRSFPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(TaxOrganClerk_PersonName2)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($TRSFMesN,' Руководитель налогового органа: Имя')"/>
								<xsl:with-param name="DocId" select="$IdTRSF"/>
								<xsl:with-param name="PathErr" select="concat($TRSFPath,'/TaxOrganClerk_PersonName2')"/>
								<xsl:with-param name="TypeDoc" select="$TRSFType"/>
								<xsl:with-param name="PosPkg" select="$TRSFPos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:for-each>
					<xsl:for-each select="//SPECIFIC/SPECIFIC_ITEM">
						<xsl:variable name="IdSpFc" select="../@id"/>
						<xsl:variable name="SpFcType" select="../@ctmtd:CfgName"/>
						<xsl:variable name="SpFcPos" select="position()"/>
						<xsl:variable name="SpFcPath" select="'SPECIFIC/SPECIFIC_ITEM'"/>
						<xsl:variable name="SpFcMesN" select="'Пакет содержит Спецификацию с не заполненным полем'"/>
						<xsl:if test="string-length(RegNumSpecfic)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SpFcMesN,' Номер регистрации документа.')"/>
								<xsl:with-param name="DocId" select="$IdSpFc"/>
								<xsl:with-param name="PathErr" select="concat($SpFcPath,'/RegNumSpecfic')"/>
								<xsl:with-param name="TypeDoc" select="$SpFcType"/>
								<xsl:with-param name="PosPkg" select="$SpFcPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RegDateSpecfic)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($SpFcMesN,' Дата регистрации документа. ')"/>
								<xsl:with-param name="DocId" select="$IdSpFc"/>
								<xsl:with-param name="PathErr" select="concat($SpFcPath,'/RegDateSpecfic')"/>
								<xsl:with-param name="TypeDoc" select="$SpFcType"/>
								<xsl:with-param name="PosPkg" select="$SpFcPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:for-each select="SPECIFICGoods/SPECIFICGOODS_ITEM">
							<xsl:variable name="PosGoods" select="position()"/>
							<xsl:if test="string-length(GoodsDescription)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($SpFcMesN,' Наименование товара. ')"/>
									<xsl:with-param name="DocId" select="$IdSpFc"/>
									<xsl:with-param name="PathErr" select="concat($SpFcPath,'/SPECIFICGoods/SPECIFICGOODS_ITEM[',$PosGoods,']/GoodsDescription')"/>
									<xsl:with-param name="TypeDoc" select="$SpFcType"/>
									<xsl:with-param name="PosPkg" select="$SpFcPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(GoodsCode)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($SpFcMesN,' Код товара. ')"/>
									<xsl:with-param name="DocId" select="$IdSpFc"/>
									<xsl:with-param name="PathErr" select="concat($SpFcPath,'/SPECIFICGoods/SPECIFICGOODS_ITEM[',$PosGoods,']/GoodsCode')"/>
									<xsl:with-param name="TypeDoc" select="$SpFcType"/>
									<xsl:with-param name="PosPkg" select="$SpFcPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(GoodMarking)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($SpFcMesN,' Артикул. ')"/>
									<xsl:with-param name="DocId" select="$IdSpFc"/>
									<xsl:with-param name="PathErr" select="concat($SpFcPath,'/SPECIFICGoods/SPECIFICGOODS_ITEM[',$PosGoods,']/GoodMarking')"/>
									<xsl:with-param name="TypeDoc" select="$SpFcType"/>
									<xsl:with-param name="PosPkg" select="$SpFcPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:for-each>
					</xsl:for-each>
					<xsl:for-each select="//CUSTBROKSERTIF/CUSTBROKSERTIF_ITEM">
						<xsl:variable name="IdCBrSr" select="../@id"/>
						<xsl:variable name="CBrSrType" select="../@ctmtd:CfgName"/>
						<xsl:variable name="CBrSrPos" select="position()"/>
						<xsl:variable name="CBrSrPath" select="'CUSTBROKSERTIF/CUSTBROKSERTIF_ITEM'"/>
						<xsl:variable name="CBrSrMesN" select="'Пакет содержит Свидетельство о включении в Реестр таможенных брокеров с не заполненным полем'"/>
						<xsl:if test="string-length(FormNumber)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($CBrSrMesN,' Номер бланка.')"/>
								<xsl:with-param name="DocId" select="$IdCBrSr"/>
								<xsl:with-param name="PathErr" select="concat($CBrSrPath,'/FormNumber')"/>
								<xsl:with-param name="TypeDoc" select="$CBrSrType"/>
								<xsl:with-param name="PosPkg" select="$CBrSrPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RegNum)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($CBrSrMesN,' Номер свидетельства. ')"/>
								<xsl:with-param name="DocId" select="$IdCBrSr"/>
								<xsl:with-param name="PathErr" select="concat($CBrSrPath,'/RegNum')"/>
								<xsl:with-param name="TypeDoc" select="$CBrSrType"/>
								<xsl:with-param name="PosPkg" select="$CBrSrPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RegDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($CBrSrMesN,' Дата выдачи свидетельства. ')"/>
								<xsl:with-param name="DocId" select="$IdCBrSr"/>
								<xsl:with-param name="PathErr" select="concat($CBrSrPath,'/RegDate')"/>
								<xsl:with-param name="TypeDoc" select="$CBrSrType"/>
								<xsl:with-param name="PosPkg" select="$CBrSrPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(DocSig_PersonName)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($CBrSrMesN,'  Подпись должностного лица: Фамилия.')"/>
								<xsl:with-param name="DocId" select="$IdCBrSr"/>
								<xsl:with-param name="PathErr" select="concat($CBrSrPath,'/DocSig_PersonName')"/>
								<xsl:with-param name="TypeDoc" select="$CBrSrType"/>
								<xsl:with-param name="PosPkg" select="$CBrSrPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(DocSig_PersonName2)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($CBrSrMesN,'  Подпись должностного лица: ИМЯ.')"/>
								<xsl:with-param name="DocId" select="$IdCBrSr"/>
								<xsl:with-param name="PathErr" select="concat($CBrSrPath,'/DocSig_PersonName2')"/>
								<xsl:with-param name="TypeDoc" select="$CBrSrType"/>
								<xsl:with-param name="PosPkg" select="$CBrSrPos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:for-each>
					<xsl:for-each select="//TTN/TTN_ITEM">
						<xsl:variable name="IdTTN" select="../@id"/>
						<xsl:variable name="TTNType" select="../@ctmtd:CfgName"/>
						<xsl:variable name="TTNPos" select="position()"/>
						<xsl:variable name="TTNPath" select="'TTN/TTN_ITEM'"/>
						<xsl:variable name="TTNMesN" select="'Пакет содержит Товаротранспортную накладную с не заполненным полем'"/>
						<xsl:if test="string-length(RegNum)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($TTNMesN,' Номер. ')"/>
								<xsl:with-param name="DocId" select="$IdTTN"/>
								<xsl:with-param name="PathErr" select="concat($TTNPath,'/RegNum')"/>
								<xsl:with-param name="TypeDoc" select="$TTNType"/>
								<xsl:with-param name="PosPkg" select="$TTNPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RegDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($TTNMesN,' Дата. ')"/>
								<xsl:with-param name="DocId" select="$IdTTN"/>
								<xsl:with-param name="PathErr" select="concat($TTNPath,'/RegDate')"/>
								<xsl:with-param name="TypeDoc" select="$TTNType"/>
								<xsl:with-param name="PosPkg" select="$TTNPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(ContainerID)>0 and string-length(ContainerID)&lt;11">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит Товаротранспортную накладную, в которой в Гр.8. Номера контейнеров длина текста менее 11 символов'"/>
								<xsl:with-param name="DocId" select="$IdTTN"/>
								<xsl:with-param name="PathErr" select="concat($TTNPath,'/ContainerID')"/>
								<xsl:with-param name="TypeDoc" select="$TTNType"/>
								<xsl:with-param name="PosPkg" select="$TTNPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(GoodsDescription)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($TTNMesN,' Гр.3. Наименование груза.')"/>
								<xsl:with-param name="DocId" select="$IdTTN"/>
								<xsl:with-param name="PathErr" select="concat($TTNPath,'/GoodsDescription')"/>
								<xsl:with-param name="TypeDoc" select="$TTNType"/>
								<xsl:with-param name="PosPkg" select="$TTNPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:variable name="GrossW" select="sum(//OEZ_IMPORTEXPORTNOTIF/OEZ_IMPORTEXPORTNOTIF_ITEM/OEZ_IMPORTEXPORTNOTIFGoods/OEZ_IMPORTEXPORTNOTIFGOODS_ITEM[string-length(WeighQuantity)>0]/WeighQuantity)"/>
						<xsl:if test="string-length(GrossWeightQuantity)=0 and $GrossW>0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'В Уведомление о ввозе/вывозе товаров на/с территорию(и) ОЭЗ указан Вес брутто, а в Товаротранспортной накладной  Гр.3. Вес товара, брутто (кг) не заполнена.'"/>
								<xsl:with-param name="DocId" select="$IdTTN"/>
								<xsl:with-param name="PathErr" select="concat($TTNPath,'/GrossWeightQuantity')"/>
								<xsl:with-param name="TypeDoc" select="$TTNType"/>
								<xsl:with-param name="PosPkg" select="$TTNPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:variable name="NetGrossW" select="sum(//OEZ_IMPORTEXPORTNOTIF/OEZ_IMPORTEXPORTNOTIF_ITEM/OEZ_IMPORTEXPORTNOTIFGoods/OEZ_IMPORTEXPORTNOTIFGOODS_ITEM/GoodsStatusEx/GOODSSTATUSEX_ITEM[string-length(NetWeightQuantity)>0]/NetWeightQuantity)"/>
						<xsl:if test="string-length(NetWeightQuantity)=0 and $NetGrossW>0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'В Уведомление о ввозе/вывозе товаров на/с территорию(и) ОЭЗ указан Вес нетто, а в Товаротранспортной накладной  Гр.3. Вес товара, нетто (кг) не заполнена.'"/>
								<xsl:with-param name="DocId" select="$IdTTN"/>
								<xsl:with-param name="PathErr" select="concat($TTNPath,'/NetWeightQuantity')"/>
								<xsl:with-param name="TypeDoc" select="$TTNType"/>
								<xsl:with-param name="PosPkg" select="$TTNPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(PrimeMoverStateSignID)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($TTNMesN,' 11. Транспортное средство: Номер ТС')"/>
								<xsl:with-param name="DocId" select="$IdTTN"/>
								<xsl:with-param name="PathErr" select="concat($TTNPath,'/PrimeMoverStateSignID')"/>
								<xsl:with-param name="TypeDoc" select="$TTNType"/>
								<xsl:with-param name="PosPkg" select="$TTNPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:for-each select="TTNDocument/TTNDOCUMENT_ITEM[string-length(ModeCode)>0]">
							<xsl:variable name="CodeDoc" select="ModeCode"/>
							<xsl:if test="string-length(document('../../../NSI/TranspNSIXml.xml')//DOCG44_ITEM[CODE=$CodeDoc]/NAME)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="'Пакет содержит Товаротранспортную накладную с неправильно заполненным полем Код документа в гр.4. Сопроводительные документы на груз'"/>
									<xsl:with-param name="DocId" select="$IdTTN"/>
									<xsl:with-param name="PathErr" select="concat($TTNPath,'/TTNDocument/TTNDOCUMENT_ITEM[',position(),']/ModeCode')"/>
									<xsl:with-param name="TypeDoc" select="$TTNType"/>
									<xsl:with-param name="PosPkg" select="$TTNPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:for-each>
					</xsl:for-each>
					<xsl:for-each select="//CUSTDECLCONTRACT/CUSTDECLCONTRACT_ITEM">
						<xsl:variable name="IdCDclC" select="../@id"/>
						<xsl:variable name="CDclCType" select="../@ctmtd:CfgName"/>
						<xsl:variable name="CDclCPos" select="position()"/>
						<xsl:variable name="CDclCPath" select="'CUSTDECLCONTRACT/CUSTDECLCONTRACT_ITEM'"/>
						<xsl:variable name="CDclCMesN" select="'Пакет содержит Договор таможенного представителя с декларантом с не заполненным полем'"/>
						<xsl:if test="string-length(PaymFactSign)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($CDclCMesN,' Признак факта уплаты таможенных платежей таможенным представителем за декларанта.')"/>
								<xsl:with-param name="DocId" select="$IdCDclC"/>
								<xsl:with-param name="PathErr" select="concat($CDclCPath,'/PaymFactSign')"/>
								<xsl:with-param name="TypeDoc" select="$CDclCType"/>
								<xsl:with-param name="PosPkg" select="$CDclCPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RegNum)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($CDclCMesN,' Номер документа. ')"/>
								<xsl:with-param name="DocId" select="$IdCDclC"/>
								<xsl:with-param name="PathErr" select="concat($CDclCPath,'/RegNum')"/>
								<xsl:with-param name="TypeDoc" select="$CDclCType"/>
								<xsl:with-param name="PosPkg" select="$CDclCPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RegDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($CDclCMesN,' Дата документа. ')"/>
								<xsl:with-param name="DocId" select="$IdCDclC"/>
								<xsl:with-param name="PathErr" select="concat($CDclCPath,'/RegDate')"/>
								<xsl:with-param name="TypeDoc" select="$CDclCType"/>
								<xsl:with-param name="PosPkg" select="$CDclCPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(StartDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($CDclCMesN,' Дата начала срока действия договора. ')"/>
								<xsl:with-param name="DocId" select="$IdCDclC"/>
								<xsl:with-param name="PathErr" select="concat($CDclCPath,'/StartDate')"/>
								<xsl:with-param name="TypeDoc" select="$CDclCType"/>
								<xsl:with-param name="PosPkg" select="$CDclCPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(EndDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($CDclCMesN,' Дата окончания срока действия договора. ')"/>
								<xsl:with-param name="DocId" select="$IdCDclC"/>
								<xsl:with-param name="PathErr" select="concat($CDclCPath,'/EndDate')"/>
								<xsl:with-param name="TypeDoc" select="$CDclCType"/>
								<xsl:with-param name="PosPkg" select="$CDclCPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Declarant_Code)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($CDclCMesN,' Сведения о декларанте : Тип лица.')"/>
								<xsl:with-param name="DocId" select="$IdCDclC"/>
								<xsl:with-param name="PathErr" select="concat($CDclCPath,'/Declarant_Code')"/>
								<xsl:with-param name="TypeDoc" select="$CDclCType"/>
								<xsl:with-param name="PosPkg" select="$CDclCPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RepresSign)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($CDclCMesN,'  Признак полномочия лица на подачу  ДТ.')"/>
								<xsl:with-param name="DocId" select="$IdCDclC"/>
								<xsl:with-param name="PathErr" select="concat($CDclCPath,'/RepresSign')"/>
								<xsl:with-param name="TypeDoc" select="$CDclCType"/>
								<xsl:with-param name="PosPkg" select="$CDclCPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:for-each select="CUSTDECLCONTRACT_DOCS/CUSTDECLCONTRACT_DOCS_ITEM[string-length(DocumentName)>0 or string-length(DocumentNumber)>0 or string-length(DocumentDate)>0]">
							<xsl:if test="string-length(DocumentModeCode)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($CDclCMesN,'  Код вида представляемого документа.')"/>
									<xsl:with-param name="DocId" select="$IdCDclC"/>
									<xsl:with-param name="PathErr" select="concat($CDclCPath,'/CUSTDECLCONTRACT_DOCS/CUSTDECLCONTRACT_DOCS_ITEM[',position(),']/DocumentModeCode')"/>
									<xsl:with-param name="TypeDoc" select="$CDclCType"/>
									<xsl:with-param name="PosPkg" select="$CDclCPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:for-each>
					</xsl:for-each>
					<xsl:for-each select="//DOVER/DOVER_ITEM">
						<xsl:variable name="IdDover" select="../@id"/>
						<xsl:variable name="DoverType" select="../@ctmtd:CfgName"/>
						<xsl:variable name="DoverPos" select="position()"/>
						<xsl:variable name="DoverPath" select="'DOVER/DOVER_ITEM'"/>
						<xsl:variable name="DoverMesN" select="'Пакет содержит Документ, удостоверяющий полномочия лица, с не заполненным полем'"/>
						<xsl:if test="string-length(Subject)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($DoverMesN,' Предмет полномочий.')"/>
								<xsl:with-param name="DocId" select="$IdDover"/>
								<xsl:with-param name="PathErr" select="concat($DoverPath,'/Subject')"/>
								<xsl:with-param name="TypeDoc" select="$DoverType"/>
								<xsl:with-param name="PosPkg" select="$DoverPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RegNum)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($DoverMesN,' Номер документа. ')"/>
								<xsl:with-param name="DocId" select="$IdDover"/>
								<xsl:with-param name="PathErr" select="concat($DoverPath,'/RegNum')"/>
								<xsl:with-param name="TypeDoc" select="$DoverType"/>
								<xsl:with-param name="PosPkg" select="$DoverPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RegDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($DoverMesN,' Дата документа. ')"/>
								<xsl:with-param name="DocId" select="$IdDover"/>
								<xsl:with-param name="PathErr" select="concat($DoverPath,'/RegDate')"/>
								<xsl:with-param name="TypeDoc" select="$DoverType"/>
								<xsl:with-param name="PosPkg" select="$DoverPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(EndDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($DoverMesN,' Дата окончания полномочий. ')"/>
								<xsl:with-param name="DocId" select="$IdDover"/>
								<xsl:with-param name="PathErr" select="concat($DoverPath,'/EndDate')"/>
								<xsl:with-param name="TypeDoc" select="$DoverType"/>
								<xsl:with-param name="PosPkg" select="$DoverPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Empowered_PersonName)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($DoverMesN,' Лицо, получающее полномочия: Фамилия. ')"/>
								<xsl:with-param name="DocId" select="$IdDover"/>
								<xsl:with-param name="PathErr" select="concat($DoverPath,'/Empowered_PersonName')"/>
								<xsl:with-param name="TypeDoc" select="$DoverType"/>
								<xsl:with-param name="PosPkg" select="$DoverPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Empowered_PersonName2)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($DoverMesN,' Лицо, получающее полномочия:Имя. ')"/>
								<xsl:with-param name="DocId" select="$IdDover"/>
								<xsl:with-param name="PathErr" select="concat($DoverPath,'/Empowered_PersonName2')"/>
								<xsl:with-param name="TypeDoc" select="$DoverType"/>
								<xsl:with-param name="PosPkg" select="$DoverPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(DocSig_PersonName)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($DoverMesN,' Подпись должностноголица организации-доверителя: Фамилия. ')"/>
								<xsl:with-param name="DocId" select="$IdDover"/>
								<xsl:with-param name="PathErr" select="concat($DoverPath,'/DocSig_PersonName')"/>
								<xsl:with-param name="TypeDoc" select="$DoverType"/>
								<xsl:with-param name="PosPkg" select="$DoverPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(DocSig_PersonName2)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($DoverMesN,' Подпись должностноголица организации-доверителя:Имя. ')"/>
								<xsl:with-param name="DocId" select="$IdDover"/>
								<xsl:with-param name="PathErr" select="concat($DoverPath,'/DocSig_PersonName2')"/>
								<xsl:with-param name="TypeDoc" select="$DoverType"/>
								<xsl:with-param name="PosPkg" select="$DoverPos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:for-each>
					<xsl:for-each select="//VETERINARYCERTIFICATE/VETERINARYCERTIFICATE_ITEM">
						<xsl:variable name="IdVetS" select="../@id"/>
						<xsl:variable name="VetSType" select="../@ctmtd:CfgName"/>
						<xsl:variable name="VetSPos" select="position()"/>
						<xsl:variable name="VetSPath" select="'VETERINARYCERTIFICATE/VETERINARYCERTIFICATE_ITEM'"/>
						<xsl:variable name="VetSMesN" select="'Пакет содержит Ветеринарный сертификат, с не заполненным полем'"/>
						<xsl:if test="string-length(NumberForm)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($VetSMesN,' Номер формы.')"/>
								<xsl:with-param name="DocId" select="$IdVetS"/>
								<xsl:with-param name="PathErr" select="concat($VetSPath,'/NumberForm')"/>
								<xsl:with-param name="TypeDoc" select="$VetSType"/>
								<xsl:with-param name="PosPkg" select="$VetSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RegNum)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($VetSMesN,' Номер документа. ')"/>
								<xsl:with-param name="DocId" select="$IdVetS"/>
								<xsl:with-param name="PathErr" select="concat($VetSPath,'/RegNum')"/>
								<xsl:with-param name="TypeDoc" select="$VetSType"/>
								<xsl:with-param name="PosPkg" select="$VetSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RegDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($VetSMesN,' Наименование территориального органа Россельхознадзора / Учреждение страны - экспортера, выдавшее сертификат. ')"/>
								<xsl:with-param name="DocId" select="$IdVetS"/>
								<xsl:with-param name="PathErr" select="concat($VetSPath,'/RegDate')"/>
								<xsl:with-param name="TypeDoc" select="$VetSType"/>
								<xsl:with-param name="PosPkg" select="$VetSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(TerritorialAuthority)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($VetSMesN,' Номер документа. ')"/>
								<xsl:with-param name="DocId" select="$IdVetS"/>
								<xsl:with-param name="PathErr" select="concat($VetSPath,'/TerritorialAuthority')"/>
								<xsl:with-param name="TypeDoc" select="$VetSType"/>
								<xsl:with-param name="PosPkg" select="$VetSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(PlaseQuarantine)=0 and string-length(NumberDays)>0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($VetSMesN,'  Карантинирование:Место карантинирование при заполненном поле Карантинирование: Количество дней.')"/>
								<xsl:with-param name="DocId" select="$IdVetS"/>
								<xsl:with-param name="PathErr" select="concat($VetSPath,'/PlaseQuarantine')"/>
								<xsl:with-param name="TypeDoc" select="$VetSType"/>
								<xsl:with-param name="PosPkg" select="$VetSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(PlaseQuarantine)>0 and string-length(NumberDays)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($VetSMesN,'  Карантинирование:Количество дней заполненном поле Карантинирование: Место карантинирование.')"/>
								<xsl:with-param name="DocId" select="$IdVetS"/>
								<xsl:with-param name="PathErr" select="concat($VetSPath,'/NumberDays')"/>
								<xsl:with-param name="TypeDoc" select="$VetSType"/>
								<xsl:with-param name="PosPkg" select="$VetSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:for-each select="PRODUCTINFO/PRODUCTINFO_ITEM">
							<xsl:if test="string-length(ProductName)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($VetSMesN,'  Наименование продукции.')"/>
									<xsl:with-param name="DocId" select="$IdVetS"/>
									<xsl:with-param name="PathErr" select="concat($VetSPath,'/PRODUCTINFO/PRODUCTINFO_ITEM[',position(),']/ProductName')"/>
									<xsl:with-param name="TypeDoc" select="$VetSType"/>
									<xsl:with-param name="PosPkg" select="$VetSPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(GoodsQuantity)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($VetSMesN,'  Количество товара в единице измерения.')"/>
									<xsl:with-param name="DocId" select="$IdVetS"/>
									<xsl:with-param name="PathErr" select="concat($VetSPath,'/PRODUCTINFO/PRODUCTINFO_ITEM[',position(),']/GoodsQuantity')"/>
									<xsl:with-param name="TypeDoc" select="$VetSType"/>
									<xsl:with-param name="PosPkg" select="$VetSPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:for-each>
						<xsl:for-each select="TRANSPORTINFO/TRANSPORTINFO_ITEM">
							<xsl:variable name="TCCr" select="TransportMeansNationalityCode"/>
							<xsl:if test="string-length($TCCr)>0 and string-length(document('../../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$TCCr]/Code)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($VetSMesN,'  Код страны принадлежности ТС не найден в справочнике.')"/>
									<xsl:with-param name="DocId" select="$IdVetS"/>
									<xsl:with-param name="PathErr" select="concat($VetSPath,'/TRANSPORTINFO/TRANSPORTINFO_ITEM[',position(),']/TransportMeansNationalityCode')"/>
									<xsl:with-param name="TypeDoc" select="$VetSType"/>
									<xsl:with-param name="PosPkg" select="$VetSPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:variable name="TCCode" select="TransportModeCode"/>
							<xsl:if test="string-length($TCCode)>0 and string-length(document('../../../NSI/TranspNSIXml.xml')//VIDTRANS_ITEM[KOD=$TCCode]/NAIM)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($VetSMesN,'  Вид ТС не найден в справочнике.')"/>
									<xsl:with-param name="DocId" select="$IdVetS"/>
									<xsl:with-param name="PathErr" select="concat($VetSPath,'/TRANSPORTINFO/TRANSPORTINFO_ITEM[',position(),']/TransportModeCode')"/>
									<xsl:with-param name="TypeDoc" select="$VetSType"/>
									<xsl:with-param name="PosPkg" select="$VetSPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:for-each>
						<xsl:for-each select="RESEARCHLABORATORY/RESEARCHLABORATORY_ITEM">
							<xsl:if test="string-length(NameLaboratory)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($VetSMesN,'  Наименование лаборатории.')"/>
									<xsl:with-param name="DocId" select="$IdVetS"/>
									<xsl:with-param name="PathErr" select="concat($VetSPath,'/RESEARCHLABORATORY/RESEARCHLABORATORY_ITEM[',position(),']/NameLaboratory')"/>
									<xsl:with-param name="TypeDoc" select="$VetSType"/>
									<xsl:with-param name="PosPkg" select="$VetSPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(ResultExamination)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($VetSMesN,'  Результат экспертизы.')"/>
									<xsl:with-param name="DocId" select="$IdVetS"/>
									<xsl:with-param name="PathErr" select="concat($VetSPath,'/RESEARCHLABORATORY/RESEARCHLABORATORY_ITEM[',position(),']/ResultExamination')"/>
									<xsl:with-param name="TypeDoc" select="$VetSType"/>
									<xsl:with-param name="PosPkg" select="$VetSPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:for-each>
						<xsl:for-each select="IMMUNIZATION/IMMUNIZATION_ITEM">
							<xsl:if test="string-length(NameProcessing)=0 and string-length(DateProcessing)>0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($VetSMesN,'  Наименование обработки при заполненном поле Дата обработки.')"/>
									<xsl:with-param name="DocId" select="$IdVetS"/>
									<xsl:with-param name="PathErr" select="concat($VetSPath,'/IMMUNIZATION/IMMUNIZATION_ITEM[',position(),']/NameLaboratory')"/>
									<xsl:with-param name="TypeDoc" select="$VetSType"/>
									<xsl:with-param name="PosPkg" select="$VetSPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(NameProcessing)>0 and string-length(DateProcessing)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($VetSMesN,'  Дата обработкипри заполненном поле Наименование обработки.')"/>
									<xsl:with-param name="DocId" select="$IdVetS"/>
									<xsl:with-param name="PathErr" select="concat($VetSPath,'/IMMUNIZATION/IMMUNIZATION_ITEM[',position(),']/DateProcessing')"/>
									<xsl:with-param name="TypeDoc" select="$VetSType"/>
									<xsl:with-param name="PosPkg" select="$VetSPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:for-each>
						<xsl:for-each select="PROCESSINGPARASITES/PROCESSINGPARASITES_ITEM">
							<xsl:if test="string-length(NameProcessing)=0 and string-length(DateProcessing)>0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($VetSMesN,'  Наименование обработки при заполненном поле Дата обработки.')"/>
									<xsl:with-param name="DocId" select="$IdVetS"/>
									<xsl:with-param name="PathErr" select="concat($VetSPath,'/PROCESSINGPARASITES/PROCESSINGPARASITES_ITEM[',position(),']/NameLaboratory')"/>
									<xsl:with-param name="TypeDoc" select="$VetSType"/>
									<xsl:with-param name="PosPkg" select="$VetSPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(NameProcessing)>0 and string-length(DateProcessing)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($VetSMesN,'  Дата обработкипри заполненном поле Наименование обработки.')"/>
									<xsl:with-param name="DocId" select="$IdVetS"/>
									<xsl:with-param name="PathErr" select="concat($VetSPath,'/PROCESSINGPARASITES/PROCESSINGPARASITES_ITEM[',position(),']/DateProcessing')"/>
									<xsl:with-param name="TypeDoc" select="$VetSType"/>
									<xsl:with-param name="PosPkg" select="$VetSPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:for-each>
						<xsl:for-each select="MARKINSPECTION/MARKINSPECTION_ITEM">
							<xsl:if test="string-length(DateInspection)=0 and (string-length(NamePlace)>0 or string-length(Inspection_PersonSurname)>0 or string-length(Inspection_PersonName)>0)">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($VetSMesN,'  Дата осмотра при заполненных полях Наименование пункта или Подпись должностного лица, производившего осмотр.')"/>
									<xsl:with-param name="DocId" select="$IdVetS"/>
									<xsl:with-param name="PathErr" select="concat($VetSPath,'/MARKINSPECTION/MARKINSPECTION_ITEM[',position(),']/DateInspection')"/>
									<xsl:with-param name="TypeDoc" select="$VetSType"/>
									<xsl:with-param name="PosPkg" select="$VetSPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(NamePlace)=0 and (string-length(DateInspection)>0 or string-length(Inspection_PersonSurname)>0 or string-length(Inspection_PersonName)>0)">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($VetSMesN,'  Наименование пункта при заполненных полях Дата осмотра или Подпись должностного лица, производившего осмотр.')"/>
									<xsl:with-param name="DocId" select="$IdVetS"/>
									<xsl:with-param name="PathErr" select="concat($VetSPath,'/MARKINSPECTION/MARKINSPECTION_ITEM[',position(),']/NamePlace')"/>
									<xsl:with-param name="TypeDoc" select="$VetSType"/>
									<xsl:with-param name="PosPkg" select="$VetSPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(Inspection_PersonSurname)=0 and (string-length(DateInspection)>0 or string-length(NamePlace)>0 or string-length(Inspection_PersonName)>0)">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($VetSMesN,' Подпись должностного лица, производившего осмотр, при заполненных полях Дата осмотра или Наименование пункта ')"/>
									<xsl:with-param name="DocId" select="$IdVetS"/>
									<xsl:with-param name="PathErr" select="concat($VetSPath,'/MARKINSPECTION/MARKINSPECTION_ITEM[',position(),']/Inspection_PersonSurname')"/>
									<xsl:with-param name="TypeDoc" select="$VetSType"/>
									<xsl:with-param name="PosPkg" select="$VetSPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(Inspection_PersonName)=0 and (string-length(DateInspection)>0 or string-length(NamePlace)>0 or string-length(Inspection_PersonSurname)>0)">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($VetSMesN,' Подпись должностного лица, производившего осмотр, при заполненных полях Дата осмотра или Наименование пункта ')"/>
									<xsl:with-param name="DocId" select="$IdVetS"/>
									<xsl:with-param name="PathErr" select="concat($VetSPath,'/MARKINSPECTION/MARKINSPECTION_ITEM[',position(),']/Inspection_PersonName')"/>
									<xsl:with-param name="TypeDoc" select="$VetSType"/>
									<xsl:with-param name="PosPkg" select="$VetSPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(ViewedProducts_Quantity)=0 and string-length(ViewedProducts_Weight)>0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($VetSMesN,' Осмотрено продуктов,сырья:Мест(штук) при заполненном поле Осмотрено продуктов,сырья:Вес ')"/>
									<xsl:with-param name="DocId" select="$IdVetS"/>
									<xsl:with-param name="PathErr" select="concat($VetSPath,'/MARKINSPECTION/MARKINSPECTION_ITEM[',position(),']/ViewedProducts_Quantity')"/>
									<xsl:with-param name="TypeDoc" select="$VetSType"/>
									<xsl:with-param name="PosPkg" select="$VetSPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(ViewedProducts_Quantity)>0 and string-length(ViewedProducts_Weight)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($VetSMesN,' Осмотрено продуктов,сырья:Вес при заполненном поле Осмотрено продуктов,сырья:Мест(штук)  ')"/>
									<xsl:with-param name="DocId" select="$IdVetS"/>
									<xsl:with-param name="PathErr" select="concat($VetSPath,'/MARKINSPECTION/MARKINSPECTION_ITEM[',position(),']/ViewedProducts_Weight')"/>
									<xsl:with-param name="TypeDoc" select="$VetSType"/>
									<xsl:with-param name="PosPkg" select="$VetSPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(QuantitySeized_Quantity)=0 and string-length(QuantitySeized_Weight)>0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($VetSMesN,' Количество изъятых продуктов, сырья, :Мест(штук) при заполненном поле Количество изъятых продуктов, сырья, :Вес ')"/>
									<xsl:with-param name="DocId" select="$IdVetS"/>
									<xsl:with-param name="PathErr" select="concat($VetSPath,'/MARKINSPECTION/MARKINSPECTION_ITEM[',position(),']/QuantitySeized_Quantity')"/>
									<xsl:with-param name="TypeDoc" select="$VetSType"/>
									<xsl:with-param name="PosPkg" select="$VetSPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(QuantitySeized_Quantity)>0 and string-length(QuantitySeized_Weight)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($VetSMesN,' Количество изъятых продуктов, сырья, :Вес при заполненном поле Количество изъятых продуктов, сырья, :Мест(штук)  ')"/>
									<xsl:with-param name="DocId" select="$IdVetS"/>
									<xsl:with-param name="PathErr" select="concat($VetSPath,'/MARKINSPECTION/MARKINSPECTION_ITEM[',position(),']/QuantitySeized_Weight')"/>
									<xsl:with-param name="TypeDoc" select="$VetSType"/>
									<xsl:with-param name="PosPkg" select="$VetSPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(QuantityPermitted_Quantity)=0 and string-length(QuantityPermitted_Weight)>0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($VetSMesN,' Количество продуктов, сырья, разрешенных к дальнейшему следованию :Мест(штук) при заполненном поле Количество продуктов, сырья, разрешенных к дальнейшему следованию :Вес ')"/>
									<xsl:with-param name="DocId" select="$IdVetS"/>
									<xsl:with-param name="PathErr" select="concat($VetSPath,'/MARKINSPECTION/MARKINSPECTION_ITEM[',position(),']/QuantityPermitted_Quantity')"/>
									<xsl:with-param name="TypeDoc" select="$VetSType"/>
									<xsl:with-param name="PosPkg" select="$VetSPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(QuantitySeized_Quantity)>0 and string-length(QuantitySeized_Weight)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($VetSMesN,' Количество продуктов, сырья, разрешенных к дальнейшему следованию :Вес при заполненном поле Количество продуктов, сырья, разрешенных к дальнейшему следованию :Мест(штук)  ')"/>
									<xsl:with-param name="DocId" select="$IdVetS"/>
									<xsl:with-param name="PathErr" select="concat($VetSPath,'/MARKINSPECTION/MARKINSPECTION_ITEM[',position(),']/QuantityPermitted_Weight')"/>
									<xsl:with-param name="TypeDoc" select="$VetSType"/>
									<xsl:with-param name="PosPkg" select="$VetSPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:for-each>
						<xsl:if test="string-length(DocSig_PersonSurname)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($VetSMesN,' Подпись лица, выдавшего сертификат: Фамилия. ')"/>
								<xsl:with-param name="DocId" select="$IdVetS"/>
								<xsl:with-param name="PathErr" select="concat($VetSPath,'/DocSig_PersonSurname')"/>
								<xsl:with-param name="TypeDoc" select="$VetSType"/>
								<xsl:with-param name="PosPkg" select="$VetSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(DocSig_PersonName)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($VetSMesN,' Подпись лица, выдавшего сертификат:Имя. ')"/>
								<xsl:with-param name="DocId" select="$IdVetS"/>
								<xsl:with-param name="PathErr" select="concat($VetSPath,'/DocSig_PersonName')"/>
								<xsl:with-param name="TypeDoc" select="$VetSType"/>
								<xsl:with-param name="PosPkg" select="$VetSPos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:for-each>
					<xsl:for-each select="//TSREGSERTIF/TSREGSERTIF_ITEM">
						<xsl:variable name="IdTsR" select="../@id"/>
						<xsl:variable name="TsRType" select="../@ctmtd:CfgName"/>
						<xsl:variable name="TsRPos" select="position()"/>
						<xsl:variable name="TsRPath" select="'TSREGSERTIF/TSREGSERTIF_ITEM'"/>
						<xsl:variable name="TsRMesN" select="'Пакет содержит документ Свидетельство о регистрации транспортного средства с не заполненным полем'"/>
						<xsl:if test="string-length(RegionCode)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($TsRMesN,' Код региона.')"/>
								<xsl:with-param name="DocId" select="$IdTsR"/>
								<xsl:with-param name="PathErr" select="concat($TsRPath,'/RegionCode')"/>
								<xsl:with-param name="TypeDoc" select="$TsRType"/>
								<xsl:with-param name="PosPkg" select="$TsRPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(SeriesCode)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($TsRMesN,' Серия свидетельства.' )"/>
								<xsl:with-param name="DocId" select="$IdTsR"/>
								<xsl:with-param name="PathErr" select="concat($TsRPath,'/SeriesCode')"/>
								<xsl:with-param name="TypeDoc" select="$TsRType"/>
								<xsl:with-param name="PosPkg" select="$TsRPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RegNum)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($TsRMesN,' Номер свидетельства.' )"/>
								<xsl:with-param name="DocId" select="$IdTsR"/>
								<xsl:with-param name="PathErr" select="concat($TsRPath,'/RegNum')"/>
								<xsl:with-param name="TypeDoc" select="$TsRType"/>
								<xsl:with-param name="PosPkg" select="$TsRPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RegDate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($TsRMesN,' Дата свидетельства.' )"/>
								<xsl:with-param name="DocId" select="$IdTsR"/>
								<xsl:with-param name="PathErr" select="concat($TsRPath,'/RegDate')"/>
								<xsl:with-param name="TypeDoc" select="$TsRType"/>
								<xsl:with-param name="PosPkg" select="$TsRPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(RegGAIName)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($TsRMesN,' Наименование ГАИ, выдавшего свидетельство о регистрации ТС.' )"/>
								<xsl:with-param name="DocId" select="$IdTsR"/>
								<xsl:with-param name="PathErr" select="concat($TsRPath,'/RegGAIName')"/>
								<xsl:with-param name="TypeDoc" select="$TsRType"/>
								<xsl:with-param name="PosPkg" select="$TsRPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(UnregDate)=0 and (string-length(UnregGAIName)>0 or string-length(UnregCause)>0)">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($TsRMesN,' Дата снятия с учета при заполненых гр. Наименование ГАИ, снявшего ТС с учета или Причина снятия с учета' )"/>
								<xsl:with-param name="DocId" select="$IdTsR"/>
								<xsl:with-param name="PathErr" select="concat($TsRPath,'/UnregDate')"/>
								<xsl:with-param name="TypeDoc" select="$TsRType"/>
								<xsl:with-param name="PosPkg" select="$TsRPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(UnregGAIName)=0 and (string-length(UnregDate)>0 or string-length(UnregCause)>0)">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($TsRMesN,' Наименование ГАИ, снявшего ТС с учета при заполненых гр. Дата снятия с учета или Причина снятия с учета' )"/>
								<xsl:with-param name="DocId" select="$IdTsR"/>
								<xsl:with-param name="PathErr" select="concat($TsRPath,'/UnregGAIName')"/>
								<xsl:with-param name="TypeDoc" select="$TsRType"/>
								<xsl:with-param name="PosPkg" select="$TsRPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(UnregCause)=0 and (string-length(UnregDate)>0 or string-length(UnregGAIName)>0)">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($TsRMesN,' Причина снятия с учета  при заполненых гр. Дата снятия с учета или Наименование ГАИ, снявшего ТС с учета' )"/>
								<xsl:with-param name="DocId" select="$IdTsR"/>
								<xsl:with-param name="PathErr" select="concat($TsRPath,'/UnregCause')"/>
								<xsl:with-param name="TypeDoc" select="$TsRType"/>
								<xsl:with-param name="PosPkg" select="$TsRPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Model)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($TsRMesN,' Марка, модель.' )"/>
								<xsl:with-param name="DocId" select="$IdTsR"/>
								<xsl:with-param name="PathErr" select="concat($TsRPath,'/Model')"/>
								<xsl:with-param name="TypeDoc" select="$TsRType"/>
								<xsl:with-param name="PosPkg" select="$TsRPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(TransportStateSignID)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($TsRMesN,' Государственный знак транспортного средства.' )"/>
								<xsl:with-param name="DocId" select="$IdTsR"/>
								<xsl:with-param name="PathErr" select="concat($TsRPath,'/TransportStateSignID')"/>
								<xsl:with-param name="TypeDoc" select="$TsRType"/>
								<xsl:with-param name="PosPkg" select="$TsRPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(TransportMeansColorCode)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($TsRMesN,' Код цвета транспортного средства.' )"/>
								<xsl:with-param name="DocId" select="$IdTsR"/>
								<xsl:with-param name="PathErr" select="concat($TsRPath,'/TransportMeansColorCode')"/>
								<xsl:with-param name="TypeDoc" select="$TsRType"/>
								<xsl:with-param name="PosPkg" select="$TsRPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(MaxWeightQuantity)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($TsRMesN,' Разрешенная максимальная масса ТС в кг.' )"/>
								<xsl:with-param name="DocId" select="$IdTsR"/>
								<xsl:with-param name="PathErr" select="concat($TsRPath,'/MaxWeightQuantity')"/>
								<xsl:with-param name="TypeDoc" select="$TsRType"/>
								<xsl:with-param name="PosPkg" select="$TsRPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(MinWeightQuantity)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($TsRMesN,' Масса без нагрузки в кг.' )"/>
								<xsl:with-param name="DocId" select="$IdTsR"/>
								<xsl:with-param name="PathErr" select="concat($TsRPath,'/MinWeightQuantity')"/>
								<xsl:with-param name="TypeDoc" select="$TsRType"/>
								<xsl:with-param name="PosPkg" select="$TsRPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(TransportCategoryCode)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($TsRMesN,' Категория транспортного средства.' )"/>
								<xsl:with-param name="DocId" select="$IdTsR"/>
								<xsl:with-param name="PathErr" select="concat($TsRPath,'/TransportCategoryCode')"/>
								<xsl:with-param name="TypeDoc" select="$TsRType"/>
								<xsl:with-param name="PosPkg" select="$TsRPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Kind)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($TsRMesN,' Тип ТС.' )"/>
								<xsl:with-param name="DocId" select="$IdTsR"/>
								<xsl:with-param name="PathErr" select="concat($TsRPath,'/Kind')"/>
								<xsl:with-param name="TypeDoc" select="$TsRType"/>
								<xsl:with-param name="PosPkg" select="$TsRPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(AutoOwner_Name)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($TsRMesN,' Собственник: ФИО физического лица/Наименование организации.' )"/>
								<xsl:with-param name="DocId" select="$IdTsR"/>
								<xsl:with-param name="PathErr" select="concat($TsRPath,'/AutoOwner_Name')"/>
								<xsl:with-param name="TypeDoc" select="$TsRType"/>
								<xsl:with-param name="PosPkg" select="$TsRPos"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:for-each>					
						
					<xsl:for-each select="//WBEI/WBEI_ITEM">
						<xsl:variable name="IdWbS" select="../@id"/>
						<xsl:variable name="WbSType" select="../@ctmtd:CfgName"/>
						<xsl:variable name="WbSPos" select="position()"/>
						<xsl:variable name="WbSPath" select="'WBEI/WBEI_ITEM'"/>
						<xsl:variable name="WbSMesN" select="'Пакет содержит документ Индивидуальная накладная при экспресс-перевозке, с не заполненным полем'"/>
						<xsl:variable name="WbSMesDic" select="'Пакет содержит документ Индивидуальная накладная при экспресс-перевозке, в котором указан в поле '"/>
						<xsl:if test="string-length(RegNum)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($WbSMesN,' Номер индивидуальной накладной.')"/>
								<xsl:with-param name="DocId" select="$IdWbS"/>
								<xsl:with-param name="PathErr" select="concat($WbSPath,'/RegNum')"/>
								<xsl:with-param name="TypeDoc" select="$WbSType"/>
								<xsl:with-param name="PosPkg" select="$WbSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(CurrencyCode)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($WbSMesN,' Код валюты.' )"/>
								<xsl:with-param name="DocId" select="$IdWbS"/>
								<xsl:with-param name="PathErr" select="concat($WbSPath,'/CurrencyCode')"/>
								<xsl:with-param name="TypeDoc" select="$WbSType"/>
								<xsl:with-param name="PosPkg" select="$WbSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:variable name="CurCode" select="CurrencyCode"/>
						<xsl:if test="string-length(CurrencyCode)>0 and string-length(document('../../../NSI/TranspNSIXml.xml')//Currency_ITEM[ABBR=$CurCode]/Code)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($WbSMesDic,' Код валюты, не найденный в справочнике. ')"/>
								<xsl:with-param name="DocId" select="$IdWbS"/>
								<xsl:with-param name="PathErr" select="concat($WbSPath,'/RegDate')"/>
								<xsl:with-param name="TypeDoc" select="$WbSType"/>
								<xsl:with-param name="PosPkg" select="$WbSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(ShipmentType)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($WbSMesN,' Тип перевозки. ')"/>
								<xsl:with-param name="DocId" select="$IdWbS"/>
								<xsl:with-param name="PathErr" select="concat($WbSPath,'/ShipmentType')"/>
								<xsl:with-param name="TypeDoc" select="$WbSType"/>
								<xsl:with-param name="PosPkg" select="$WbSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(CustomsModeCode)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($WbSMesN,'  Код  таможенного режима .')"/>
								<xsl:with-param name="DocId" select="$IdWbS"/>
								<xsl:with-param name="PathErr" select="concat($WbSPath,'/CustomsModeCode')"/>
								<xsl:with-param name="TypeDoc" select="$WbSType"/>
								<xsl:with-param name="PosPkg" select="$WbSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:variable name="CustCode" select="CustomsModeCode"/>
						<xsl:if test="string-length(CustomsModeCode)>0 and string-length(document('../../../NSI/TranspNSIXml.xml')//OTAMREG_ITEM[KOD=$CustCode]/KOD)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($WbSMesDic,' Код  таможенного режима, не найденный в справочнике. ')"/>
								<xsl:with-param name="DocId" select="$IdWbS"/>
								<xsl:with-param name="PathErr" select="concat($WbSPath,'/RegDate')"/>
								<xsl:with-param name="TypeDoc" select="$WbSType"/>
								<xsl:with-param name="PosPkg" select="$WbSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(GrossWeightTotal)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($WbSMesN,'  Суммарный вес товаров брутто.')"/>
								<xsl:with-param name="DocId" select="$IdWbS"/>
								<xsl:with-param name="PathErr" select="concat($WbSPath,'/GrossWeightTotal')"/>
								<xsl:with-param name="TypeDoc" select="$WbSType"/>
								<xsl:with-param name="PosPkg" select="$WbSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Consignor_Name)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($WbSMesN,'  Отправитель: наименование .')"/>
								<xsl:with-param name="DocId" select="$IdWbS"/>
								<xsl:with-param name="PathErr" select="concat($WbSPath,'/Consignor_Name')"/>
								<xsl:with-param name="TypeDoc" select="$WbSType"/>
								<xsl:with-param name="PosPkg" select="$WbSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:variable name="CnorCrCode" select="Consignor_CountryCode"/>
						<xsl:if test="string-length(Consignor_CountryCode)>0 and string-length(document('../../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CnorCrCode]/Code)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($WbSMesDic,' Отправитель: буквенный код страны, не найденный в справочнике. ')"/>
								<xsl:with-param name="DocId" select="$IdWbS"/>
								<xsl:with-param name="PathErr" select="concat($WbSPath,'/Consignor_CountryCode')"/>
								<xsl:with-param name="TypeDoc" select="$WbSType"/>
								<xsl:with-param name="PosPkg" select="$WbSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:variable name="CneeCrCode" select="Consignee_CountryCode"/>
						<xsl:if test="string-length(Consignee_CountryCode)>0 and string-length(document('../../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CneeCrCode]/Code)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($WbSMesDic,' Получатель: буквенный код страны, не найденный в справочнике. ')"/>
								<xsl:with-param name="DocId" select="$IdWbS"/>
								<xsl:with-param name="PathErr" select="concat($WbSPath,'/Consignee_CountryCode')"/>
								<xsl:with-param name="TypeDoc" select="$WbSType"/>
								<xsl:with-param name="PosPkg" select="$WbSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Carrier_Name)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($WbSMesN,'  Перевозчик: наименование  .')"/>
								<xsl:with-param name="DocId" select="$IdWbS"/>
								<xsl:with-param name="PathErr" select="concat($WbSPath,'/Carrier_Name')"/>
								<xsl:with-param name="TypeDoc" select="$WbSType"/>
								<xsl:with-param name="PosPkg" select="$WbSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(CustomsBrokerCertificate)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($WbSMesN,'  Перевозчик: № свидетельства о включении в Реестр таможенных брокеров.')"/>
								<xsl:with-param name="DocId" select="$IdWbS"/>
								<xsl:with-param name="PathErr" select="concat($WbSPath,'/CustomsBrokerCertificate')"/>
								<xsl:with-param name="TypeDoc" select="$WbSType"/>
								<xsl:with-param name="PosPkg" select="$WbSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:variable name="CarLCrCode" select="Carrier_CountryCode"/>
						<xsl:if test="string-length(Carrier_CountryName)>0 and string-length(document('../../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CarLCrCode]/Code)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($WbSMesDic,' Перевозчик:юридический адрес: буквенный код страны, не найденный в справочнике. ')"/>
								<xsl:with-param name="DocId" select="$IdWbS"/>
								<xsl:with-param name="PathErr" select="concat($WbSPath,'/Carrier_CountryCode')"/>
								<xsl:with-param name="TypeDoc" select="$WbSType"/>
								<xsl:with-param name="PosPkg" select="$WbSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:variable name="CarFCrCode" select="Carrier_FactCountryCode"/>
						<xsl:if test="string-length(Carrier_FactCountryCode)>0 and string-length(document('../../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CarFCrCode]/Code)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($WbSMesDic,' Перевозчик:физический адрес: буквенный код страны, не найденный в справочнике. ')"/>
								<xsl:with-param name="DocId" select="$IdWbS"/>
								<xsl:with-param name="PathErr" select="concat($WbSPath,'/Carrier_FactCountryCode')"/>
								<xsl:with-param name="TypeDoc" select="$WbSType"/>
								<xsl:with-param name="PosPkg" select="$WbSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Departure_Name)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($WbSMesN,'  Пункт отправления: название.')"/>
								<xsl:with-param name="DocId" select="$IdWbS"/>
								<xsl:with-param name="PathErr" select="concat($WbSPath,'/Departure_Name')"/>
								<xsl:with-param name="TypeDoc" select="$WbSType"/>
								<xsl:with-param name="PosPkg" select="$WbSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:variable name="DepCrCode" select="Departure_CountryCode"/>
						<xsl:if test="string-length(Departure_CountryCode)>0 and string-length(document('../../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$DepCrCode]/Code)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($WbSMesDic,' Пункт отправления:буквенный код страны, не найденный в справочнике. ')"/>
								<xsl:with-param name="DocId" select="$IdWbS"/>
								<xsl:with-param name="PathErr" select="concat($WbSPath,'/Departure_CountryCode')"/>
								<xsl:with-param name="TypeDoc" select="$WbSType"/>
								<xsl:with-param name="PosPkg" select="$WbSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(Delivery_Name)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($WbSMesN,'  Пункт назначения:  название.')"/>
								<xsl:with-param name="DocId" select="$IdWbS"/>
								<xsl:with-param name="PathErr" select="concat($WbSPath,'/Delivery_Name')"/>
								<xsl:with-param name="TypeDoc" select="$WbSType"/>
								<xsl:with-param name="PosPkg" select="$WbSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:variable name="DelCrCode" select="Delivery_CountryCode"/>
						<xsl:if test="string-length(Delivery_CountryCode)>0 and string-length(document('../../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$DelCrCode]/Code)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat($WbSMesDic,' Пункт назначения: буквенный код страны, не найденный в справочнике. ')"/>
								<xsl:with-param name="DocId" select="$IdWbS"/>
								<xsl:with-param name="PathErr" select="concat($WbSPath,'/Delivery_CountryCode')"/>
								<xsl:with-param name="TypeDoc" select="$WbSType"/>
								<xsl:with-param name="PosPkg" select="$WbSPos"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:for-each select="WBEIGoods/WBEIGOODS_ITEM">
							<xsl:if test="string-length(CommonWayBillNum)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($WbSMesN,'  Номер общей накладной на товар.')"/>
									<xsl:with-param name="DocId" select="$IdWbS"/>
									<xsl:with-param name="PathErr" select="concat($WbSPath,'/WBEIGoods/WBEIGOODS_ITEM[',position(),']/CommonWayBillNum')"/>
									<xsl:with-param name="TypeDoc" select="$WbSType"/>
									<xsl:with-param name="PosPkg" select="$WbSPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(GoodsDescription)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($WbSMesN,'  Наименование .')"/>
									<xsl:with-param name="DocId" select="$IdWbS"/>
									<xsl:with-param name="PathErr" select="concat($WbSPath,'/WBEIGoods/WBEIGOODS_ITEM[',position(),']/GoodsDescription')"/>
									<xsl:with-param name="TypeDoc" select="$WbSType"/>
									<xsl:with-param name="PosPkg" select="$WbSPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(GrossWeightQuantity)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($WbSMesN,'  Вес товара, брутто (кг).')"/>
									<xsl:with-param name="DocId" select="$IdWbS"/>
									<xsl:with-param name="PathErr" select="concat($WbSPath,'/WBEIGoods/WBEIGOODS_ITEM[',position(),']/GrossWeightQuantity')"/>
									<xsl:with-param name="TypeDoc" select="$WbSType"/>
									<xsl:with-param name="PosPkg" select="$WbSPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(CustomsCost)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($WbSMesN,'  Таможенная стоимость.')"/>
									<xsl:with-param name="DocId" select="$IdWbS"/>
									<xsl:with-param name="PathErr" select="concat($WbSPath,'/WBEIGoods/WBEIGOODS_ITEM[',position(),']/CustomsCost')"/>
									<xsl:with-param name="TypeDoc" select="$WbSType"/>
									<xsl:with-param name="PosPkg" select="$WbSPos"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(Receiver_Name)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat($WbSMesN,' Получатель: наименование .')"/>
									<xsl:with-param name="DocId" select="$IdWbS"/>
									<xsl:with-param name="PathErr" select="concat($WbSPath,'/WBEIGoods/WBEIGOODS_ITEM[',position(),']/Receiver_Name')"/>
									<xsl:with-param name="TypeDoc" select="$WbSType"/>
									<xsl:with-param name="PosPkg" select="$WbSPos"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:for-each>
					</xsl:for-each>
				</xsl:if>
			</xsl:if>
			
		</ResultInformation>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:variable name="HowSend0-caption">&quot;Отправить как комплект документов&quot;</xsl:variable>
	<xsl:variable name="HowSend1-caption">&quot;Отправить как ПИ&quot;</xsl:variable>
	<xsl:variable name="HowSend2-caption">&quot;Предварительный пакет&quot;</xsl:variable>
	<xsl:variable name="HowSend3-caption">&quot;Окончательный пакет&quot;</xsl:variable>
	<xsl:template name="HowSend-caption">
		<xsl:param name="HowSend-value"/>
		<xsl:choose>
			<xsl:when test="$HowSend-value = '0'">
				<xsl:value-of select="$HowSend0-caption"/>
			</xsl:when>
			<xsl:when test="$HowSend-value = '1'">
				<xsl:value-of select="$HowSend1-caption"/>
			</xsl:when>
			<xsl:when test="$HowSend-value = '2'">
				<xsl:value-of select="$HowSend2-caption"/>
			</xsl:when>
			<xsl:when test="$HowSend-value = '3'">
				<xsl:value-of select="$HowSend3-caption"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
